/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 264 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTACH = 296,
    ATTRIBUTE = 297,
    AUTHORIZATION = 298,
    BACKWARD = 299,
    BEFORE = 300,
    BEGIN_P = 301,
    BETWEEN = 302,
    BIGINT = 303,
    BINARY = 304,
    BIT = 305,
    BOOLEAN_P = 306,
    BOTH = 307,
    BY = 308,
    CACHE = 309,
    CALL = 310,
    CALLED = 311,
    CASCADE = 312,
    CASCADED = 313,
    CASE = 314,
    CAST = 315,
    CATALOG_P = 316,
    CHAIN = 317,
    CHAR_P = 318,
    CHARACTER = 319,
    CHARACTERISTICS = 320,
    CHECK = 321,
    CHECKPOINT = 322,
    CLASS = 323,
    CLOSE = 324,
    CLUSTER = 325,
    COALESCE = 326,
    COLLATE = 327,
    COLLATION = 328,
    COLUMN = 329,
    COLUMNS = 330,
    COMMENT = 331,
    COMMENTS = 332,
    COMMIT = 333,
    COMMITTED = 334,
    CONCURRENTLY = 335,
    CONFIGURATION = 336,
    CONFLICT = 337,
    CONNECTION = 338,
    CONSTRAINT = 339,
    CONSTRAINTS = 340,
    CONTENT_P = 341,
    CONTINUE_P = 342,
    CONVERSION_P = 343,
    COPY = 344,
    COST = 345,
    CREATE = 346,
    CROSS = 347,
    CSV = 348,
    CUBE = 349,
    CURRENT_P = 350,
    CURRENT_CATALOG = 351,
    CURRENT_DATE = 352,
    CURRENT_ROLE = 353,
    CURRENT_SCHEMA = 354,
    CURRENT_TIME = 355,
    CURRENT_TIMESTAMP = 356,
    CURRENT_USER = 357,
    CURSOR = 358,
    CYCLE = 359,
    DATA_P = 360,
    DATABASE = 361,
    DAY_P = 362,
    DEALLOCATE = 363,
    DEC = 364,
    DECIMAL_P = 365,
    DECLARE = 366,
    DEFAULT = 367,
    DEFAULTS = 368,
    DEFERRABLE = 369,
    DEFERRED = 370,
    DEFINER = 371,
    DELETE_P = 372,
    DELIMITER = 373,
    DELIMITERS = 374,
    DEPENDS = 375,
    DESC = 376,
    DETACH = 377,
    DICTIONARY = 378,
    DISABLE_P = 379,
    DISCARD = 380,
    DISTINCT = 381,
    DO = 382,
    DOCUMENT_P = 383,
    DOMAIN_P = 384,
    DOUBLE_P = 385,
    DROP = 386,
    EACH = 387,
    ELSE = 388,
    ENABLE_P = 389,
    ENCODING = 390,
    ENCRYPTED = 391,
    END_P = 392,
    ENUM_P = 393,
    ESCAPE = 394,
    EVENT = 395,
    EXCEPT = 396,
    EXCLUDE = 397,
    EXCLUDING = 398,
    EXCLUSIVE = 399,
    EXECUTE = 400,
    EXISTS = 401,
    EXPLAIN = 402,
    EXTENSION = 403,
    EXTERNAL = 404,
    EXTRACT = 405,
    FALSE_P = 406,
    FAMILY = 407,
    FETCH = 408,
    FILTER = 409,
    FIRST_P = 410,
    FLOAT_P = 411,
    FOLLOWING = 412,
    FOR = 413,
    FORCE = 414,
    FOREIGN = 415,
    FORWARD = 416,
    FREEZE = 417,
    FROM = 418,
    FULL = 419,
    FUNCTION = 420,
    FUNCTIONS = 421,
    GENERATED = 422,
    GLOBAL = 423,
    GRANT = 424,
    GRANTED = 425,
    GREATEST = 426,
    GROUP_P = 427,
    GROUPING = 428,
    GROUPS = 429,
    HANDLER = 430,
    HAVING = 431,
    HEADER_P = 432,
    HOLD = 433,
    HOUR_P = 434,
    IDENTITY_P = 435,
    IF_P = 436,
    ILIKE = 437,
    IMMEDIATE = 438,
    IMMUTABLE = 439,
    IMPLICIT_P = 440,
    IMPORT_P = 441,
    IN_P = 442,
    INCLUDE = 443,
    INCLUDING = 444,
    INCREMENT = 445,
    INDEX = 446,
    INDEXES = 447,
    INHERIT = 448,
    INHERITS = 449,
    INITIALLY = 450,
    INLINE_P = 451,
    INNER_P = 452,
    INOUT = 453,
    INPUT_P = 454,
    INSENSITIVE = 455,
    INSERT = 456,
    INSTEAD = 457,
    INT_P = 458,
    INTEGER = 459,
    INTERSECT = 460,
    INTERVAL = 461,
    INTO = 462,
    INVOKER = 463,
    IS = 464,
    ISNULL = 465,
    ISOLATION = 466,
    JOIN = 467,
    KEY = 468,
    LABEL = 469,
    LANGUAGE = 470,
    LARGE_P = 471,
    LAST_P = 472,
    LATERAL_P = 473,
    LEADING = 474,
    LEAKPROOF = 475,
    LEAST = 476,
    LEFT = 477,
    LEVEL = 478,
    LIKE = 479,
    LIMIT = 480,
    LISTEN = 481,
    LOAD = 482,
    LOCAL = 483,
    LOCALTIME = 484,
    LOCALTIMESTAMP = 485,
    LOCATION = 486,
    LOCK_P = 487,
    LOCKED = 488,
    LOGGED = 489,
    MAPPING = 490,
    MATCH = 491,
    MATERIALIZED = 492,
    MAXVALUE = 493,
    METHOD = 494,
    MINUTE_P = 495,
    MINVALUE = 496,
    MODE = 497,
    MONTH_P = 498,
    MOVE = 499,
    NAME_P = 500,
    NAMES = 501,
    NATIONAL = 502,
    NATURAL = 503,
    NCHAR = 504,
    NEW = 505,
    NEXT = 506,
    NO = 507,
    NONE = 508,
    NOT = 509,
    NOTHING = 510,
    NOTIFY = 511,
    NOTNULL = 512,
    NOWAIT = 513,
    NULL_P = 514,
    NULLIF = 515,
    NULLS_P = 516,
    NUMERIC = 517,
    OBJECT_P = 518,
    OF = 519,
    OFF = 520,
    OFFSET = 521,
    OIDS = 522,
    OLD = 523,
    ON = 524,
    ONLY = 525,
    OPERATOR = 526,
    OPTION = 527,
    OPTIONS = 528,
    OR = 529,
    ORDER = 530,
    ORDINALITY = 531,
    OTHERS = 532,
    OUT_P = 533,
    OUTER_P = 534,
    OVER = 535,
    OVERLAPS = 536,
    OVERLAY = 537,
    OVERRIDING = 538,
    OWNED = 539,
    OWNER = 540,
    PARALLEL = 541,
    PARSER = 542,
    PARTIAL = 543,
    PARTITION = 544,
    PASSING = 545,
    PASSWORD = 546,
    PLACING = 547,
    PLANS = 548,
    POLICY = 549,
    POSITION = 550,
    PRECEDING = 551,
    PRECISION = 552,
    PRESERVE = 553,
    PREPARE = 554,
    PREPARED = 555,
    PRIMARY = 556,
    PRIOR = 557,
    PRIVILEGES = 558,
    PROCEDURAL = 559,
    PROCEDURE = 560,
    PROCEDURES = 561,
    PROGRAM = 562,
    PUBLICATION = 563,
    QUOTE = 564,
    RANGE = 565,
    READ = 566,
    REAL = 567,
    REASSIGN = 568,
    RECHECK = 569,
    RECURSIVE = 570,
    REF = 571,
    REFERENCES = 572,
    REFERENCING = 573,
    REFRESH = 574,
    REINDEX = 575,
    RELATIVE_P = 576,
    RELEASE = 577,
    RENAME = 578,
    REPEATABLE = 579,
    REPLACE = 580,
    REPLICA = 581,
    RESET = 582,
    RESTART = 583,
    RESTRICT = 584,
    RETURNING = 585,
    RETURNS = 586,
    REVOKE = 587,
    RIGHT = 588,
    ROLE = 589,
    ROLLBACK = 590,
    ROLLUP = 591,
    ROUTINE = 592,
    ROUTINES = 593,
    ROW = 594,
    ROWS = 595,
    RULE = 596,
    SAVEPOINT = 597,
    SCHEMA = 598,
    SCHEMAS = 599,
    SCROLL = 600,
    SEARCH = 601,
    SECOND_P = 602,
    SECURITY = 603,
    SELECT = 604,
    SEQUENCE = 605,
    SEQUENCES = 606,
    SERIALIZABLE = 607,
    SERVER = 608,
    SESSION = 609,
    SESSION_USER = 610,
    SET = 611,
    SETS = 612,
    SETOF = 613,
    SHARE = 614,
    SHOW = 615,
    SIMILAR = 616,
    SIMPLE = 617,
    SKIP = 618,
    SMALLINT = 619,
    SNAPSHOT = 620,
    SOME = 621,
    SQL_P = 622,
    STABLE = 623,
    STANDALONE_P = 624,
    START = 625,
    STATEMENT = 626,
    STATISTICS = 627,
    STDIN = 628,
    STDOUT = 629,
    STORAGE = 630,
    STRICT_P = 631,
    STRIP_P = 632,
    SUBSCRIPTION = 633,
    SUBSTRING = 634,
    SYMMETRIC = 635,
    SYSID = 636,
    SYSTEM_P = 637,
    TABLE = 638,
    TABLES = 639,
    TABLESAMPLE = 640,
    TABLESPACE = 641,
    TEMP = 642,
    TEMPLATE = 643,
    TEMPORARY = 644,
    TEXT_P = 645,
    THEN = 646,
    TIES = 647,
    TIME = 648,
    TIMESTAMP = 649,
    TO = 650,
    TRAILING = 651,
    TRANSACTION = 652,
    TRANSFORM = 653,
    TREAT = 654,
    TRIGGER = 655,
    TRIM = 656,
    TRUE_P = 657,
    TRUNCATE = 658,
    TRUSTED = 659,
    TYPE_P = 660,
    TYPES_P = 661,
    UNBOUNDED = 662,
    UNCOMMITTED = 663,
    UNENCRYPTED = 664,
    UNION = 665,
    UNIQUE = 666,
    UNKNOWN = 667,
    UNLISTEN = 668,
    UNLOGGED = 669,
    UNTIL = 670,
    UPDATE = 671,
    USER = 672,
    USING = 673,
    VACUUM = 674,
    VALID = 675,
    VALIDATE = 676,
    VALIDATOR = 677,
    VALUE_P = 678,
    VALUES = 679,
    VARCHAR = 680,
    VARIADIC = 681,
    VARYING = 682,
    VERBOSE = 683,
    VERSION_P = 684,
    VIEW = 685,
    VIEWS = 686,
    VOLATILE = 687,
    WHEN = 688,
    WHERE = 689,
    WHITESPACE_P = 690,
    WINDOW = 691,
    WITH = 692,
    WITHIN = 693,
    WITHOUT = 694,
    WORK = 695,
    WRAPPER = 696,
    WRITE = 697,
    XML_P = 698,
    XMLATTRIBUTES = 699,
    XMLCONCAT = 700,
    XMLELEMENT = 701,
    XMLEXISTS = 702,
    XMLFOREST = 703,
    XMLNAMESPACES = 704,
    XMLPARSE = 705,
    XMLPI = 706,
    XMLROOT = 707,
    XMLSERIALIZE = 708,
    XMLTABLE = 709,
    YEAR_P = 710,
    YES_P = 711,
    ZONE = 712,
    NOT_LA = 713,
    NULLS_LA = 714,
    WITH_LA = 715,
    POSTFIXOP = 716,
    UMINUS = 717
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 202 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;

#line 811 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 841 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  828
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   100208

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  480
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  668
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2727
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5473

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   717

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   469,     2,     2,
     474,   475,   467,   465,   478,   466,   476,   468,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   479,   477,
     461,   463,   462,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   472,     2,   473,   470,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   464,   471
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   784,   784,   800,   812,   822,   823,   824,   825,   826,
     827,   828,   829,   830,   831,   832,   833,   834,   835,   836,
     837,   838,   839,   840,   841,   842,   843,   844,   845,   846,
     847,   848,   849,   850,   851,   852,   853,   854,   855,   856,
     857,   858,   859,   860,   861,   862,   863,   864,   865,   866,
     867,   868,   869,   870,   871,   872,   873,   874,   875,   876,
     877,   878,   879,   880,   881,   882,   883,   884,   885,   886,
     887,   888,   889,   890,   891,   892,   893,   894,   895,   896,
     897,   898,   899,   900,   901,   902,   903,   904,   905,   906,
     907,   908,   909,   910,   911,   912,   913,   914,   915,   916,
     917,   918,   919,   920,   921,   922,   923,   924,   925,   926,
     927,   928,   929,   930,   931,   932,   933,   934,   935,   936,
     937,   938,   939,   940,   941,   942,   943,   944,   945,   947,
     956,   971,   982,   983,   984,   993,   994,   998,   999,  1003,
    1008,  1012,  1022,  1030,  1034,  1038,  1043,  1047,  1095,  1097,
    1101,  1105,  1109,  1113,  1127,  1145,  1153,  1164,  1165,  1169,
    1177,  1185,  1193,  1214,  1221,  1228,  1235,  1242,  1249,  1266,
    1284,  1295,  1296,  1307,  1317,  1327,  1342,  1360,  1361,  1365,
    1372,  1380,  1381,  1382,  1383,  1384,  1385,  1399,  1405,  1411,
    1420,  1428,  1436,  1440,  1448,  1456,  1463,  1472,  1473,  1481,
    1492,  1500,  1508,  1519,  1527,  1535,  1542,  1551,  1561,  1562,
    1566,  1567,  1570,  1572,  1576,  1577,  1578,  1579,  1583,  1584,
    1585,  1591,  1603,  1607,  1611,  1626,  1633,  1634,  1635,  1639,
    1640,  1641,  1645,  1646,  1650,  1654,  1655,  1662,  1669,  1679,
    1686,  1696,  1697,  1702,  1703,  1708,  1714,  1720,  1726,  1732,
    1742,  1752,  1753,  1757,  1758,  1766,  1781,  1787,  1793,  1799,
    1805,  1824,  1833,  1842,  1851,  1860,  1871,  1882,  1891,  1900,
    1909,  1920,  1931,  1940,  1949,  1958,  1967,  1976,  1985,  1996,
    2010,  2011,  2016,  2029,  2045,  2061,  2070,  2079,  2088,  2097,
    2106,  2114,  2122,  2131,  2147,  2156,  2165,  2174,  2191,  2200,
    2209,  2218,  2228,  2241,  2256,  2265,  2273,  2288,  2296,  2306,
    2316,  2323,  2330,  2338,  2346,  2353,  2360,  2368,  2376,  2384,
    2391,  2398,  2406,  2413,  2420,  2428,  2436,  2444,  2452,  2460,
    2468,  2478,  2485,  2493,  2501,  2509,  2517,  2525,  2532,  2539,
    2546,  2552,  2562,  2563,  2567,  2568,  2569,  2573,  2581,  2585,
    2586,  2590,  2597,  2604,  2611,  2621,  2624,  2625,  2629,  2630,
    2635,  2639,  2643,  2648,  2655,  2657,  2662,  2666,  2670,  2681,
    2689,  2742,  2755,  2769,  2781,  2788,  2792,  2799,  2800,  2801,
    2802,  2803,  2807,  2808,  2813,  2814,  2819,  2829,  2839,  2859,
    2872,  2873,  2878,  2887,  2897,  2907,  2933,  2939,  2972,  3001,
    3023,  3024,  3028,  3029,  3038,  3039,  3040,  3043,  3044,  3049,
    3050,  3054,  3058,  3062,  3066,  3070,  3074,  3078,  3082,  3086,
    3090,  3094,  3098,  3102,  3106,  3115,  3119,  3123,  3127,  3131,
    3135,  3139,  3140,  3145,  3149,  3156,  3163,  3164,  3165,  3166,
    3167,  3171,  3175,  3183,  3194,  3211,  3229,  3248,  3267,  3286,
    3318,  3319,  3320,  3321,  3322,  3329,  3336,  3337,  3341,  3342,
    3346,  3347,  3351,  3355,  3362,  3366,  3373,  3374,  3375,  3379,
    3380,  3383,  3405,  3424,  3446,  3447,  3451,  3458,  3459,  3460,
    3491,  3498,  3505,  3516,  3527,  3539,  3548,  3557,  3575,  3576,
    3595,  3602,  3609,  3616,  3627,  3637,  3638,  3639,  3643,  3644,
    3645,  3646,  3647,  3648,  3649,  3650,  3659,  3666,  3670,  3683,
    3699,  3714,  3730,  3745,  3764,  3785,  3786,  3790,  3791,  3795,
    3796,  3799,  3805,  3806,  3809,  3813,  3821,  3826,  3832,  3833,
    3837,  3842,  3849,  3850,  3860,  3862,  3864,  3866,  3869,  3872,
    3875,  3879,  3880,  3881,  3882,  3883,  3886,  3887,  3891,  3892,
    3895,  3907,  3908,  3911,  3912,  3915,  3926,  3937,  3951,  3952,
    3953,  3954,  3957,  3958,  3959,  3960,  3963,  3964,  3967,  3968,
    3971,  3989,  4001,  4026,  4039,  4055,  4069,  4070,  4071,  4083,
    4096,  4112,  4125,  4126,  4138,  4158,  4168,  4181,  4189,  4200,
    4201,  4204,  4205,  4208,  4209,  4212,  4216,  4220,  4224,  4228,
    4232,  4236,  4240,  4244,  4248,  4252,  4257,  4261,  4265,  4271,
    4272,  4276,  4277,  4278,  4283,  4286,  4287,  4299,  4311,  4326,
    4327,  4335,  4336,  4340,  4341,  4345,  4346,  4350,  4351,  4355,
    4365,  4378,  4379,  4389,  4400,  4401,  4414,  4421,  4438,  4446,
    4457,  4460,  4464,  4468,  4472,  4476,  4488,  4498,  4501,  4505,
    4518,  4527,  4536,  4545,  4554,  4563,  4572,  4581,  4590,  4599,
    4608,  4617,  4626,  4635,  4644,  4653,  4662,  4671,  4680,  4689,
    4698,  4707,  4716,  4725,  4734,  4743,  4752,  4761,  4779,  4790,
    4791,  4792,  4793,  4797,  4798,  4802,  4803,  4813,  4821,  4833,
    4834,  4838,  4842,  4850,  4854,  4858,  4865,  4869,  4874,  4879,
    4886,  4893,  4898,  4908,  4920,  4935,  4936,  4941,  4942,  4946,
    4947,  4957,  4966,  4974,  4991,  5011,  5031,  5052,  5083,  5092,
    5113,  5128,  5129,  5133,  5141,  5156,  5165,  5177,  5178,  5190,
    5198,  5215,  5239,  5256,  5270,  5271,  5275,  5276,  5280,  5281,
    5285,  5286,  5290,  5304,  5308,  5309,  5313,  5314,  5315,  5316,
    5317,  5327,  5345,  5366,  5392,  5393,  5394,  5398,  5400,  5422,
    5424,  5426,  5428,  5430,  5435,  5436,  5440,  5441,  5445,  5456,
    5457,  5461,  5470,  5474,  5478,  5483,  5493,  5494,  5498,  5499,
    5503,  5504,  5508,  5509,  5513,  5514,  5515,  5519,  5523,  5524,
    5525,  5529,  5530,  5535,  5536,  5563,  5564,  5565,  5566,  5567,
    5568,  5581,  5591,  5605,  5607,  5612,  5617,  5619,  5624,  5634,
    5635,  5636,  5637,  5649,  5669,  5691,  5701,  5712,  5722,  5732,
    5743,  5752,  5759,  5766,  5775,  5784,  5793,  5802,  5811,  5821,
    5830,  5842,  5845,  5846,  5849,  5853,  5860,  5861,  5862,  5863,
    5864,  5865,  5868,  5871,  5872,  5880,  5887,  5888,  5891,  5893,
    5904,  5915,  5926,  5937,  5950,  5951,  5967,  5982,  5983,  5987,
    5999,  6009,  6017,  6026,  6035,  6036,  6039,  6040,  6043,  6044,
    6045,  6048,  6062,  6067,  6077,  6086,  6098,  6099,  6103,  6111,
    6123,  6133,  6146,  6156,  6178,  6188,  6206,  6216,  6226,  6236,
    6246,  6256,  6266,  6276,  6286,  6296,  6306,  6316,  6330,  6331,
    6332,  6333,  6334,  6335,  6336,  6337,  6338,  6339,  6340,  6341,
    6342,  6347,  6348,  6349,  6350,  6351,  6352,  6353,  6358,  6359,
    6360,  6364,  6365,  6368,  6369,  6372,  6374,  6379,  6380,  6390,
    6401,  6402,  6403,  6437,  6445,  6453,  6461,  6469,  6477,  6485,
    6493,  6501,  6514,  6522,  6530,  6538,  6546,  6554,  6562,  6570,
    6578,  6586,  6598,  6599,  6600,  6601,  6602,  6603,  6604,  6605,
    6606,  6607,  6608,  6609,  6610,  6611,  6616,  6617,  6618,  6619,
    6620,  6621,  6622,  6623,  6624,  6625,  6626,  6627,  6631,  6632,
    6646,  6656,  6666,  6676,  6686,  6696,  6706,  6716,  6726,  6738,
    6739,  6744,  6745,  6746,  6747,  6748,  6749,  6754,  6755,  6756,
    6757,  6758,  6759,  6760,  6761,  6764,  6765,  6775,  6781,  6789,
    6797,  6805,  6813,  6821,  6829,  6837,  6845,  6853,  6861,  6869,
    6877,  6885,  6893,  6901,  6909,  6919,  6920,  6923,  6924,  6934,
    6950,  6964,  6990,  6992,  6994,  6996,  7003,  7012,  7013,  7016,
    7023,  7030,  7037,  7051,  7059,  7067,  7075,  7083,  7091,  7099,
    7107,  7115,  7123,  7131,  7139,  7147,  7155,  7163,  7171,  7179,
    7187,  7195,  7203,  7215,  7216,  7220,  7221,  7226,  7227,  7237,
    7250,  7260,  7272,  7273,  7276,  7277,  7287,  7297,  7298,  7302,
    7306,  7310,  7321,  7334,  7348,  7365,  7366,  7367,  7368,  7369,
    7370,  7382,  7410,  7441,  7442,  7446,  7447,  7451,  7452,  7456,
    7457,  7460,  7461,  7469,  7480,  7491,  7504,  7505,  7508,  7509,
    7512,  7513,  7516,  7517,  7520,  7521,  7522,  7525,  7526,  7527,
    7543,  7555,  7568,  7580,  7595,  7596,  7599,  7600,  7604,  7605,
    7609,  7610,  7615,  7627,  7634,  7641,  7656,  7657,  7661,  7662,
    7677,  7686,  7695,  7704,  7713,  7725,  7726,  7727,  7728,  7729,
    7735,  7739,  7754,  7755,  7761,  7771,  7775,  7780,  7788,  7829,
    7833,  7837,  7841,  7849,  7850,  7854,  7864,  7865,  7871,  7872,
    7879,  7883,  7887,  7891,  7895,  7899,  7903,  7907,  7911,  7915,
    7919,  7923,  7927,  7931,  7935,  7940,  7947,  7951,  7955,  7959,
    7963,  7969,  7970,  7977,  7978,  7982,  7983,  7986,  7998,  8002,
    8017,  8025,  8033,  8045,  8046,  8051,  8052,  8069,  8079,  8089,
    8099,  8109,  8119,  8132,  8142,  8155,  8165,  8178,  8186,  8188,
    8190,  8195,  8197,  8202,  8203,  8208,  8226,  8235,  8236,  8240,
    8244,  8256,  8267,  8278,  8291,  8292,  8293,  8297,  8309,  8310,
    8320,  8332,  8336,  8340,  8344,  8351,  8371,  8380,  8389,  8398,
    8409,  8410,  8413,  8414,  8415,  8418,  8419,  8422,  8432,  8441,
    8458,  8467,  8476,  8485,  8494,  8503,  8512,  8521,  8530,  8539,
    8548,  8557,  8566,  8576,  8586,  8595,  8604,  8613,  8622,  8631,
    8640,  8650,  8660,  8670,  8680,  8690,  8700,  8710,  8720,  8730,
    8740,  8750,  8760,  8771,  8782,  8793,  8804,  8814,  8824,  8835,
    8846,  8856,  8866,  8874,  8883,  8892,  8901,  8910,  8919,  8928,
    8937,  8946,  8955,  8969,  8970,  8973,  8974,  8984,  8992,  9000,
    9008,  9017,  9025,  9042,  9051,  9060,  9069,  9078,  9087,  9096,
    9105,  9114,  9123,  9132,  9141,  9150,  9159,  9168,  9177,  9186,
    9195,  9204,  9213,  9222,  9231,  9240,  9249,  9258,  9267,  9276,
    9294,  9303,  9304,  9307,  9309,  9315,  9316,  9317,  9318,  9319,
    9328,  9336,  9344,  9352,  9360,  9368,  9376,  9384,  9392,  9400,
    9408,  9416,  9424,  9432,  9440,  9448,  9456,  9464,  9472,  9480,
    9488,  9496,  9504,  9512,  9530,  9549,  9550,  9554,  9558,  9578,
    9585,  9593,  9601,  9618,  9631,  9635,  9642,  9651,  9660,  9669,
    9678,  9688,  9698,  9716,  9724,  9740,  9757,  9758,  9759,  9764,
    9770,  9779,  9780,  9781,  9782,  9783,  9787,  9788,  9791,  9792,
    9793,  9794,  9798,  9799,  9800,  9812,  9822,  9823,  9826,  9835,
    9841,  9860,  9867,  9874,  9881,  9888,  9895,  9902,  9909,  9916,
    9923,  9930,  9937,  9944,  9951,  9960,  9961,  9962,  9966,  9969,
    9972,  9975,  9978,  9985,  9987,  9989,  9994,  9996, 10008, 10021,
   10034, 10052, 10073, 10074, 10075, 10076, 10086, 10102, 10112, 10113,
   10117, 10118, 10122, 10126, 10130, 10148, 10149, 10150, 10151, 10152,
   10153, 10154, 10161, 10162, 10173, 10180, 10187, 10198, 10215, 10222,
   10238, 10255, 10261, 10277, 10290, 10299, 10307, 10315, 10324, 10335,
   10346, 10356, 10357, 10368, 10378, 10389, 10400, 10411, 10422, 10431,
   10443, 10444, 10458, 10481, 10489, 10498, 10509, 10510, 10522, 10537,
   10547, 10548, 10552, 10553, 10554, 10555, 10556, 10568, 10577, 10587,
   10588, 10592, 10596, 10597, 10601, 10602, 10606, 10607, 10610, 10611,
   10614, 10615, 10619, 10620, 10624, 10631, 10633, 10638, 10639, 10652,
   10659, 10669, 10676, 10686, 10687, 10688, 10689, 10690, 10691, 10692,
   10693, 10694, 10698, 10702, 10709, 10716, 10717, 10721, 10722, 10723,
   10733, 10743, 10744, 10748, 10749, 10750, 10751, 10761, 10768, 10786,
   10787, 10797, 10803, 10809, 10815, 10831, 10849, 10853, 10861, 10867,
   10874, 10880, 10887, 10896, 10897, 10901, 10903, 10908, 10919, 10929,
   10939, 10945, 10954, 10963, 10969, 10970, 10981, 10995, 10996, 11007,
   11018, 11019, 11022, 11023, 11024, 11025, 11026, 11027, 11028, 11029,
   11032, 11033, 11037, 11038, 11039, 11050, 11068, 11069, 11073, 11078,
   11102, 11113, 11114, 11124, 11135, 11138, 11139, 11140, 11141, 11142,
   11145, 11146, 11147, 11195, 11196, 11200, 11201, 11216, 11217, 11224,
   11232, 11240, 11248, 11256, 11264, 11275, 11276, 11303, 11317, 11332,
   11333, 11352, 11356, 11360, 11377, 11384, 11391, 11401, 11402, 11405,
   11417, 11418, 11422, 11434, 11442, 11447, 11452, 11457, 11462, 11470,
   11478, 11483, 11488, 11495, 11496, 11500, 11501, 11502, 11509, 11510,
   11514, 11515, 11519, 11520, 11524, 11528, 11529, 11532, 11541, 11554,
   11555, 11556, 11557, 11561, 11562, 11566, 11568, 11584, 11586, 11591,
   11594, 11599, 11600, 11608, 11628, 11629, 11631, 11636, 11637, 11641,
   11642, 11645, 11646, 11671, 11672, 11676, 11677, 11681, 11682, 11683,
   11684, 11685, 11689, 11702, 11709, 11716, 11723, 11724, 11728, 11729,
   11733, 11734, 11738, 11739, 11743, 11754, 11755, 11756, 11757, 11761,
   11762, 11772, 11778, 11796, 11797, 11801, 11802, 11808, 11813, 11821,
   11828, 11836, 11842, 11849, 11884, 11909, 11913, 11939, 11943, 11955,
   11968, 11982, 11993, 12008, 12014, 12019, 12025, 12032, 12033, 12041,
   12045, 12049, 12055, 12062, 12067, 12068, 12069, 12070, 12074, 12075,
   12087, 12088, 12093, 12100, 12107, 12114, 12125, 12126, 12139, 12143,
   12150, 12163, 12176, 12177, 12192, 12202, 12214, 12219, 12220, 12223,
   12224, 12227, 12228, 12233, 12234, 12239, 12240, 12248, 12253, 12254,
   12258, 12262, 12268, 12293, 12303, 12316, 12317, 12321, 12335, 12392,
   12406, 12408, 12413, 12415, 12417, 12419, 12424, 12426, 12431, 12439,
   12459, 12464, 12471, 12476, 12482, 12487, 12496, 12498, 12501, 12505,
   12506, 12507, 12508, 12509, 12510, 12515, 12535, 12536, 12537, 12538,
   12549, 12555, 12563, 12564, 12570, 12575, 12580, 12585, 12590, 12595,
   12600, 12605, 12611, 12617, 12623, 12630, 12652, 12661, 12665, 12673,
   12677, 12685, 12697, 12718, 12722, 12728, 12732, 12745, 12753, 12763,
   12765, 12767, 12769, 12771, 12773, 12778, 12779, 12786, 12795, 12803,
   12812, 12823, 12831, 12832, 12833, 12837, 12839, 12841, 12843, 12845,
   12847, 12849, 12854, 12859, 12865, 12873, 12878, 12885, 12892, 12896,
   12900, 12936, 12937, 12939, 12947, 12962, 12964, 12966, 12968, 12970,
   12972, 12974, 12976, 12978, 12980, 12982, 12984, 12986, 12988, 12991,
   12993, 12995, 12998, 13000, 13002, 13004, 13007, 13012, 13020, 13025,
   13033, 13038, 13046, 13051, 13060, 13068, 13076, 13084, 13102, 13110,
   13118, 13126, 13134, 13150, 13158, 13166, 13174, 13182, 13190, 13198,
   13202, 13206, 13210, 13214, 13222, 13230, 13238, 13246, 13266, 13288,
   13299, 13306, 13322, 13327, 13333, 13358, 13360, 13362, 13364, 13366,
   13368, 13370, 13372, 13374, 13376, 13378, 13380, 13382, 13384, 13386,
   13388, 13390, 13392, 13394, 13396, 13400, 13404, 13408, 13412, 13417,
   13433, 13434, 13435, 13450, 13484, 13486, 13488, 13499, 13523, 13534,
   13545, 13552, 13562, 13572, 13581, 13585, 13591, 13598, 13605, 13615,
   13622, 13650, 13685, 13696, 13697, 13704, 13710, 13714, 13718, 13722,
   13726, 13730, 13734, 13738, 13742, 13746, 13750, 13754, 13758, 13762,
   13766, 13770, 13772, 13776, 13785, 13790, 13797, 13812, 13819, 13823,
   13827, 13831, 13835, 13842, 13850, 13858, 13862, 13866, 13870, 13874,
   13878, 13884, 13888, 13897, 13901, 13905, 13910, 13924, 13926, 13930,
   13932, 13934, 13937, 13940, 13943, 13944, 13947, 13955, 13965, 13966,
   13969, 13970, 13971, 13976, 13980, 13984, 13988, 13999, 14000, 14004,
   14005, 14013, 14014, 14018, 14019, 14024, 14032, 14034, 14048, 14051,
   14078, 14079, 14082, 14083, 14091, 14098, 14105, 14113, 14122, 14139,
   14184, 14192, 14200, 14208, 14216, 14227, 14228, 14229, 14230, 14231,
   14245, 14246, 14247, 14250, 14251, 14254, 14257, 14258, 14259, 14262,
   14263, 14266, 14267, 14268, 14269, 14270, 14271, 14272, 14273, 14274,
   14275, 14276, 14277, 14280, 14282, 14287, 14289, 14294, 14296, 14298,
   14300, 14302, 14304, 14316, 14320, 14327, 14331, 14337, 14341, 14350,
   14361, 14362, 14365, 14369, 14373, 14379, 14380, 14385, 14389, 14396,
   14397, 14398, 14399, 14400, 14401, 14402, 14403, 14413, 14417, 14424,
   14431, 14432, 14448, 14452, 14457, 14461, 14476, 14481, 14485, 14488,
   14491, 14492, 14493, 14496, 14503, 14513, 14527, 14528, 14532, 14543,
   14544, 14547, 14548, 14551, 14555, 14562, 14566, 14570, 14578, 14589,
   14590, 14594, 14595, 14599, 14600, 14603, 14604, 14614, 14615, 14619,
   14620, 14623, 14639, 14647, 14655, 14677, 14678, 14689, 14693, 14720,
   14722, 14727, 14730, 14733, 14735, 14737, 14739, 14749, 14751, 14762,
   14766, 14770, 14774, 14778, 14787, 14794, 14826, 14830, 14836, 14843,
   14847, 14851, 14857, 14858, 14860, 14861, 14862, 14866, 14899, 14926,
   14930, 14936, 14938, 14955, 14956, 14957, 14962, 14963, 14964, 14969,
   14970, 14971, 14972, 14978, 14979, 14980, 14981, 14982, 15002, 15003,
   15004, 15005, 15006, 15007, 15008, 15009, 15010, 15011, 15012, 15013,
   15014, 15015, 15016, 15017, 15018, 15019, 15020, 15021, 15022, 15023,
   15024, 15025, 15026, 15027, 15028, 15029, 15030, 15031, 15032, 15033,
   15034, 15035, 15036, 15037, 15038, 15039, 15040, 15041, 15042, 15043,
   15044, 15045, 15046, 15047, 15048, 15049, 15050, 15051, 15052, 15053,
   15054, 15055, 15056, 15057, 15058, 15059, 15060, 15061, 15062, 15063,
   15064, 15065, 15066, 15067, 15068, 15069, 15070, 15071, 15072, 15073,
   15074, 15075, 15076, 15077, 15078, 15079, 15080, 15081, 15082, 15083,
   15084, 15085, 15086, 15087, 15088, 15089, 15090, 15091, 15092, 15093,
   15094, 15095, 15096, 15097, 15098, 15099, 15100, 15101, 15102, 15103,
   15104, 15105, 15106, 15107, 15108, 15109, 15110, 15111, 15112, 15113,
   15114, 15115, 15116, 15117, 15118, 15119, 15120, 15121, 15122, 15123,
   15124, 15125, 15126, 15127, 15128, 15129, 15130, 15131, 15132, 15133,
   15134, 15135, 15136, 15137, 15138, 15139, 15140, 15141, 15142, 15143,
   15144, 15145, 15146, 15147, 15148, 15149, 15150, 15151, 15152, 15153,
   15154, 15155, 15156, 15157, 15158, 15159, 15160, 15161, 15162, 15163,
   15164, 15165, 15166, 15167, 15168, 15169, 15170, 15171, 15172, 15173,
   15174, 15175, 15176, 15177, 15178, 15179, 15180, 15181, 15182, 15183,
   15184, 15185, 15186, 15187, 15188, 15189, 15190, 15191, 15192, 15193,
   15194, 15195, 15196, 15197, 15198, 15199, 15200, 15201, 15202, 15203,
   15204, 15205, 15206, 15207, 15208, 15209, 15210, 15211, 15212, 15213,
   15214, 15215, 15216, 15217, 15218, 15219, 15220, 15221, 15222, 15223,
   15224, 15225, 15226, 15227, 15228, 15229, 15230, 15231, 15232, 15233,
   15234, 15235, 15236, 15237, 15238, 15239, 15240, 15241, 15242, 15243,
   15244, 15245, 15246, 15247, 15248, 15249, 15250, 15251, 15252, 15253,
   15254, 15255, 15256, 15257, 15258, 15259, 15260, 15261, 15262, 15263,
   15264, 15265, 15266, 15267, 15268, 15269, 15270, 15271, 15272, 15273,
   15274, 15275, 15276, 15277, 15278, 15279, 15280, 15281, 15282, 15283,
   15284, 15285, 15286, 15287, 15288, 15289, 15290, 15291, 15305, 15306,
   15307, 15308, 15309, 15310, 15311, 15312, 15313, 15314, 15315, 15316,
   15317, 15318, 15319, 15320, 15321, 15322, 15323, 15324, 15325, 15326,
   15327, 15328, 15329, 15330, 15331, 15332, 15333, 15334, 15335, 15336,
   15337, 15338, 15339, 15340, 15341, 15342, 15343, 15344, 15345, 15346,
   15347, 15348, 15349, 15350, 15351, 15352, 15353, 15354, 15368, 15369,
   15370, 15371, 15372, 15373, 15374, 15375, 15376, 15377, 15378, 15379,
   15380, 15381, 15382, 15383, 15384, 15385, 15386, 15387, 15388, 15389,
   15390, 15400, 15401, 15402, 15403, 15404, 15405, 15406, 15407, 15408,
   15409, 15410, 15411, 15412, 15413, 15414, 15415, 15416, 15417, 15418,
   15419, 15420, 15421, 15422, 15423, 15424, 15425, 15426, 15427, 15428,
   15429, 15430, 15431, 15432, 15433, 15434, 15435, 15436, 15437, 15438,
   15439, 15440, 15441, 15442, 15443, 15444, 15445, 15446, 15447, 15448,
   15449, 15450, 15451, 15452, 15453, 15454, 15455, 15456, 15457, 15458,
   15459, 15460, 15461, 15462, 15463, 15464, 15465, 15466, 15467, 15468,
   15469, 15470, 15471, 15472, 15473, 15474, 15475, 15476
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE", "CASCADED", "CASE",
  "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS",
  "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE",
  "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION",
  "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM", "PUBLICATION",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES",
  "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA",
  "'<'", "'>'", "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CallStmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type_any_name", "drop_type_name", "drop_type_name_on_any_name",
  "any_name_list", "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type_any_name",
  "comment_type_name", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type_any_name", "security_label_type_name",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "GrantRoleStmt", "RevokeRoleStmt", "opt_grant_admin_option",
  "opt_granted_by", "AlterDefaultPrivilegesStmt", "DefACLOptionList",
  "DefACLOption", "DefACLAction", "defacl_privilege_target", "IndexStmt",
  "opt_unique", "opt_concurrently", "opt_index_name",
  "access_method_clause", "index_params", "index_elem", "opt_include",
  "index_including_params", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "function_with_argtypes_list",
  "function_with_argtypes", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "aggregate_with_argtypes",
  "aggregate_with_argtypes_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_option_list", "analyze_option_elem", "analyze_keyword",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "func_alias_clause", "join_type",
  "join_outer", "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "type_list", "array_expr", "array_expr_list", "extract_list",
  "extract_arg", "overlay_list", "overlay_placing", "position_list",
  "substr_list", "substr_from", "substr_for", "trim_list", "in_expr",
  "case_expr", "when_clause_list", "when_clause", "case_default",
  "case_arg", "columnref", "indirection_el", "opt_slice_bound",
  "indirection", "opt_indirection", "opt_asymmetric", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst", "Sconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,    60,    62,    61,   716,    43,    45,    42,    47,    37,
      94,   717,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -4897

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4897)))

#define YYTABLE_NINF -2634

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2634)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   10178,  1335, 18518, -4897, -4897,  1335, 59410, -4897, 67145,   528,
     162,  1066,   184, 12673, 67600, 74880,   538,   337, 17968,  1335,
   74880,  2578, 50765, 64415,   811, 74880,  1014,   693, 50765, 74880,
   75335,   925,   879,   747, 75790, 68055, 63050,  1169, 74880,  1077,
     349, 76245, 68510,   905, 68965,   693, 47153,   387,   842, 76700,
   74880,  2129,  1591,  1041, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,   598,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
    2194, -4897,  1074,  2474,  2005,   735,  1144, -4897, -4897, -4897,
   59410, 74880, 74880, 74880,  1341, 74880,  1324, 74880,   773, 59410,
   55315, 69420,  1515,  1417, 43507, 77155, -4897, 59410, 74880, 53495,
   59410, 74880, 74880, 77610, 74880, 74880, 74880,  1554, 65780, 74880,
    1559, 74880, 74880, 53950, 78065,  1704,  1191,   245, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897,  1481,  1385, -4897,   276, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, 74880, 18078,  1014, -4897, -4897,
    2129, 74880,  1726, 59410, 74880,  1510, 78520,  1614, 74880, -4897,
   74880,  1633, 78975,   782,  1673, 55315,  1856, 43963,  1781, 74880,
   74880, 55315, 79430, 79885, 80340, 74880, 74880, -4897, -4897,  1698,
   74880, 74880, -4897,  1875, 55770,  1461,  1889,  2067,  1990,  1321,
   -4897, 69875, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   58500,   337, -4897, -4897,  1935, 59865, 74880,  2033, -4897, -4897,
   80795, 97105,  1821, -4897,   816, 60320, 56225,  2154,  1849, 44419,
    2232, -4897, 60775, -4897, 56680, 61230, -4897, -4897, -4897, -4897,
   -4897, 81250, -4897, 81705,  1950,  2033, -4897, 97546, 57135, -4897,
    2092, 82160, 82615, 83070, -4897,  1857,  1695,  2157, 39379, -4897,
   -4897, -4897,   528, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897,   322,  1651,   228,   208,   271, -4897, -4897,   223,   227,
     240,   322,  2328,  2328, -4897, 74880, -4897, -4897,  1651,   752,
    1867,  1867,  1867,  2081,    -7, -4897,  1867,  2017, -4897, -4897,
   -4897, -4897, 68965, -4897,  1886,  1014,  1895,  2325,  1953, -4897,
   -4897, -4897, -4897, -4897,  1965, 74880, 74880, 74880, -4897, -4897,
    2379,  2001,  2230,  1991, -4897, -4897, -4897,  2214,  2223,  2236,
     334,  1014,  2104, -4897,  2385, -4897,  2257, 26324, 26324,  1014,
   70330, 83525,   265, 58500,  1014, 70785,  2094,  1484,  2291, -4897,
   -4897, -4897,   717, -4897,  2524,  2121,  2371,  1991,  1191, 40752,
   -4897,  2128,  1385, 68965, -4897, -4897, -4897,   338,  2426, 28212,
   74880,  2174, -4897,  2222,  2174,  2211,  2226,  2005, -4897, 10178,
    2282, 74880,   978,   978,  2661,   978,  1514,  1677, -4897,  2477,
   -4897,  2557,  2508, 68965,  2245,  1700,  2265,  1522,  2286,  1723,
    1106, -4897, -4897,   219, 74880,   220,  2313, 71240,  3921,  2295,
    1385,  2296, -4897, -4897, -4897,  2440,   365, -4897, -4897, -4897,
   -4897,  2581,  2636,  6848,   289, 71695, -4897, -4897, -4897, -4897,
   74880, 74880, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897,  2309,  1093, -4897, -4897,  2326,  2649,  2541,  5274,  1092,
    2602,  2491,  1038,  6271,  2572,   134,  2673,  5676,  1477,  1812,
    1536, 72150, 74880,  2639,  2696,  7025,  1840,   919,  2588,  1170,
    2602,  2700,  2536,  1038,  2726,  7183, 74880, -4897,  2657,  2768,
     123, -4897,   197, -4897, 21217, 28212, 46698, -4897,  1385,  2473,
    2631,   631,  2674, 59410,  2445, -4897, -4897, 74880, -4897, -4897,
   97987,  2521, -4897,   817, 59410, -4897,  2651,  2493, 44875, 74880,
   59410, -4897, -4897, 59410, 74880, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897,  2597,  2781, 74880, 97987, -4897,  2737, 74880, 74880,
   -4897,  2466, -4897, -4897, -4897, -4897,  1867, 74880,  2484,  2897,
   97987,  2715,   359, 74880,  1628,  2935, 74880,  2721,  1628,  2553,
   83980, -4897, -4897,  1628, -4897, -4897, -4897, 74880, 74880,  2503,
    2209,  2724,  2841,  1628,  2753,  2960,  2965,  2758,  2615,  2786,
    2222,  2952,  2761,   994,   993,   179,  1979,  1628,  2632, 84435,
   84890, 74880,  2634, 74880,  2997, 59410, 59410, 74880,  2920, -4897,
    2779, -4897, -4897,  1260, -4897, -4897, -4897, -4897, -4897,  2933,
   -4897,   174,   857,  2939,  2612,  2944, -4897, -4897, -4897,  2664,
   -4897,  2664,  2664,  2620,  2620,  2798,  2622,  2951, -4897, -4897,
   -4897,  2310,  2664,  2620, -4897, 98869, -4897,  1541,  1609, -4897,
     313, -4897,  3066, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897,  2625, -4897,   884,  1785, -4897, -4897,  2662, -4897,  2955,
     316, -4897,  2959, -4897,  2629, 85345, -4897, 85800, 86255,  2962,
     317, -4897, 55315,  2963,   316,  2966,  2629,  2969,   316,  2970,
     857,  2973, -4897,  1088,  2948,  2974,   313,  2978,  1988,  2629,
   58955,  2985,   319, -4897,  2986,   360, -4897,  2991,  2842, 28212,
   -4897,  2759, -4897,   842, -4897,  1285, -4897, 49855, -4897,  2157,
    1651, -4897, 74880,  1651, 74880,  1651, 74880,  1651, 74880,  1651,
   74880, 74880, 74880,  1651, -4897, -4897, -4897, 74880,  2667, 74880,
   74880, -4897, -4897, -4897, 64870, 55315, 65325, -4897, 74880, -4897,
     379,  1014, -4897, -4897, 97987,  3108, 55315,  2997, -4897,  1679,
   -4897, -4897, -4897, -4897, -4897, -4897,  2923, 74880,  2992,  2996,
   64870, 55315, -4897, 86710, 58500,  2880,  2681, -4897, -4897, -4897,
   -4897, -4897,  1841,  3151,   296,  3152, 28212,  2685,   296,   296,
    2686,  3007, -4897, -4897, -4897,   294,  2692,  2697, -4897,   200,
     200, -4897,  2699,  2701, -4897,   252,  2702,  2703,  3173,  3174,
     257,  2706,  2707,  2711,  2310,   296, 28212, -4897,  2718,   200,
    2722,  2723,  2728,  3190,  2731, -4897,  3203,  2735,   238,   312,
    2736,  2739, -4897,  2699, -4897,   264,  2743,  2745,  2751,  2752,
    2754,  2762,  2763,  2765, 28212, 28212, 28212, -4897, 24908,  1385,
    1014, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,   273,
    6959, -4897,  2773, -4897, -4897,  2967, -4897, -4897, 28212, -4897,
   -4897,   105, -4897,   283, -4897, -4897, -4897,  1385,  3034,  2774,
   -4897, -4897,  1350,  2776, -4897,   382, -4897, -4897, -4897, -4897,
   -4897, -4897, 57590,  3208, -4897,   311,  1014,   197,  1367,  3156,
   48945, 49400, -4897, -4897,  3023, -4897, 74880, -4897, -4897,  1385,
     165, -4897, -4897, -4897, -4897,  1776, -4897, -4897, -4897,   528,
   17706,  1798,  2174, 74880, 74880,  3218, -4897, -4897, -4897, -4897,
    1805, -4897, -4897,  2777, -4897,  2222, -4897, -4897,  2005,  2005,
   28212,  2005,   795,  1705, 26796, 28684,  3098,  2993,   244,  1501,
    3105, -4897,  3002,  1514,  1677, 68965, 74880, 87165,  2911, 28212,
    2874,  2876,  2930, 48063, -4897,  2883,  2846,  2884,  2938, 51675,
    2806,  2889,  2890,  2943, -4897,  3063, -4897, -4897,  2895,  2896,
   87620, -4897, -4897,  1011, -4897, -4897, -4897,  1011, -4897,  2829,
     194,   198,   300,  2903,   452,   201,  3217, -4897,  1519, -4897,
   -4897,  2961, -4897,  5579, 74880,  3157,  7680,  3033,   289,  3037,
    2964, -4897, -4897,  3087,  2913, 74880,  2918,  3055,   289,   262,
   88075, -4897, -4897, -4897, -4897, -4897, -4897,  5857, 24025, -4897,
    1788,  2924,  2904,  2932, 74880, 62140,   355,  3031,  3053,  3054,
    1511,   356,   255,  2987, 74880,   263,  3070, 74880,  2855,  2940,
    2942,  3150,  2864,  1476,  3255,  2863, -4897, -4897, -4897, -4897,
    2098,  2118,  3057, -4897,  3159,  3202,  6853,  2931,  2941, 95782,
   -4897,  2977,   931, 45331, 74880, 74880,  3088,  2980,  2981, 88530,
    5857,  2975,  2982,  2984,  2988,   639,  3250,  1577,  2989, -4897,
   -4897, -4897,  1577,  3092,  2998,  2999, 88985,  5857, 74880,  3001,
    3004, 74880, 98869,   289, -4897,  3329,   289,   289,  1945,  3334,
    3005,   444,  3143,  1351,  1628,  2863,  2946, -4897,  3006,  3009,
     455, -4897,  3118,  3010,  3011,  3049,  1014, -4897, -4897,  3014,
    3089,  3016,    36, -4897, -4897,   -13,  3026, 68965,  3113,  3124,
     411,  1832,  2863, -4897,  3020,  3024,  2864,  2864, 74880, 74880,
   74880, 74880, 74880,   218,  3376,  3378,  3027,   206,  3080,  2947,
   -4897,  1577, 54405,  3029, -4897,  1577, 74880,  3035,  2071,  2863,
    1547,  1549, -4897, -4897, -4897,  1191, -4897, 28212, 28212, 28212,
    2954, -4897,  2062, 17706,    79, -4897,   295,  9200,  2953, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, 74880, -4897, 74880, -4897,  3222,
   97987,  3164,  3225, -4897,  2995, -4897,  3228,   289, -4897, 74880,
   74880,  3229,  3170,  3231,  3232,  3175,  1194, 97987,  3176,  3234,
   -4897,  3238,  3240,  3051,  3017,  3046, 48504, -4897,  2503,  2979,
    3420,  3310, 74880, 51675, -4897,  3434,  1011, -4897, 97987,  3191,
    3313, -4897, 74880,  3207,   607, -4897,  3352,  3048, -4897, -4897,
     914, 74880,   209,  3030, -4897, -4897,  3323, 55315,   305,  3325,
    1014,  3043,  3331,  3209,  1014, 55315,  3258, 74880, 74880, 74880,
   74880, -4897, -4897,  3227,  1058,   654, -4897, 54405,  3241, -4897,
   74880,  3242,  2946,  3243,  3459,    64,  1867, 89440,  3340, -4897,
   89895,  3025,  3025,  3465, 97987,  3286, -4897,  1890, -4897,  3162,
   -4897, 59410, -4897, -4897, 59410, -4897, -4897, -4897, 97987, 74880,
   -4897,  3039, -4897, -4897, 28212, -4897, -4897, -4897,  2328, -4897,
   97987,  2664,  2664, -4897, -4897,  3470,  3115,  3122,  2328, -4897,
    2328, -4897, 97987, -4897,  3044,  3045,  2328,  3127,  3130,  3131,
   -4897,  3056,  3133,  2328, -4897, -4897,  1954, -4897, -4897, 59410,
   59410, -4897, 55315, 55315,  3373,   319,  3385,  3116,  3387,  3119,
   45331, 45331, -4897,   423, 59410, -4897, 55315, 59410, -4897, 74880,
   -4897, 74880, -4897, -4897, -4897, -4897, 97987, 97987, -4897, 55315,
   54405,  3392,  3393,   857, 74880, 74880, -4897, 74880, 74880, -4897,
   74880, 74880,  1826, 90350,  2157, 58045, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, 74880, -4897, 74880, -4897, 74880, -4897,
   74880, -4897, 74880, -4897, -4897, -4897, 74880, -4897, 74880,  1844,
   -4897, -4897,  1845,  1455, 74880, 74880,   786, 59410, 74880,  3279,
   59410, 59410, 74880, 74880, 74880, 74880, 74880,  3148,  2776,  1286,
   -4897,  1159,   814, 68965,  3288, -4897, -4897,  1850,  2129,     5,
   74880,  1005,  1965, -4897, -4897, 65325, 64415,  3381,   140, 74880,
   -4897, -4897,  6272, 28212,  1385, 25852, -4897, -4897, 17706,  3117,
   28212, 28212,  3074,  2328,  2328, -4897,   241, 28212, 28212, 28212,
    2328,  2328,  2355, 28212, 45331, 28212, 33404, 22163, 28212, 28212,
   25380, -4897, 28212,  3304, 34808, 28212,  1367,  3308, 28212,  1367,
    2355,  3547,  3547,  3237,  6863,  3084,  1385, -4897,  2328,  1024,
   -4897,   383, 97987, 28212, 28212, 28212, 28212, 51675,  3171,   237,
   74880, 28212,  3094,  1977, -4897, 28212, -4897,  3095, 28212,  3168,
     823, 28212, 28212, 28212, 28212, 28212, 28212, 28212, 28212, 28212,
   -4897, 36179,   439,  3398,  3417,    16,   591, 72605, 26324,  3410,
   21217, -4897,   286,  3410, -4897, -4897, -4897, 74880,  3208, -4897,
   -4897,  3177, -4897, -4897, -4897, -4897, -4897,   297, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897,  3099, -4897, -4897, -4897, -4897,
    3099, -4897,  3101,  3404,  3405,   857, 74880,   338,  2168, -4897,
   28212, -4897,  1871,  3104, 74880,  2282, 74880, -4897,  3382, -4897,
    3110, -4897, 14784,  3382, -4897, -4897, 33870,  3230,  3380,  3316,
   -4897, -4897, -4897,  3129, 17706, 29156, 29156, -4897,  2141, 17706,
    2151, -4897, -4897, -4897, -4897, -4897, -4897,  1031, -4897, 74880,
     114,  3098,  1501,  3182,   163,  3556, 74880, -4897, 41209,  1916,
   55315, 74880, 74880,  3317, -4897,  3541, -4897, 98869, -4897,  3134,
   -4897, 98428, 94445, -4897, -4897,    59, -4897,   774, 55315, -4897,
   74880, 74880, -4897, 51675, 55315, 74880, 74880, -4897, 55315, 74880,
   74880, -4897, -4897, -4897, -4897, -4897, 50310,   771, 64415,  3265,
   63505, -4897, -4897,  3139, 74880,  3197,  3403,  3406,  1003, -4897,
   -4897, 90805, -4897,  3358, 55315, 74880, 74880, 28212,  3359, 74880,
   74880, -4897,   545,  3226,  3244, -4897, 74880,  3246,  3383, 59410,
    3146, 74880, 74880, 97987,  3223,   830, 59410,  3194, 45787, 59410,
   59410, 74880, 74880, 74880, 74880,  3280,  3467, 97987, 74880,  3412,
    1244, 68965,   191,  2298,  2863,  3370, -4897,  3485,   837, -4897,
   55315, -4897, 74880,  3366, -4897, -4897, -4897, 73060,  3593,  3272,
   -4897, -4897, 91260, -4897, -4897, -4897,  1930, -4897, 55315, 55315,
   74880,  8374, 91715,  1161,  3384, -4897, -4897, 97987, -4897, 74880,
   73515, 74880, 74880,  3492,  3419, 74880, 66235, 92170, 92625,  1131,
    1137,  3422, 74880, 66690,  3423, -4897,  3309, 74880, -4897, -4897,
   52130, 55315, 74880,  1010, 51675, -4897, -4897, 74880, -4897,  3389,
     266, -4897, 74880, 10399, -4897, -4897,  3248,  3263, 74880,  3388,
     344,  2299,  2863, 74880, 74880,  3172,  1934, 55315, 74880, 51675,
   -4897,  3390,    71,  3510, 55315, 74880, 73060, -4897, 68965, 68965,
   55315, 74880, 68965, -4897, 74880, 83525, -4897, 55315,  1406, -4897,
    3512, 55315, 74880, 73060, -4897,  3338, 55315, 74880,  8143, -4897,
   -4897, -4897,   289, -4897, -4897, -4897, -4897, -4897, 74880, 74880,
     289, 74880, 74880,   289,  1423, -4897, 55315, 74880, -4897, -4897,
   -4897, 55315, 74880, 74880, -4897, 55315,  3030, 74880, 51675, -4897,
   74880,  7459, 74880, 74880, 74880, 74880, 74880, 74880, 55315, 74880,
   -4897, -4897,  1388,  1366,  1272,  1480,   272, 74880,  3481, 74880,
   93080, 55315, 74880, 74880,  1014, 74880,  1540, -4897, -4897,  3311,
   -4897, 55315,  1406, -4897,  9683, 74880, 74880,  3268,  3274,   301,
    3356, -4897, -4897, -4897,   628,   628,  3395, -4897, 28212, 28212,
   27268,  3198, -4897, -4897, 28212, -4897, -4897, -4897,   918,  3639,
   93535,   918, -4897,   918,  3466,  3259,  3260,   918, 74880,   918,
     918, 74880, -4897, -4897, -4897, -4897,  3461, 74880,   918,   918,
     918,  3379,  3416,   166,  3494,  3233,  1938, -4897, -4897, 28212,
   97987, 74880, -4897,  1940, -4897,  3235,  1058, -4897, -4897, 51675,
   74880,   421,   757,  3542,  3425, 62595,  1400,  3533, 74880,  3262,
   74880,  3658,  3319, 68965,  2503, -4897,  1400, 74880, -4897,   171,
   64415, -4897, -4897, -4897, -4897, -4897, -4897, -4897, 74880, -4897,
   -4897,  3534, 74880, 28212,  3396, -4897,  1014,  2503,  2503,  2503,
    2503, -4897, -4897, -4897, -4897,  3431,  1887, -4897,  3236,  2503,
   74880,  3344,  3554,  1400,  3249,  3555, -4897,  2946,  3559,  1419,
   74880,  3442, 62595,  2012,  3270,  3454,  3676,  1867,  1014,  3460,
    3447, -4897, 24466,  2949,  6293,  3449,  3509, 58500,  3549,  3551,
    3567, -4897,   174, -4897,  3695, -4897, 28212,  1948,  3256,   313,
   -4897, -4897,  3261,  3045,  3277,  3278,  3264,  3266, -4897,  2328,
     215,  3267,  1048,   855,  3397,  2328,  3493,  3273, -4897,   316,
   -4897,  2629, -4897, 74880, -4897, 74880, 74880, 74880, 74880,   317,
   -4897, -4897,   316,  2629,   316,   857, -4897,  3522,   313,  2629,
    3394,  3582, 58500, -4897,   319, -4897,   360, -4897,  3474,   857,
   -4897,  3491,  1867, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897,  1964, -4897, 74880, -4897,  3562,  3563,  3565,  3566,  3568,
    3281,  3283,  3321, 74880,  3287,  3281,   289,  3287,  3287,  3281,
    2776,  2776,  3281,  3283, 54860,  3734,  3588, -4897,  3371,  3293,
    3605,   186, -4897,   188,   973,  3527, -4897, -4897, -4897, -4897,
   97987, -4897, 55315,  3333, 74880, 74880, -4897,   346,  3502,  3294,
   54860,  3721,   857, -4897, 59410, -4897, -4897, 97987,  3386,  3400,
   59410,  3515,  3349, 59410, -4897, -4897, 59410, -4897, -4897, -4897,
   -4897, -4897, 97987, -4897,  3569, 74880, 74880,  1968, -4897, -4897,
    1719, -4897,  1752, 28212,   214, -4897, 15625,  1972, 28212,  3312,
    3314, -4897, -4897, -4897, -4897, -4897, -4897, -4897,  3315,  3622,
   -4897,  1978,  1984,  1993,  3318,  3320,  3765,  3326, 16028,  3327,
    3322, 33404, 33404, 24908,  2901, -4897, 33404,  3328,  3507,  2036,
   11459,  3332,  3336, 16715, 27740, 28212, 27740, 27740, 16863,  3332,
    3341,  2044, 51675,  3501, 17232,  2052, -4897, 28212, 51675,  6318,
   28212, -4897, 28212,  3346, -4897, -4897,  4567,  4567,  4567,  2355,
   -4897,  3343, -4897, 33404, 33404, -4897,  2437, 24908, -4897, -4897,
    3635, -4897, -4897,  2008, -4897,  3330, -4897, -4897,  3679, 45331,
    5848, 28212,   420, 28212,  3094, 28212,  3411,  4567,  4567,  4567,
     566,   566,   293,   293,   293,  1469,   591, -4897, -4897, -4897,
    3335,  3339,  3345,  3535,  3348, 28212, -4897,  2085,  2251, 74880,
    2757,  3245,  5276, -4897, -4897, -4897, 37094,  3391,    79,  3391,
   -4897,  1191,  2328,  1024, 49855, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, 74880, 17706, -4897,  2129, -4897, -4897, -4897, 28212,
   -4897, -4897,   617,  3364,    76,  3537,  2240,  2240,  2141,  3557,
   -4897, -4897,  3414, -4897, 28212,  2234, -4897,  2294, -4897, -4897,
   -4897, -4897,  2776, -4897,  3595, -4897, -4897, -4897, 37094,  3399,
    3407,    25, 40294,  3570, -4897, 74880, -4897, 74880,   364, -4897,
    3369, -4897, -4897, -4897, -4897, -4897, -4897, 94445,  1785, -4897,
   98428, -4897, 98428, -4897,  1785,  3781, -4897, 94445,  1642, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, 55315, 55315,  3571, 74880,  3573,  3572, 28212,   770,
   74880,  3361,  3374,  1234,  3652, 74880, -4897,  3701,   857, -4897,
   -4897,  3455, -4897, 17706, -4897, -4897, -4897, -4897, -4897, 55315,
   74880, -4897, 58500, -4897, 74880, -4897, 97987, -4897, -4897, -4897,
   74880,  3408, 74880, -4897, 74880, 74880, 74880, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897,  1195, 97987, -4897, -4897, 74880, 74880,
     812,  3456,  3457, 74880, -4897,  1313,  3118,  9774, 74880, 74880,
   74880,  3655, 74880, -4897, -4897, -4897, -4897,  3596, -4897, -4897,
   94445, -4897,  2629,   120,  3462,  2863,  3606, -4897,  3716,  3590,
   -4897,  3508,   877, -4897, -4897, 74880,  3519, -4897, -4897, -4897,
   -4897,  3722,   857,  3724,   857, 74880, 74880, 74880, 74880,  3523,
   -4897, -4897, -4897, -4897,  3524,  3650, -4897, 51675, 51675, 51675,
    2061, -4897, -4897,  1014, -4897, -4897, -4897, -4897, -4897, -4897,
    3683, -4897,  2080, -4897,  1546, -4897, -4897, -4897, -4897, -4897,
   -4897, 55315, 74880, 10115,  3727, 74880, 74880, 74880,  1839, -4897,
    1101, 97987, -4897, 96223, -4897, -4897,  2082, -4897,  3413, 74880,
    3482, 55315,  3463, 74880, -4897, -4897, -4897,  3401,  3401, -4897,
   -4897,  3401, -4897, -4897, -4897,  3653,  3589, -4897,   958,  3591,
   55315,  3471, -4897, 74880, -4897, -4897, -4897,  3497, -4897, -4897,
    3498,  2610,  2863,  2946, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,  1394,
   -4897, -4897,  1036,   432,  2628,  2863, -4897,   309, -4897,  3499,
   -4897,  3500, -4897, -4897, -4897,  3654,  3661,  3662,  3504,  3505,
    3544,  3506,  3511,  3561, -4897,  3513,  3576,  3514,  3577,  3633,
    3516,   857, 97987,  3651,  1014,  3558,  3764,   857, -4897,  3517,
   -4897,  3518, -4897,  3873, -4897, 74880, -4897,  3521,  2643,  2863,
   -4897, -4897, 55315, 74880, -4897, -4897, -4897, 28212,  3448,  3450,
    3453, 17706, 17706, 28212, -4897, -4897, 17706,  3458, -4897, -4897,
   -4897, 97987, 74880,  3728, -4897, -4897,   918, 74880, 74880, -4897,
    3729, -4897, -4897,  3731, 74880,  3732, -4897, -4897, -4897, -4897,
     217, -4897, -4897, -4897,  3379,  3755, 42583, -4897,  3930,  7480,
    3469,   380, -4897, 51675, 42583,  1983,  2181,   182,  1628, -4897,
   58500, 74880, 58500, -4897,   757,  3590, 74880, 74880, 74880,  3480,
    3468, -4897, -4897, -4897, -4897, 55315,   849, 55315,  2328, -4897,
   -4897,  3531, -4897, 74880,  1867,  3942,  3791, -4897,  3401, -4897,
    3915,  2965,   305,  3634,  1629,  2615,  3856,  2222,   367, 51675,
    3270, -4897, -4897, -4897, -4897, 74880, 74880,  1058,  1014, -4897,
    3490,  3489, -4897, 74880,  3810, 74880, 74880, 74880, 74880,  3333,
    3495, 74880,  3503, 97987,    82,  3703,  3704,  2864,  3937,  3833,
    2129,  3270,  3587,  3837, 68965, -4897,  2084,   141, -4897,  1014,
   58500, 95341,  3826, -4897,  6293, -4897, -4897,  6293,  1211, 74880,
    3811, -4897, -4897,  2129, -4897, 97987,  2093, -4897, -4897, -4897,
    2328, -4897, -4897,  1460,  1460,  3520, -4897,  3525, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897,  3526, -4897, -4897, -4897,   319,
    3574,   857,  3579,   857, -4897, -4897, -4897, -4897, 74880, -4897,
   74880, 54405,   857, -4897, -4897, 74880, -4897,  3841, -4897, -4897,
    3645,  3647,  3648,  3656,  3659, 74880,  3281, -4897,  3528, 55315,
    1396, -4897, -4897,  3723, -4897, -4897, 68965,  3641, -4897, -4897,
   -4897, -4897,  3859,  3860, -4897, -4897, -4897,   856, -4897, -4897,
   -4897, 55315, 64870,   461, 55315, -4897,  3799,  3800, -4897, -4897,
    3804,   289, -4897,  3805,  3806,  3807, -4897,  3808,  3809, -4897,
   -4897, -4897,  3548, 17267, 28212, -4897,  3882, 97987, -4897,  7506,
   -4897, -4897, -4897, 28212, -4897, -4897, -4897, -4897, -4897, 28212,
   -4897, 28212,  3858, -4897, 22636,  4013,  4013,  3550, 97987, 33404,
   33404, 33404, 33404,  1621,  2722, 33404, 33404, 33404, 33404, 33404,
   33404, 33404, 33404, 33404, 34342,   600, -4897,  3745, 28212, 28212,
    3869,  3858, -4897, 97987,  3575,  3332,  3578,  3581, 28212, -4897,
   -4897,  2097, 35265,  3583, 51675, -4897, 28212, 15079,  2108,  3600,
   17358,  1385,  7882,  1014, 28212,  3136,  5102, 28212,  2112, 28212,
    3867, -4897, -4897, -4897,  3560, -4897, -4897, 97987, 28212,  3585,
    3752, 33404, 33404,  3818, -4897,  4234, 28212, 24908, -4897,  3395,
    3598, 41666, -4897, 23109,  3584,   693,   693,   693,   693, -4897,
   74880, 74880, 74880, 37551,  3870,  3564, 36636, 73970,  3597,  1981,
   -4897, 73970, 74425, 73970, -4897,  3586, -4897,  1385, 28212,  3871,
    3594,  3871,   197,  3599, -4897, -4897, -4897,  3601, -4897,  3592,
   -4897,  3364,  1105, -4897, -4897, -4897,  3774, -4897, -4897, -4897,
   -4897,  3597, 29628,  3715, -4897, -4897, -4897,  3626,  2135, -4897,
   -4897,  3969,  3715, -4897, -4897,  2136, 41209,  3399, 28212,  1385,
    2178,  1731, -4897, -4897, 94445, -4897,  3660,  2629,  2629,  1565,
    3281,  3894,  1565,  8361, -4897, -4897, 38008, 74880, 74880, -4897,
   74880,  2179,  1632, 74880, -4897, 74880, -4897, -4897, -4897, -4897,
    4022, -4897, 74880, -4897, -4897,  3643,  3665, 74880, 74880, 74880,
   74880,  3848, -4897, -4897,  2286, -4897, -4897, 55315, 74880, -4897,
   -4897, -4897,   431,  2749,  2863, -4897,  3682, -4897, -4897, -4897,
    3872, -4897,  4031,  3699, 74880,  3946, 74880,  3619, -4897,  1632,
    3725,  3928,   225,  2864,   444,  6218, -4897,    96, -4897, -4897,
    3694, -4897, -4897, 74880, -4897, 74880, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897,  3753, -4897, -4897, -4897, -4897, 52130, -4897,
   -4897, 74880, -4897, 51675, 42583, 51675, -4897,  1183,   446,  2775,
    2863, 74880, -4897,  3705, -4897,  3708,  3709,  3766,   178,  1149,
    3712,  3717,  3767,  3636,  3640,  3642, -4897, 51675, 43051,  3795,
   74880,  2629,  3646,  3677, -4897,   322,  1014, -4897, -4897,  1014,
    2629,  1014, -4897, 74880, 74880, 74880, 51675, -4897,  4066,  3736,
   74880, 74880, 74880, 74880, -4897,  3700, -4897, 74880, 74880,  3967,
     203,  1995, 55315, 74880, 74880, 55315, 74880, 74880, 74880, 74880,
   74880, 74880,  3979, 74880, -4897,  4056,  3983,  2056,  4026,  3730,
   74880, -4897, 74880,  1014,  3118, 74880, 74880, -4897, -4897, -4897,
   -4897, -4897,  3395, -4897,  3657,  3924,   918, -4897,  3927,  3929,
     918,   918,  3934,   918, -4897, -4897,  1628, -4897,   217, 74880,
   -4897,  3592,  2098,  2118, -4897, -4897, -4897, -4897, -4897, -4897,
    3233, -4897, -4897,  2225, 74880, -4897, -4897, -4897, 74880,  3681,
   74880, 74880, 33404, -4897,  1933,  1521,   781, -4897,  3938, 74880,
    3030, -4897, -4897, -4897,  3855, 74880, -4897, -4897, -4897, -4897,
   -4897,   662,  3495, -4897,  3959, 62595,  2629, 55315, 55315,  2629,
   -4897, 97987,  3688,  3270, -4897,   838,  3768, 55315,   305,  1356,
   93990,  3043,  3726,  3895, 37094,  1394, -4897,  3687,  3850, -4897,
    3691,  3693, -4897, -4897, 74880,  3590, 54405,  2185,  2946,  4137,
     764,  1857, -4897, 63960,  3880,  3495,  3959, -4897, -4897, -4897,
    4095,  3790, -4897,  2129, 74880,  3333,  3790,  1014, 74880,  3197,
   -4897, 94445, 28212, 28212, -4897,  3706, -4897,  3707,  6293, -4897,
    3777,  3710, -4897, -4897, -4897, -4897, -4897,  3788,  3711, 74880,
   -4897,  3714, -4897,  3713, -4897, -4897, -4897, -4897, -4897, -4897,
   74880, -4897, 74880, -4897,   857, -4897,  3834, -4897,   857, 74880,
   74880, 74880, 74880, 74880, 74880,  3281,   289, -4897,  4021, 54860,
   -4897, -4897,  2195, 74880, -4897, -4897, -4897,  4086,   140,  4033,
   -4897, -4897,   961,   961,   961,  3985,   961,   961,   961,   961,
     961, -4897, 28212, 17706, -4897,  3737, -4897, 17706,  8986, 17706,
    3869, -4897,  2212, 28212, -4897,  2660,  2660,  2660,  4475,  4034,
   -4897,  1306,  3740,  2660,  2660,  2660,   475,   475,   236,   236,
     236,  4013,   600, 17706, 17706, -4897, -4897,  3741, -4897, -4897,
   -4897,  3332, -4897, 30100,  3883,  4145, -4897, -4897, -4897,  3770,
    3776,  3749, -4897, 28212, 30572,  3747, 98869,  3919, -4897,  1300,
   28212, 28212,  4426, -4897,  9044, 28212, 97987,  2217,  4426,   456,
   28212,  5209,  5222, 28212, 28212,  4589,  9517,  3754, 28212, 94886,
   -4897, -4897, -4897,  2253, 28212, 74880, 74880, 74880, 74880, -4897,
   -4897, -4897, 73970, 74425, 73970,  3762, 35722, 23567,  1981,  3763,
   74880, -4897, -4897,  3772, 37094,  3989,  3923, -4897, 37094,  3923,
    1917,  3923,  3991,  3830, 42123, -4897, -4897,  3773, -4897,  3963,
   -4897,  1788, 17706,  4188,  4074,  1014,  4074,  1014, -4897, 45331,
   -4897, -4897, -4897, -4897,  3987, 17706, 26324, -4897,  2129,  2117,
   74880,  1385,    66, -4897,  3792, 74880, -4897,  3715, 17706, -4897,
    3851,  2255, -4897, -4897, -4897, -4897, -4897, -4897, -4897,  3862,
   64415,  4090, -4897, 28212,  2273, -4897,  3822,  4190,   195,  2278,
    2289,  1632, -4897,  4072, -4897,  1550,  4070,   448, -4897,   857,
   -4897, 97987, -4897, 74880, 74880, -4897, -4897, -4897, -4897, 74880,
    2806, -4897, -4897, 74880, 74880, 74880, 74880, -4897, 55315, 74880,
   -4897, 74880, -4897, 51675,  2181,   322,  1933,  4084,  4007, -4897,
     289, -4897,  1933,  4009,   322, 74880, -4897, -4897,  2820, -4897,
   97987,   857,   857, -4897, -4897, -4897, -4897, -4897,  3815,  4217,
    3896, 74880, 74880, 74880, -4897, 74880, 55315, 74880, 74880,  2328,
    2328, 97987,  3812, -4897,  2328,  2328,  3814, -4897, 55315, 74880,
   74880, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897,  3899, -4897, 28212,  4230, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, 55315, 74880,  3903, -4897,  3904,
   -4897,   362, -4897, -4897, 74880, 74880, 74880, 74880,  4154, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, 74880,
   -4897, 74880, -4897, -4897,  1014,  1014, 97987,   857,   857, -4897,
   -4897, -4897, -4897,  3827,  4094,   918, -4897,   918,   918, -4897,
   -4897,   918, -4897,  3831,   410, -4897,  1632,  1289,  4139, -4897,
    4144, 28212, -4897,   965,  4475, -4897,  4197,  4275, -4897, -4897,
   -4897, -4897,  3030,  1867,  3893, 59410,  1094, -4897,  4125,   421,
    4049, 62595,   309,  1449,  3840,  3962, -4897,  2629,  2629,  3900,
   74880,  4282, -4897, -4897, -4897, -4897, -4897, -4897, 55315,  3463,
   -4897,  4065,   832,  4160, 74880, 28212,  3597, -4897,   176,  4163,
   -4897,  1014, -4897, -4897,  3970,  3270, -4897,  2129, 74880,  4058,
   62595,  3333,  2300, -4897, -4897, -4897,  3889,  4274,  2012, -4897,
     309,  3880,  1054, 74880, -4897,  3891,  4294, -4897, -4897,  4167,
    4062,  3861, -4897, 17706, 17706,  1014, 99310,  6293, 97987,  4174,
   74880,   175,  4140,   857, -4897,   857,   857, -4897, 74880, -4897,
    3281,  3281,  3281,  3281,  3281, -4897,  4068, -4897, -4897,  4130,
   -4897,   857, 54860, -4897, -4897, -4897, -4897, -4897,   961, -4897,
   -4897, -4897, -4897, -4897, 17706, -4897, -4897, -4897, -4897,  9832,
   33404,  4175, -4897,  3868, 97987, -4897,  3874,  2302,  2306, 34808,
    4030, -4897, -4897, -4897, 10305,  3926, 17706,  3978,  3875,  3876,
    4426,  4426,  9044,  2315, -4897,  4426, 28212, 28212,  4426,  4426,
   28212, -4897, -4897, 11144,  4063, -4897, -4897, 11195, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, 52585,  3881,  3501, 73970,  3884,
   74880,  1981, 37094, -4897, -4897,  1518, -4897, 37094,  4147, -4897,
   37094, 59410, -4897, 74880,  3886, 74880, -4897, 31044, 28212,  3920,
   -4897,  3920, -4897,  3887, 74880,  2774, -4897,    25, -4897, -4897,
    4277, 38008,  4236, 28212, -4897, -4897, -4897, -4897, 54860,  4096,
   54860,  1632, 11525,  4072, 38008, 46243, 74880, 74880, 74880,  4047,
    4072,  3892,  3030, -4897, -4897, -4897, -4897, -4897, -4897,  3897,
   -4897, -4897, -4897, -4897,  3973, -4897, -4897,    23,  3288, -4897,
    2319, -4897, -4897,  4335,  4225, -4897, -4897, -4897, -4897, -4897,
   -4897,  4056, -4897, -4897, 42583, 55315, 74880, -4897,  3980, -4897,
   -4897, -4897, -4897, -4897, 39837, 45331, -4897,   178,  3902,  3905,
    1149, -4897, -4897, -4897, 74880, 12142,  3906,    45,  3288, 74880,
   74880,  3907,  3909,  3911,  1409,  1291,  1734,  3281,  4216, -4897,
   -4897, -4897, -4897,  4056, -4897, -4897, -4897,   918, -4897, -4897,
   -4897, -4897, 51675, -4897,  3065, -4897,  1628,  4258, 59410,  4343,
    4343, 74880, -4897, 12168,  4127, -4897, -4897,  4207,  3893,  4152,
    4198, -4897,  3917, 74880,  4088,  3922, 74880,  3925,  4041,  1063,
    1063, 74880, 74880, 74880,  2321,  2129,  2629,  3677,   305,  4249,
   62595,  4292,  3590,   368, -4897, -4897,   176, -4897,  1402,  4266,
    3968, -4897, 74880,  4367,  3333,  3495, 74880,  3931, -4897, -4897,
   63960,  4131,  2181, 99751,  3704,  3880,  2012,  4069, -4897,  4071,
   -4897,  1228, -4897,  2129, 74880, 68965, 38008, -4897, 98428, -4897,
    2337, -4897, -4897,  4000,  3391,  4043,  4045,  3933, 74880,   688,
   -4897, -4897, -4897, -4897, -4897, 74880, -4897,   461, -4897, -4897,
    5114, 33404, 97987,  2352, 28212, -4897, 28212, -4897,  4362, -4897,
   -4897, -4897,   107, -4897, -4897, -4897,  4426,  4426,  4426, -4897,
    4364,  3395, -4897, -4897,  2353,  4383, 32460,  4344, -4897, 74880,
    2357, -4897, 28212,  3948, -4897, -4897, 37094,  1518,  3950,  2359,
   74880,  2361, 97987,  3951,   990,  3952, 21690,  3949, -4897, -4897,
   -4897, -4897, -4897, 17706, 17706, 74880, -4897, -4897, -4897, -4897,
    3997, 74880,  2368, -4897,   728, 17706,  1396,  1565,   461,  4190,
    3030, -4897,  3954, -4897, -4897, -4897,   377,   377, 74880,  3030,
   74880,  3893, -4897, 74880,  4046, -4897, -4897, 51675,  4251, -4897,
    4015, -4897,    46,  3288, 74880, 97987, -4897,   145,  4278, -4897,
   97987, 97987, -4897, -4897, -4897, 28212,  4052, -4897, -4897, -4897,
    1039,   428, 61685, -4897, -4897, 74880, 74880, 74880, 74880, 74880,
     857, -4897,  2374, -4897, 38922, -4897, -4897,  2935,  1014,  2935,
    1371, -4897, -4897,  2935, -4897,  2935, -4897,  3831,  1014,  4343,
     307, -4897, -4897, -4897,  1863,  4183,  3965, -4897,  1123,  4172,
    4057,  3971, -4897, 59410,  4437,  3495,  3959, 74880, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897,  2375,  3590,
    4295,  3270,  3891, -4897, 74880,  4003, -4897, 37094, -4897, -4897,
   -4897,  2935, -4897,  1587,  3974,  4304,  3590,  2129, -4897,  3880,
    3495,  3959, -4897, -4897, -4897,  3976, -4897,  3790,  2012,  3704,
   -4897, -4897,  4385,  4181,  4389,  3333, -4897,  3197,  2376, -4897,
    6293, 99310, 97987,  4329,  4020,  4023, -4897, -4897,  4037, 74880,
   -4897, -4897,  3590, -4897,  5114,  2392, -4897,  2398,  2411,  4146,
    4038, -4897, 28212,  1181,  3586, 52585,  3990, -4897, 33404,  2415,
   -4897,  4256, 74880,  2433, -4897, 17706, 74880, -4897, -4897, 28212,
   -4897,  2460, -4897, 28212,  3993, 28212, -4897, 31044,  3992, -4897,
    4433,  2129, -4897,  3391, 38008, -4897,  4113, -4897,  4308, -4897,
   74880,  3893, 45331,  3364,  3364,  1867,  3893,  2462, -4897, -4897,
   74880, -4897,  3965, 28212, -4897,  4089, -4897, -4897,  2470,   745,
    4158,  4158,  2472,  2476, 12811, 74880, -4897, -4897, -4897, -4897,
   -4897, -4897,  2481, -4897, -4897, -4897, -4897,  2482, -4897,  2489,
    2328,  3283,  1734,  3283, -4897,  3281, -4897, -4897, 51675, -4897,
   53040, -4897, -4897, -4897,  1014, -4897,  1014,  4215, 74880, 47608,
    1014,  1014, -4897, -4897, -4897, -4897, -4897,  4345,  4283, -4897,
    2946, -4897, -4897, -4897, -4897,   481, -4897,  4209,  4210, 74880,
   -4897,  4008, -4897,  2490,   309,  4132,  3590, -4897, -4897, 74880,
    4452,  4453, -4897,   836, 74880,  3597, 74880, -4897, -4897, -4897,
   28212,  1108, -4897,  3891,  2012,   309,  3880,  2181, 38465, -4897,
    3704,  3790,  4222, -4897,  4223, -4897,  4027,  4309,  6293, -4897,
   -4897,   333,  4331,  4338, -4897, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897,  3332, 31516, 31516, 31516,  4025, -4897, -4897, 74880,
    4475,  4040, 32460, 51675,  2514, -4897, 96664, -4897,  2520,  2526,
   -4897,  2538, 31044,  2543, -4897, 74880,  4035, -4897, -4897, -4897,
   41209, 54860,   377,  4078,  4029, -4897, -4897,  4152, -4897, -4897,
    1632,  3288, -4897, 17706, 74880, 59410,  4463, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897,  3288,  4133,  1039, -4897,   428, -4897,
   61685, -4897, 74880, -4897, -4897,  2544, -4897, -4897, -4897, 74880,
    3687, -4897,  3687, -4897, -4897,  4186, -4897,  1596,   889,   889,
    4403, -4897,  4114, -4897, -4897,  4054, -4897,  4526,  4185, 74880,
   -4897, -4897,   178,  2129, 62595,  3590, -4897, -4897, 13216, -4897,
   -4897, 59410, -4897,  3704,  3880,  2012, 28212,  2550, -4897,  4190,
     195,  3790, -4897, -4897, -4897, 38008,  4060,  3270, -4897, -4897,
    2169, 59410, 59410, 32932,  4200,   792, 15544,  4394, -4897,  4394,
    4394, -4897,  2552, 34808, -4897, -4897, -4897, 74880,  4264,  1281,
   -4897,  4219, -4897,  2556, -4897, -4897, -4897,  1323,   461,  3364,
    4067, -4897, -4897,  4172,  1632, -4897,  3288, -4897, 74880, -4897,
    4073, -4897, -4897, -4897, -4897, -4897, 53040,  3687,  3968, -4897,
   -4897,  4523, -4897,   903, -4897, -4897, -4897, -4897, 74880,  3590,
    3812,  3891, -4897, -4897,  4080,  3790,  2012,  3704, 13625, -4897,
   38465, 74880, 74880, -4897,  2558, 38008,  3790, -4897,  2267, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897,  4077,  4079,  4513, -4897,
   -4897, -4897, -4897, -4897,  1121, -4897, -4897, -4897, -4897,  3501,
   -4897, -4897, 33404, 33404,  4287, -4897,  1281, -4897,  4085, -4897,
   -4897, -4897, -4897, -4897, 28212,  1632, -4897, -4897, -4897,  1039,
   -4897,  4413, -4897, -4897, -4897,  3590, -4897, -4897, 51220, -4897,
    3704,  3790,  4190, -4897, -4897, -4897,  4309, -4897,  2566,  3391,
    2171, -4897, -4897,  2197,  2226,  4166,  4399, 31988,  4224, -4897,
    4289, -4897,  4489,  4475,  4475, -4897, -4897, 28212, 13960,  1632,
    2585,  1108, -4897, -4897,  2591, -4897, -4897, -4897, -4897,  3790,
   -4897, 74880,  3270, -4897, 38008, -4897, -4897,  2267,  4202,  4206,
   -4897, -4897, -4897, 74880, 14254, -4897, -4897, 59410, -4897, 51220,
   -4897, -4897,  3790, -4897, -4897,  4142,  4143,  2593, -4897,  4093,
   -4897,  3391,  4409,  4411, -4897, 51220, -4897, 59410, 59410,  2595,
   -4897, -4897, -4897
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1671,  1447,   632,  1533,  1532,  1447,     0,   255,     0,  1537,
       0,  1447,   426,  1125,     0,     0,     0,     0,   632,  1447,
       0,  1671,     0,     0,     0,     0,     0,  1684,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1447,     0,     0,
    1691,     0,     0,     0,     0,  1684,     0,  1539,     0,     0,
       0,     0,     0,     2,     4,    37,    72,    73,    31,    30,
      92,    55,    18,    63,   126,   125,   127,    42,    38,    80,
      26,    28,    39,    43,    65,    67,    45,    56,   104,    64,
      24,    62,    87,    68,    90,    50,    12,    13,    51,    14,
      52,    15,    53,    16,   100,    74,    93,    35,    61,    23,
      44,    70,    71,     5,    46,    82,    78,    11,    57,    58,
      60,    84,    85,    86,   109,    88,   121,    41,   118,    97,
      98,   115,    99,   116,     9,   101,    54,    17,   112,   111,
     113,    81,    47,    83,    69,    91,   110,    27,   114,    19,
      20,    22,    21,    59,    29,    66,    32,    89,   117,   107,
     103,   122,   120,   128,   105,    75,     7,     8,    94,     6,
      25,    49,    10,    34,    33,    48,    40,   124,    36,  1537,
      96,   108,    95,    76,   102,    79,   106,   123,    77,   119,
    1644,  1643,  1693,  1647,  1670,     0,  1659,  1446,  1445,  1431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1457,  2273,  2288,  2289,
    2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,
    2300,  2301,  2302,  2303,  2628,  2304,  2305,  2306,  2578,  2579,
    2629,  2580,  2581,  2307,  2308,  2309,  2310,  2311,  2312,  2313,
    2314,  2582,  2583,  2315,  2316,  2317,  2318,  2319,  2584,  2630,
    2320,  2321,  2322,  2323,  2324,  2631,  2325,  2326,  2327,  2328,
    2329,  2330,  2331,  2332,  2333,  2632,  2334,  2335,  2336,  2633,
    2337,  2338,  2339,  2340,  2341,  2342,  2585,  2586,  2343,  2344,
    2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,
    2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,
    2365,  2366,  2367,  2368,  2369,  2587,  2370,  2371,  2372,  2588,
    2373,  2374,  2375,  2589,  2376,  2377,  2378,  2634,  2635,  2379,
    2380,  2381,  2382,  2383,  2590,  2591,  2384,  2385,  2386,  2387,
    2388,  2389,  2390,  2636,  2391,  2392,  2393,  2394,  2395,  2396,
    2397,  2398,  2399,  2400,  2401,  2402,  2637,  2592,  2403,  2404,
    2405,  2406,  2593,  2594,  2595,  2407,  2638,  2639,  2408,  2640,
    2409,  2410,  2411,  2412,  2413,  2414,  2596,  2641,  2415,  2642,
    2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,
    2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2597,
    2643,  2598,  2435,  2436,  2437,  2599,  2438,  2439,  2644,  2440,
    2600,  2441,  2601,  2442,  2443,  2444,  2445,  2446,  2447,  2448,
    2449,  2450,  2451,  2602,  2645,  2452,  2646,  2603,  2453,  2454,
    2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2604,
    2464,  2605,  2467,  2465,  2466,  2468,  2469,  2470,  2471,  2472,
    2473,  2474,  2475,  2476,  2477,  2606,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,
    2492,  2493,  2494,  2495,  2647,  2496,  2497,  2498,  2499,  2500,
    2607,  2501,  2502,  2503,  2504,  2505,  2506,  2507,  2508,  2509,
    2510,  2511,  2512,  2513,  2514,  2515,  2516,  2608,  2517,  2518,
    2648,  2519,  2520,  2609,  2521,  2522,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,  2610,  2534,  2535,
    2536,  2649,  2537,  2538,  2539,  2540,  2541,  2542,  2611,  2612,
    2543,  2544,  2613,  2545,  2614,  2546,  2547,  2548,  2549,  2550,
    2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2562,  2615,  2616,  2563,  2650,  2564,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,  2574,  2617,  2618,  2619,
    2620,  2621,  2622,  2623,  2624,  2625,  2626,  2627,  2575,  2576,
    2577,   130,     0,     0,  2247,  2274,  2275,  2278,  2273,   397,
     396,  1634,  2241,  2274,  1536,  1514,   632,     0,  1434,   425,
    1671,     0,     0,     0,     0,     0,     0,     0,     0,   864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   178,     0,     0,     0,     0,   451,   450,     0,
       0,     0,  1093,   456,     0,     0,     0,     0,     0,   620,
    1583,  2465,  1581,  1635,   256,   259,   260,   257,   258,  2263,
       0,  1226,  1227,  1229,     0,     0,     0,  1239,   904,   905,
       0,     0,     0,   913,     0,     0,     0,   902,     0,     0,
       0,   918,     0,   915,     0,     0,   919,   916,   899,   917,
     906,     0,   898,     0,     0,  1239,   920,     0,     0,   900,
       0,     0,     0,     0,  1435,  1580,   457,  1671,     0,  1558,
    1559,  1560,  1537,  1549,  1561,  1554,  1556,  1555,  1557,  1553,
    2262,  2289,  1028,  1028,  1028,  1028,  1025,  1026,  1028,  1028,
    1028,  2485,     0,     0,  1007,     0,  1009,  2264,  1028,  1033,
     518,   518,   518,     0,  1032,  1037,   518,     0,  1428,  1466,
    2246,  1683,     0,  1008,  1427,  2543,  1572,     0,     0,  1254,
    1250,  1252,  1253,  1251,     0,     0,     0,  2503,  1439,   240,
    2514,  2611,  2543,   239,   234,   235,   208,  2293,     0,     0,
    1032,     0,  1436,  1437,   990,  1690,  1688,     0,  2228,  2313,
    2328,  2418,   231,  2496,  2504,  2514,  2611,  2543,  2574,   187,
     197,   192,     0,   249,  2514,  2611,  2543,   245,  1457,     0,
    1660,  1792,  2237,     0,  1430,  1429,  1538,     0,  1541,     0,
    2480,  1664,  1667,  1543,  1665,  1656,     0,     0,     1,  1671,
       0,  1548,  1687,  1687,     0,  1687,     0,  1648,  1656,  1651,
    1655,     0,     0,     0,     0,     0,     0,     0,   923,     0,
    1469,  2242,  1078,     0,     0,     0,     0,     0,     0,     0,
    1134,  1133,  2279,  2269,  2270,     0,  2267,  2268,  2280,  2281,
    2282,     0,  2390,     0,     0,     0,  2139,  2150,  2151,  2152,
    2317,  2373,  2147,  2148,  2149,  2141,  2142,  2143,  2144,  2145,
    2146,     0,     0,  1221,  2140,     0,  2390,     0,     0,     0,
     157,     0,   134,     0,     0,     0,  2390,     0,     0,     0,
       0,     0,     0,     0,  2390,     0,     0,     0,     0,     0,
     157,  2423,     0,   134,  2390,     0,     0,  1451,     0,     0,
       0,  1453,  1456,  1432,     0,  2220,     0,  2221,  2248,  1517,
       0,  2237,     0,     0,     0,   959,   952,     0,   960,   967,
       0,     0,   969,     0,     0,   953,     0,     0,     0,     0,
       0,   972,   973,     0,     0,   974,   954,   975,   955,   976,
     956,   977,     0,     0,     0,     0,   957,     0,     0,     0,
    1443,     0,  1574,  1576,  1575,  1573,   518,     0,     0,     0,
       0,  2390,     0,     0,   134,  1502,     0,  2390,   134,     0,
       0,   455,   454,   134,  2267,   453,   452,  2317,  2373,     0,
    1124,     0,  1386,   134,  2390,     0,   180,  2390,   706,  2390,
    1543,     0,   635,     0,     0,   819,  2423,   134,     0,     0,
       0,     0,     0,     0,  1096,     0,     0,     0,     0,   619,
     632,  1584,  1582,     0,  1230,   233,   232,  1228,   911,  2390,
    1166,   346,   346,     0,     0,  2390,  1488,  2276,  1867,  1896,
    1874,  1896,  1896,  1863,  1863,  2357,  1876,  2390,  1864,  1865,
    1901,     0,  1896,  1863,  1868,     0,  1866,  1904,  1904,  1891,
     346,   927,  1848,  1849,  1850,  1851,  1877,  1878,  1852,  1883,
    1884,  1888,  1853,  1918,  1863,  2277,   912,     0,   903,  2390,
     346,  1130,  2390,  2271,   167,     0,   901,  2317,  2373,  2390,
     346,  1223,     0,  2390,   346,  2390,   163,  2390,   346,  2390,
     346,  2390,   636,     0,     0,  2390,   346,  2390,  2423,   165,
       0,  2390,   346,   921,  2390,   346,  2239,  2390,     0,     0,
    1577,     0,  1551,  2615,  1566,     0,  1562,  1569,  1565,  1671,
    1028,  1027,     0,  1028,     0,  1028,     0,  1028,     0,  1028,
       0,     0,     0,  1028,  2265,  2266,  1010,     0,  1034,     0,
       0,  1041,  1040,  1039,     0,     0,     0,  1042,     0,  1796,
    1611,     0,  1425,  1442,     0,     0,     0,  1096,  1257,     0,
    1255,  1246,  1247,  1438,   238,   236,     0,     0,     0,     0,
       0,     0,  1444,     0,     0,     0,     0,  2250,  2252,  2253,
    2153,  2223,     0,  2579,  2580,  2581,  2212,     0,  2582,  2583,
    2584,  2630,  2049,  2036,  2045,  2050,  2037,  2039,  2046,  2585,
    2586,  1984,  2587,  2588,  2260,  2589,  2590,  2591,  2593,  2594,
    2595,  2596,  2041,  2043,  2597,  2598,     0,  2261,  2600,  2601,
    2447,  2603,  2604,  2606,  2607,  2047,  2609,  2610,  2611,  2612,
    2613,  2614,  2259,     0,  2048,  2616,  2618,  2619,  2620,  2621,
    2623,  2624,  2625,  2626,     0,     0,     0,  2234,     0,  2016,
       0,  1856,  1857,  1879,  1880,  1858,  1885,  1886,  1859,     0,
    2233,  1921,  2098,  2015,  2032,     0,  2021,  2022,     0,  2014,
    2010,  1673,  2229,     0,  2011,  2249,  2251,  2213,  1673,  2227,
     200,   251,     0,   252,  2235,  2514,   188,   230,   202,   229,
     203,   201,     0,  2315,   189,     0,     0,   190,     0,     0,
       0,     0,   248,   246,     0,  1433,     0,  1794,  1793,  2238,
     932,  1526,  1524,  1525,  1523,     0,  1520,  1522,  1540,  1537,
    2163,     0,  1666,     0,     0,     0,  1646,  1645,     3,  1531,
       0,  1529,  1545,  1547,  1527,  1543,  1685,  1686,     0,     0,
       0,     0,     0,     0,     0,     0,  1741,  1701,  1702,  1704,
    1738,  1742,  1750,     0,  1652,     0,     0,  1798,     0,     0,
       0,     0,     0,     0,  1165,     0,     0,     0,     0,     0,
     924,     0,     0,     0,  1475,     0,  1477,  1478,  1479,     0,
       0,  1480,  1481,  1469,   242,  1487,  1485,  1468,  1470,  1483,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,   171,
     172,     0,   648,   632,     0,  2390,     0,     0,     0,     0,
       0,  1173,  1180,     0,     0,     0,     0,     0,     0,     0,
       0,  1174,  1172,  1175,   244,  1184,  1203,  1206,     0,  1132,
    1135,     0,     0,     0,     0,     0,  1314,     0,     0,     0,
       0,  1314,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   267,   269,   280,   341,   611,
       0,     0,     0,   614,     0,  2390,     0,     0,     0,     0,
    1225,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1206,     0,     0,     0,     0,     0,     0,     0,     0,   132,
     133,   138,     0,     0,     0,     0,     0,  1206,     0,     0,
       0,     0,     0,     0,   597,   610,     0,     0,     0,     0,
       0,   607,     0,     0,   134,   272,   587,   593,     0,     0,
       0,   713,   712,     0,     0,     0,     0,  1402,  1401,     0,
       0,     0,     0,  1492,  1491,     0,     0,     0,     0,     0,
    1314,     0,   261,   263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   389,
     390,     0,     0,     0,   138,     0,     0,     0,     0,   274,
       0,     0,  1452,  1449,  1450,     0,  1455,     0,     0,     0,
       0,  2024,     0,  2167,  1693,  2165,  1150,  2219,     0,  2283,
    2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,
    2661,  2662,  2663,  2664,  2665,  2666,  2667,  2668,  2669,  2670,
    2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,  2680,
    2681,  2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,  2690,
    2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,  2700,
    2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,  2710,
    2711,  2712,  2713,  2714,  2715,  2716,  2717,  2718,  2719,  2720,
    2721,  2722,  2723,  2724,  2725,  2726,  2727,  2216,  2215,  2244,
    2284,  2285,  2286,  2287,  2222,     0,  1513,     0,   966,     0,
       0,     0,     0,   968,     0,   961,     0,     0,   958,  2317,
    2373,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     971,     0,     0,     0,   428,     0,     0,   816,     0,     0,
       0,     0,     0,     0,   827,     0,  1469,  1501,     0,     0,
       0,   641,     0,  2390,     0,   136,   865,     0,   817,   456,
       0,     0,     0,  1196,  1385,   136,     0,     0,   174,     0,
       0,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,   754,     0,     0,     0,   818,     0,     0,   136,
       0,  2390,   590,  2390,     0,   518,   518,     0,     0,  1095,
    1098,     0,     0,     0,     0,     0,  1638,  1640,  1639,     0,
    1637,     0,   344,   345,     0,  1213,   814,  1238,     0,     0,
    1895,  1882,  1890,  1889,     0,  1872,  1871,  1870,     0,  1869,
       0,  1896,  1896,  1894,  1873,  1848,     0,     0,     0,  1900,
       0,  1898,     0,   894,  1844,  1840,     0,  1907,  1908,  1909,
    1906,  1919,  1905,     0,  1854,  1910,  1863,  1860,   914,     0,
       0,  1207,     0,     0,  2390,   346,  2390,     0,  2390,     0,
       0,     0,  1215,   346,     0,  1209,     0,     0,  1211,     0,
    1403,     0,   910,   908,   907,   909,     0,     0,   892,     0,
       0,     0,  2390,   346,     0,     0,   887,     0,     0,   889,
       0,     0,     0,     0,  1671,     0,   219,   220,   218,  1567,
     221,  1568,  1564,  1550,     0,  1018,     0,  1022,     0,  1013,
       0,  1019,     0,  1014,  1011,  1012,     0,  1017,     0,     0,
     519,   521,     0,     0,  2340,  2356,     0,  2379,  2411,  2412,
    2471,  2499,  2504,  2510,     0,  2537,  2548,     0,  1043,  1073,
    1038,   724,     0,     0,  1621,  1426,  2170,     0,  1671,     0,
       0,     0,     0,   237,   209,     0,     0,     0,  1075,  2503,
    1441,   989,   632,     0,  2012,     0,  2019,  2020,  2211,     0,
       0,     0,     0,     0,     0,  2018,  2178,     0,     0,     0,
       0,     0,  1944,     0,     0,     0,  2191,     0,  2197,     0,
       0,  1981,     0,     0,     0,     0,     0,     0,     0,     0,
    1945,  1925,  1926,  2016,  2163,     0,  2017,  2256,     0,  1918,
    2232,  2153,     0,  2150,  2151,  2152,     0,     0,     0,  2226,
       0,  2161,     0,     0,  1959,  2159,  1961,     0,     0,     0,
       0,  2147,  2148,  2149,  2141,  2142,  2143,  2144,  2145,  2146,
    2157,  1941,     0,     0,  2100,     0,  1940,     0,     0,  1754,
       0,  2254,  2214,  1754,   253,   254,   250,     0,     0,   205,
     204,     0,   223,   227,   228,   199,   226,     0,   222,   207,
    2089,  2088,   206,   198,   195,   193,   210,   212,   213,   196,
     194,   247,     0,     0,     0,   346,  1548,     0,  1535,  1751,
       0,  1668,     0,     0,  1548,     0,     0,  1544,  1663,  1662,
    1694,  1695,  1116,  1661,  1721,  1722,     0,     0,     0,     0,
    1747,  1745,  1712,  1705,  1711,     0,     0,  1709,     0,  1713,
    1921,  1740,  1650,  1699,  1700,  1703,  1649,     0,  1743,     0,
    1624,  1741,  1704,  1608,     0,  1586,     0,  1799,     0,     0,
       0,     0,     0,  1145,  1147,     0,  1146,     0,  1149,     0,
    1158,     0,     0,  1144,  1163,     0,  1152,  1150,     0,  1490,
       0,     0,   925,     0,     0,     0,     0,  1476,     0,     0,
    2537,   241,  1479,  1484,  1471,  1482,     0,     0,     0,     0,
       0,  1077,  1076,     0,     0,  1100,     0,     0,     0,  1497,
     507,     0,   343,     0,     0,     0,     0,     0,     0,     0,
       0,   812,   809,     0,     0,   808,     0,   646,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     686,     0,  1314,     0,   718,     0,  1182,     0,     0,  1181,
       0,  1185,     0,     0,  1183,  1178,  1179,  2504,  2514,  2543,
     243,  1205,     0,  1204,  1200,  1127,     0,  1128,     0,     0,
       0,     0,     0,  2366,  2390,   285,   305,     0,  1313,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   328,     0,     0,   331,   330,
       0,     0,     0,     0,     0,   335,   314,     0,   315,     0,
       0,   334,     0,     0,   612,   613,     0,     0,     0,     0,
    1314,     0,   276,     0,     0,     0,     0,     0,     0,     0,
    1222,     0,   741,     0,     0,     0,  2504,  1201,     0,     0,
       0,     0,     0,  1389,     0,     0,   160,     0,   155,   159,
       0,     0,     0,  2504,  1202,     0,     0,     0,     0,   595,
     596,   609,     0,   600,   601,   598,   602,   603,     0,     0,
       0,     0,     0,     0,     0,   594,     0,     0,   708,   707,
     711,     0,     0,     0,  1398,     0,  1196,     0,     0,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1259,  1258,     0,     0,     0,     0,     0,     0,   855,     0,
       0,     0,     0,     0,     0,     0,     0,   162,   728,     0,
     727,     0,   156,   161,     0,     0,     0,     0,     0,     0,
       0,   217,  1448,  1454,  1693,  1693,  1693,  2030,     0,     0,
       0,     0,  1692,  2217,  2220,  1516,  2245,  1515,     0,     0,
       0,     0,   970,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   962,   963,   964,   965,     0,     0,     0,     0,
       0,   403,     0,     0,     0,  2276,     0,   843,   815,     0,
       0,     0,   829,     0,   832,   835,     0,  1467,   475,     0,
       0,   638,   686,     0,     0,   459,   169,     0,     0,     0,
       0,   743,     0,     0,     0,  1384,   131,   178,   180,   457,
       0,   179,   181,   183,   184,   185,   182,   186,     0,   705,
     709,     0,     0,     0,     0,   634,     0,     0,     0,     0,
       0,   756,   760,   759,   763,   761,     0,   757,     0,     0,
    1819,     0,     0,   154,     0,     0,   585,   589,     0,     0,
       0,     0,   459,   561,   357,  2390,     0,   518,     0,  2390,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1636,   346,  1167,     0,  1489,     0,     0,     0,   346,
    1893,  1892,  1845,  1841,     0,     0,     0,     0,   928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1861,   346,
    1131,   168,  2272,     0,   896,     0,     0,     0,     0,   346,
    1224,   884,   346,   164,   346,   346,   637,     0,   346,   166,
       0,     0,     0,   629,   346,   922,   346,  2240,     0,   346,
    1579,  2390,   518,  1552,  1563,  1015,  1024,  1023,  1021,  1020,
    1016,     0,  1035,     0,   517,     0,     0,     0,     0,     0,
    1051,  1052,     0,     0,  1048,  1053,     0,  1049,  1050,  1055,
    1045,  1044,  1056,  1057,     0,     0,  1075,   722,     0,     0,
       0,     0,  1618,     0,  1616,     0,  1797,  1620,  1609,  1571,
       0,  1570,     0,   578,     0,     0,  1256,     0,     0,  1032,
       0,     0,   346,  1440,     0,   991,   997,     0,     0,     0,
       0,     0,     0,     0,  1000,  1001,     0,  1002,   993,  1003,
     994,  1004,     0,   995,     0,     0,     0,     0,  2224,  2174,
       0,  2175,     0,     0,  2210,  2206,     0,     0,     0,     0,
       0,  2179,  2182,  2183,  2184,  2181,  2185,  2180,     0,     0,
    2186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2607,     0,     0,     0,     0,  1985,     0,     0,  2134,     0,
    2163,  2196,     0,     0,     0,     0,     0,     0,  2163,  2202,
       0,     0,     0,     0,  2087,     0,  2084,     0,     0,     0,
       0,  2223,     0,     0,  2257,  1922,  1936,  1937,  1938,  1942,
    2231,     0,  2225,     0,     0,  1923,  1950,     0,  2203,  1977,
       0,  1982,  1965,     0,  1958,     0,  1963,  1967,  1946,     0,
    1943,     0,  2226,  2162,     0,  2160,     0,  1933,  1934,  1935,
    1927,  1928,  1929,  1930,  1931,  1932,  1939,  2138,  2136,  2137,
       0,     0,     0,  2108,     0,     0,  1962,  2382,  2418,     0,
    1684,  1684,  1684,  1672,  1682,  2230,     0,  1814,  1693,  1814,
    2236,     0,     0,  1918,     0,  1795,   930,   931,   929,  1519,
    1521,  1534,  1548,  2164,  1542,  1671,  1528,  1530,  1546,     0,
    1114,  1115,     0,  1119,  2607,  2501,     0,     0,     0,     0,
    1714,  1748,     0,  1739,     0,  2250,  1715,  2249,  1716,  1719,
    1720,  1710,  1749,  1622,     0,  1744,  1654,  1653,     0,  1817,
       0,     0,     0,  1600,  1588,     0,  1800,     0,  1754,  1626,
       0,  2223,  1752,  1360,  1260,  1323,  1148,     0,  1863,  1159,
       0,  1143,     0,  1142,  1863,     0,  1160,     0,  1863,  1361,
    1261,  1324,   926,  1362,  1262,  1325,  1363,  1263,  1486,  1474,
    1473,  1472,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   793,  2390,   346,  1495,
    1364,     0,  1264,   342,  1496,  1326,  1500,   811,   810,     0,
       0,  1327,     0,   647,     0,   651,     0,   653,   654,   655,
       0,     0,     0,   656,     0,  2317,  2373,   658,   661,   662,
     663,   670,   675,   665,     0,     0,   677,   671,     0,     0,
       0,     0,     0,     0,   683,   688,     0,     0,     0,     0,
       0,     0,     0,  1176,  1177,  1365,  1267,     0,  1328,  1126,
       0,  1268,   170,     0,     0,   268,  2390,   287,     0,   690,
     793,     0,  1316,   284,   312,     0,     0,   327,   322,   323,
     321,  2390,   346,  2390,   346,     0,     0,     0,     0,     0,
     324,   319,   320,   316,     0,     0,   329,  2292,  2358,  2515,
       0,   694,   696,     0,   701,   332,  1288,   353,   352,   351,
       0,   336,     0,   358,   361,   333,   310,   313,   311,   307,
     281,     0,     0,     0,     0,     0,     0,     0,     0,  2243,
       0,     0,  1217,     0,  1368,  1329,     0,  1351,     0,     0,
       0,     0,   735,     0,  1371,  1274,  1332,  1390,  1392,  1382,
    1275,  1391,   158,  1303,   147,     0,     0,   143,     0,     0,
       0,     0,   137,     0,  1372,  1276,  1333,     0,  1373,  1277,
       0,     0,   273,   588,   599,   604,  1282,   608,   605,  1341,
     606,  1380,  1278,  1376,  1306,  1336,  1383,  1399,  1279,  1196,
    1394,  1396,     0,  1314,     0,   262,   264,     0,   283,     0,
    1280,     0,  1334,  1375,  1305,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1503,     0,     0,     0,     0,     0,
       0,   346,     0,     0,     0,  1316,  2390,   346,  1374,     0,
    1311,     0,  1349,     0,   391,     0,  1304,     0,     0,   275,
    1284,  1343,     0,     0,   215,   214,   216,     0,     0,     0,
       0,  2168,  2169,     0,  2166,  2025,  2219,     0,   979,   937,
     978,     0,  2356,     0,   936,   938,     0,     0,     0,   939,
       0,   943,   944,     0,     0,     0,   935,   933,   934,   402,
       0,   427,   400,   401,   403,     0,     0,   842,     0,     0,
       0,     0,   831,     0,     0,     0,  1493,     0,   134,   645,
       0,     0,     0,   640,   685,   690,     0,     0,     0,     0,
     458,   462,   466,   467,   468,     0,     0,     0,     0,   148,
     135,     0,   873,     0,   518,     0,   745,  1388,  1387,  1195,
       0,   180,   173,     0,     0,   706,     0,  1543,     0,     0,
     357,   826,   824,   823,   825,     0,     0,     0,   847,   822,
       0,  1818,  1820,     0,     0,     0,     0,     0,     0,   578,
     461,     0,     0,   521,     0,     0,   565,     0,     0,     0,
       0,   357,     0,     0,     0,  1137,     0,  1155,  1138,     0,
       0,     0,     0,  1189,  1122,  1190,  1168,  1123,     0,     0,
     617,  1641,  1642,     0,  1214,     0,     0,  1862,  1875,   895,
       0,  1903,  1902,  1904,  1904,     0,  1846,     0,  1887,  1912,
    1913,  1914,  1915,  1916,  1917,     0,  1911,  1855,  1208,   346,
       0,   346,     0,   346,  1216,  1210,  1212,  1404,     0,   893,
       0,     0,   346,   886,   888,     0,   890,     0,  1036,   520,
       0,     0,     0,     0,     0,     0,  1047,   615,  1054,     0,
    1068,  1063,  1065,     0,  1069,   721,     0,     0,  1619,  1612,
    1614,  1613,     0,     0,  1610,  2171,   885,     0,   584,  1248,
    1249,     0,     0,   346,     0,  1070,     0,     0,   998,   992,
       0,     0,   996,     0,     0,     0,   999,     0,     0,  1689,
    2172,  2173,     0,     0,     0,  2207,     0,     0,  2062,     0,
    2038,  2040,  2052,     0,  2063,  2023,  2064,  2042,  2044,     0,
    2154,     0,     0,  2053,     0,  1987,  1988,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2003,  2002,  2054,  2133,     0,     0,
    2194,  2195,  2055,     0,     0,  2201,     0,     0,     0,  2060,
    2065,     0,     0,     0,     0,  2071,     0,  2092,     0,     0,
       0,  2013,  2164,     0,     0,     0,     0,     0,     0,     0,
       0,  1983,  1966,  1960,     0,  1964,  1968,     0,     0,     0,
    1954,     0,     0,  1952,  1978,  1948,     0,     0,  1979,     0,
       0,     0,  2031,     0,     0,  1684,  1684,  1684,  1684,  1681,
       0,     0,     0,     0,  2501,  2627,     0,  1778,  1753,  1755,
    1765,  1778,  1783,  1778,  2033,  1812,  2034,  2237,     0,  1724,
       0,  1724,   191,     0,   224,   211,  1518,     0,  1696,     0,
    2155,  1119,     0,  1698,  1718,  1717,     0,  1708,  1746,  1706,
    1623,  1607,     0,  1605,  1592,  1594,  1593,     0,     0,  1595,
    2223,     0,  1605,  1587,  1631,     0,     0,  1817,     0,  1630,
       0,  1863,  1140,  1141,     0,  1164,     0,  1080,  1081,     0,
    1079,     0,     0,     0,   506,  1099,     0,     0,     0,   793,
       0,     0,   510,     0,  1498,     0,  1381,  1302,   649,   650,
       0,   664,     0,   673,   672,     0,     0,     0,     0,     0,
       0,     0,   657,   679,   621,   680,   682,     0,     0,   681,
     684,   687,  1314,     0,   719,  1290,     0,  1347,  1170,  1317,
       0,  1129,     0,     0,     0,     0,     0,     0,   475,   306,
       0,     0,     0,     0,   366,     0,   289,   298,   364,   304,
       0,  1322,   338,     0,   309,     0,   302,   325,   317,   326,
     318,   337,   339,     0,   698,   699,   697,   693,     0,   700,
     702,     0,   355,     0,     0,     0,  1367,     0,  1314,     0,
     277,     0,  1286,     0,  1345,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1350,     0,     0,     0,
       0,   740,     0,   737,  1318,     0,     0,   140,   139,     0,
     146,     0,  1319,     0,     0,     0,     0,  1400,     0,     0,
       0,     0,     0,     0,   373,     0,   282,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   392,   348,     0,   850,     0,     0,
       0,   394,     0,     0,     0,     0,     0,  1366,  1269,  2028,
    2029,  2026,  1693,  2218,     0,     0,     0,   950,     0,     0,
       0,     0,     0,     0,   405,   406,   134,   404,     0,     0,
     841,  2447,  2141,  2142,   839,   845,   836,   838,   840,   837,
       0,   844,   793,     0,     0,   828,   833,   834,     0,     0,
       0,     0,     0,   490,     0,     0,     0,   481,     0,     0,
    1196,   474,   477,   478,     0,     0,   641,   644,   642,   643,
     678,     0,   461,   497,   547,     0,   150,     0,     0,   151,
     149,     0,     0,   357,   742,     0,   739,     0,   176,   457,
       0,   710,     0,     0,     0,  1196,   633,   762,   765,   758,
       0,   846,   848,   820,     0,   690,     0,     0,   590,     0,
     518,  1580,   573,     0,   549,   461,   547,   559,   558,   560,
       0,   567,   356,     0,     0,   578,   567,     0,     0,  1100,
    1136,     0,     0,     0,  1186,  1191,  1187,     0,     0,  1151,
       0,  1188,  1169,  1420,  1421,  1418,  1419,     0,     0,     0,
    1633,     0,  1881,     0,  1899,  1897,  1842,  1847,  1920,   897,
       0,   880,     0,   882,   346,   729,     0,   630,   346,     0,
       0,     0,     0,     0,     0,  1046,     0,  1066,     0,     0,
    1029,  1072,     0,     0,  1617,  1615,   576,     0,  1075,     0,
    1030,  1074,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2176,     0,  2209,  2205,     0,  2035,  2177,     0,  2189,
    2188,  2134,     0,     0,  1986,  1998,  1999,  2000,  2190,     0,
    2008,     0,     0,  1995,  1996,  1997,  1989,  1990,  1991,  1992,
    1993,  1994,  2001,  2199,  2198,  2192,  2193,     0,  2057,  2058,
    2059,  2200,  2066,     0,  2307,  2093,  2070,  2086,  2085,     0,
       0,     0,  2073,     0,     0,  2082,     0,  2135,  2258,  1924,
       0,     0,  1951,  2204,  1969,     0,     0,     0,  1947,  2154,
       0,     0,     0,     0,     0,  1956,     0,     0,     0,  2111,
    2106,  2107,  2131,     0,     0,     0,     0,     0,     0,  1675,
    1674,  1680,  1778,  1783,  1778,     0,     0,  1656,     0,  1765,
       0,  1777,  1763,  1776,     0,     0,  1789,  1787,     0,  1789,
       0,  1789,     0,  1757,     0,  1779,  1759,  1776,  1761,     0,
    1804,  2238,  1813,     0,  1737,  2025,  1737,     0,  1669,     0,
    1697,  1117,  1118,  1707,  2336,  1815,     0,  1606,     0,     0,
       0,  1597,  1603,  1585,     0,     0,  1627,  1605,  1628,  1161,
       0,     0,  1153,  1086,  1087,  1090,  1088,  1085,  1089,     0,
       0,     0,   793,     0,     0,   528,     0,  1111,  1111,     0,
       0,   512,   570,   523,   796,     0,     0,     0,   794,   346,
    1265,     0,   674,     0,     0,   669,   667,   666,   668,     0,
     622,  1379,  1266,     0,     0,     0,     0,  1171,     0,     0,
    1289,     0,   286,     0,   471,     0,     0,   299,     0,   295,
       0,  1315,     0,     0,     0,     0,   294,   368,     0,   365,
       0,   346,   346,   340,   695,   354,   359,   360,   363,     0,
       0,     0,     0,     0,  1321,     0,     0,     0,     0,     0,
       0,     0,   874,   857,     0,     0,   875,   876,     0,     0,
       0,  1219,  1220,  1218,  1352,  1353,  1358,  1355,  1354,  1357,
    1359,  1356,     0,  1272,     0,     0,   733,   144,   141,   142,
     145,  1300,  1283,  1342,  1395,     0,     0,     0,  1281,     0,
    1335,     0,  1296,  1292,     0,     0,     0,     0,     0,  1378,
    1310,  1340,  1377,  1308,  1338,  1307,  1337,  1309,  1339,     0,
    1301,     0,  1822,   854,     0,     0,     0,   346,   346,   853,
     731,  1285,  1344,     0,     0,     0,   940,     0,     0,   942,
     945,     0,   947,   410,   430,   751,   813,     0,     0,   830,
     792,     0,   479,     0,   485,   488,     0,     0,   492,   493,
     491,   480,  1196,   518,   569,     0,     0,   803,     0,   639,
       0,   459,     0,   494,     0,     0,   463,   153,   152,     0,
       0,     0,   746,   750,   748,   747,   749,   744,     0,   735,
     180,  2390,     0,     0,     0,     0,   571,  1393,     0,   775,
     821,     0,  1821,   725,     0,   357,   586,     0,     0,     0,
     459,   578,     0,   464,   469,   470,   475,     0,   561,   548,
       0,   549,     0,     0,   575,  1465,     0,   579,   581,     0,
       0,     0,  1139,  1156,  1157,     0,     0,  1120,     0,     0,
       0,     0,   624,   346,  1843,   346,   346,  1245,     0,   891,
    1060,  1061,  1062,  1059,  1058,   616,     0,  1064,   723,     0,
     577,   346,     0,  1006,   984,  1005,   983,   985,     0,   987,
     988,   982,   980,   981,  2208,  2051,  2061,  2187,  2133,  2164,
       0,     0,  2009,     0,     0,  2056,  2617,     0,     0,     0,
       0,  2090,  2091,  2072,     0,  2437,  2077,     0,     0,     0,
    1975,  1973,  1970,     0,  1971,  1955,     0,     0,  1953,  1949,
       0,  1980,  2097,     0,  2113,  2110,  2130,  2164,  1679,  1678,
    1677,  1676,  1764,  1760,  1762,     0,  2622,     0,  1767,  1774,
       0,  1756,     0,  1788,  1784,     0,  1785,     0,     0,  1786,
       0,     0,  1758,     0,  1774,     0,  1811,     0,     0,  2102,
    2255,  2102,   225,     0,     0,  1604,  1589,     0,  1590,  1596,
       0,     0,     0,     0,  1632,  1625,  1154,  1162,     0,     0,
       0,   508,     0,   523,     0,     0,     0,  1113,  1113,     0,
     523,     0,  1196,   798,   797,   800,   795,   799,  1499,     0,
     659,   660,   676,  1291,     0,  1348,  1298,     0,  1621,   288,
       0,   691,   293,     0,     0,   290,   367,   369,   291,   292,
     296,   348,   308,   301,     0,     0,     0,  1287,     0,  1346,
    1294,  1369,  1270,  1330,     0,     0,   863,     0,     0,     0,
       0,  1370,  1271,  1331,     0,     0,     0,     0,  1621,     0,
       0,     0,     0,     0,     0,     0,     0,  1508,     0,  1320,
     347,   852,   851,   348,   393,  1312,  2027,     0,   941,   948,
     949,   946,     0,   399,   407,   431,   134,     0,     0,  1236,
    1236,     0,   793,     0,     0,   476,   489,     0,   569,   527,
       0,   482,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   738,   737,   175,     0,
     459,     0,   690,     0,   769,   770,   764,   766,     0,   777,
     781,   849,     0,     0,   578,   461,     0,     0,  1578,   460,
       0,     0,   472,     0,   565,   549,   561,     0,   562,     0,
     566,     0,  1458,     0,     0,     0,     0,  1192,     0,  1198,
       0,  1150,  1193,     0,  1814,     0,     0,     0,     0,   628,
    1237,   881,   883,   730,  1067,     0,  1071,   346,   986,  2135,
    2004,     0,     0,     0,     0,  2067,     0,  2068,  2095,  2094,
    2074,  2078,     0,  2075,  2076,  1972,  1976,  1974,  1957,  2099,
       0,  1693,  2132,  1807,     0,  1810,     0,     0,  1766,     0,
       0,  1768,     0,     0,  1770,  1772,     0,     0,     0,     0,
       0,     0,  2241,  2335,  2591,  2498,     0,  1723,  1725,  1728,
    1730,  1729,  1731,  1727,  1736,     0,  1658,  1657,  2156,  1816,
       0,     0,     0,  1101,     0,  1629,  1068,     0,   346,  1111,
    1196,   529,  2447,   530,  1110,  1112,  1116,  1116,     0,  1196,
       0,   569,   652,     0,     0,   270,   689,     0,     0,   300,
     350,   362,     0,  1621,     0,     0,   861,   870,   870,   858,
       0,     0,   877,  1273,   734,     0,     0,   265,  1297,  1293,
       0,     0,     0,  1510,  1511,     0,     0,     0,     0,     0,
     346,   951,     0,   433,   440,   411,   416,  1502,     0,  1502,
       0,   413,   417,  1502,   412,  1502,   409,   410,     0,  1236,
       0,  1233,  1232,   791,     0,   516,   592,   483,     0,   538,
       0,     0,   804,     0,     0,   461,   547,     0,   505,   498,
     499,   500,   501,   502,   503,   504,   496,   495,     0,   690,
     867,   357,  1465,   732,     0,     0,   703,     0,   767,   772,
     771,  1502,   776,     0,     0,     0,   690,     0,   574,   549,
     461,   547,   465,   475,   551,     0,   552,   567,   561,   565,
     563,   564,     0,     0,     0,   578,  1512,  1100,     0,  1197,
       0,     0,     0,     0,     0,     0,  1240,   623,     0,     0,
     627,   618,   690,  1031,  2005,     0,  2006,     0,     0,     0,
    2080,  2079,     0,  2117,  1812,     0,     0,  1806,     0,     0,
    1836,     0,     0,     0,  1775,  1791,     0,  1771,  1769,     0,
    1780,     0,  1782,     0,     0,     0,  1732,     0,  2101,  2103,
       0,     0,  1602,  1814,     0,  1599,     0,  1082,     0,  1083,
    1113,   569,     0,  1119,  1119,   518,   569,     0,   793,  1299,
       0,   692,   592,     0,   303,     0,   278,  1295,     0,     0,
     872,   872,     0,     0,     0,     0,   380,   387,   386,   381,
     379,   388,     0,   384,   378,   377,   382,     0,   375,     0,
       0,  1504,     0,  1505,  1506,  1509,   395,   408,     0,   438,
       0,   436,   435,   437,     0,   424,     0,     0,     0,     0,
       0,     0,   398,   429,  1231,  1235,  1234,     0,     0,   484,
       0,   486,   524,   525,   526,     0,   487,   534,   535,     0,
     801,     0,   806,     0,     0,     0,   690,   546,   714,     0,
       0,     0,  1459,     0,     0,   572,     0,   778,   779,   774,
       0,     0,   726,  1465,   561,     0,   549,   473,     0,   446,
     565,   567,     0,  1462,     0,   580,     0,  1107,  1121,  1199,
    1194,  1424,     0,     0,   626,   625,   720,  2007,  2083,  2069,
    2096,  2081,  2112,     0,     0,     0,     0,  1805,  1808,     0,
    1839,     0,     0,     0,     0,  1825,     0,  1773,     0,     0,
    1781,     0,     0,     0,  1726,     0,     0,  1591,  1601,  1102,
       0,     0,  1116,   533,     0,  1104,  1103,   527,   793,   522,
     509,  1621,   297,   349,     0,     0,     0,   868,   871,   859,
     860,   879,   878,   736,  1621,     0,     0,   371,     0,   370,
       0,   374,     0,   434,   443,     0,   441,   414,   419,     0,
     423,   421,   420,   415,   418,     0,   515,     0,     0,     0,
       0,   536,     0,   537,   568,     0,   805,     0,     0,     0,
     716,   866,     0,     0,   459,   690,   768,   773,     0,   782,
     783,     0,  1460,   565,   549,   561,     0,     0,   553,  1111,
    1111,   567,   444,  1463,  1464,     0,     0,   357,  1423,  1422,
    1671,     0,     0,  2578,  2336,  2550,     0,  2129,  2118,  2129,
    2129,  2109,     0,     0,  1837,  1838,  1823,     0,     0,  1827,
    1790,  1803,  1734,     0,  1733,  2104,  2105,  1814,   346,  1119,
       0,   793,   531,   538,   511,   271,  1621,   862,     0,   266,
       0,   385,   383,   376,  1507,   439,     0,   422,   781,   591,
     543,     0,   542,     0,   540,   539,   802,   807,     0,   690,
     856,  1465,   704,   780,     0,   567,   561,   565,     0,   550,
       0,  1113,  1113,   448,     0,     0,   567,  1406,  1671,  1405,
    1407,  1415,  1412,  1414,  1413,  1411,  1243,  1244,     0,  2122,
    2121,  2120,  2124,  2123,     0,  2116,  2114,  2115,  1809,     0,
    1826,  1829,     0,     0,     0,  1835,  1828,  1830,     0,  1801,
    1735,  1598,  1084,  1105,     0,   513,   793,   279,   869,     0,
     442,     0,   541,   545,   544,   690,   715,  1461,   786,   447,
     565,   567,  1111,   554,   556,   555,  1107,  1108,     0,  1814,
       0,  1416,  1410,  1656,  1643,     0,     0,     0,     0,  2126,
       0,  2127,     0,  1832,  1833,  1834,  1831,     0,     0,   514,
       0,     0,   717,   788,     0,   784,   787,   789,   790,   567,
     445,  1113,   357,  1106,     0,  1091,  1408,  1671,     0,     0,
    2119,  2125,  2128,     0,     0,   532,   372,     0,   752,     0,
     449,   557,   567,  1109,  1409,     0,     0,     0,  1802,     0,
     785,  1814,     0,     0,  1824,   786,  1092,     0,     0,     0,
    1241,  1242,   753
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4897, -4897, -4897,  3748, -4897, -4897,  -890,   239,  2994,  -986,
   -4897, -4897, -4897,  1317, -4897, -4897, -4897, -4897,  3720, -4897,
    2074, -2419, -4897, -4897,   125,  3680, -1294,   100,  3275,  1737,
   -4897, -1136, -4897, -4897,  -611,   112, -4897,  3685,   157, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897,  -828,  2202, -4897,
    2281,  1569,  6239, -2767, -4897, -4897, -1351, -3226, -4897,   880,
   -4897,   907, -4181,  -595, -4897, -4559, -4897,  -770,  -586, -4897,
   -4897,  2196, -4897, -4897, -4897,  1372,   783,  -262, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897,  -441, -4897, -4897,  -688,   147,
      47, -2469, -3748, -4897, -4897,   744,   -80, -1409, -4897, -3573,
   -4897,   288, -2267, -4897, -4897, -4897,   -48, -1406,  1674, -4897,
    -699, -1088,  1985, -2851,  -553, -4897,    72, -4897,  -666,  -455,
    -453,  -587, -3777, -4237, -4897, -4897, -4897,  -695, -4252, -4498,
   -3736, -3856,  1684, -4897,   148, -3125, -3224,   149,   714, -4897,
     150,   151, -4897,   732,  -381,  -906, -1515, -4897,  -758, -4897,
   -4897, -4897, -2912, -4897, -4897, -4897, -4897,    78, -4897, -4897,
   -4897, -4897,   777, -4897, -4897, -4897, -4897, -4897, -4897, -2696,
    2152,  2155, -4897, -2854, -4897,  -874, -4897,   928, -2950,  1590,
   -4897, -4897,  1354,  3744,   762, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897, -1716, -4897, -4897, -4897, -4897,   285,   -22, -4897,
   -4897, -4897, -4897, -4897, -4897,   152, -4897,  2170,  1352, -4897,
   -4897,   -28, -4897, -4897, -4897, -4897, -4897, -4897,  -646,  -757,
    -802,  -783, -4897, -2940, -4897, -4897, -4897,     7, -4897, -4897,
   -4897, -4897, -4897, -4897,  -871, -4897,  1415, -3144, -4897, -4897,
    1421, -4897, -4897, -4897, -4897, -4897,  -561,    68,  2916, -4897,
    -160,  -358, -4897, -4897, -4897,    69, -4897, -4897, -4897, -4897,
   -4897, -4897, -4897, -4897, -1080,  7904,  -826,  -579, -4897, -4897,
   -4897, -4897, -4897, -2174, -4897, -4897, -4897, -4897, -3675, -4897,
    4653,  1975,   533,   153, -4897,   -18,    65,  3529, -1135, -2623,
     703,  -121, -4897, -4897, -4897, -2566, -4897, -4897, -4897, -4897,
   -3510,   155, -4897,  3540, -4897, -3809, -4513, -3558,  -710, -4897,
   -4042, -4413, -4511, -3506, -4897, -4897, -4897, -4897,  -523,   -78,
    2885, -4897, -1396,  2527,  -926, -4897, -2111,   765,  1761,  3718,
   -2740,  -133,  2882, -2496,  -637, -3245, -4897, -4897, -2272,  -253,
   -4897, -4897,  1360,   443, -4897, -4897, -4897, -4897,  -620,  2843,
    -202, -4897, -4897,  4050, -4897, -4324, -4897,  4017, -4897, -4897,
   -4897, -4897,  2755,  2769, -4897,  2767, -4897, -4897, -1394,  1529,
   -4897, -4897, -4897, -4897,   968, -4897, -4897, -4897, -4897, -4897,
   -4897, -4897,  1432,   954, -4897, -4897, -4897, -4897, -4897,  -528,
    -703, -4897, -4897,   160, -4897, -4897, -4897, -4897,  2348,  -884,
    -721,  3935,   161, -4649, -4897, -4897, -1168, -4897,  3324, -4897,
   -4897, -4897, -4897, -4897, -4897, -4897, -4897, -4897, -2581, -4897,
   -4897, -4387, -4897, -4897, -4897, -4897, -4897,  2640, -4897, -4897,
    2646,    90, -4897,   -50, -4897, -4897,  -967,  2630, -4897, -1902,
   -4897,  -601, -4897,  2834, -4897, -4897, -4897, -4897, -1824,   168,
     834, -4897,     6, -4897, -4897,   211, -4897,   612, -4897, -4897,
   -3429,    10, -4897, -4897, -4897, -4897, -4398, -4897,    14,  -417,
    1139, -2804, -4897,   169,   173, -4897, -4897,    20,   385,   -42,
     -26,   -12,     3,   113,  3409, -4897,  3473, -4897,    24,  1891,
   -4897, -4897,  -795,  -169, -4897,  1888,  -640,  2614,  3415,  3402,
   -4897,  1874,  2645, -1953, -1963, -4897,  1182,  -395,  -229, -4897,
   -4897, -4897, -4897,   643,  -639,  2641, -4897,  3418, -4897, -4897,
   -4897, -1920, -2832, -3375,  1207, -3444, -3360,   682,   667, -1377,
       8,   -39,  -761,  3421, -4897, -4897,  1220,  -189, -4897, -4897,
    -186, -2794,  1173, -4897, -4289, -2290,  1229,  -648,  -481, -4897,
    -569, -4897,  -352,  -210,  2968, -1059, -4897, -4897, -1000, 12516,
   -4897, -4897, -4897, 13205, 13507, -4897, -4897, 13691, 14315, -4897,
    -862, 14933, 12050, -1008, -1878,   482,  8816, -1935,  2297,    48,
   -4897, -3538, -2196, -4897, -4897, -4897,    57,  1288,  1047, -4897,
   -4367, -4897, -4897,   277, -4897,  -363, -4897,  -359, -4897, -4897,
   -4897, -2464, -4896, -2564,  2756, -4897, -4897, -4897,  -165, -4897,
   15790, -2742, -4897,   409, -1335, -1529, -3410, -1883, -4897, -4897,
   -4897, -4897, -4897, -4897, -4897, -1743, -3283,  -456,  2003, -4897,
   -4897,  2091, -4897, -4897, -4897,  -901,  2377,  -766, -2637,  2010,
   -4897,  -776,  2770,  -786,  6653,  -619,  8728,  -534, -2242, -1242,
   -1630, -4897,  1114, -4897,   675,  5836,    -1,  -137,  4333,   315,
      -6, 10325,  -615,  -878,  4134, 11395, 10765, -3121
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    52,    53,    54,    55,    56,  1521,  2496,  2348,  3279,
    3280,    57,    58,  1517,    59,    60,    61,    62,  1433,    63,
    1015,  1768,  2511,    64,  2181,   800,   801,   802,  2085,  2086,
    2432,  2087,  2075,  1318,  1910,  1454,   774,   775,  1415,  1455,
      66,    67,  1312,  2066,    68,    69,    70,  1485,  1573,  1486,
    1487,  1427,  1815,  4302,  5024,  3071,  2311,  3328,  3072,  3073,
    3697,  3698,  3776,  5048,  5049,  5041,  5047,  5042,  5043,    71,
    1589,  1590,    72,    73,  3244,  3240,  3826,  4643,  4644,  4876,
     611,  2473,  4646,  4647,  4862,  4863,  5062,  5205,  5206,  2512,
    1760,  3322,  3914,  3270,  4392,  3271,  4393,  3272,  4394,  3256,
    3861,  3862,  4337,  3863,  3273,  4353,  4906,  3274,  2200,  5079,
    2553,  1932,  1930,  4562,  4889,  4164,  4165,  5291,  5086,  5087,
    5088,  5314,  4355,  4398,  4399,  4935,  5247,  5248,  3326,  3921,
    4404,  4661,  2956,    75,   709,  1794,  3428,   710,  2556,   646,
     711,  2513,    80,  2546,  5081,  2547,  1547,  2362,  5044,  3408,
      81,  1040,  3663,  4729,  4960,  4961,    82,   225,    83,  1776,
      84,    85,  2491,  3263,    86,  2217,  2973,    87,    88,  3004,
    3005,  3006,    89,  3688,  4580,  1488,  3060,  3061,  3062,  3063,
    3719,    90,  1771,  2520,  2521,    91,    92,    93,    94,  2669,
    2670,    95,  2419,    96,    97,    98,    99,  3753,  4266,  4369,
    3102,  3286,  3886,  4367,   100,  2514,  1784,  2536,  2537,  4379,
    4686,  4687,  4688,  4921,  5236,  4690,  4923,  5109,  4925,  5241,
    5424,  5425,  4652,  3642,  4178,   102,  4346,  4347,  5093,   103,
    2215,   104,   105,   106,  1744,  2483,  2484,  3835,  1737,  2476,
    2477,  3900,  3901,   107,  3184,   108,  4242,  4243,   647,  5100,
    5030,  5189,   109,   110,  4246,  4247,   111,   112,   113,   114,
     115,   701,   702,   703,  1132,  1133,  2928,  1080,   116,  2095,
     117,   978,   979,  3219,   118,  1205,  2715,  2716,  4444,   119,
     734,  1151,  1152,  2515,   121,   743,  2689,   745,  1947,  3410,
    3411,  3980,   122,   123,  2666,  2692,   124,  1420,  2191,  2192,
    4159,  2516,   648,  1800,  2560,  2951,  4802,  4803,  5257,  5398,
    4557,  4816,  2873,  3593,   126,   649,  1459,  2266,  1100,  1101,
    2563,  3336,  2160,  2161,  2162,  3938,  2163,  3338,  2164,  1394,
    2165,  1050,  1051,  3344,  3345,  3346,  3934,  3941,  2505,  4719,
    4720,   127,  1457,  2264,   128,   129,   130,  1500,   891,  1110,
    1111,   131,   661,   662,   132,  4881,   133,  1054,   134,  4727,
     135,   136,   765,   766,  1189,  1190,   137,   138,  2280,  3700,
     139,   140,   141,  3096,  3097,  4258,   142,   143,  1763,  1764,
     144,   145,  3149,  3150,   146,   147,   148,  5339,  5400,  5401,
    5402,  3947,  5260,  5341,  1182,   150,   151,   152,   189,   931,
     932,   933,  2517,  4712,   154,   155,  1416,  1417,  1418,  1419,
    2186,   156,   157,   158,   159,   160,   161,   162,  1748,   163,
     164,  4855,   165,   166,  1706,   167,  1345,  1346,   168,  1360,
    1361,   169,  2862,   605,   818,  1349,  1355,  1362,  1363,  1364,
     170,   713,  1145,  1146,  1147,  1912,   171,  1185,   981,   714,
    1140,   173,   715,  2144,  2903,  3607,  3608,  3609,  3612,  4542,
    4137,   716,  2899,   176,  1954,  2675,  2678,  2895,   717,  2908,
    2909,  2910,  3615,   718,   736,  1043,  2570,   719,  1279,   181,
     182,   183,   827,   821,   822,   185,  2059,  2843,   752,  1368,
     787,   788,   836,  2442,  2110,  2111,  2135,  2136,  1377,  1378,
    2123,  2127,  2128,  2886,  2879,  2116,  4124,  4787,  4788,  4789,
    4790,  4791,  4792,  4529,  2131,  2132,  1380,  1381,  1382,  2140,
     186,  2847,  3568,  3569,  3570,  4101,  4102,  4116,  4112,  4514,
    4774,  3571,  1180,  1388,  4522,  5369,  3572,  4763,  4764,  4977,
    4120,  3579,  3603,  3310,  3311,  3312,  3573,  5154,  5155,  5366,
    5367,  4979,  4980,  2166,  1845,  1082,  1280,  1083,  1857,  1281,
    1829,  1085,  1282,  1283,  1284,  1088,  1285,  1286,  1287,  1091,
    1821,  1288,  1289,  1839,  1854,  1855,  1350,  4981,  1291,  1292,
    1293,  3575,  1294,  4055,  4478,  4467,  2775,  2776,  2082,  4051,
    3513,  2054,  2833,  4796,  4998,  4999,  3552,  4080,  4494,  4761,
    5146,  5267,  5268,  5355,  1295,  1296,  1297,  2830,  2050,   894,
    1298,  3837,  2052,  2769,  1614,  1615,  1957,  1977,  2722,  2738,
    2739,  2749,  3472,  2757,  2762,  3500,  3501,  2770,  2799,  1299,
    2724,  2725,  3456,  1979,  1300,   937,  1618,   938,  1974,  2794,
    1308,  1301,  1302,  1948,   811,  4770,  1136,   850,  3088,  1698,
     940,   749,  1303,  1304,  1305,  1306,  1493,   865,  1103,  1104,
     602,   594,   867,  3064,   603,   596,   597,  1703
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     593,  1546,   892,   184,  1313,   810,   174,  1009,  1612,   826,
     175,  1909,  1309,   837,   177,  2199,  1835,   746,   779,   748,
     179,   738,  1400,   754,   184,  1865,  3269,   738,   768,   776,
     746,  2375,   783,  1594,  1551,   776,   776,  1704,   812,   893,
     815,  1171,  1172,  1173,  1383,  1046,  1339,  1177,  1606,  1044,
    2921,  2923,  1340,  1773,   591,  3581,  2275,   845,  1699,  2276,
     645,  2754,  2267,  1825,  1826,  1967,  3601,  3433,  3347,   813,
    1841,  2541,   901,  1834,  3896,  2445,  1327,  2288,  4166,  1545,
    2436,  1929,  3090,  1135,   994,  4130,   922,  1572,   744,  3292,
    3689,  3669,  2721,  1148,  1460,  3912,   700,  1599,  4167,  3942,
    3414,   780,  3942,  3614,  1746,  3926,  1142,  3714,  1751,  3716,
    3847,   712,    65,  1755,  3147,  4204,  1492,  3181,  1126,   831,
    4411,   858,  4161,  1765,  4352,  3839,  4558,  4067,  4115,   898,
    3591,  2305,   903,  3839,  2681,   773,  1056,  1789,  1758,  4401,
    4767,  2784,   807,  2849,  3521,  4817,  4704,    74,    76,    77,
      78,    79,   101,   120,  1786,   125,  2260,  2172,   839,  1114,
     149,   153,  1118,   824,  4706,  2891,   799,  4400,   172,   178,
    2561,  4668,   840,  2888,  2620,  1339,  2396,  3620,  1046,   915,
    4825,   600,  1320,  4143,   593,   848,   848,   851,   653,   848,
    4408,  4098,  3909,   860,  2859,   812,  1376,  1379,   895,  1822,
    1823,   860,  2866,  4948,   860, -1863,  4937,   812, -2375,   848,
    1833,  4113,   812,  4118,  1785,  2260,   848,  4035,   812,  4705,
    4847,  1456,   659, -2413,   720,  2400,  2401, -2436, -2304,  1825,
    1826,  1812,  2260,   609,  4779,  2502,  4781,   720,  4857,  4858,
   -2468,  1421,  1429, -1904,  2731,  2183,   659,  3478,  2412,  1834,
   -2276,  1841,  2093,  3932,  1153,   617,  3282, -1876, -2276, -2276,
    2407,  1456, -1901,  5102,  2193,  2278,  1456,  4556,  1856, -1891,
     659, -2378,  2434,  2435,  3619,  2900,  2792,  3224,   659,  3225,
     720, -2277,  2194,  3229,  2289,  3231,  3232,  1734,   659, -2277,
   -2277, -2248,  5046,  1489,  3236,  3237,  3238,  1157,   720, -2633,
   -2247, -1896,   659,  5029,  2022,  5013,  5014, -2633, -2633,  3670,
    2691,   927,  2057,  2207,  2072,  1489,   659, -1904,  4446,  4447,
     720,  4449,  4450,  4451,  4452,  4453,  4882,  3864,  2550,  3242,
    3418,   720,  3420,  2028,  2925,  4540,  3077,  2202,  4725,   624,
    2195,  1341,   659,  4239,  2388,  5075, -1719,  3454,  2732,  3917,
    1422,  1430,  2187,  2551,   834,  2834,  1822,  1823,  2196,  4970,
    5258,  4285, -1094,  2188,  3381,  2030,  3383,  5348,     3,     4,
    1812,   726,  2893,  1812,  1812,   785,  1812,  1317,  2255,  4824,
    3204,  2189,  1330,  1833,  2201,   180,   726,  1429,  1175,  1911,
     726,   726,  3179,  1603,  3100,   727,  2509,  1372,  2107,   626,
    2682,  4846,  5025,   726,  3682,  4207,   180,  3605,   928, -2139,
     727,  3870,  2202,  2870,   727,   727, -2139,  1812,  2278,  1529,
    2733,  3774,  2296,  2073,  3694,  1322,  4684,   727, -2434,  2278,
    2278,   606,  1489,   659,   726,  5026,   825,   720,  1704,  2279,
    2287,  5121,  3606,  1606,  4685,  3293,  2901,  2068,  -134,  4240,
    1331,   929,  4218,  -134,  4939,  2208,  2297,  1530,   727,  2792,
     659,  1081,   893,  1197,  5242,  2827,  3101,  3775,  4938,  1374,
    2256,  1176,  2828,  2359,  2510,   786,  3683,  2894,  3259,  4208,
    1812,  2734, -2158,  1863,  2735,  2278,  3478,  1081,  1003, -2158,
    2835,  4991,  5076,  2094,  1013,  2394,  1430,  1201,  2871,  2197,
    1342,  1863,  1343,  1813,  1423,  2278,  2278,  1027,   930,  3431,
    1743,  5440,    40,  2016,   893,  1046,  3770,  1070,  1812,  1893,
    2278,  1699,  1742,  1863,  1863,  4621,  2190,  2846,  4286,  -432,
    3894,  4917,  1046,  3078,  2926,  5259,  2205,  2927,  2552,  2074,
    4541,  2062,  1424,  3844,  2209,  3419,    44,  3421,  1913,  4622,
    3474,   816,   660,  4241,  2203,  5074,  2304,  2440,   637,  1704,
     638,  3243,  4566,  4971,   654,  1604,  1952,  2076,  3670,   838,
    4726,   640,  2088,  2088,  2967,  1425,  1431,  2022,  2487,  5036,
    4227,  2290,   642,  2058,  3260,  1759,  3008,    48,  2736,  1046,
    3824,  3825,  2503,  1971,  2291,  3180,  2292,  5172,  5218,   941,
      49,  2413,  2022,  3839,  3933,   812,  2028,   593,  2244,  2198,
     848,  3478,   851,   184,   848,  3865,   982,  2793,  1863,  1499,
     983,   895,  5251,    50,   984,   876,  1016,  4261,   848,  2414,
     985,  2028,   877,   878,   879,   848,  1432,  2902,  2030,  5302,
    1426,  2408,  1813,  1953,  2343,  1813,  1813,  2723,  1813,  4115,
    3576,  2370,  1814,  1743,  2373,  2293,  4483,  4361,   610,   593,
   -2434,  5289,  1149,  2030,   851,  5202,   826,   935,  2322,   860,
    1384,   936,  5387,   895,  1824,  1605,   860,  1836,  2380,   860,
    2246,  1612,  1612,  1612,   977, -2375,  5120,  5039,  3366,  1813,
    2254,  2389,  5114,   732,   733,   848,  2737,   737,  1837,  4171,
   -2413,  4407,  3576,   737, -2436, -2304,  3493,  1046,  3635,  3205,
     184,  2070,  1838,  1179,  2378,  1046,  1046, -2468,  4545, -2276,
    1150,  2433,  1155,  1820,  1159,  2848,  1828,  4457, -2434,  4511,
    1163, -1901,  4502,  4515,  4504,  2102,   732,   733, -1891,  3085,
    1712, -2434,  5334,  2141,  2142,  5325,   812,  2018, -2378, -2139,
   -2277,  1836,  1813,  1141,  1490,  1491,  1721,  2060,   935,   812,
   -2248,  1193,   936,  2049,  3261,  1729,  1344,  5010, -2633, -2247,
   -1896,  2852,  1837,  4738,  1179,  2360,  1490,  1491,  2363,  2364,
    1740,  1307,  1307,  5295,   812,   776,  1840,   732,   733,   776,
    1813,  1842,  2538,   893,  1860,  1871,  5299,  1895,  1144,  4623,
    3541,   839,  4887,   812,  1387,  2829,  2395,   812, -1863,  3622,
    1709,  3623,  1176,  1307,  2624,   840,  3475,  3476,  1436,  2441,
    2263,  3495, -2158,  4702,  1176,   812,  4193,  3771,  4645,  5391,
    5040,   655,   184,  1743,  2671,   174,  2193,   812,  1898,   175,
    2641,  4231,  3616,   177,  3909,  2100,  2100,  2206,  3009,   179,
    3262,   812,   841,   759,  1743,  2651,  2598,  1953,  3525,  3526,
    5272,   817,  5243,  3027,  4362,  2485,  2663,  2478,  4567,   812,
    2812,  2968,  3888,  2263,   848,   848,  1716,  3767,   856,  5245,
    1329,  1519,  1723,  2330,  4151,  1724, -1863,   999,  3589,   656,
    2263,  2652,  5429,  1490,  1491,  4340,  2494,  5219,  5377,  3691,
   -2245,  1863,  4326,   834,  1520,   776,   776,  1347,  1166,  -134,
    -134,  3214,  2195,  5228,  1812,  3596,  1316,  4325,  5394,  5395,
    1324,  1097,  1714,   659,  2888,   657,  3086,   658,  1307,  1307,
    2196,  2932,  2999,  1352,  5244,  2981,   842,   593,   760,  3979,
    4958,    65,  3490,  3491,  3492,  3493,  5310,  4929,   860,  5350,
    2114,  4350,   895,  3013,   860,  4363,   604,   860,  2672,  2454,
    3586,  3986,  1414,   659,  2539,  5018,   659,  4765,  2260,  2580,
    2581,   747,   848,  4141,  1956,  3584,    74,    76,    77,    78,
      79,   101,   120,  5005,   125,  3818,  3819,  3665,  3617,   149,
     153,  1847,  5412,  5327,   812,   180,  4166,   172,   178,  1116,
    1578,   848,   848,  4167,  1366,  2813,  4259,  5326,  3692,  3000,
    2814,   773,  1565,  1129,  1404,  5383,  4167,  1781,  5451,   659,
    5186,  3877,  2342,   812,   812,   812,   604,   848,  4388,   593,
     593,  3849,  2375,  2046,  2047,  2048,  2049,  4422,  1782,  4364,
    4341,  3587,  1579,  1489,   659,  3014,  2115,  2815,   720, -1863,
    2940,  4383,  3817,  4389,  4743,  1168,  2044,  2045,  2046,  2047,
    2048,  2049,  4376,  1848,  4768,  3488,  3489,  3490,  3491,  3492,
    3493,  2197,   830,  2718,  5390,  1777,   751,  3852,   882,   883,
     884,  2495,   885,   886,   887,   888,   889,   890,  5351,  4898,
     761,  5187,   180,   825,  1405,  3372,  2550,  2554,  1835,   848,
    4388,   848,   848,   935,  1367,  2942,  3207,   936,  3987,  1404,
    4959,   759,  1330,  1743,  1511,  1704,   758,  1778,  1805,  5095,
     592,  2551,  3067,  3738,  1849,  4389,  4663,  1850,  2540,   762,
     763,  1847,  3854,  1307,  1612,  3836,  4351,  4771,  5126,  2653,
    4899,  5311,  4775,  3836,  5006,  4777,  1406,  5094,  4900,  2790,
    1478,   843,   184,  2673,  5116,  5173,   857,  2660,  2661,  4693,
    5178,  1704,  5384,  1931,  1931,  1000,  3337,  4698,   812,  1882,
     746,  4707,  3942,  2674,  3068,  2532,  4901,  3218,  4167,  3003,
    1331,  2198,  5115,  3878,  2816,  4708,  1813,  4365,  2943,  1405,
    5036,  1964,  1583,  1197,   812,  1783,   760,  1970,  1584,  1098,
    1715,  5119,  1851,  1848,  3693,  3694,  1580,  5331,  5332,   757,
    1307,  1883,   838,  2982,   180,   832,  5408,  3757,  5312,  4654,
    4443,   764,  4551,  1512,  3857,  1516,  1169,  3369,  1351,  2499,
    3939,  1851,  3739,  3695,  3666,  2920,   826, -1863,  4390,  4664,
    1307,  1406,  1407,  4902,  2117,  5313, -1863,  2016,  1824, -1863,
    1399,  2579, -1863,  4581,  4366,  4903,  1154,  1156,  1158,  2533,
    4131,  1160,  1161,  1162,  1849,  3069,  3858,  1850,  1307,  1307,
    1307,  1167,  1307,  5239,  2328,  2462,  3657,  5037,  2626,   833,
    5038,  1779,  3859,  2118,  5362,  2575,  4942,  5082,  3370,  2326,
    1148,   784,  1307,  5409,  4943,  1699,  2182,  5008,  5039,  2098,
    2667,  1585,   808,  2633,   846,   927,  4680,  1581,  2618,  1806,
    5234,  2022,  3422,   859,  4244,  2650,   819,  2463,  3658,  2655,
    3768,   859,  4132,  2659,   859,  1915,  2662,  1917,  3943,  1919,
     812,  1921,  4965,  1923,  1924,  1925,  2599,  1407,   893,  1852,
    1927,  4544,  2108,  2109,  2500,  2113,  1387,  4994,   761,   834,
    5431,  2612,  4709,  2892,  2614,  5143,   840,   840,  1853,   840,
    5117, -2267,  3122,  1807,  1307,  -157,   607,  3576,  1307,  1307,
    3576,  1851,  2030,  5410,  2747,  1884,  3860,  1513,  1501,   812,
     812,  2147,  1780,  1307,  2668,  5252,  3740,   762,   763,  3423,
    2120,  1408,  3769,  5363,  -157,  1851,   737,  1411,   737,  1412,
     737,  4987,   928,  3114,   776,  2329,   737,  1164,  1165,  3114,
    3165,  5083,  3944,  5240,  2654,  1514,  3166,  2657,  2658,  2999,
    4245,  2954,  4441,  3275,  3741,  5028,  3074,  1873,  3070,  1409,
    5032,  5033,  4461,    35,  4462,  4904,  3122,  4765,  4905,  2251,
    3576,  5040,  4417,  3025,   776,   929,  5169,  2121,  1515,  1502,
    4831,  3098,  3133,  2080,  4648,  1586,  4944,  3742,   812,  2277,
    1808,  2534,  1410,   187,  1988,  2064,  4167,  4229,   812,   781,
    4928,   848,  3045,  3839,  2535,  1519,  1885,  2955,  3047,  1852,
    2022,  2464,  3659,  3115,   835,  5084,  1035,  4649,  2999,  3115,
    1949,  5144,  1411,  1587,  1412,  2081,  3000,   895,  1520,   812,
    2449,  1959,   930,   776,  1490,  1491,   188,  5175,  5176,  2028,
    3151,  2239,  1809,  5411,  1612,  5333,  1968,  2466,   829,  3167,
     776,  5145,   812,  3379,   624,   812,  1588,  2365,  2391,  3001,
    3132,  3046,  3174,  2065,   180,  5364,  3116,  3048,  2488,  4230,
    5365,  2030,  3116,  1413,  4015,  4016,  4017,  4018,  1902,   737,
    4023,  4024,  4025,  4026,  4027,  4028,  4029,  4030,  4031,  4032,
    3945,   812,  3193,  3155,  3318,  3000,   187,  3002,  1584,  4001,
    4463,  1046,   848,   848,   848,   848,   812,  3107,  3108,  2950,
    5249,  3111,  2465,  3660,   626,  2306,  -685,  3276,  4344,  5389,
     812,   828,  4669,  3117,  2566,  3175,  3199,  1976,   927,  3117,
    5399,  1307,  1307,  1307,  3134,  1810,  4071,  4072,  2574,   188,
    4105,  3257,  3137,  3836,  4382,  3140,  4856,  1985,  2375,  1556,
    1081,  2645,   844,  4377,  3681,  5067,  1036,  3946,  3176,  1414,
    5068,  1532,  2588,  3289,  1414, -1100,  4338,  4257,  4670,  3208,
    3209,  3210,  4316,  2211,   852,  2937,  4319,  4320,  2001,  4322,
    1533,  3171,  2954,  2212,  1372,  5430,  3301,  3302,  3303,  3304,
    1557,  2366,  1037,  2013,  2367,  4563,  3003,  1372,  3309,  2610,
    1558,  1585,  1373,  3168,  2346,  3966,  2617,  1081,  3214,  2349,
    5069,  2573,  4106,  1914,  3812,  5101,  1916,  2015,  1918,  3172,
    1920,  3118,  1922,  5450,  2372,   928,  1926,  3118,  3576,  2446,
    1534,   812,  4810,  1414,  4339,   893,   893,  1414,  3638,  4819,
    2306,  3169,  4884,   848,   848,  4107,  5461,  4167,  4425,  1038,
    4426,  5125,  3173,  2665,   854,  1039,  1374,   988,  4853,  4010,
    4108,  4153,   187,  4564,  3277,  3003,   848,  2307,   929,  1374,
    4109,  4919,  3288,   637,  3170,   638,  4174,  4019,  2417,  4020,
    1478,  4854,  2423,   838,   838,   812,   838,  3578,  4036,  3772,
    1904,  2646,  1548,  1905,  1863,  2308,  4110,  1375,    40,  1898,
    1759,   848,   848,   848,   848,   188,  1028,  5397,   874,   846,
    1375,  3278,  2600,  5373,   812,  4920,  1535,  4772,  2309,   859,
    2310,   812,  5249,  2647,  2446,   930,   859,  4167,  2149,   859,
    1549,  3616,    44,  3177,  2213,   593,  2648,  1395,   593,  3119,
    3112,  1029,  2785,   851,   726,  3119,  4957,  3120,  1307,  4737,
    3121,  1559,   737,  3120,  4830,  2304,  3121,  4175,  4916,   893,
   -1692,  2504,  2427,  3978,  1536, -1692,  3178,  1537,   727,  2649,
    1743,  1396,  2214,    48,  1030,  1397,  4853,   875,  2374,  1326,
    2284,  4111,  2285,   860,   860,  1560,    49,   935,  3331,  1561,
    2429,   936,  2307,   624,   895,   895,  4860,  3641,   860,  4854,
    2428,   860,  3766,  2430,  3979,  4021,  5453,  5021,  1398,    50,
    1539,   911,  4667,  3942,  4176,  4022,  4177,  1898,   848,   848,
    2308,  1031,  1562,    51,  3511,   848,  4167,   812,  3407,  1836,
    3518,  2431, -1692,  4154,    35,   917,  1550,   184,  3576,  4155,
     912,  2286,  3576,  2309,  2676,  2310,  4156,  4334,  2117,   926,
    1837,  4697,  1931,   626,  1541,  4806,  5107,  4808,  2598,   848,
    4953,   860,  -583,  2345,   860,   860,  4773,   812,   812,  4583,
     848,  4570,  4571, -1692,  1028,  4587,  1542,   812,  2688,  4157,
    2304,  4678,  1046,  2337,   812,   934,  3350,  2118,  5108,   746,
     746,   184,  4335,  2693,   982,   987,  1544,  1307,   983,  1307,
    2354,  4158,   984,  3918,  1307,  1307,  3922,  4174,   985,  1029,
    1836,  1307,  1307,  1307,   990,  1390,  4336,  1307,   895,  1307,
    1307,  1307,  1307,  1307,  1307,  1144,  1307,   735,  1307,  1307,
     737,  1837,  1307,   735,  2506,   737,   737,  1046,  1401,  3724,
    4172,  3392,  3890,  2979,   993,  1838,  2119,  1307,  1307,  1307,
    1307,  5077,  3725,  1391,   848,  1307,  2987,  2996,  2543,  1307,
    2687,  5336,  1307,   996,  3406,  1307,  1307,  1307,  1307,  1307,
    1307,  1307,  1307,  1307,  1023,  1307,  1402,  5135,  1836,  2365,
    2714,   812,  1307,  3580,  1307,  5098,  1392,   846,  4175,  1031,
    1001,   812,  1002,   893,  2120,  1519,  2306,  3029,   859,  1837,
    4658,  5309,  5112,  4105,   859,  2438,  2439,   859,  5180,  1403,
    4304,  4106,   637,  1840,   638,  5105,  2975,  2635,  1520,  2636,
     812,  2637,  3621,  2638,  1307,  2639,  2088,  1553,   812,  2640,
     812,  4305,  2314,  2800,  2296,  2801,  1010,   720,  5136,   643,
    1307,  3626,  -582,   737,  4107,  4176,  1824,  4177,  2173,  1307,
    1307,  2121,  2315,   737,  3735,  1574,  1032,   720,  2802,  4517,
    3582,  3021,  3671,   812,  3530,  1554,  3531,  1787,  2297,  4109,
    2906,  4638,  2911,  4639,  4640,  4106,  1890,  4641,  2983,  1801,
    1802,  2988,  2989,  4287,  1961,  1033,  3306,  1962,  3699,  3532,
    1788,  3307,  3736,  1575,  2904,  1164,  1165,  1576,  1555,  1891,
    2944,  4853,  2947,   851,  1048,  2397,  4288,  2601,  4107,  3674,
    4217,  1034,   746,  2366,   746,  2941,  2367,  1347,  2861,  3539,
    4384,  2613,  3450,  4108,  4854,  3737,  1577,  2100,     3,     4,
    4150,  1307,  3007,  4109,  2619,  1824,  5452,  2173,   737,  5168,
    3113,   737,   737,   593,  1053,   848,   848,  3897,  2307,  1522,
     860,  1096,   895,   860,   860,  3451,   848,  3907,   848,  4110,
    3452,  2803,   848,  2577,  1105,   812,  2804,  1591,  5294,  1046,
    1595,  2805,  5230,  1005,  3594,  1006,  2308,  3849,   706,   720,
    4111,  2096,  3848,  3850,  2097,  3730,   776,  3307,  1510,  1824,
     935,  1399, -2248,  1527,   936,  3851,  2277,  3533,    15,  2309,
    3250,  2310,  3534,  2099,  3032,   812,  2100,  4202,  4194,  1106,
    2104,  1612,  3044,  2105,  3196,  1112,  5064,  1612,  5066,   180,
    4821,   812,  5070,  3852,  5071,  3853,  1123,  3989,  4410,  1179,
    1179,  2630,    20,  1179,  2100,  2306,  2304,  1130,  3504,  3576,
    3506,  3507,   812,  1975,  4111,    51,  3576,  3089,  3089,  2642,
    2644,  3576,  2643,  2643,  3576,  2679,  3630,  2568,  2680,  2569,
    3893,  1139,   812,   812,  4232, -1656,   812,   720,   851,   776,
    5106,  1170,  4209,   180,  4216,  3576,  2864, -1656,  3854,  1898,
    1174,  5375, -1656,   226,    40,  3954,  3955,  1046,  3576,   608,
    1178,  3648,   848,  2021,  1181,   848,  2022,   704,  3866,  1184,
    2023,  2024,  2025,  1831,  1832,  2485,  3855,   624,  1186,  2806,
    3845,  5322,  2717,  1187,  2720,   782,   812,   812,    44,  2807,
    2727,  2912,   737,  1188,  2100,  2028,  2741,  2742,  2743, -1656,
    4537,  3182,  2029,  3185,  3187,  3019,  2759,  2761,  3020,  3092,
    3535,  2771,  3093,  3247,  2426,  3252,  3248,  2798,  3253, -1656,
    3536,  3151,  1194,  3357,  5337,    29,  2100,  2030,  1824,    48,
    2173,  4910,  1307,  1307,  1307,  3856,  5419,   626,  1307,  3398,
    3857,  1196,  2643,  3449,   848,  2021,  2100,  3458,  2022,  3324,
    2100,  3325,   848,  3464,  5128,   848,  2100,  2307,  1195,  3465,
   -1656,   848,  2100,  4861,  1179,  5386,    40,  1197,  3466, -1656,
    3425,  2100,  3555,  1307,  3556,   848,    32,  2028,    40,    51,
    2889,  2890,  3858,  3836, -2634,  2308,  1198,  3437,  3834,  2277,
   -1714, -1714,  3089,  5371,   812,  1199,  3834,   812,  3859,  1203,
      44,  3291,  3445,  2578,   746,  1200,    40,  4395,  2309,  2030,
    2310,  3497,    44,  2586,  2100,  2587,   848,  1307,    40,  3510,
    3576,  2591,  2100,    29,  -457,  4740,  1206,  3515,  2597,   180,
    3516,  5422,  2306,  2306,  3182,  3337,  3717,  2031,  5011,  3718,
      44,    48,  2032,  1204,   848,  2304,  3323,  5016,  5288,  4169,
    4170,  1325,    44,    48,    49,  3722,  3294,  3746,  3723,  3930,
    3747,  3436,  3931,  1328,  2033,  2034,    49,  1332,  3952,  3319,
    1307,  2100,  4042, -1718, -1718,  4043,  3527,    50,  1333,  2035,
    3576,    48,  1334,  4052,  3022,  3883,  4053,  4063,  1348,    50,
    2100,    51,  3860,    48,    49,  1338,   637,   848,   638,   848,
    3089,   848,  3089,    51, -1656,  5435,    49,  4949,     3,     4,
    4139,  4144,  2036,  4140,  4145, -1655,    40,    50,   832, -2634,
    2718,  2598,  3440,  1759, -2634,  3443,  2037, -1655,  3444,    50,
   -1693,    51, -1655, -1717, -1717, -1693,  4047,  1931,  3557,  -457,
    3558,  3010,  3087,  5338,   893,  1046,  5436,  1046,  5437,  3867,
      44,  3869,  1353,  4149,  4173,  3982,  2927,  2643,  2729,  2730,
    4385, -2634,  4327,  2643,  4328,  2744,  2745,  5466,  1210,   706,
    4438,  3478,  1356,  1953, -1644, -2634, -2634, -2634,   812, -1655,
    5269,  5270,   833,  3995,  2307,  2307,  1356,  4458,   593,    15,
    2100,    48,  4484,  2783,   860,  2680,  1354,   860,  1606, -1655,
     860,  1357, -1693,  4217,    49,  5356,  5357,  3590,  2037,   848,
    1359,   826,  2308,  2308,  1370,  1386,  2039,  1307,  2718,  1389,
    1385,  3576,  1307,    20,  1369,  1046,  1371,    50,  4496,  3936,
    4547,  2100,  4516,  2927,  4519,  2309,  2309,  2310,  2310,  1393,
   -1655,    51, -1417, -1693, -1417,  1307,  1307,  1307,  4553, -1655,
    1307,  4554,   834,  4559,  1434,   826,  2643, -2538,  1307,  1307,
    1307,  1307,  1399,  1461,  4560,  4697,  3650,  2643,  1463,  1458,
   -2278,  1307,  2304,  2304,  1307,  4699,  1307,  4745,  4700,  3576,
    4746,  4747,  1464,  1499,  2100,  3661,  3975,  1307,  1307,  1516,
    4755,  1307,  4579,  2680,  4826,  1504,  4911,  4827, -2634,  2643,
    2887,  2887,  1503,   895,  4210,  1307,  4964,  1307,  3576,  1307,
    1505,  4121,  4950,  2040,  1518,  4951,  2041,  2042,  2043,  1531,
    2044,  2045,  2046,  2047,  2048,  2049,  1566,  4966,  4974,  1307,
    2680,  4975,  4984,   812,  4990,  1898,  4992,  3904,  4190,  3904,
    3577,  1528,  1567,  5003,  2306,  3074,  5004,  4228, -2538,  5057,
    5097,  5127,  5058,  2067,  5004,  1532,   812,  1582,  1592,  1593,
     826,   737,  2306,  1307,  3560,  3561,  3562,  5137,   184,  3098,
    2680,   982,  1596,  5138,  1533,   983,  3516,  2306,  1307,   984,
    1601,  3743,  1602,  3745, -1655,   985,  5139,   835,  3151,  2100,
    5151,  1705,  3577,  5152,  3574, -2634,  3610,    32, -2538,  3613,
    1707,  2911,  2044,  2045,  2046,  2047,  2048,  2049,  5157,  1210,
   -2538,  1898,  3478,  1708,  1717, -2538,  3479,  3480,  3481,  1710,
   -2538,  1713,  3576,  1718,  1534,   846, -2538,    40,   846, -2538,
    4310,  3484,  3298, -2538,   180,  5160,  4323,  5179,  3904,  1727,
    2643,  1733,  1307,  1726,  3089,  5185,  3574,  5191,  2680,  1931,
    2680,  5192,  1730,  3765,  2680,  3031,  5195,  5197,  1736,  5196,
    5198,    44, -2538,  1739,  5199,  5226,  3834,  5200,  5227,  1741,
    1747,  3773,  3795,   859,   859,  1750,   848,  1743,   848,   848,
     848,  1532, -2538,  2306,  3339,  3356,  3806,  4212,   859,  5276,
    4256,   859,  5277,  1761,  1752,  5280,  2307,  4479,  1898,  1762,
    1533,  5281,    48,  1767,  2100,  1437,   707,  1766,  -177,  2306,
    1535,  3814,  1769,  5282,  2307,    49,  2100,  4313,  5284,  5305,
    1770,  2100,  5306, -2538,  2308,  5329, -2538,  5358,  5330,  2307,
    3904,  5370, -2538,  5396,  4997,  1774,  5004,   737,    50,  1438,
    1772,  5433,  2308,  5150,  5434,   737,  1775,  2309,   737,  2310,
    1534,   859,   708,  2777,   859,   859,  2780,  2308,  1536,  3576,
    5446,  1537,  1790,  5196,  1797,  2309,  5448,  2310,  5464,  5449,
    5472,  5277,  2374,  5449,  3371,  3373,  3374,  1799,  1804,  1811,
    2309,  3590,  2310,   206,  2304,  1817,  1818, -2538,  3482,  3590,
    1819,  1820,  4195,   812,  1824,  1827,  1828,  1830,  1440,  1846,
    1844,  1859,  2304,  1858,  1539,  1862,  1886,  1863,  1870,  1874,
    3483,  1901,  1876,  3029,  4865,  1877,  1879,  2304,  4233,  1881,
    1887, -2634, -2634, -2634,  1889,  3488,  3489,  3490,  3491,  3492,
    3493,  1894,  1897,  1441,  3576,  2307,  1535,  1900,  2013,  3576,
     751,  1928,  1903,  1958,  1210,  3951,  1963,  3478,  1541,  1972,
    1965,  3479,  3480,  3481,  1966,  1973, -1867, -1874,  4866,  1980,
    1981,  2307,  3477,  2308,  3340,  1982,  1983, -2538,  4060,  1442,
    1542,  1984,  3484,    51,  3505,  1986,  1987,  1988, -1864, -1865,
    1989,  1990,  2013,  4867,  1536,  1991,  2309,  1537,  2310,  2308,
    1544, -2538,  1993, -2538, -2538, -1868,  1994,  1995,  2374,  2798,
    4868,  1307,  1996,  1443,  4869,  1997,  3528,  1307, -1866,  1998,
    1999,  2053,  2309,  2000,  2310,  3548,   848,  2002,  4435,  2003,
    1704,  3089,  3089,  2304,  4870,  2004,  2005,  4871,  2006, -2538,
    1539,  3567, -2538, -2538, -2538,  1445,  2007,  2008,  3576,  2009,
    2718,  2057,  4872,  2071,  3554, -2540,  2091,  4005,  2055,  2304,
     180,  2083,  2058,  2103,  2067,  2106,  1373,  3627,  3628,  1375,
     812,   812,   812,  2137,  3365,  3367,  2139,  2148,  4014,  2150,
    3375,  2151,  4674,  2152,  1541,  2169,    35,   812,  2168,  2170,
    3341,  2171,  2173,  3567,  2174,  2175,  2176,   825,  2177,  1448,
    2178,  2179,  2185,  4037,  4395,  3929,  1542,  1449,  2204,  1931,
     812,  2210,  2245,  2241,  2216,  2262,  2247,  2249,  2250,  1931,
     812,   812,  2248,  2252,  2253,   812,  1544,  1451,  2270,  2268,
    2281,  2269,  2282,  2283,  4873,  1452,  2294,  1956,   812,  2300,
    2303,   737,  4874,   846,  2298,  2301, -2540,  2302,  2304,  2312,
     859,  2313,  2316,   859,   859,  3483,  2317,  3342,  2318,  2323,
    3925,  4430,  4431,  4432,  4433,  4434,  2344,  2333,  2338,  2324,
    4535,  2350,  3485,  3486,  3487,  2339,  3488,  3489,  3490,  3491,
    3492,  3493,  2327,  3950,  4875,  2334,  2335,  1179, -1656,  2340,
    4077,  1453,  2361,  2341,  2347,  3343, -2540,  2368,  2371,   848,
   -1656,  1478,  2383,  2351,  2352, -1656,  2356,  2386, -2540,  2357,
    2369,  2376,  2392, -2540,  2377,  2381,  2382,  3484, -2540,  2385,
     812,  2387,  2390,  2393, -2540,  2398,  3751, -2540,  2409,  2399,
    2410, -2540,  2411,  2415,  2421,  2416,   812,  5413,  5414,  2437,
    2425,  2448,  2444,  2450,  2451,  3760,  2452,  2453,  2457,  2458,
    2459,  2460, -1656,  2468,  2461,  2467,  2471,  2469,  1307,  2470,
   -2540,  2474,  4586,  2479,  2472,  2480,  2481,  1307,  2486,  2490,
    2489,  2493, -1656,  1307,   619,  1307,  2498,  2504,  1307,  2507,
   -2540,  2518,  1550,  1307,  1307,  1307,  1307,  2522,  2523,  1307,
    1307,  1307,  1307,  1307,  1307,  1307,  1307,  1307,  1307,  2526,
    4718,  2531,  1307,  1307,  2549,  2542,  2545,  2548,  2558,  2562,
    2565,  2567,  1307, -1656,  2582,   826,  1307,  2571,  2584,  4533,
    1307, -2540, -1656,  2576, -2540,  2585,  2589,  2590,  1307,  2603,
   -2540,  1307,  2592,  1307,   826,  2593,  2594,  3583,  2596,   737,
    2595,  2605,  1307,  2607,  2606,  1307,  1307,  2608,  2621,  2622,
    1307,  1307,  2656,  2664,  2690,  4081,  2677,  1307,  2728,  2772,
    2723,  3595,  3595,  2778,   812,   812,   812,   593,  2022,  3590,
    3577,  4103,  2782,  2811,  2791,  4103,  4117,  4103,  2797,  2809,
    2831,  2832,  1307,  2846,  2851, -2540,  2855,  2854,  2865,  4085,
    4086,  4087,  4088,  3590,  2856,  2857,  2883,   833,  2869,  2881,
    3876,  2905,  3879,  2882,  2917,  2916,  1307,  3485,  3486,  3487,
    2898,  3488,  3489,  3490,  3491,  3492,  3493,  2884,  2945,  2919,
    2911,  3574,  1307,  2948,  3574,  2950,  2952,  2959,  2964,  2953,
    2976,  2969,  2974,  2980,  2984,  2995,  2994,  2998,   751,  3011,
    4168,  1931,  1931,  3012,  2446,  3017,  1322,  1326,  3028,  2970,
    3035,  2972,  3036,  3081,  4659,  3049,  3054, -1656,  3055,  3082,
    3091,   848,   848,   848,   848, -2540,  3076,  3084,  3103,  3099,
    3123,  3127,  3183,  3202,  3195,  4624,  4625,  3206,  4627,  3203,
     834,  4359,  2130,  3215,  3221,  3226,  3234,  3227,  3228, -2540,
    2277, -2540, -2540,  3241,  3574,  3245,  3239,  2021,  3266,  3267,
    2022,  3281,  3283,  3285,  3296,  3305,  3246,  3313,  3254,  4222,
    3314,  3316,  2375,  3287,  3299,  3317,  3321,  3327,  3329,   935,
    3308,  3330,  1356,   936,  3333,   180,  3334, -2540,  3348,  2028,
   -2540, -2540, -2540,  3315,  3349,  3353, -2634,  3351,  5061,  3352,
    3355,  3358,  5017,  3360,  3361,  3362,  3376,  3388,   180,  3363,
    3391,  3364,  3368,  3395,  1851,  3397,  3988,  3390,  3377,  3400,
    3401,  2030,  3402,  3403,  4267,  3404,  4877,  3413,  2691,  1898,
    2021,  1895,  3405,  2022,  4864,  1860,  3415,  3416,  3417,  3424,
    3427,  3432,  1176,  2021,  3434,  5051,  2022,  5053,  3441,  3442,
    2023,  2024,  2025,  3439,  3446,  3463,  3438,  3460, -2131,  3461,
    3462,  3512,  2028,  3467,  4307,  3468,  3474,  2026,  3529, -2634,
    3524,  3470,  3473,  3496,  3537,  2028,  3546, -1720,   846,  3547,
    2100,  3502,  2029,  3549,   859,  3551,  3509,   859,  3538,  3550,
     859,  3523,  3553,  3592,  2030,  3578,  2021,  3597,  3600,  2022,
    3598,  3604,  3618,  3602,  3624,  3636,  3834,  2030,   848,  3611,
    3629,  3632,   812,  3640,   848,  3631,  1307,  3643,  3637,  3652,
    3645,  3667,  3668,   812,  3678,  3680,  1956,  3684,  2028,  4348,
    3685, -2634,  3686,  3687,  3690, -2634, -2634,  3702,  3703,  2277,
    3705,  3711,  3712,  3713,  3721,  3731,  3748,  3750,  3755,  1953,
    3756,  3752,  3759,  4012,   812,  4908,  3761,  3784,  3577,  3779,
    2030,  4070,  3763,  3764,  3777,  3778,  3780,  3781,  3182,  3782,
    3783,  3785,  3792, -2634,  3787,  3796,  3786,  4396,  3788,  3790,
    3800,  3793,  3802,  3803,  3798,  2407,  3805,  4041,   812,  3789,
    3791,   737,  2446,  3809,  5204,  3810,  1307,  1307,  3811,   737,
    3829,  3813,  2013,  3840, -2634,  4813,  3881,  3816,  3820, -2634,
    3821,  3823,  3574,  4405,  3843,  3884,  3875,  2031,  4092,  3885,
    2037,  4097,  2032,  3880,  3089,  3874,  3089,  4073,  3887,  3889,
     592,  3892,  4083,   812,   893,  3903,  4973,  3904,  3906,  3913,
    3919,  4569,  3923,  3920,  2033,  2034, -2634,  1437,  3916,  3924,
    5210,  5212,  3927,  3928,  3940,  4837,  3949,  3969,  3970,  2035,
    3971,  3972,  3960,  3956,  3983,  3981,  1307,  3962,  3957,  3973,
   -2634,  3958,  3974,  3984,  3985, -2634,  3976,  1307,  3992,  3993,
    4591,  1438,   592,  3994,  3996,  3997,  3998,  3999,  4000,  4004,
    1975,  3499,  2036,  2037,  3478,  4718, -2130,  3498,  4013,  4054,
    4065,  4606,  4078,  4095,  4066,  3953,  2037,  1307,  4096,  2038,
   -2634,  1439, -2634,  4123,  4133,  4136,  4119,  1307,  1307,  4138,
    4038,  4142,  4160,  4039,  1307,  1307,  4040,  4181,  4046,  1307,
    4069,  4183,  4084,  4189,  1307,  4152,  4129,  1307,  1307,  4125,
    1440,  4197,  1307,  4495,  4127,  4104,  4128,  4196,  1307,   812,
     812,   812,   812,  4184,  4198,  4199,  4103,  4117,  4103,  2037,
    1307,  4103,  4201,  4203,  4509,  4206,  4633,  4205,  3577,  4220,
    4235,  4223,  3577,  4236,  4237,  1441,  5063,  4248,  4524,  4238,
    4250,  4251,  4249, -2634,  4265,  4252,   737,  4253,  4262,  4275,
    4264,  5307,  4276,   895,  4281,  4284,  2039,  4299,  4301,  4303,
    1307,  4211,  4314,  4315,  3610,  4306,  4317, -2634,  4318,  2911,
     595,  1442,  4549,  4321,  2044,  2045,  2046,  2047,  2048,  2049,
    4983,  4342,  3574,  4354,   746,  4331,  3574,  1307,  4536,  4538,
    4345,  4983,  4360,  4368,  4375,  2643,  4380,  4374,  4378,  4397,
    5204,  4381,  4387,  4402,  5217,  1443,  4403,  3089,  3089, -2634,
    4864,  4416,  4418,  4420,  4415,  4421,  4424,  4428,  4419,  4423,
    4436,  4440,  4357,  4358,  4448,  2277,  4442,  4460,  4470,  4469,
   -2132,  4512,  4513,  4520,  4582,  4471,  1444,  1445,  4722,  4590,
   -2634,  4472,  4455,  4589,  4464,  4521,  4465,  2044,  2045,  2046,
    2047,  2048,  2049,  2040,  4473,  4477,  2041,  2042,  2043,  4492,
    2044,  2045,  2046,  2047,  2048,  2049,  4505,  5050,  4508,  4526,
    5055,  4527,  2021,  3469,  1446,  2022,  4510,  4525,    35,  1046,
    4528,  4534,  1447,  4550,  1956,  4543,  4546,  4548,  1307,  4555,
    4561,  1448,  4556,  4565,  1210,  4584,  4585,  3478,  4588,  1449,
    4595,  3479,  3480,  3481,  2028,  5275, -2634,  1450,  4594,  3567,
     848, -2634,  4596,  2044,  2045,  2046,  2047,  2048,  2049,  1451,
    4607,  5153,  4610,  2755,  4614,   848,  4616,  1452,  4619,  4620,
    4628,  2773,  4636,  4637,  4650,  4642,  2030,  4651,   180,  4656,
    4657,  4660,  4665,  4666,  4671,  4672,  5177,  4675,  4673,  4679,
    4681,  4689,  4696,  4692,   595,  1307,  4701,  4703,  4711,  4713,
    4714,  4715,  4723,   595,   868,  4716,  4728,  4735,  4741,   593,
    4734,   595,  4742,   868,   595,  2277,  4749,  4752,  4744,  4751,
    4753,  4754,  4760,  1453,  1931,  4766,  4795,   868,  4769,  4776,
    4780,  4801,  4798,  4804,  4818,  4807,  4820,  5158,  4823,  1307,
    4828,  4829,  4822,  4074,  4859,  4834,  4840,  4878,  4880,  4841,
    4845,  4850,   848,  4851,  3323,  4852,  4341,  4886,  4888,  4890,
     893,  4891,  5174,  4893,  4897,  4914,  4894,  4915,  4922,   737,
    4896,  4924,  4927,  4838,  4933,  4952,  4931,  4694,  4956,  4940,
    4954,  4941,  4955,  2880,   812,  4969, -2634,  4972,  4976,  4982,
    5001, -2634,  4986,   737,  4989,  4993,  4995,  4997,  5012,  3590,
     737,  5022,  5020,  5023,  2021,  5078,  5029,  2022,  5035,  5080,
     893,  5085,  5092,  5089,  5104,  1046,  5090,  5099,  5110,  5111,
    5118,  5122,  4468,  5123,  1307,  5124,  5131,  5132, -2634,  5134,
    5133,  5141,  5140,  1307,  5149,  3483,  2028,  5162,  5166,  5170,
    5165,  5171,  5188, -2634,  5209,  5184,  5216,  5215,  5220,  5222,
    1307,  1307,  5225,  1210,  1307,  5229,  3478,  5232,  5233,  3567,
    3479,  3480,  3481,  3567,  5253,  5254,  5261,  5256,  2030,   593,
    5271,  5255,  4103,  5262,  5292,  2037,  3577,  1164,  1165,  4079,
    5428,  3577,  5290,  4577,  3577,   593,  5298,  3182,  5273,  4782,
    5218,  1307,  1307,   180,   180,  5308,  4836,  3484,  5300,  5316,
    5219,  5317,  1956,   866,  5335,  4168,  5354,  1307,  5318,  5349,
    5361,  5374,   902,  5368,  5382,  5407,  5415,  5379,  4168,   895,
     848,   848,   848,  3574,  5388,  5405,   923,  5406,  5421,  5417,
    3574,  5438,  5439,  5441,  5443,  3574,  5442,  5465,  3574,  5455,
    4879,  5428,  3795,  5456,  5467,  2021,  5468,  1358,  2022,  5462,
    5463,  3290, -2634, -2634, -2634,  5050,  1462,  5428,  2422,  3574,
    4617,  3585,  1564,  3156,  3080, -2634,  1563,  2021,   860,   895,
    2022,  3696,  3574,  4226,  4219,  5303,  2090,  2028, -2634,  5420,
    5301,  4324,  3194, -2634,  2029,  5072,  3828,  5203,  5380,  4356,
    4932,  4655,  4907,  3634,  5293,  1956,  4811,  5376,  3399,  2028,
    1956,  1956,  5315,  5223,  5221,  5393, -2634,  3639,  4406,  2030,
    4386,  5182,   860,  4349,  3264,   812,  4224,  3265,  3715,  3891,
   -2634,   737,  1552,  4373,  4677,  4913,  3255,  4348,  4918,  3899,
     812,  2030,  5381,  5469,  5447,   812,  5460,  3089,  3846,  3841,
    4892,  5320,  2497,  5190,  2277,  4839,  4947,   592,  5031,  4842,
     592,   753,  4437,  4676,  3483,  5007,  5432,  2564,  3625,  2922,
     812,  1046, -2634,  2572,  4396,  4912,  4412,  2037,  5129,  2044,
    2045,  2046,  2047,  2048,  2049,  1950,  1738,  4799,   848,   812,
    4168,  1047,  1124,  2609,  3799,  4254,  2684,  3485,  3486,  3487,
    4274,  3488,  3489,  3490,  3491,  3492,  3493,  1960,  4490,  2686,
    2685,  3895,  5340,  4945,  5454,  1307,  2868,  2860,  1307,  2634,
    1307,  2184,  5130,  1335,   826,  4391,  3484,   595,  4800,  2031,
     592,  2867,  4539,  5287,  2032,  4146,  2897,  3588,  3599,   868,
    1307,  2878,  2101,  4126,  3574,   868,  1307,  5283,  5164,  4531,
    3577, -2634,   180,  4099,  4782,  4503, -2634,  4518,   868,  2133,
    1307,  2063,  2896,  4093,  4683,  4988,  5148, -2634,  5147,  5000,
    4147,  2035,  4094,  2134,   868,  5457,  5360,  5416,  2138,   595,
    5274,  4967,  5285,  2583,  4048,  1095,  2143,  5286,  4797,   595,
     868,  2836,   812, -2634,  1931,  3455,   595,  3544,   868,   595,
       0,  3217,  3542,     0,  3574,     0,     0,     0,  2845,     0,
       0,  1095,   868,     0,     0,     0,     0,     0,  2037,  1307,
       0,     0,   868,     0,     0,     0,     0,   893,     0,   848,
     848,   848,   848,     0,     0,     0,     0,     0,     0,     0,
    2037,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     737,     0,     0,     0, -2634,   737,     0,   593,     0,   737,
       0,  2044,  2045,  2046,  2047,  2048,  2049,  3567,     0,     0,
       0,     0,  3567,     0,     0,  3567,     0,     0,   812,     0,
    4832,  3577,     0,     0,  4604,  4605,     0,     0,     0,  4608,
    4609,   595,   595,     0,     0,     0,     0,   868,  2039,     0,
       0,     0,     0,     0,     0,     0,  3485,  3486,  3487,     0,
    3488,  3489,  3490,  3491,  3492,  3493,  5279,  5113,     0,     0,
   -2634,     0,     0,   595,     0,     0,     0,     0,  1004,     0,
       0,     0,     0,     0,  1004,  3574,  1307,     0,     0,   593,
       0,     0,  1307,     0,     0,     0,  5156,  1004,     0,     0,
       0,     0,     0,  1307,     0,     0,     0,  1307,     0,  1307,
       0,  1307,     0,     0,     0,     0,     0,     0,  4168,     0,
       0,     0,     0,     0,   848,     0,   895,     0,   592,     0,
       0,     0,     0,     0,     0,     0,     0,  1307,     0,     0,
       0,  5167,     0,  3574,     0,  2040,     0,     0, -2634, -2634,
   -2634,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2634,  2755,  2755,
       0,     0,  3574,  2755,  2044,  2045,  2046,  2047,  2048,  2049,
     180,     0,  1931,  1931,     0,     0,     0,     0,   595,   595,
    1700,     0,     0,     0,     0,     0,     0,   595,     0,     0,
       0,     0,     0,     0,  1095,     0,     0,     0,   595,     0,
    2755,  2755,     0,   848,   595,     0,     0,   595,   180,     0,
    5237,     0,     0,     0,  1307,     0,     0,  5297,     0,  1095,
    1210,     0,  5250,  3478,     0,     0,     0,  3479,  3480,  3481,
       0,     0,  1210,     0,  1095,  3478,     0,     0,     0,  3479,
    3480,  3481,     0,     0,  4061,     0,     0,  1307,  1307,  1307,
       0,     0,     0,  3182,     0,     0,  1307,     0,     0,     0,
       0,     0,     0,     0,     0,  4968,  1307,     0,     0,  5000,
       0,  3567,     0,     0,  2911,     0,  3574,     0,     0,   595,
     595,  2013,     0,     0,     0,     0,     0,     0,     0,   860,
       0,     0,     0,  5346,  5347,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2015,   848,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,     0,  1210,   592,     0,
    3478,     0,   592,     0,  3479,  3480,  3481,     0,  2277,     0,
    1210,     0,     0,  3478,     0,   593,     0,  3479,  3480,  3481,
    1307,  4486,     0,     0,     0,     0,   868,     0,     0,  4168,
       0,     0,     0,  5321,  4487,   860,   860,  1307,     0,     0,
       0,     0,     0,   184,   868,     0,  5342,  1307,     0,   737,
    5343,  5156,     0,   595,  5344,     0, -2555,     0,     0,     0,
    5345,   868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   848,     0,     0,     0,  5404,     0,     0,     0,
       0,     0,  3567,  3574,     0,     0,     0,     0,     0,   868,
       0,  3483,   180,     0,     0,     0,     0,     0,  1095,     0,
     868,     0,     0, -2634,  5250,   848,   848,     0,     0,  4168,
    1437,     0,     0,     0,     0,   868,     0,     0,   868,     0,
       0,   184,     0,     0,  5342,     0,     0,     0,  5343,     0,
     595,     0,  5344,     0,     0,     0,  1307,  1307,  5345,     0,
       0,     0,     0,     0,  1438,     0,     0, -2555,  1307,     0,
       0,     0,     0,  3484,     0,     0,     0,     0,  3574,     0,
     595,  5142,     0,  3574,     0,  3484,   180,     0,     0,  5470,
    5471,     0,     0,     0,  1506,     0,     0,     0,  5159,     0,
       0,  1307,  5161,     0,  5163,     0,     0,     0,   595,   595,
     595,  1307,   595,     0,     0,     0,     0, -2555,  3483,     0,
       0,     0,     0,  1440,     0,   848,     0,     0,  4168, -2555,
       0,  3483,   595,     0, -2555,     0,     0,  5156,     0, -2555,
     184,   593,     0,  5342,     0, -2555,     0,  5343, -2555,     0,
       0,  5344, -2555,     0,     0,     0,   868,  5345,  1441,  4662,
       0,   860,   860,     0,   868,   868,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3484, -2555,  3574,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3484,  1442,     0,     0,     0,     0,     0,
       0, -2555,     0,     0,   595,     0,     0,     0,   595,   595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   595,     0,   737,   737,  1095,  1443,     0,
       0,     0,     0,  1700,     0,     0,     0,     0,     0,   737,
       0,     0, -2555,     0,     0, -2555,     0,     0,     0,     0,
       0, -2555,     0,     0,     0,     0,     0,     0,     0,  1507,
    1445,     0,     0,  3485,  3486,  3487,     0,  3488,  3489,  3490,
    3491,  3492,  3493,     0,     0,  3485,  3486,  3487,     0,  3488,
    3489,  3490,  3491,  3492,  3493,     0,     0,     0,     0,     0,
       0,     0,  1095,     0,     0,     0,     0,  1508,     0,  2218,
       0,    35,     0,     0,  2219,  1447, -2555,     0,     0,     0,
       0,     0,     0,     0,  1448,     0,     0,     0,   180,   592,
       0,     0,  1449,     0,     0,     0,   592,     0,     0,     0,
    1509,   592,     0,  1095,   592,  4778,     0,     0,     0,  2220,
       0,     0,  1451,     0,     0,   180,     0,     0,     0,     0,
    1452,     0,  2221,     0,     0,   592,     0,     0,     0,   751,
       0,     0,     0,     0,     0,     0,  1095,  2222,   592,     0,
    3485,  3486,  3487,     0,  3488,  3489,  3490,  3491,  3492,  3493,
       0,     0,     0,  3485,  3486,  3487, -2555,  3488,  3489,  3490,
    3491,  3492,  3493,     0,     0,     0,     0,     0,  1465,     0,
       0,     0,     0,     0,  1466,     0,  1453,     0,  2223,     0,
   -2555,  1532, -2555, -2555,     0,     0,     0,     0,   859,  2224,
       0,     0,     0,  5403,     0,  5201,   868,     0,     0,     0,
    1533,     0,     0,     0,     0,     0,     0,     0,     0,  2225,
       0,   595,   595,   595,  2226,     0,  1468,     0, -2555,     0,
       0, -2555, -2555, -2555,     0,     0,     0,     0,     0,     0,
       0,     0,   859,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2755,  2755,  2755,  2755,
    1534,     0,  2755,  2755,  2755,  2755,  2755,  2755,  2755,  2755,
    2755,  2755,     0,     0,     0,     0,     0,     0,     0,     0,
    1470,     0,     0,     0,     0,     0,     0,  1471,     0,  4045,
    1472,     0,     0,     0,     0,     0,  2227,     0,     0,     0,
       0,     0,   180,     0,     0,     0,     0,     0,     0,     0,
     592,     0,     0,     0,     0,  1473,     0,     0,  2755,  2755,
       0,     0,     0,     0,  1095,     0,     0,     0,     0,     0,
    2228,     0,     0,   663,     0,     0,  2021,     0,     0,  2022,
       0,  1095,   750,  2023,  2024,  2025,  1535,     0,     0,  1474,
    1095,   737,     0,   737,     0,     0,     0,  1700,     0,     0,
    2026,     0,  1095,   206,  2229,     0,     0,     0,  2028,     0,
     592,     0,     0,     0,     0,  2029,     0,     0,     0,     0,
       0,   868,     0,     0,     0,     0,     0,     0,     0,   868,
       0,     0,     0,  1437,  1536,     0,  2230,  1537,     0,     0,
    2030,   868,  2231,     0,     0,  2420,     0,     0,  1538,  2232,
    1476,     0,  2233,     0,     0,     0,     0,     0,  1095,     0,
    1477,     0,     0,     0,     0,   595,     0,  1438,   595,  1478,
       0,     0,  1095,     0,     0,     0,     0,     0,   595,     0,
    1539,  1479,  2234,     0,  1095,     0,     0,     0,     0,  2235,
       0,     0,     0,     0,     0,     0,  1095,  2236,     0,     0,
       0,     0,     0,     0,  2237,     0,     0,     0,     0,     0,
       0,     0,     0,   595,   595,     0,   868,   868,     0,  1540,
       0,     0,  1481,  1482,  1541,     0,  1440,  5091,   595,  2238,
     868,   595,     0,     0,     0,     0,     0,     0,     0,     0,
    1095,  1095,     0,   868,   868,     0,  1542,     0,     0,     0,
    2031,   592,  1543,     0,     0,  2032,     0,     0,     0,   868,
       0,  1441,     0,     0,     0,     0,  1544,     0,     0,     0,
       0,     0,     0,     0,   737,     0,     0,  2033,  2034,     0,
       0,     0,     0,  5426,     0,     0,     0,     0,     0,     0,
       0,   595,  2035,     0,   595,   595,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   592,
       0,     0,     0,     0,     0,     0,     0,  1484,     0,     0,
    2508,     0,     0,     0,     0,  2036,     0,   595,  2525,   595,
       0,  1443,     0,     0,   595,   595,     0,     0,   592,  2037,
    2420,   595,   595,   595,  5426,     0,     0,   595,     0,   595,
     595,   595,   595,   595,   595,     0,   595,     0,   595,   595,
    5426,     0,   595,  1445,     0,     0,     0,     0,     0,  2755,
       0,     0,     0,     0,     0,     0,  1095,   595,   595,   595,
     595,  1700,     0,     0,     0,   595,     0,     0,     0,   595,
       0,     0,   595,     0,     0,   595,   595,   595,   595,   595,
     595,   595,   595,   595,    35,   595,  2261,     0,  1447,     0,
       0,     0,   595,     0,   595,     0,  2602,  1448,     0,     0,
       0,     0,     0,     0,     0,  1449,     0,     0,     0,  2039,
       0,     0,     0,  2262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2420,     0,  1451,     0,     0,     0,     0,
       0,     0,   592,  1452,   595,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     595,     0,     0,  1532,     0,     0,     0,     0,     0,   595,
     595,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   868,     0,     0,     0,     0,  1453,
       0,  1095,     0,     0,     0,  1095,  1095,  2694,     0,   859,
       0,     0,   868,     0,     0,     0,  2040,  1700,   868,  2041,
    2042,  2043,   868,  2044,  2045,  2046,  2047,  2048,  2049,     0,
     868,     0,  1534,  4211,     0,     0,  2021,  1437,  3339,  2022,
    2207,     0,     0,  2023,  2024,  2025,     0,     0,   868,     0,
       0,   595,     0,     0,     0,     0,  2695,     0,     0,  1437,
    2026,     0,     0,   595,     0,  5324,     0,  1095,  2028,     0,
     595,  1438,     0,   595,   595,  2029,     0,     0,     0,   592,
       0,  1095,     0,     0,     0,   859,   859,     0,  2696,     0,
       0,     0,     0,  1438,   868,  4212,     0,     0,     0,     0,
    2030,  1523,     0,  4507,     0,     0,     0,     0,     0,     0,
       0,  2697,   868,   868,     0,     0,     0,     0,  1535,     0,
       0,  1095,  2698,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2699,     0,  1700,   868,     0,  2700,  1700,     0,
       0,     0,  1440,   980,   592,     0,     0,     0,     0,   592,
       0,     0,     0,     0,     0,  1441,  1536,     0,     0,  1537,
       0,   868,     0,  1700,     0,     0,     0,     0,   868,     0,
    2374,     0,  4213,     0,   868,     0,     0,  1441,     0,     0,
       0,   868,     0,  2913,     0,   868,     0,     0,  2701,     0,
     868,  1442,     0,     0,     0,     0,  1045,   663,     0,     0,
    2031,  2929,  1539,     0,     0,  2032,     0,  2933,  3340,  2702,
     868,  2936,     0,  1442,     0,   868,     0,     0,     0,   868,
       0,     0,  1700,     0,     0,  1443,     0,  2033,  2034,     0,
       0,     0,   868,     0,     0,     0,     0,  2960,     0,     0,
       0,     0,  2035,     0,     0,   868,  1541,  1443,   592,     0,
       0,     0,     0,     0,     0,   868,  1524,  1445,     0,     0,
       0,  5459,     0,     0,     0,     0,     0,     0,  1542,     0,
       0,     0,   595,   595,   595,  2036,   206,  2703,   595,  1445,
    2704,   859,   859,  3015,     0,     0,     0,     0,  1544,  2037,
    4214,  1183,  2038,  4215,  1525,     0,     0,     0,    35,     0,
       0,  1004,  1447,     0,     0,     0,  2705,     0,     0,  2706,
       0,  1448,     0,   595,  1095,  2707,     0,  1202,     0,  1449,
      35,     0,  2708,  1700,  1447,  1310,     0,  1526,  1319,  1045,
    1321,     0,     0,  1448,  3065,     0,     0,     0,     0,  1451,
       0,  1449,     0,     0,     0,     0,     0,  1452,     0,  2262,
    2709,     0,     0,     0,     0,  2710,     0,   595,  2711,     0,
    3094,  1451,     0,     0,     0,     0,     0,  3104,     0,  1452,
       0,     0,     0,  3109,     0,     0,     0,  2712,     0,  2039,
    1004,     0,     0,     0,  3124,     0,     0,     0,     0,  3128,
       0,  3342,  2304,     0,     0,     0,  1095,     0,     0,     0,
       0,   868,  2713,  1453,     0,     0,     0,     0,     0,  3141,
     595,     0,     0,     0,  3143,     0,     0,     0,  3146,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,  3343,
       0,  3163,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3188,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1004,     0,   868,  2755,     0,     0,
       0,     0,     0,     0,     0,     0,  4748,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2040,     0,     0,  2041,
    2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,
       0,     0,     0,     0,     0,     0,  3519,     0,   868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,     0,   868,     0,     0,     0,
       0,     0,     0,     0,   868,     0,     0,     0,   595,     0,
       0,  1095,     0,     0,   595,     0,     0,   595,     0,     0,
     595,     0,     0,     0,     0,     0,  1095,     0,     0,     0,
       0,     0,     0,     0,   873,     0,     0,   595,     0,     0,
       0,     0,   595,     0,     0,     0,   907,     0,     0,     0,
    1465,  2021,     0,     0,  2022,  1465,  1466,   925,  2023,  2024,
    2025,  1466,     0,     0,     0,   595,   595,   595,     0,  1467,
     595,     0,     0,     0,     0,  2026,     0,     0,   595,   595,
     595,   595,     0,  2028,     0,     0,  1700,     0,     0,     0,
    2029,   595,  1700,     0,   595,     0,   595,     0,  1468,     0,
       0,     0,     0,  1468,     0,     0,     0,   595,   595,     0,
       0,   595,     0,     0,     0,  2030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   595,     0,   595,     0,   595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2020,     0,     0,     0,  1045,  2021,  1469,   595,
    2022,     0,  1470,  2319,  2023,  2024,  2025,  1470,     0,  1471,
     595,     0,  1472,  1045,  1471,     0,     0,  1472,   868,     0,
       0,  2026,     0,     0,  2027,     0,     0,  3412,     0,  2028,
       0,     0,     0,   595,     0,     0,  2029,  1473,     0,     0,
       0,     0,  1473,     0,     0,  3426,     0,  1955,   595,     0,
       0,     0,     0,  3412,     0,     0,     0,     0,     0,     0,
       0,  2030,   595,     0,     0,     0,     0,     0,  2755,     0,
    1045,  1474,     0,     0,     0,  2031,  1474,  1465,     0,     0,
    2032,  1095,     0,  1466,  1095,     0,  1095,     0,     0,     0,
       0,  1095,     0,  2755,     0,     0,  1568,     0,     0,     0,
       0,     0,  2033,  2034,     0,     0,   868,   868,     0,     0,
       0,     0,   595,     0,     0,     0,     0,  2035,     0,     0,
       0,     0,     0,     0,     0,  1468,     0,     0,     0,     0,
    1475,     0,  1476,   868,     0,  1475,   868,  1476,     0,     0,
    1095,     0,  1477,     0,     0,     0,  2017,  1477,     0,     0,
    2036,  1478,     0,     0,     0,  2019,  1478,     0,     0,  1095,
       0,     0,     0,  1479,  2037,     0,     0,  2038,  1479,  2061,
       0,  2031,     0,     0,     0,     0,  2032,  1569,     0,  1470,
       0,     0,     0,     0,  1095,     0,  1471,     0,  1045,  1472,
       0,  2078,  2079,     0,     0,     0,  1045,  1045,  2033,  2034,
       0,  1480,     0,     0,  1481,  1482,  2320,     0,     0,  1481,
    1482,     0,     0,  2035,  1473,     0,     0,     0,     0,     0,
       0,  1700,  1700,  1700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1483,  1465,     0,     0,     0,  2321,
       0,  1466,     0,     0,     0,   868,  2036,     0,  1474,     0,
       0,     0,     0,     0,  2039,  1095,     0,  1095,     0,     0,
    2037,     0,     0,  2038,     0,   868,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1468,   868,     0,     0,     0,   939,     0,
       0,     0,     0,     0,   986,     0,     0,     0,     0,  1484,
       0,     0,     0,     0,  1484,  2755,     0,  1475,     0,  1476,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1477,
       0,  1816,     0,     0,     0,     0,     0,     0,  1478,     0,
       0,     0,  3646,     0,     0,     0,     0,  1470,     0,     0,
    1479,     0,     0,     0,  1471,     0,  1095,  1472,     0,  1843,
    2039,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,     0,     0,   868,     0,  2781,  1861,
       0,   595,  1473,     0,     0,     0,     0,   595,  1570,  1872,
       0,  1481,  1482,  1875,     0,  1095,     0,  1878,     0,  1880,
       0,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
       0,  1896,     0,     0,  1899,     0,  1474,     0,     0,     0,
    1095,  1571,     0,     0,     0,     0,  2379,  1700,  1095,     0,
       0,     0,  2384,     0,   868,     0,   868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   868,
       0,   868,     0,     0,  3726,     0,     0,  2040,  1191,     0,
    2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,
       0,     0,     0,  1700,     0,  1475,     0,  1476,     0,     0,
       0,     0,     0,  1314,     0,     0,  1484,  1477,     0,  2755,
       0,     0,     0,     0,     0,     0,  1478,  1095,     0,     0,
       0,     0,  1337,     0,     0,     0,     0,     0,  1479,     0,
       0,     0,     0,     0,   868,  1095,     0,     0,     0,     0,
       0,  1465,     0,     0,  1365,     0,     0,  1466,  2021,  1095,
       0,  2022,     0,     0,     0,  2023,  2024,  2025,     0,     0,
    1568,     0,     0,     0,     0,     0,  1597,     0,     0,  1481,
    1482,     0,  2026,     0,  2021,     0,     0,  2022,     0,     0,
    2028,  2023,  2024,  2025,     0,   868,     0,  2029,  1496,  1468,
       0,     0,     0,     0,     0,  3807,     0,     0,  2026,  1598,
       0,     0,     0,   868,     0,     0,  2028,     0,     0,     0,
       0,     0,  2030,  2029,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   868,     0,     0,   868,     0,
    5359,     0,     0,     0,     0,     0,     0,     0,  2030,     0,
       0,  1569,     0,  1470,     0,     0,     0,     0,   595,     0,
    1471,  1095,     0,  1472,     0,     0,     0,   595,     0,     0,
       0,     0,     0,   595,  1484,   595,  2519,     0,   595,     0,
    2524,     0,  1095,   595,   595,   595,   595,     0,  1473,   595,
     595,   595,   595,   595,   595,   595,   595,   595,   595,     0,
       0,     0,   595,   595,     0,     0,     0,  1095,     0,     0,
       0,     0,   595,     0,     0,     0,   595,     0,  1700,     0,
     595,     0,  1474,  1754,     0,     0,     0,     0,   595,  2755,
    2755,   595,  2031,   595,     0,     0,     0,  2032,     0,     0,
       0,  1095,   595,     0,     0,   595,   595,     0,     0,     0,
     595,   595,  1792,  1795,  1796,     0,     0,   595,  2031,  2033,
    2034,     0,     0,  2032,     0,     0,     0,   595,     0,     0,
     595,     0,  1465,     0,  2035,     0,     0,     0,  1466,     0,
       0,  1475,   595,  1476,     0,  2033,  2034,     0,     0,     0,
       0,     0,     0,  1477,  2420,     0,     0,     0,     0,     0,
    2035,     0,  1478,     0,     0,     0,   595,  2036,     0,     0,
       0,     0,  3977,     0,  1479,     0,     0,     0,     0,     0,
    1468,  2037,   595,     0,  2038,     0,     0,     0,  1095,     0,
       0,     0,     0,  2036,     0,     0,     0,  3991,     0,     0,
     595,     0,     0,     0,     0,     0,     0,  2037,     0,     0,
    2038,     0,  3153,     0,     0,  1481,  1482,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   868,     0,     0,  1470,     0,     0,     0,     0,     0,
       0,  1471,     0,     0,  1472,  3154,     0,     0,     0,     0,
       0,     0,  2740,     0,     0,     0,     0,  1314,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1473,
       0,  2039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1700,  1314,     0,     0,     0,  1700,  1095,  1700,
       0,     0,     0,     0,     0,     0,     0,  2039,     0,     0,
       0,     0,     0,  1474,     0,     0,     0,     0,     0,     0,
    1484,  1700,  1095,     0,     0,     0,     0,     0,     0,     0,
    2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,  2025,
    1700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2853,  2026,     0,   868,     0,     0,   868,
       0,     0,  2028,     0,     0,     0,     0,     0,     0,  2029,
       0,     0,  1475,     0,  1476,     0,     0,     0,  2040,     0,
       0,  2041,  2042,  2043,  1477,  2044,  2045,  2046,  2047,  2048,
    2049,     0,     0,  1478,  2030,  3842,     0,     0,     0,     0,
       0,     0,     0,     0,  2040,  1479,     0,  2041,  2042,  2043,
       0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,
       0,  4006,     0,     0,     0,     0,   595,     0,     0,  2092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4191,     0,     0,  2242,     0,     0,  1481,  1482,     0,     0,
       0,   868,   868,     0,     0,  1095,     0,     0,     0,     0,
       0,   868,  1045,     0,     0,     0,     0,     0,   595,     0,
       0,     0,     0,     0,     0,     0,  2243,     0,     0,  2145,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2031,  1095,   595,   595,     0,  2032,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2033,  2034,  1321,     0,   847,   849,     0,     0,   853,
       0,  1484,     0,     0,  2604,     0,  2035,     0,     0,     0,
       0,     0,  2611,   868,     0,  4289,     0,  2271,  4292,   909,
       0,     0,     0,     0,     0,     0,   919,  2295,     0,     0,
       0,     0,  2623,     0,     0,     0,   595,     0,     0,  2036,
       0,     0,     0,     0,     0,     0,     0,   595,     0,     0,
       0,     0,     0,  2037,     0,     0,  2038,     0,  2332,     0,
       0,     0,     0,     0,     0,  1465,     0,     0,     0,     0,
       0,  1466,  1321,     0,     0,     0,     0,   595,  1532,     0,
       0,  2355,     0,     0,  2358,     0,     0,   595,   595,  1321,
    1095,     0,     0,     0,   595,   595,     0,  1533,     0,   595,
    1095,     0,     0,     0,   595,     0,     0,   595,   595,     0,
       0,     0,   595,  1468,     0,     0,     0,     0,   595,     0,
    4370,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     595,     0,     0,     0,     0,  2406,     0,     0,   595,  2420,
       0,     0,   595,  2039,     0,     0,     0,  1534,     0,  2424,
    3191,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1470,     0,     0,
     595,     0,     0,     0,  1471,     0,     0,  1472,     0,     0,
       0,     0,     0,     0,  3220,     0,     0,  3220,     0,  3220,
       0,     0,     0,  3220,     0,  3220,  3220,   595,     0,     0,
       0,     0,  1473,     0,  3220,  3220,  3220,     0,     0,     0,
       0,     0,  3412,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   868,  1535,  2858,     0,  1474,  1700,     0,     0,
    2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,     0,  1095,     0,     0,  4057,     0,     0,
    2447,     0,  3300,     0,     0,     0,     0,     0,     0,  2021,
     868,     0,  2022,     0,     0,  1095,  2023,  2024,  2025,     0,
       0,  1536,   868,     0,  1537,     0,     0,     0,     0,     0,
       0,     0,     0,  2026,  3332,  1538,  1465,  1476,   595,     0,
       0,  2028,  1466,  1045,     0,     0,     0,  1477,  2029,   868,
       0,     0,     0,     0,  2501,     0,  1478,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1539,  1479,     0,
       0,     0,     0,  2030,     0,     0,     0,     0,     0,     0,
    1095,     0,     0,  2544,  1468,     0,     0,     0,     0,     0,
    2557,     0,     0,     0,     0,     0,     0,     0,  1045,     0,
       0,     0,     0,     0,     0,   595,  3130,     0,     0,  1481,
    1482,  1541,     0,     0,     0,     0,     0,     0,     0,   595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1542,     0,     0,     0,     0,  1470,  3131,
       0,     0,   868,     0,     0,  1471,     0,     0,  1472,   595,
       0,     0,     0,  1544,     0,     0,     0,     0,     0,     0,
     992,     0,     0,     0,   995,     0,     0,     0,     0,     0,
       0,     0,     0,  1473,     0,     0,     0,     0,  1020,     0,
       0,     0,     0,  2031,     0,  1025,     0,     0,  2032,     0,
    1095,     0,  1095,     0,     0,     0,  2632,     0,     0,     0,
       0,     0,     0,     0,  1484,     0,     0,  1474,     0,  4601,
    2033,  2034,     0,     0,     0,     0,   868,     0,     0,     0,
       0,  4611,     0,     0,     0,  2035,     0,     0,     0,     0,
       0,     0,     0,     0,   595,     0,  1314,  1314,  1095,     0,
       0,     0,     0,   595,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2683,     0,     0,     0,     0,  2036,     0,
     595,   595,     0,     0,   595,     0,  1475,     0,  1476,     0,
       0,     0,  2037,     0,     0,  2038,     0,     0,  1477,   595,
       0,     0,     0,     0,     0,     0,   595,  1478,     0,     0,
       0,   595,     0,     0,   595,   595,     0,     0,     0,  1479,
       0,   595,   595,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   595,     0,   595,     0,     0,
       0,     0,   868,     0,   868,     0,     0,     0,   595,     0,
    1045,     0,     0,     0,     0,     0,     0,  3024,     0,     0,
    1481,  1482,     0,     0,     0,     0,     0,     0,     0,     0,
    2844,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2850,     0,  2039,     0,     0,     0,     0,     0,  1095,   868,
    1483,     0,     0,     0,     0,     0,   601,     0,   595,     0,
       0,     0,   652,   601,     0,     0,     0,     0,   705,  1365,
     601,     0,     0,     0,     0,     0,   601,  1365,   756,  1365,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3412,  1700,   823,   823,     0,
       0,     0,   595,     0,  1497,  1498,     0,     0,     0,     0,
       0,     0,  1314,     0,     0,  1484,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1045,     0,
       0,  3354,     0,     0,     0,     0,     0,     0,  3359,  2040,
       0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,
    2048,  2049,     0,     0,     0,     0,  4162,  4936,  3378,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3384,     0,
     595,  3385,  1095,  3386,  3387,     0,     0,  3389,     0,     0,
       0,     0,     0,  3393,     0,  3394,     0,     0,  3396,     0,
       0,     0,     0,     0,     0,   595,  1095,     0,   595,     0,
     595,  3412,  1731,  3412,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3720,
     595,     0,     0,     0,     0,     0,   595,     0,     0,     0,
     595,  1756,  1757,     0,     0,     0,  1095,     0,     0,     0,
     595,     0,     0,     0,     0,   855,     0,     0,     0,     0,
       0,  3435,     0,   897,  3033,     0,   899,  1798,     0,   904,
     905,     0,   908,     0,   910,     0,     0,   916,     0,   918,
    3056,     0,     0,     0,  3758,     0,     0,     0,     0,     0,
       0,  1700,     0,     0,     0,     0,     0,     0,     0,  1095,
       0,  3083,     0,     0,  1095,  1095,     0,     0,     0,   595,
       0,     0,     0,     0,     0,     0,   868,     0,     0,     0,
       0,     0,     0,     0,  2021,     0,     0,  2022,   868,     0,
       0,  2023,  2024,  2025,     0,     0,     0,     0,     0,     0,
       0,  1867,  1869,     0,     0,     0,     0,     0,  2026,     0,
    3797,     0,     0,     0,     0,     0,  2028,   595,     0,     0,
       0,     0,     0,  2029,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3157,  3158,     0,     0,     0,
       0,   595,  2021,     0,     0,  2022,     0,     0,  2030,  2023,
    2024,  2025,  3220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3827,     0,     0,     0,
       0,     0,  3838,     0,  2028,  1095,  1095,     0,     0,     0,
    3838,  2029,     0,     0,     0,     0,  1045,     0,  1045,     0,
       0,     0,     0,     0,     0,     0,   595,     0,     0,   595,
       0,     0,   595,     0,     0,     0,  2030,     0,     0,     0,
       0,     0,     0,   595,     0,     0,     0,   595,     0,   595,
       0,   595,     0,     0,     0,     0,     0,     0,   595,     0,
       0,     0,     0,     0,  3902,     0,     0,     0,     0,     0,
       0,     0,     0,  3284,     0,     0,     0,   595,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2031,     0,
       0,     0,     0,  2032,     0,  3935,  1045,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1700,     0,   868,  2033,  2034,  3644,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2021,     0,
    2035,  2022,     0,     0,     0,  2023,  2024,  2025,     0,     0,
       0,     0,     0,     0,     0,     0,  2031,     0,     0,     0,
       0,  2032,  2026,     0,     0,     0,     0,     0,     0,     0,
    2028,     0,     0,  2036,   595,     0,     0,  2029,     0,     0,
       0,     0,   595, -2634, -2634,     0,     0,  2037,     0,     0,
    2038,     0,     0,     0,     0,     0,     0,     0,  2035,     0,
       0,     0,  2030,     0,     0,     0,     0,   595,   595,   595,
       0,  3704,     0,  3706,     0,     0,   595,  1700,     0,     0,
    1095,     0,     0,     0,     0,     0,   595,     0,     0,     0,
       0, -2634,     0,     0,     0,   868,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2037,     0,     0,     0,   595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   868,     0,     0,  3429,     0,     0,
       0,     0,   989,     0,     0,     0,     0,  2039,     0,     0,
     998,     0,     0,     0,     0,     0,     0,  1011,  1012,  4058,
       0,  1018,     0,  1021,  1022,     0,     0,     0,  1024,     0,
       0,     0,     0,     0,     0,   595,     0,     0,     0,  1042,
     595,  2299,  2031,     0,     0,     0,     0,  2032,     0,   595,
       0,     0,     0,     0,  1052,   595,   595,   595,     0,     0,
       0,     0,     0,     0,     0,  2039,     0,   595,     0,  2033,
    2034,     0,     0,     0,     0,     0,     0,     0,     0,  1120,
    3794,  1122,     0,     0,  2035,     0,  3801,     0,     0,     0,
       0,  1138,     0,     0,     0,     0,     0,     0,     0,     0,
     868,     0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,
       0,  2044,  2045,  2046,  2047,  2048,  2049,  2036,     0,     0,
       0,  4456,     0,   601,   595,     0,     0,     0,     0,   595,
       0,  2037,     0,     0,  2038,     0,     0,     0,     0,     0,
       0,     0,  2402,  2403,  2404,  2405,     0,     0,     0,     0,
       0,     0,  3559,     0,  1192,     0,   595,   595,     0,     0,
       0,     0,  2040,     0,  3412,  2041,  2042,  2043,   595,  2044,
    2045,  2046,  2047,  2048,  2049,  1365,     0,     0,     0,     0,
       0,     0,  1700,     0,     0,  2021,     0,     0,  2022,     0,
       0,     0,  2023,  2024,  2025,     0,     0,     0,     0,     0,
       0,   595,     0,     0,     0,     0,     0,     0,   823,  2026,
       0,   595,     0,     0,     0,     0,     0,  2028,     0,     0,
    3838,  2039,     0,     0,  2029,     0,     0,     0,   595,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   595,  1428,  1700,  4260,     0,     0,     0,     0,  2030,
       0,     0,  4268,     0,     0,  4269,     0,  4270,     0,  1700,
       0,   595,   595,  1290,  1290,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3959,     0,
    3961,     0,  3963,  2455,  2456,     0,     0,     0,     0,     0,
       0,  3967,     0,     0,     0,     0,     0,     0,     0,  4309,
       0,     0,     0,     0,     0,     0,  2482,     0,     0,     0,
       0,     0,  3220,     0,  1600,     0,  3220,  3220,  2040,  3220,
       0,  2041,  2042,  2043,  3827,  2044,  2045,  2046,  2047,  2048,
    2049,     0,  3990,  2443,     0,  1711,     0,     0,     0,     0,
       0,  2527,  2528,  2529,  2530,     0,     0,  1722,     0,     0,
       0,     0,  1725,     0,     0,     0,     0,     0,     0,  2031,
       0,     0,  1728,     0,  2032,  1465,     0,  1732,     0,     0,
       0,  1466,     0,     0,     0,  1735,     0,     0,     0,     0,
       0,  1745,     0,     0,  1749,     0,  2033,  2034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2035,     0,     0,     0,     0,     0,     0,     0,     0,
    1613,  1617,  3749,  1468,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4409,     0,  1803,     0,     0,     0,     0,
       0,     0,     0,     0,  2036,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2037,     0,
       0,  2038,     0,     0,     0,     0,  1465,     0,     0,  2625,
       0,     0,  1466,     0,     0,  2629,     0,  1470,     0,     0,
       0,     0,     0,     0,  1471,     0,     0,  1472,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4445,  4445,
    4445,     0,  4445,  4445,  4445,  4445,  4445,     0,     0,     0,
    2021,     0,  1473,  2022,  1468,     0,     0,  2023,  2024,  2025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2026,     0,     0,     0,     0,     0,
       0,     0,  2028,     0,     0,     0,  1474,     0,  2039,  2029,
     601,     0,   601,     0,   601,     0,   601,     0,   601,   601,
     601,     0,     0,     0,     0,   601,     0,     0,  1470,     0,
       0,     0,     0,     0,  2030,  1471,  1951,     0,  1472,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3871,
    3872,  3873,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1473,  2795,  1475,  3882,  1476,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1477,     0,     0,
       0,     0,     0,     0,     0,     0,  1478,     0,     0,  3898,
       0,  4530,     0,  4532,     0,     0,     0,  1474,  1479,  3908,
    3910,     0,     0,     0,  3915,  2040,     0,     0,  2041,  2042,
    2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,
       0,     0,  4491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3197,     0,     0,  1481,
    1482,     0,     0,     0,  2031,     0,     0,     0,     0,  2032,
       0,     0,     0,     0,     0,     0,  1475,     0,  1476,     0,
       0,     0,  1978,     0,     0,     0,     0,     0,  1477,  3198,
       0,  2033,  2034,     0,     0,     0,     0,  1478,     0,     0,
       0,     0,     0,     0,     0,     0,  2035,     0,     0,  1479,
       0,     0,  1992,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   823,     0,     0,     0,  1314,     0,     0,     0,  2036,
    2010,  2011,  2012,     0,  2014,     0,     0,  3672,     0,     0,
    1481,  1482,     0,  2037,  1484,     0,  2038,     0,     0,     0,
       0,     0,     0,     0,  2056,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2977,  2978,     0,     0,     0,
    3673,     0,     0,     0,     0,     0,  2991,  1465,  2993,     0,
    4631,  4632,  2997,  1466,     0,     0,     0,     0,     0,     0,
       0,  3220,     0,  3220,  3220,     0,     0,  3220,     0,     0,
       0,     0,  2240,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -129,     0,
       0,     0,     0,     0,     0,  1468,  2112,     0,     0,     0,
    2124,  2129,     0,  2039,     0,  1484,     1,     0,     0,     0,
       0,     0,     0,  4427,     0,     0,     2,  4429,     3,     4,
       0,     0,     0,  4089,  4090,  4091,     0,  4691,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
       0,     0,  2331,     6,     0,     0,     0,     0,     0,  1470,
       0,     0,     0,     0,     0,     7,  1471,     8,     9,  1472,
       0,  4717,     0,     0,    10,     0,    11,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    12,     0,    13,
       0,     0,  3135,     0,  1473,  3138,     0,     0,     0,     0,
       0,     0,     0,     0,  4445,     0,    14,     0,     0,    15,
    2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,    16,     0,    17,     0,  4739,  1474,    18,
       0,     0,     0,  2021,     0,    19,  2022,     0,     0,     0,
    2023,  2024,  2025,    20,     0,    21,     0,     0,     0,     0,
       0,    22,     0,     0,     0,     0,     0,  2026,     0,     0,
       0,     0,     0,     0,     0,  2028,     0,    23,     0,     0,
       0,     0,  2029,     0,  3223,     0,     0,     0,     0,     0,
       0,     0,  3230,     0,    24,  3233,     0,  1475,     0,  1476,
       0,  3235,     0,     0,     0,     0,     0,  2030,     0,  1477,
       0,     0,     0,     0,     0,  3251,     0,     0,  1478,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1479,     0,     0,     0,    25,    26,     0,     0,     0,     0,
      27,     0,     0,     0,     0,     0,     0,     0,  4568,     0,
       0,  1465,    28,  1613,  1613,  1613,  3297,  1466,     0,     0,
    3838,     0,     0,     0,    29,     0,     0,     0,  3728,     0,
       0,  1481,  1482,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3320,     0,     0,     0,     0,     0,
    4592,  4593,     0,     0,     0,     0,     0,     0,     0,  1468,
       0,  3729,     0,  3220,     0,     0,     0,    30,     0,     0,
    2492,     0,     0,     0,     0,     0,     0,  2031,     0,     0,
       0,    31,  2032,     0,     0,     0,     0,    32,    33,     0,
      34,  4330,     0,     0,     0,    35,     0,     0,     0,  3380,
      36,  3382,  4343,    37,  2033,  2034,     0,     0,     0,     0,
      38,     0,     0,  1470,     0,     0,    39,    40,     0,  2035,
    1471,     0,     0,  1472,    41,     0,  1484,     0,    42,     0,
       0,     0,     0,  4372,     0,     0,  4634,  4635,    43,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1473,     0,
       0,    44,  2036,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2037,  2557,     0,  2038,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,  1474,     0,     0,     0,     0,    47,     0,     0,
       0,     0,    48,     0,     0,     0,     0,  2615,     0,  2616,
       0,     0,     0,     0,     0,    49,     0,     0,     0,  3447,
       0,     0,  2632,     0,     0,     0,  2627,     0,  2628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,   601,     0,   601,     0,   601,     0,   601,     0,
     601,  1475,    51,  1476,   601,  -129,     0,     0,     0,     0,
       0,     0,  4730,  1477,  4731,  4732,  2039,     0,     0,     0,
       0,     0,  1478,     0,     0,     0,     0,     0,     0,     0,
    4736,     0,     0,     0,  1479,     0,  5045,  5045,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1045,     0,     0,     0,  5065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5073,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1481,  1482,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4498,  4499,
    4500,  4501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1483,     0,     0,     0,     0,
       0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
    4750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2726,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2746,
       0,  2748,     0,     0,  2760,  2763,  2768,     0,     0,     0,
    1484,  2774,     0,     0,  2779,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2786,
    2787,  2788,  2789,     0,     0,     0,     0,  2796,     0,     0,
       0,  2808,     0,     0,  2810,     0,     0,  2817,  2818,  2819,
    2820,  2821,  2822,  2823,  2824,  2825,     0,  2826,     0,     0,
       0,     0,     0,     0,  1290,     0,  1613,     0,     0,  2914,
    2915,     0,     0,     0,     0,     0,  3653,     0,  3654,  3655,
    3656,     0,     0,     0,     0,     0,  1045,     0,  2930,  2931,
    5207,     0,  5208,  2934,  2935,     0,  5213,  5214,  2938,     0,
       0,     0,     0,     0,     0,     0,  2863,     0,     0,     0,
       0,     0,  2949,     0,     0,     0,     0,     0,     0,  2958,
       0,     0,     0,  2961,  2962,     0,     0,  2965,  2966,     0,
       0,  2011,  2012,     0,  2971,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2990,
       0,  2992,     0,     0,   861,   870,     0,     0,     0,     0,
       0,     0,   861,     0,   870,   861,  4963,     0,     0,     0,
    3016,     0,     0,     0,     0,  3018,     0,     0,   870,     0,
       0,     0,     0,     0,     0,     0,  1094,     0,  3023,     0,
       0,     0,     0,     0,     0,     0,     0,  3030,     0,     0,
    3034,     0,     0,  3037,  3040,  3042,     0,     0,     0,     0,
    3050,  3053,  1094,  2963,     0,     0,     0,     0,     0,     0,
    3066,     0,  5045,     0,  5045,  3075,     0,     0,     0,     0,
    3079,     0,     0,     0,     0,     0,     0,  5009,     0,     0,
       0,     0,     0,     0,     0,     0,  3095,     0,     0,     0,
       0,     0,     0,  3105,  3106,     0,     0,     0,     0,  3110,
       0,     0,     0,  4724,     0,     0,     0,     0,     0,     0,
    3125,  3126,     0,     0,     0,  3129,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3136,     0,  5056,
    3139,     0,     0,     0,     0,  3142,     0,     0,     0,     0,
    3144,  3145,     0,     0,     0,  3148,     0,     0,  3152,     0,
       0,     0,  3159,  3160,  3161,  3162,  3815,  3164,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3189,  3190,  1045,  3192,     0,     0,     0,     0,     0,     0,
       0,     0,  2021,  3200,  3201,  2022,     0,     0,     0,  2023,
    2024,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2026,     0,     0,     0,
       0,     0,     0,     0,  2028,     0,     0,     0,     0,     0,
       0,  2029,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2021,     0,     0,  2022,     0,     0,     0,
    2023,  2024,  2025,     0,     0,  5045,  2030,     0,  3258,     0,
       0,     0,     0,     0,  5427,     0,     0,  2026,     0,     0,
       0,     0,     0,     0,     0,  2028,     0,     0,     0,     0,
       0,     0,  2029,     0,     0,     0,  3295,     0,     0,     0,
       0,     0,     0,     0,  3211,  3212,  1613,     0,     0,  1616,
    3216,     0,     0,     0,     0,     0,     0,  2030,     0,     0,
       0,     0,     0,     0,     0,  1094,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5427,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3249,     0,     0,     0,  3968,
    1094,  5427,     0,     0,  4883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1094,     0,     0,     0,  4895,
       0,     0,     0,     0,  1314,     0,  2031,     0,     0,     0,
       0,  2032,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4930,
       0,     0,     0,  2033,  2034,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2035,     0,
       0,     0,     0,     0,     0,     0,     0,  2031,     0,     0,
       0,     0,  2032,     0,     0,     0,     0,     0,     0,     0,
     870,     0,     0,     0,     0,     0,   870,     0,     0,     0,
    1094,  2036,     0,     0,  2033,  2034,     0,     0,     0,   870,
       0,     0,     0,  3430,     0,  2037,     0,     0,  2038,  2035,
       0,     0,     0,     0,     0,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     861,   870,     0,     0,  3448,     0,     0,   861,     0,   870,
     861,     0,  2036,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   870,     0,     0,  2037,  2021,     0,  2038,
    2022,  5015,     0,   870,  2023,  2024,  2025,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2026,     0,     0,     0,     0,     0,     0,     0,  2028,
       0,     0,     0,     0,     0,  2039,  2029,     0,     0,  1094,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5372,     0,     0,
       0,  2030,     0,  2021,     0,     0,  2022,     0,     0,  3453,
    2023,  2024,  2025,     0,  3459,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2039,  2026,   870,     0,
       0,  4185,  4186,  4187,  4188,  2028,     0,  5103,     0,  2014,
       0,     0,  2029,     0,     0,     0,     0,     0,     0,     0,
    2768,     0,  2768,  2768,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3517,     0,   869,  3520,  2030,  3522,     0,
       0,     0,  2040,     0,   869,  2041,  2042,  2043,     0,  2044,
    2045,  2046,  2047,  2048,  2049,     0,     0,  3498,   869,  4759,
       0,     0,  3499,     0,     0,     0,     0,  3540,     0,  3543,
       0,  3545,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2031,     0,     0,     0,     0,  2032,     0,     0,     0,
       0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,  2033,  2034,
    4762,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2035,     0,  2112,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3647,     0,
    2129,  1702,  3649,     0,     0,     0,     0,  2031,  3651,     0,
       0,     0,  2032,     0,     0,     0,  2036,     0,  2167,   861,
       0,     0,     0,     0,     0,   861,  3662,  3664,   861,     0,
    2037,  3664,     0,  2038,  2033,  2034,  3675,  3676,  3677,     0,
    3679,     0,     0,     0,     0,     0,     0,     0,  4329,  2035,
       0,     0,     0,     0,  4332,     0,     0,     0,     0,     0,
       0,     0,     0,  3701,  3633,     0,     0,     0,     0,     0,
       0,     0,     0,  3707,  3708,  3709,  3710,     0,     0,     0,
       0,     0,  2036,  2167,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2037,     0,     0,  2038,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3727,     0,     0,  3732,  3733,  3734,     0,     0,     0,     0,
    2039,     0,     0,     0,  1094,     0,     0,     0,     0,     0,
       0,  3754,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3762,     0,     0,     0,     0,     0,  1094,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   870,     0,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,     0,     0,     0,     0,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   870,     0,     0,     0,     0,  2040,     0,     0,
    2041,  2042,  2043,  3804,  2044,  2045,  2046,  2047,  2048,  2049,
       0,  3808,  1616,  1616,  1616,     0,     0,     0,     0,     0,
     870,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   870,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3822,     0,     0,     0,   870,     0,     0,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,  3868,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
    4809,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     869,     0,     0,  1613,     0,     0,   869,     0,     0,  1613,
       0,     0,     0,     0,     0,  1094,     0,     0,     0,   869,
       0,  3905,     0,     0,     0,     0,  3911,     0,     0,     0,
       0,     0,  1094,     0,     0,   869,     0,     0,     0,     0,
       0,  2167,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   869,     0,  1094,     0,     0,     0,  3948,     0,   869,
       0,     0,     0,     0,     0,     0,     0,   870,     0,     0,
       0,     0,     0,   869,     0,   870,   870,     0,     0,     0,
       0,     0,     0,   869,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3964,     0,  3965,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1094,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1094,     0,     0,     0,     0,     0,     0,
    2021,     0,     0,  2022,     0,  1094,     0,  2023,  2024,  2025,
       0,     0,     0,     0,  1702,     0,     0,  1094,     0,     0,
       0,     0,     0,     0,  2026,     0,  2021,     0,     0,  2022,
       0,     0,  2028,  2023,  2024,  2025,     0,     0,   869,  2029,
    4626,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2026,     0,     0,     0,     0,  4630,     0,     0,  2028,     0,
       0,  1094,  1094,     0,  2030,  2029,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2030,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4003,     0,     0,     0,     0,     0,     0,     0,     0,  4007,
       0,     0,     0,     0,     0,  4008,     0,  4009,     0,     0,
       0,     0,  4695,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4033,  4034,     0,     0,     0,     0,
       0,     0,     0,     0,  2031,     0,     0,     0,     0,  2032,
       0,  1701,  2774,     0,     0,     0,     0,     0,     0,     0,
    4059,     0,     0,  4062,     0,  4064,     0,  1094,     0,     0,
    2031,  2033,  2034,     0,  4068,  2032,     0,   870,     0,     0,
       0,     0,  4075,  4076,     0,     0,  2035,     0,     0,     0,
       0,  4179,     0,  4180,     0,     0,     0,  2033,  2034,     0,
    4182,     0,     0,     0,     0,  1616,     0,     0,     0,     0,
       0,     0,  2035,     0,  4122,     0,  4192,     0,     0,  2036,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4200,  2037,     0,     0,  2038,     0,  4135,     0,
       0,     0,     0,     0,     0,  2036,     0,     0,     0,     0,
       0,  4221,     0,     0,  4148,     0,     0,     0,     0,  2037,
       0,     0,  2038,     0,     0,     0,     0,     0,     0,  4225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4234,
    4814,  4815,  4815,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4263,     0,
       0,     0,  2918,     0,     0,     0,  2167,  2924,     0,     0,
       0,  4271,  4272,  4273,     0,     0,     0,     0,  4277,  4278,
    4279,  4280,     0,  2039,     0,  4282,  4283,   869,  1702,     0,
       0,  4290,  4291,     0,  4293,  4294,  4295,  4296,  4297,  4298,
       0,  4300,     0,     0,     0,   869,     0,     0,     0,  2039,
    4308,     0,   870,  4311,  4312,     0,     0,     0,     0,     0,
     870,     0,   869,     0,     0,     0,     0,     0,  1094,     0,
       0,     0,   870,     0,     0,     0,     0,  3664,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
     869,     0,     0,     0,     0,     0,     0,     0,     0,  4333,
       0,   869,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   869,     0,     0,   869,
    2040,     0,  1094,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,     0,     0,     0,     0,  4844,  4946,     0,
       0,     0,     0,     0,   861,   861,  2040,   870,   870,  2041,
    2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,   861,
       0,   870,   861,  4885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   870,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     870,     0,     0,     0,     0,     0,     0,  3664,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   612,     0,     0,     0,     0,   613,     0,
       0,     0,   861,     0,     0,   861,   861,     0,     0,     0,
     614,  4439,     0,     0,     0,     0,     0,   869,     0,     0,
       0,  1093,     0,     0,     0,   869,   869,     0,     0,     0,
       0,     0,     0,   615,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   616,  1093,  4413,  4414,
       0,     0,     0,     0,     0,     0,     0,   617,     0,     0,
    5052,  -865,  5054,     0,     0,  1616,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   618,
       0,     0,     0,     0,     0,   619,     0,     0,     0,     0,
       0,     0,  1702,     0,  1701,     0,     0,     0,     0,     0,
       0,     0,   620,     0,     0,  1094,     0,     0,     0,     0,
       0,     0,     0,   621,     0,     0,     0,     0,  4454,  2021,
       0,   622,  2022,     0,     0,     0,  2023,  2024,  2025,  4459,
       0,     0,     0,   623,     0,     0,     0,     0,     0,     0,
       0,   624,     0,  2026,     0,   625,     0,     0,     0,     0,
       0,  2028,     0,     0,     0,     0,     0,     0,  2029,     0,
       0,     0,     0,     0, -1094,     0,     0,     0,     0,  4474,
    4476,     0,     0,     0,     0,     0,  4480,  4481,     0,     0,
       0,  4482,     0,  2030,     0,     0,  4485,  2167,     0,  4488,
    4489,     0,     0,     0,  4493,     0,     0,     0,     0,     0,
    4497,   626,     0,     0,     0,     0,     0,     0,     0,     0,
    -583,     0,     0,     0,  4815,   870,     0,  4572,     0,     0,
       0,  4573,  4574,  4575,  4576,     0,     0,  4578,     0,     0,
       0,     0,     0,   870,     0,     0,     0,     0,  1702,   870,
       0,     0,     0,   870,   627,     0,     0,   628,     0,     0,
       0,   870,  1290,     0,     0,     0,     0,     0,     0,  4597,
    4598,  4599,     0,  4600,     0,  4602,  4603,   629,     0,   870,
       0,     0,     0,     0,     0,     0,     0,  4612,  4613,  4552,
       0,   630,     0,     0,     0,     0,     0,   869,  -457,     0,
       0,   861,     0,  2031,   861,   861,     0,     0,  2032,     0,
    1093,     0,     0,  5231,  4618,  1094,     0,   631,     0,     0,
       0,     0,     0,     0,     0,   870,   632,     0,     0,     0,
    2033,  2034,  1094,  -457,     0,  1093,   633,  4629,     0,     0,
       0,     0,     0,   870,   870,  2035,     0,  1094,     0,     0,
    1093,     0,     0,     0,     0,   634,     0,     0,     0,     0,
       0,   635,     0,     0,     0,     0,  -457,     0,     0,   636,
     637,     0,   638,   639,     0,  1702,   870,     0,  2036,  1702,
       0,     0,     0,   640,     0,     0,     0,     0,   641,     0,
    4615,     0,  2037,     0,   642,  2038,     0,   643,     0,     0,
     644,     0,   870,     0,  1702,     0,     0,     0,     0,   870,
       0,     0,  4682,  -457,     0,   870,  5304,     0,     0,     0,
       0,     0,   870,     0,     0,     0,   870,     0,     0,     0,
       0,   870,     0,     0,     0,  1093,     0,     0,     0,     0,
       0,  4710,     0,     0,     0,     0,     0,     0,  1701,     0,
       0,   870,     0,     0,     0,     0,   870,  4653,     0,     0,
     870,     0,     0,  1702,     0,     0,  4733,     0,     0,     0,
       0,     0,   869,   870,     0,     0,     0,     0,     0,     0,
     869,     0,  2039,     0,     0,     0,   870,     0,     0,     0,
       0,     0,   869,     0,     0,     0,   870,  1084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5378,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2021,     0,     0,  2022,     0,     0,
       0,  2023,  2024,  2025,  1093,  4815,  4815,     0,     0,     0,
       0,     0,  2167,     0,     0,  2924,     0,  2924,  2026,     0,
       0,     0,  2167,     0,  1702,     0,  2028,   869,   869,     0,
       0,     0,   601,  2029,     0,     0,     0,     0,     0,  2040,
       0,   869,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,
    2048,  2049,     0,     0,   869,   869,  5193,     0,  2030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     869,  1094,  4756,  4757,     0,     0,  4758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,     0,     0,  4833,     0,     0,     0,     0,     0,
       0,     0,   870,     0,     0,  4815,     0,     0,     0,     0,
       0,     0,  4843,  4793,  4794,  2167,     0,  4848,  4849,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4805,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2077,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2031,     0,
    4909,     0,     0,  2032,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,     0,  1094,     0,
    4926,     0,  1701,     0,     0,  2033,  2034,     0,     0,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2035,     0,     0,  1093,     0,     0,     0,   870,     0,     0,
       0,     0,     0,     0,     0,   870,  3664,     0,     0,     0,
       0,     0,     0,  4962,     0,   861,  1084,     0,   861,     0,
       0,   861,     0,  2036,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2037,     0,     0,
    2038,  1084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1084,  1094,  1093,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5002,
       0,     0,  1616,     0,     0,     0,     0,  1702,  1616,     0,
       0,     0,     0,  1702,     0,   869,  1094,     0,     0,  1093,
       0,  5019,     0,     0,     0,     0,     0,     0,     0,     0,
    2774,     0,  5027,   869,     0,     0,     0,     0,  1701,   869,
       0,  2924,     0,   869,     0,     0,     0,  2039,     0,  2924,
       0,   869,  1093,     0,     0,     0,     0,     0,  4985,     0,
       0,  1084,     0,     0,     0,     0,     0,     0,     0,   869,
       0,     0,  2014,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   870,
       0,     0,     0,     0,     0,  5096,     0,     0,     0,     0,
       0,     0,     0,  2021,     0,     0,  2022,     0,     0,     0,
    2023,  2024,  2025,     0,     0,   869,     0,     0,  1094,     0,
       0,     0,     0,     0,     0,     0,     0,  2026,     0,     0,
       0,  5034,     0,   869,   869,  2028,  2924,     0,     0,     0,
       0,     0,  2029,     0,  2040,     0,     0,  2041,  2042,  2043,
    1094,  2044,  2045,  2046,  2047,  2048,  2049,  3664,     0,     0,
       0,  5323,     0,     0,     0,  1701,   869,  2030,     0,  1701,
    1084,     0,     0,     0,     0,     0,     0,   870,   870,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   869,     0,  1701,     0,     0,     0,     0,   869,
       0,     0,     0,     0,   870,   869,     0,   870,     0,     0,
       0,     0,   869,     0,     0,     0,   869,     0,  5181,     0,
       0,   869,     0,     0,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,  5194,     0,     0,     0,     0,     0,     0,
       0,   869,     0,     0,     0,     0,   869,  1093,     0,     0,
     869,     0,  1094,  1701,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,   869,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,  1094,     0,     0,   869,  2031,     0,     0,
       0,     0,  2032,  4793,     0,     0,   869,  5224,     0,     0,
       0,     0,  1702,  1702,  1702,     0,     0,     0,  1094,     0,
       0,     0,  5235,     0,  2033,  2034,     0,     0,     0,  5183,
       0,     0,     0,     0,     0,     0,   870,     0,     0,  2035,
       0,     0,     0,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,     0,   870,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,     0,
    1093,     0,  2036,     0,  1701,   870,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,     0,  2037,     0,     0,  2038,
       0,     0,  1086,     0,     0,     0,     0,     0,     0,  1084,
       0,     0,  5296,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5238,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,  1093,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2167,
       0,     0,     0,     0,     0,     0,     0,  5319,     0,  5266,
    5266,  5266,   869,     0,     0,     0,     0,   870,  2021,     0,
       0,  2022,     0,     0,  1084,  2023,  2024,  2025,  4793,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,     0,  2026,     0,     0,     0,     0,     0,     0,     0,
    2028,     0,     0,     0,     0,     0,     0,  2029,     0,     0,
       0,     0,     0,     0,     0,  1084,     0,   869,  1702,     0,
       0,     0,     0,     0,     0,   870,     0,   870,     0,     0,
       0,     0,  2030,     0,     0,     0,     0,     0,     0,     0,
     870,     0,   870,     0,     0,     0,  5385,     0,  1084,  2924,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   869,
       0,     0,  5328,     0,  1702,     0,     0,     0,     0,     0,
       0,     0,  1093,  2924,     0,     0,     0,   869,     0,  5266,
       0,     0,     0,  2040,     0,   869,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
    5392,     0,     0,     0,     0,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2031,     0,     0,     0,     0,  2032,     0,     0,
       0,     0,     0,     0,     0,  1086,   870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1701,     0,  2033,
    2034,     0,     0,  1701,   870,     0,     0,     0,  1087,     0,
    1086,     0,     0,     0,  2035,     0,     0,     0,     0,     0,
    5418,     0,     0,     0,     0,  1086,   870,     0,     0,   870,
       0,     0,     0,     0,  1087,     0,  1094,  1093,     0,     0,
       0,  1093,  1093,     0,     0,     0,     0,  2036,     0,     0,
       0,     0,     0,  5266,     0,     0,  1084,     0,     0,     0,
       0,  2037,     0,  5444,  2038,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,   869,
       0,     0,  1084,     0,     0,     0,  2167,     0,     0,     0,
       0,     0,  2021,     0,  1084,  2022,     0,     0,     0,  2023,
    2024,  2025,     0,  1093,     0,     0,     0,     0,     0,  1702,
    1086,     0,     0,     0,     0,     0,  2026,  1093,     0,     0,
       0,     0,     0,     0,  2028,     0,     0,     0,     0,     0,
       0,  2029,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,  2039,     0,     0,     0,     0,  2030,  1093,     0,     0,
       0,     0,     0,     0,  1084,     0,     0,   869,   869,     0,
       0,     0,     0,     0,     0,     0,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,  1089,     0,   869,     0,     0,   869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,     0,     0,     0,     0,     0,     0,  1089,  1086,
       0,  1094,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1084,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2040,     0,
       0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,
    2049,     0,   870,     0,     0,  5445,  2031,     0,     0,     0,
       0,  2032,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1701,  1701,  1701,     0,     0,  1087,     0,     0,
       0,     0,     0,  2033,  2034,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   869,     0,  2035,     0,
       0,     0,  1087,  1702,     0,     0,     0,     0,  1702,     0,
    1702,     0,     0,     0,     0,     0,   869,  1087,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,     0,     0,     0,
       0,  2036,  1702,     0,     0,   869,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2037,     0,     0,  2038,     0,
    1093,  1702,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,     0,  1094,     0,   870,     0,     0,
     870,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   869,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,  2039,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,   870,   870,     0,     0,     0,     0,  1701,     0,
       0,     0,   870,     0,     0,   869,     0,   869,     0,     0,
       0,     0,     0,  1086,     0,     0,  1089,     0,     0,     0,
     869,   870,   869,  1084,     0,     0,     0,  1084,  1084,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,     0,  1701,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,
    2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,  5458,
    1093,     0,     0,     0,     0,   869,     0,  1086,     0,  1084,
       0,  4721,     0,  1094,   870,     0,     0,  1093,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,     0,  1089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   869,     0,     0,  1094,
       0,     0,  2021,  1084,     0,  2022,     0,     0,     0,  2023,
    2024,  2025,     0,     0,   869,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2026,     0,     0,     0,
    2870,     0,     0,     0,  2028,     0,   869,     0,     0,   869,
       0,  2029,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2030,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1087,     0,     0,     0,     0,  2871,     0,     0,     0,  1701,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,  2924,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   870,     0,  1087,  2031,  1093,  1702,     0,
    1093,  2032,  1093,     0,     0,     0,     0,  1093,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,  2033,  2034,     0,  1084,     0,     0,     0,
       0,   870,     0,     0,     0,     0,  1087,     0,  2035,  1086,
       0,     0,  1090,   870,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,  1087,
     870,  2036,     0,  2924,     0,  1093,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,  2037,     0,     0,  2038,     0,
       0,     0,   869,     0,     0,     0,     0,  1094,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,  1089,     0,     0,  2021,     0,     0,
    2022,  1086,  1086,     0,  2023,  2024,  2025,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1094,     0,     0,
       0,  2026,     0,  1701,     0,     0,     0,     0,  1701,  2028,
    1701,     0,     0,     0,     0,     0,  2029,     0,     0,     0,
       0,     0,     0,   870,     0,     0,     0,     0,     0,     0,
       0,  1093,  1701,  1093,     0,  2039,     0,     0,     0,  1089,
       0,  2030,     0,     0,     0,     0,     0,     0,     0,     0,
    1094,  1701,     0,     0,     0,  1094,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   869,     0,     0,
     869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,     0,     0,     0,  1084,     0,     0,     0,
       0,     0,  2872,     0,     0,     0,     0,   870,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,  1087,     0,     0,
       0,     0,     0,  1089,     0,     0,     0,  1086,  1084,     0,
       0,     0,  1093,     0,  1087,     0,     0,     0,     0,     0,
       0,     0,  2040,  1087,     0,  2041,  2042,  2043,     0,  2044,
    2045,  2046,  2047,  2048,  2049,  1087,     0,     0,     0,     0,
       0,  2031,     0,     0,     0,  1090,  2032,     0,     0,     0,
       0,  1093,   869,   869,     0,     0,  4721,  1094,     0,     0,
       0,     0,   869,     0,     0,     0,     0,     0,  2033,  2034,
    1090,     0,     0,     0,     0,     0,  1093,     0,     0,     0,
       0,   869,     0,  2035,  1093,  1090,     0,     0,     0,     0,
       0,  1087,     0,   870,     0,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1087,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2036,  1087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1087,
    2037,     0,     0,  2038,     0,     0,     0,     0,     0,     0,
     870,     0,  1086,     0,     0,     0,  1086,  1086,     0,   861,
       0,     0,     0,  1093,   869,     0,     0,  4049,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,  1093,     0,  1087,  1087,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,     0,  1093,     0,  1702,     0,     0,
       0,     0,     0,   861,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,  1086,     0,
       0,     0,     0,  1084,     0,     0,  1084,     0,  1084,  1089,
    2039,     0,  1086,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4050,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,  1086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1084,     0,     0,  1089,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,     0,     0,  1093,     0,  1089,
       0,  1084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,  1093,  1087,
       0,     0,     0,  1089,     0,     0,  1084,  2040,     0,     0,
    2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,
       0,     0,  2021,  1093,     0,  2022,     0,     0,     0,  2023,
    2024,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2026,  1089,  1089,     0,
       0,     0,     0,     0,  2028,     0,     0,  1093,     0,     0,
       0,  2029,  1702,   869,     0,     0,     0,     0,  1701,     0,
       0,     0,     0,     0,  1092,     0,     0,  1084,     0,  1084,
       0,     0,     0,     0,     0,     0,  2030,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   870,
    1092,   869,     0,  2021,     0,     0,  2022,     0,     0,     0,
    2023,  2024,  2025,   869,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2026,     0,     0,
    3457,     0,     0,     0,  1087,  2028,     0,     0,  1087,  1087,
     869,     0,  2029,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2030,  1084,     0,
       0,  5352,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,  1089,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2031,     0,     0,     0,
    1087,  2032,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,  1087,     0,     0,     0,     0,     0,
       0,     0,     0,  2033,  2034,     0,     0,     0,     0,     0,
       0,     0,  1084,   869,     0,     0,     0,  1086,  2035,     0,
    1084,     0,     0,  1090,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1087,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,  2036,     0,     0,     0,     0,     0,  2031,     0,     0,
       0,     0,  2032,     0,  1090,  2037,     0,     0,  2038,     0,
       0,     0,     0,  1702,     0,   870,     0,     0,     0,     0,
       0,     0,     0,     0,  2033,  2034,     0,   869,     0,  1084,
    5353,     0,     0,     0,     0,     0,     0,  1090,  1089,  2035,
       0,     0,  1089,  1089,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2036,  1092,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2037,     0,     0,  2038,
       0,     0,  1086,     0,     0,  2039,     0,     0,  1092,     0,
       0,     0,     0,     0,  1089,     0,     0,  1086,  1702,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,  1089,     0,
       0,  1093,     0,     0,     0,     0,   870,     0,     0,     0,
       0,     0,     0,   869,     0,   869,     0,     0,     0,     0,
     861,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   870,     0,     0,  1089,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,  2039,  1087,     0,     0,
     869,     0,     0,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,  2040,     0,     0,  2041,  2042,  2043,  1092,  2044,
    2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,  1084,
       0,     0,     0,     0,     0,  1090,   861,   861,     0,     0,
       0,     0,     0,     0,     0,     0,  2021,  1701,     0,  2022,
       0,     0,  1090,  2023,  2024,  2025,     0,     0,     0,     0,
       0,  1090,     0,  1084,     0,     0,     0,     0,     0,     0,
    2026,     0,     0,  1090,     0,     0,     0,     0,  2028,  1087,
       0,   870,     0,     0,     0,  2029,     0,     0,     0,     0,
       0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
    2030,     0,     0,     0,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,  1092,     0,  1090,
       0,     0,  1086,     0,     0,  1086,     0,  1086,     0,     0,
       0,     0,  1086,  1090,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,     0,  1702,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,  1087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1086,  1090,  1090,     0,  1087,     0,     0,     0,     0,     0,
    2031,     0,     0,     0,  1702,  2032,     0,     0,     0,  1087,
       0,     0,  1701,     0,     0,  1086,     0,     0,     0,     0,
    1702,  1093,   861,   861,     0,     0,     0,  2033,  2034,     0,
    1084,     0,     0,     0,     0,     0,     0,   869,     0,     0,
       0,     0,  2035,  1089,     0,     0,     0,     0,     0,   869,
       0,     0,     0,     0,  1084,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2036,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,  1086,     0,  1086,  2037,
       0,     0,  2038,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3471,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1086,  1089,  2039,
       0,  1092,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,  1089,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1087,     0,  1086,  1087,     0,  1087,
       0,     0,  1092,     0,  1087,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,  1086,     0,  1701,     0,   869,     0,     0,     0,  1086,
       0,     0,     0,     0,     0,  1092,     0,     0,  1093,     0,
       0,     0,  1090,     0,     0,     0,  1090,  1090,     0,     0,
       0,     0,     0,  1087,     0,     0,  2040,     0,     0,  2041,
    2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1087,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,  1701,     0,
       0,     0,  1090,     0,     0,     0,     0,     0,     0,     0,
    1086,     0,     0,     0,     0,     0,   869,     0,     0,     0,
       0,     0,  1084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1090,     0,     0,   869,     0,     0,  1087,     0,
    1087,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,  1089,     0,  1089,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1092,     0,  1086,     0,     0,     0,     0,  1089,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,  1086,     0,     0,  1089,     0,     0,  1087,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,   869,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2021,     0,     0,  2022,     0,  1087,     0,
    2023,  2024,  2025,     0,     0,     0,  1084,  1092,     0,     0,
       0,     0,  1086,     0,     0,     0,     0,  2026,     0,     0,
    3503,  1092,     0,  1087,     0,  2028,     0,  1084,     0,     0,
       0,  1087,  2029,  1092,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,  1089,  1701,  1089,     0,     0,  2030,     0,     0,
       0,     0,  1093,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
    1092,     0,  1084,     0,     0,     0,     0,     0,     0,  1086,
    1087,     0,  1093,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1701,     0,     0,     0,  1087,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1701,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,  2021,     0,  1089,  2022,     0,     0,  1090,  2023,  2024,
    2025,     0,     0,     0,     0,  1093,     0,     0,     0,     0,
    1093,  1093,     0,     0,     0,  2026,     0,  2031,     0,     0,
       0,     0,  2032,  2028,     0,     0,     0,     0,     0,     0,
    2029,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2033,  2034,     0,     0,     0,  1086,
       0,     0,     0,     0,  1084,  2030,     0,  1089,     0,  2035,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,  1087,     0,     0,     0,     0,     0,
       0,     0,  2036,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,  1087,  2037,     0,     0,  2038,
       0,     0,     0,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,     0,     0,     0,     0,     0,
    1087,     0,  1090,     0,  1089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3508,  1090,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1087,  2031,  1089,     0,     0,     0,
    2032,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2033,  2034,     0,     0,  2039,     0,     0,     0,
    2051,     0,     0,     0,     0,     0,  1086,  2035,     0,     0,
    1092,     0,     0,     0,  1092,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2036,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,     0,  2037,     0,  1086,  2038,     0,     0,
    2051,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
    1092,     0,     0,  2040,     0,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,     0,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2039,     0,     0,     0,  1089,     0,
       0,  1087,  1090,     0,  1084,  1090,     0,  1090,     0,     0,
    2021,     0,  1090,  2022,     0,     0,     0,  2023,  2024,  2025,
       0,     0,     0,     0,     0,  1087,     0,     0,  1084,     0,
       0,  1086,     0,     0,  2026,     0,     0,  3514,     0,     0,
       0,  1086,  2028,     0,     0,  2021,     0,     0,  2022,  2029,
       0,     0,  2023,  2024,  2025,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,  1084,  2026,
       0,     0,     0,     0,  2030,     0,     0,  2028,     0,     0,
    1090,     0,     0,     0,  2029,  1089,     0,     0,     0,     0,
       0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,     0,  1090,     0,     0,     0,  2030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1084,     0,     0,     0,     0,  1084,  1084,     0,     0,
       0,     0,     0,     0,     0,     0,  2021,     0,     0,  2022,
       0,     0,     0,  2023,  2024,  2025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,  1087,     0,
    2026,     0,     0,  4056,     0,     0,     0,     0,  2028,     0,
       0,     0,     0,  2051,     0,  2029,  1090,  2051,  1090,     0,
       0,     0,     0,  1092,  2031,  1089,     0,     0,     0,  2032,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
    2030,     0,     0,     0,     0,     0,     0,     0,  1087,  1089,
       0,  2033,  2034,     0,     0,     0,  1086,     0,     0,  2031,
       0,     0,     0,     0,  2032,     0,  2035,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,  2033,  2034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2036,
       0,  2035,     0,     0,     0,  1092,     0,  1090,     0,     0,
       0,     0,     0,  2037,     0,     0,  2038,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2036,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,  2037,     0,
    2031,  2038,     0,     0,     0,  2032,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,  1087,     0,     0,     0,  2033,  2034,  1090,
       0,     0,  1089,  1087,     0,     0,     0,     0,     0,     0,
       0,     0,  2035,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2039,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,  2036,     0,     0,     0,     0,
       0,     0,  1089,  1086,     0,     0,     0,     0,  2039,  2037,
    1092,     0,  2038,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,  4002,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
    1090,     0,  1084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1087,     0,
    2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2021,     0,     0,  2022,     0,  2039,
       0,  2023,  2024,  2025,     0,  2040,     0,  1087,  2041,  2042,
    2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,  2026,     0,
       0,     0,     0,     0,     0,     0,  2028,  1089,  1087,     0,
       0,     0,     0,  2029,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,  1090,     0,     0,     0,     0,     0,  2030,     0,
       0,     0,  2051,     0,     0,     0,  2756,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,     0,     0,     0,  1086,
    2051,  2051,  2051,     0,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,  1087,     0,     0,  2040,     0,  1090,  2041,
    2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2051,     0,     0,     0,
    1092,     0,  1090,  1092,     0,  1092,     0,     0,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2031,     0,
       0,     0,     0,  2032,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,     0,     0,     0,     0,     0,     0,  1092,
       0,  1089,     0,     0,  2051,  2033,  2034,     0,     0,  2051,
       0,     0,     0,  1086,     0,  1087,     0,     0,  1092,     0,
    2035,     0,  1089,     0,     0,     0,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2036,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,  2037,     0,     0,
    2038,     0,     0,     0,     0,     0,     0,  1086,   664,     0,
       0,     0,     0,   665,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,   666,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,  1092,     0,   667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1090,
    1086,   668,     0,     0,     0,  1086,  1086,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,     0,  2039,     0,     0,
       0,     0,     0,     0,   670,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   671,   942,     0,
       0,  1087,     0,   943,     0,     0,     0,     0,   672,  1089,
       0,     0,     0,     0,     0,  1092,   673,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   674,     0,
       0,     0,     0,   675,     0,     0,     0,     0,   944,     0,
     676,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   945,   946,     0,  1092,  1089,     0,  1086,     0,   677,
       0,     0,   947,     0,  2040,     0,   948,  2041,  2042,  2043,
       0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,  1092,
       0,     0,     0,     0,   949,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   951,     0,
       0,     0,     0,     0,     0,  1087,   952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   953,   679,
       0,     0,     0,   954,     0,     0,  1090,     0,     0,  1087,
       0,     0,   680,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,   681,     0,     0,     0,     0,     0,     0,   955,
       0,     0,   206,   682,  1092,     0,   683,     0,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,  1092,  1087,
       0,     0,     0,     0,   956,     0,     0,     0,     0,     0,
       0,     0,   684,     0,     0,   685,     0,     0,     0,   686,
       0,   687,     0,     0,     0,   957,     0,     0,   688,     0,
       0,   689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     690,     0,  1087,     0,     0,     0,   691,  1087,  1087,   958,
       0,   692,     0,     0,   693,     0,     0,     0,   694,     0,
       0,  1086,     0,     0,     0,     0,   695,     0,   696,     0,
       0,  1090,   959,   697,     0,     0,     0,     0,     0,     0,
       0,  1090,   206,   960,     0,   698,   961,     0,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,     0,   699,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
       0,  1092,   962,     0,     0,   963,     0,     0,     0,   964,
       0,   965,     0,     0,     0,     0,     0,     0,   966,     0,
       0,   967,     0,  1089,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     968,     0,     0,     0,     0,     0,   969,     0,     0,  1087,
       0,   970,     0,     0,   971,     0,     0,     0,   972,     0,
    1092,     0,     0,  1089,     0,     0,   973,     0,   974,     0,
       0,     0,     0,   975,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   976,     0,
       0,     0,     0,     0,     0,     0,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1089,     0,     0,     0,
       0,  1089,  1089,     0,     0,  1090,  2051,     0,  2051,     0,
       0,  2756,  2756,   190,  3494,     0,  2756,     0,     0,     0,
    2051,     0,     0,  2051,     0,     0,  1090,  1092,  2051,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,  2051,
       0,     0,     0,     0,     0,     0,  2051,  2051,  2051,  2051,
       0,     0,     0,  2756,  2756,     0,  2051,     0,     0,     0,
       0,   191,     0,     0,     0,     0,     0,     0,  2051,     0,
    2051,     0,     0,     0,     0,     0,   192,  2051,  2051,  2051,
    2051,  2051,  2051,  2051,  2051,  2051,  2051,     0,     0,     0,
       0,  1090,     0,     0,   193,     0,     0,     0,     0,     0,
     194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1089,     0,     0,     0,   195,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,  1092,   196,     0,
       0,     0,     0,  1087,     0,     0,   197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   198,     0,
       0,  1092,     0,   199,     0,     0,     0,     0,     0,     0,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1090,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,   203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   205,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,   206,   207,     0,     0,   208,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,   209,     0,     0,   210,     0,     0,     0,   211,
       0,   212,     0,     0,  1092,     0,     0,     0,   213,     0,
       0,   214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     215,     0,     0,     0,     0,     0,   216,     0,     0,     0,
     217,   218,     0,     0,   219,     0,     0,     0,   220,  1090,
       0,     0,     0,     0,     0,     0,     0,     0,   221,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,  2051,  2051,     0,     0,     0,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,     0,     0,     0,  2051,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,  1092,     0,  1090,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,  2051,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3494,  3494,  1090,     0,  2756,
    2756,  2756,  2756,     0,     0,  2756,  2756,  2756,  2756,  2756,
    2756,  2756,  2756,  2756,  2756,  3494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2051,     0,     0,
    2051,     0,  2051,     0,     0,  3494,  3494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,  2756,  2756,  2051,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2756,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,  1092,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,  2051,  2051,  2051,
       0,     0,     0,     0,     0,  3494,  3494,  3494,  3494,     0,
       0,     0,     0,  3494,  3494,  3494,  3494,  3494,  3494,  3494,
    3494,  3494,  3494,  2051,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2051,
       0,     0,  2051,     0,  2051,     0,     0,     0,  2051,     0,
       0,  3494,  3494,     0,     0,  2051,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,  2051,
    2756,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,  2051,     0,     0,     0,
    2051,  2051,  2051,     0,     0,  2051,     0,     0,  2051,  2051,
       0,     0,     0,  2051,     0,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3494,  2756,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2051,  2051,  2051,     0,
       0,     0,     0,     0,     0,     0,  2756,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2756,     0,
       0,  3494,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3494,     0,  2756,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2756,  2756,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3494,  3494,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,
       0,     0,     0,     0,  2051,   228,   229,   230,   231,   232,
     233,   234,   235,  1607,   236,   237,   238,     0,     0,     0,
       0,  1212,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1213,   250,  1214,  1215,     0,
     253,   254,   255,   256,   257,   258,  1216,  1217,   259,   260,
    1218,  1219,   263,     0,   264,   265,   266,   267,  1220,     0,
    1221,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
     290,   291,   292,   293,   294,   295,  1229,  1230,   298,  1231,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,  1608,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1232,   326,   327,   328,  1233,  1234,   330,
       0,   331,   332,  1235,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1236,     0,
    1237,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1238,  1239,     0,  1240,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1241,   387,
     388,   389,     0,   390,   391,   392,  1242,  1243,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1244,   410,  1245,   412,   413,   414,
     415,  1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,
     423,   424,   425,     0,   426,   427,     0,     0,  1250,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1251,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,  1252,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1253,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  1254,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1255,   505,   506,   507,   508,   509,   510,   511,
     512,  1256,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,  1257,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,
     545,   546,   547,   548,   549,   550,   551,     0,  1263,   552,
     553,   554,   555,   556,  1264,     0,   557,   558,   559,   560,
     561,   562,  1265,  1609,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,
    1273,   587,   588,   589,   590,  1274,     0,     0,     0,     0,
       0,     0,  1275,  1276,  1610,     0,     0,     0,     0,     0,
       0,  1278,  1611,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,  1231,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,  1246,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1254,
     491,   492,   493,   494,   495,   496,   497,   498,   499,    40,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,    44,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,  1263,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,  1143,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,    49,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,
      50,     0,     0,     0,     0,  1275,  1276,     0,     0,     0,
       0,     0,     0,     0,  1278,  4996,   227,  1207,   659,  1208,
    1209,  1210,   720,  1211,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,  1212,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,  1213,   250,  1214,  1215,     0,   253,   254,   255,   256,
     257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,
     264,   265,   266,   267,  1220,     0,  1221,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1222,
    1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,
     294,   295,  1229,  1230,   298,  1231,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,  1232,
     326,   327,   328,  1233,  1234,   330,     0,   331,   332,  1235,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1236,     0,  1237,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1238,  1239,     0,  1240,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1241,   387,   388,   389,     0,   390,
     391,   392,  1242,  1243,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1244,   410,  1245,   412,   413,   414,   415,  1246,   416,   417,
     418,   419,  1247,  1248,   421,  1249,   423,   424,   425,     0,
     426,   427,     0,     0,  1250,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1251,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,  1252,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1253,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  1254,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1255,   505,
     506,   507,   508,   509,   510,   511,   512,  1256,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1257,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1258,  1259,     0,     0,
     540,   541,  1260,   543,  1261,  1262,   545,   546,   547,   548,
     549,   550,   551,     0,  1263,   552,   553,   554,   555,   556,
    1264,     0,   557,   558,   559,   560,   561,   562,  1265,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,  1266,  1267,
    1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,
     590,  1274,     0,     0,     0,     0,     0,     0,  1275,  1276,
       0,     0,     0,     0,     0,     0,     0,  1278,  2758,   227,
    1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,  1231,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
    1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,  1250,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1254,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,   549,   550,   551,     0,  1263,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,  1265,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,  1274,     0,     0,     0,     0,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,     0,     0,
    1278,  4011,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1212,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,  1213,   250,  1214,
    1215,     0,   253,   254,   255,   256,   257,   258,  1216,  1217,
     259,   260,  1218,  1219,   263,     0,   264,   265,   266,   267,
    1220,     0,  1221,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,   290,   291,   292,   293,   294,   295,  1229,  1230,
     298,  1231,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,  1232,   326,   327,   328,  1233,
    1234,   330,     0,   331,   332,  1235,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1236,     0,  1237,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1238,  1239,     0,  1240,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1241,   387,   388,   389,     0,   390,   391,   392,  1242,  1243,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1244,   410,  1245,   412,
     413,   414,   415,  1246,   416,   417,   418,   419,  1247,  1248,
     421,  1249,   423,   424,   425,     0,   426,   427,     0,     0,
    1250,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1251,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,  1252,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1253,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,  1254,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1255,   505,   506,   507,   508,   509,
     510,   511,   512,  1256,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1257,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1258,  1259,     0,     0,   540,   541,  1260,   543,
    1261,  1262,   545,   546,   547,   548,   549,   550,   551,     0,
    1263,   552,   553,   554,   555,   556,  1264,     0,   557,   558,
     559,   560,   561,   562,  1265,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,
    1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,     0,
     598,     0,     0,     0,  1275,  1276,     0,     0,     0,     0,
       0,     0,     0,  1278,  4082,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,  4100,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0, -1778,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0, -1778,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365, -1778,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378, -1778,
     380,   381,   382,   383,   384,     0,     0,   385,   386, -1778,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409, -1778,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
   -1778,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,     0,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,     0,   528,   529,
       0,   530,     0,   532,   533,   534,   535,   536,     0,   537,
     538,   539,     0,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,   562,   563,     0,   564,     0,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,     0,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1356,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1058,   250,  1059,  1060,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1061,  1062,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1063,  1064,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1066,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  2153,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,  2154,   368,   369,   370,   371,  1068,  1069,
       0,  1070,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1071,   410,  1072,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1073,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,  2156,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
       0,   450,     0,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1074,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,  2157,   508,   509,   510,   511,   512,  1076,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1077,  1078,
       0,     0,   540,   541,     0,   543,     0,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,     0,
    1079,  2158,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,  1057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     588,   589,   590,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
    2265,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,     0,  1058,   250,  1059,  1060,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,  1061,
    1062,   263,     0,   264,   265,   266,   267,     0,     0,   269,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,     0,     0,     0,   289,     0,     0,     0,   290,
     291,   292,   293,   294,   295,  1063,  1064,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,     0,   326,   327,   328,     0,     0,   330,     0,
     331,   332,  1066,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,     0,     0,     0,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,  2153,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,  2154,   368,   369,   370,   371,  1068,
    1069,     0,  1070,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,     0,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,  1072,   412,   413,   414,     0,
       0,   416,   417,   418,   419,     0,     0,   421,  1073,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,  2156,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1074,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  2157,   508,   509,   510,   511,   512,
    1076,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1077,
    1078,     0,     0,   540,   541,     0,   543,     0,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
       0,  1079,  2158,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
       0,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,   588,   589,   590,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,  3335,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,    40,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,    44,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,  1143,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,    49,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,  1274,     0,    50,     0,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,  2764,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,  1231,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,  2765,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,  2766,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,  1246,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1254,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,  2767,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,  1263,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,
       0,     0,     0,     0,     0,  1275,  1276,     0,     0,     0,
       0,     0,     0,     0,  1278,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,  1231,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,  1246,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  1254,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,  1263,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
    1274,     0,     0,     0,     0,     0,     0,  1275,  1276,     0,
       0,     0,     0,     0,  1975,  2719,  1278,   227,  1207,   659,
    1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1212,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1213,   250,  1214,  1215,     0,   253,   254,   255,
     256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,  1229,  1230,   298,  1231,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1232,   326,   327,   328,  1233,  1234,   330,     0,   331,   332,
    1235,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,  1237,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1238,  1239,     0,
    1240,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1244,   410,  1245,   412,   413,   414,   415,  1246,   416,
     417,   418,   419,  1247,  1248,   421,  1249,   423,   424,   425,
       0,   426,   427,     0,     0,  1250,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1253,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  1254,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,  1256,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1258,  1259,     0,
       0,   540,   541,  1260,   543,  1261,  1262,   545,   546,   547,
     548,   549,   550,   551,     0,  1263,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,  1265,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,  1274,     0,     0,     0,     0,     0,     0,  1275,
    1276,  1277,     0,     0,     0,     0,     0,     0,  1278,   227,
    1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,  2122,   236,   237,   238,     0,     0,     0,     0,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,  1231,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
    1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,  1250,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1254,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,   549,   550,   551,     0,  1263,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,  1265,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,  1274,     0,     0,     0,     0,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,     0,     0,
    1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,  3213,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,  1274,     0,     0,     0,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,  1231,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,  2765,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,  1246,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1254,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,  1263,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,
       0,     0,     0,     0,     0,  1275,  1276,     0,     0,     0,
       0,     0,     0,     0,  1278,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,  1231,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,  1246,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  1254,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,  1263,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
    1274,     0,     0,     0,     0,     0,     0,  1275,  1276,     0,
       0,     0,     0,     0,     0,     0,  1278,   227,  1207,   659,
    1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1212,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1213,   250,  1214,  1215,     0,   253,   254,   255,
     256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,  1229,  1230,   298,  1231,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1232,   326,   327,   328,  1233,  1234,   330,     0,   331,   332,
    1235,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,  1237,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1238,  1239,     0,
    1240,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1244,   410,  1245,   412,   413,   414,   415,  1246,   416,
     417,   418,   419,  1247,  1248,   421,  1249,   423,   424,   425,
       0,   426,   427,     0,     0,  1250,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1253,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  1254,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,  1256,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1258,  1259,     0,
       0,   540,   541,  1260,   543,  1261,  1262,   545,   546,   547,
     548,   549,   550,   551,     0,  1263,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,  1265,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,  1274,     0,     0,     0,     0,     0,     0,  2125,
    2126,     0,     0,     0,     0,     0,     0,     0,  1278,   227,
    2885,   659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,  1231,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
    1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,  1250,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1254,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,   549,   550,   551,     0,  1263,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,  1265,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,  1274,     0,     0,     0,     0,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,     0,     0,
    1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,  4134,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,  1274,     0,     0,     0,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,  1231,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,  1246,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1254,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,  1263,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,  4466,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,
       0,     0,     0,     0,     0,  1275,  1276,     0,     0,     0,
       0,     0,     0,     0,  1278,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,  1231,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,  4475,   415,  1246,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  1254,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,  1263,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
    1274,     0,     0,     0,     0,     0,     0,  1275,  1276,     0,
       0,     0,     0,     0,     0,     0,  1278,   227,  1207,   659,
    1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1212,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1213,   250,  1214,  1215,     0,   253,   254,   255,
     256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,  4783,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,  1229,  1230,   298,  1231,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1232,   326,   327,   328,  1233,  1234,   330,     0,   331,   332,
    1235,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,  4784,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1238,  1239,     0,
    1240,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1244,   410,  1245,   412,   413,   414,   415,  1246,   416,
     417,   418,   419,  1247,  1248,   421,  1249,   423,   424,   425,
       0,   426,   427,     0,     0,  1250,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1253,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
    4785,   488,   489,  1254,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,  1256,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1258,  1259,     0,
       0,   540,   541,  1260,   543,  1261,  1262,   545,   546,   547,
     548,   549,   550,   551,     0,  1263,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,  1265,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,  1274,     0,     0,     0,     0,     0,     0,  1275,
    1276,     0,     0,     0,     0,     0,     0,     0,  4786,   227,
    1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,  5263,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,  5264,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,  1231,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
    1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,  1250,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1254,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,  5265,   550,   551,     0,  1263,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,  1265,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,  1274,     0,     0,     0,     0,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,     0,     0,
    1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,  5264,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,  5265,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,  1274,     0,     0,     0,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,  4978,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,     0,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  2750,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,     0,     0,
       0,     0,     0,     0,     0,  2751,  2752,     0,     0,     0,
       0,     0,     0,     0,  2753,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247, -2634,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,  5264,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,  1231,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352, -2634,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,     0,     0,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388, -2634,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,  1246,   416,   417,     0,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  1254,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509, -2634,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,  5265,
     550,   551,     0,  1263,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
   -2634,     0,     0,     0,     0,     0,     0,  1275,  1276,     0,
       0,     0,     0,     0,     0,     0,  1278,   227,  1207,   659,
    1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1212,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1213,   250,  1214,  1215,     0,   253,   254,   255,
     256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,  1229,  1230,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1232,   326,   327,   328,  1233,  1234,   330,     0,   331,   332,
    1235,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,  1237,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1238,  1239,     0,
    1240,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1244,   410,  1245,   412,   413,   414,   415,     0,   416,
     417,   418,   419,  1247,  1248,   421,  1249,   423,   424,   425,
       0,   426,   427,     0,     0,  1250,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1253,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  2750,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,  1256,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1258,  1259,     0,
       0,   540,   541,  1260,   543,  1261,  1262,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,  1265,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,     0,     0,     0,     0,     0,     0,     0,  2751,
    2752,     0,     0,   227,  1207,   659,  1208,  1209,  2753,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,     0,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  2874,
    2875,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,     0,     0,
       0,     0,     0,     0,     0,  2876,  2877,     0,     0,     0,
       0,     0,     0,     0,  2753,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,     0,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  2750,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
       0,     0,     0,     0,     0,     0,     0,  2751,  2752,     0,
       0,   227,  1207,   659,  1208,  1209,  2753,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,     0,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  2750,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,     0,     0,   227,  1207,
     659,  1208,  1209,     0,   720,  1211,     0,     0,     0,     0,
       0,     0,  2753,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,  1212,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1213,   250,  1214,  1215,     0,  4044,   254,
     255,   256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,
     263,     0,   264,   265,   266,   267,  1220,     0,  1221,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,
     292,   293,   294,   295,  1229,  1230,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1232,   326,   327,   328,  1233,  1234,   330,     0,   331,
     332,  1235,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1236,     0,  1237,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1238,  1239,
       0,  1240,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1241,   387,   388,   389,
       0,   390,   391,   392,  1242,  1243,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1244,   410,  1245,   412,   413,   414,   415,     0,
     416,   417,   418,   419,  1247,  1248,   421,  1249,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1251,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
    1252,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1253,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  2750,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1255,   505,   506,   507,   508,   509,   510,   511,   512,  1256,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  1257,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1258,  1259,
       0,     0,   540,   541,  1260,   543,  1261,  1262,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,  1264,     0,   557,   558,   559,   560,   561,   562,
    1265,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
    1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,
     588,   589,   590,     0,     0,   227,  1207,   659,  1208,  1209,
       0,   720,  1211,     0,     0,     0,     0,     0,     0,  2753,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,     0,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  2750,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,  4506,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
       0,     0,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,
       0,     0,     0,     0,     0,     0,  2753,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,  1212,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,  1213,   250,  1214,
    1215,     0,   253,   254,   255,   256,   257,   258,  1216,  1217,
     259,   260,  1218,  1219,   263,     0,   264,   265,   266,   267,
    1220,     0,  1221,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,   290,   291,   292,   293,   294,   295,  1229,  1230,
     298,  1231,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,     0,   320,
       0,   321,   322,   323,   324,  1232,   326,   327,   328,  1233,
    1234,   330,     0,   331,   332,  1235,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1236,     0,  1237,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1238,  1239,     0,  1240,     0,   375,     0,     0,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1241,   387,   388,     0,     0,   390,   391,   392,  1242,  1243,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1244,   410,  1245,   412,
     413,   414,   415,  1246,   416,   417,     0,   419,  1247,  1248,
     421,  1249,   423,   424,   425,     0,   426,   427,     0,     0,
    1250,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1251,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,  1252,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1253,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,  1254,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1255,   505,   506,   507,   508,   509,
       0,   511,   512,  1256,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1257,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1258,  1259,     0,     0,   540,   541,  1260,   543,
    1261,  1262,   545,   546,   547,   548,   549,   550,   551,     0,
    1263,   552,   553,   554,   555,   556,  1264,     0,   557,   558,
     559,   560,   561,   562,  1265,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,
    1271,  1272,  1273,   587,   588,   589,   590,     0,     0,   227,
       0,     0,     0,     0,  1275,  1276,     0,     0,     0,     0,
       0,     0,     0,  1278,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,  1217,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,  1233,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,  3563,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
       0,   416,   417,   418,   419,     0,  1248,   421,   422,   423,
     424,   425,     0,   426,   427,     0,   809,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,  3564,   492,   493,   494,
     495,   496,   497,   498,   499,    40,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,    44,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,     0,     0,   540,   541,  1260,   543,  1261,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
    1143,   563,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,    49,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
    3565,   588,   589,   590,     0,     0,    50,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3566,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,  1217,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,  1233,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,  3563,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,  1248,   421,   422,   423,   424,   425,
       0,   426,   427,     0,   809,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,  3564,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,  1260,   543,  1261,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,  3565,   588,
     589,   590,     0,     0,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3566,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,  1217,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,  1220,     0,  1221,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1222,  1223,  1224,
    1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,  1233,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1236,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1241,   387,   388,   389,     0,   390,   391,   392,
    1242,  1243,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,     0,   416,   417,   418,   419,
       0,  1248,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1251,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,  1252,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
     490,  3564,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,  1255,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1257,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,   538,   539,     0,     0,   540,   541,
    1260,   543,  1261,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,  1264,     0,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,
     582,  1270,  1271,  1272,  1273,  3565,   588,   589,   590,     0,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    51,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,  1217,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,  1233,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,  1248,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,  1260,   543,  1261,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,     0,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4163,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,  1217,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,  1220,     0,  1221,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,  1233,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1236,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1241,   387,   388,   389,
       0,   390,   391,   392,  1242,  1243,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,  1248,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1251,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
    1252,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1255,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  1257,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,  1260,   543,  1261,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,  1264,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
    1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,
     588,   589,   590,     0,     0,   862,  1489,   659,     0,     0,
       0,   720,     0,     0,     0,     0,     0,     0,     0,  5246,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,     0,     0,
       0,   289,     0,     0,     0,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,   329,  1906,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,   386,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,     0,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,   425,     0,   426,
     427,  1907,     0,   428,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,     0,     0,   540,
     541,   542,   543,   544,  1908,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   862,     0,     0,     0,     0,  1490,  1491,  5059,
       0,     0,     0,     0,     0,     0,  5060,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     3,
       4,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,    40,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,    44,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,  1143,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,    49,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,     0,     0,    50,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    51,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,     0,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4835,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,    40,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,    44,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,  1143,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,    49,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,    50,   598,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    51,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,     0,   245,   246,   247,   248,
     249,     0,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,   268,     0,     0,     0,   270,   271,   272,
     273,   274,     0,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,     0,   286,   287,   288,     0,     0,
       0,     0,     0,     0,     0,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,     0,   416,   417,     0,
     419,     0,   420,   421,   422,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
     433,     0,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   528,   529,     0,   530,     0,   532,   533,
     534,   535,   536,     0,   537,   538,   539,     0,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,   562,   563,     0,   564,
       0,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   598,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1336,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,     0,     0,   598,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2907,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,     0,
     245,   246,   247,   248,   249,     0,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,     0,     0,
       0,   270,   271,   272,   273,   274,     0,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,     0,   286,
     287,   288,     0,     0,     0,     0,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
       0,   416,   417,     0,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,     0,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   528,   529,     0,
     530,     0,   532,   533,   534,   535,   536,     0,   537,   538,
     539,     0,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
     562,   563,     0,   564,     0,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4079,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,     0,     0,     0,  1057,  1489,   659,     0,
       0,   876,   720,     0,     0,     0,     0,  4523,   877,   878,
     879,   228,   229,   230,   231,   232,   233,   234,   235,  1620,
     236,   237,   238,  1621,  1622,  1623,  1624,  1625,  1626,  1627,
     239,   240,  1628,   241,   242,   243,   244,   245,   246,   247,
       0,  1058,   250,  1059,  1060,  1629,   253,   254,   255,   256,
     257,   258,  1630,  1631,   259,   260,  1061,  1062,   263,  1632,
     264,   265,   266,   267,     0,  1633,   269,  1634,   270,   271,
     272,   273,   274,   275,   276,   277,   278,  1635,   279,   280,
     281,   282,   283,   284,  1636,   285,   286,   287,   288,  1637,
    1638,  1639,   289,  1640,  1641,  1642,   290,   291,   292,   293,
     294,   295,  1063,  1064,   298,  1643,   299,  1644,   300,   301,
     302,   303,   304,   305,  1645,   306,   307,   308,   309,  1646,
    1647,   310,   311,  1065,   313,   314,  1648,   315,   316,   317,
    1649,   318,   319,   320,  1650,   321,   322,   323,   324,     0,
     326,   327,   328,     0,  1651,   330,  1652,   331,   332,  1066,
     334,  1653,   335,  1654,   336,   337,  1655,   338,   339,   340,
     341,   342,  1656,   343,     0,  1657,     0,   346,   347,  1658,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    1659,   358,   359,   360,   361,   362,   363,   364,  1660,   365,
     366,     0,   368,   369,   370,   371,  1068,  1069,  1661,  1070,
    1662,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,  1663,  1664,   385,     0,   387,   388,   389,  1665,   390,
     391,   392,  1666,  1667,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1071,   410,  1072,   412,   413,   414,  3830,  1668,   416,   417,
     418,   419,  1669,     0,   421,  1073,   423,   424,   425,  1670,
     426,   427,  1671,  1672,  3831,   429,   430,  1673,  1674,   431,
     432,     0,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,  1675,   447,   448,     0,   450,
       0,   452,   453,   454,  1676,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1074,   466,   467,   468,   469,
    1677,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,  1678,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1679,   500,   501,   502,   503,   504,  1680,   505,
     506,  2157,   508,   509,   510,   511,   512,  1076,   514,  1681,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,  1682,   528,   529,  1683,   530,   531,   532,
     533,   534,   535,   536,  1684,   537,  1077,  1078,  1685,  1686,
     540,   541,     0,   543,     0,  1687,   545,   546,   547,   548,
     549,   550,   551,  1688,  1689,   552,   553,   554,   555,   556,
    1690,  1691,   557,   558,   559,   560,   561,     0,  1079,  1692,
     564,   565,   566,   567,   568,   569,  1693,  1694,   570,  1695,
    1696,   571,   572,   573,   574,   575,   576,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   588,   589,
     590,     0,     0,     0,   882,   883,   884,     0,  3832,  3833,
     887,   888,   889,   890,  1057,  1489,   659,     0,     0,   876,
     720,     0,     0,     0,     0,     0,   877,   878,   879,   228,
     229,   230,   231,   232,   233,   234,   235,  1620,   236,   237,
     238,  1621,  1622,  1623,  1624,  1625,  1626,  1627,   239,   240,
    1628,   241,   242,   243,   244,   245,   246,   247,     0,  1058,
     250,  1059,  1060,  1629,   253,   254,   255,   256,   257,   258,
    1630,  1631,   259,   260,  1061,  1062,   263,  1632,   264,   265,
     266,   267,     0,  1633,   269,  1634,   270,   271,   272,   273,
     274,   275,   276,   277,   278,  1635,   279,   280,   281,   282,
     283,   284,  1636,   285,   286,   287,   288,  1637,  1638,  1639,
     289,  1640,  1641,  1642,   290,   291,   292,   293,   294,   295,
    1063,  1064,   298,  1643,   299,  1644,   300,   301,   302,   303,
     304,   305,  1645,   306,   307,   308,   309,  1646,  1647,   310,
     311,  1065,   313,   314,  1648,   315,   316,   317,  1649,   318,
     319,   320,  1650,   321,   322,   323,   324,     0,   326,   327,
     328,     0,  1651,   330,  1652,   331,   332,  1066,   334,  1653,
     335,  1654,   336,   337,  1655,   338,   339,   340,   341,   342,
    1656,   343,     0,  1657,     0,   346,   347,  1658,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,  1659,   358,
     359,   360,   361,   362,   363,   364,  1660,   365,   366,     0,
     368,   369,   370,   371,  1068,  1069,  1661,  1070,  1662,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,  1663,
    1664,   385,     0,   387,   388,   389,  1665,   390,   391,   392,
    1666,  1667,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1071,   410,
    1072,   412,   413,   414,  4255,  1668,   416,   417,   418,   419,
    1669,     0,   421,  1073,   423,   424,   425,  1670,   426,   427,
    1671,  1672,  3831,   429,   430,  1673,  1674,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,  1675,   447,   448,     0,   450,     0,   452,
     453,   454,  1676,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1074,   466,   467,   468,   469,  1677,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,  1678,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1679,   500,   501,   502,   503,   504,  1680,   505,   506,  2157,
     508,   509,   510,   511,   512,  1076,   514,  1681,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,  1682,   528,   529,  1683,   530,   531,   532,   533,   534,
     535,   536,  1684,   537,  1077,  1078,  1685,  1686,   540,   541,
       0,   543,     0,  1687,   545,   546,   547,   548,   549,   550,
     551,  1688,  1689,   552,   553,   554,   555,   556,  1690,  1691,
     557,   558,   559,   560,   561,     0,  1079,  1692,   564,   565,
     566,   567,   568,   569,  1693,  1694,   570,  1695,  1696,   571,
     572,   573,   574,   575,   576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   588,   589,   590,     0,
     598,     0,   882,   883,   884,   876,  3832,  3833,   887,   888,
     889,   890,   877,   878,   879,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   880,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   881,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,     0,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,     0,   528,   529,
       0,   530,     0,   532,   533,   534,   535,   536,     0,   537,
     538,   539,     0,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,   562,   563,     0,   564,     0,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,     0,   598,     0,   882,   883,
     884,   876,   885,   886,   887,   888,   889,   890,   877,   878,
     879,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,  1007,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,  1008,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,     0,   598,     0,   882,   883,   884,   876,   885,   886,
     887,   888,   889,   890,   877,   878,   879,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,  1107,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,  1108,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1109,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,     0,   598,     0,
     882,   883,   884,   876,   885,   886,   887,   888,   889,   890,
     877,   878,   879,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,  1719,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,  1720,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,     0,   598,     0,   882,   883,   884,   876,
     885,   886,   887,   888,   889,   890,   877,   878,   879,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,     0,   528,   529,     0,   530,     0,   532,   533,   534,
     535,   536,     0,   537,   538,   539,     0,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,   562,   563,     0,   564,     0,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,     0,
     598,     0,   882,   883,   884,   876,   885,   886,   887,   888,
     889,   890,   877,   878,   879,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,  2985,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,  2986,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,     0,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,     0,   528,   529,
       0,   530,     0,   532,   533,   534,   535,   536,     0,   537,
     538,   539,     0,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,   562,   563,     0,   564,     0,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,     0,   598,     0,   882,   883,
     884,   876,   885,   886,   887,   888,   889,   890,   877,   878,
     879,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,  4812,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,  1619,     0,     0,   882,   883,   884,     0,   885,   886,
     887,   888,   889,   890,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,  1620,   236,   237,   238,  1621,  1622,
    1623,  1624,  1625,  1626,  1627,   239,   240,  1628,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
    1629,   253,   254,   255,   256,   257,   258,  1630,  1631,   259,
     260,   261,   262,   263,  1632,   264,   265,   266,   267,   268,
    1633,   269,  1634,   270,   271,   272,   273,   274,   275,   276,
     277,   278,  1635,   279,   280,   281,   282,   283,   284,  1636,
     285,   286,   287,   288,  1637,  1638,  1639,   289,  1640,  1641,
    1642,   290,   291,   292,   293,   294,   295,   296,   297,   298,
    1643,   299,  1644,   300,   301,   302,   303,   304,   305,  1645,
     306,   307,   308,   309,  1646,  1647,   310,   311,   312,   313,
     314,  1648,   315,   316,   317,  1649,   318,   319,   320,  1650,
     321,   322,   323,   324,   325,   326,   327,   328,   329,  1651,
     330,  1652,   331,   332,   333,   334,  1653,   335,  1654,   336,
     337,  1655,   338,   339,   340,   341,   342,  1656,   343,   344,
    1657,   345,   346,   347,  1658,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,  1659,   358,   359,   360,   361,
     362,   363,   364,  1660,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  1661,   374,  1662,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,  1663,  1664,   385,   386,
     387,   388,   389,  1665,   390,   391,   392,  1666,  1667,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,  1668,   416,   417,   418,   419,  1669,   420,   421,
     422,   423,   424,   425,  1670,   426,   427,  1671,  1672,   428,
     429,   430,  1673,  1674,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
    1675,   447,   448,   449,   450,   451,   452,   453,   454,  1676,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,  1677,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,  1678,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1679,   500,   501,
     502,   503,   504,  1680,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,  1681,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1682,   528,
     529,  1683,   530,   531,   532,   533,   534,   535,   536,  1684,
     537,   538,   539,  1685,  1686,   540,   541,   542,   543,   544,
    1687,   545,   546,   547,   548,   549,   550,   551,  1688,  1689,
     552,   553,   554,   555,   556,  1690,  1691,   557,   558,   559,
     560,   561,   562,   563,  1692,   564,   565,   566,   567,   568,
     569,  1693,  1694,   570,  1695,  1696,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,  1697,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
     814,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,  5211,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1058,   250,  1059,  1060,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1061,  1062,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1063,  1064,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1066,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    2153,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,  2154,   368,   369,   370,   371,  1068,  1069,     0,  1070,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1071,   410,  1072,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1073,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,  2155,   431,
     432,  2156,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,     0,   450,
       0,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1074,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,  2157,   508,   509,   510,   511,   512,  1076,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1077,  1078,     0,     0,
     540,   541,     0,   543,     0,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,     0,  1079,  2158,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,  2475,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   588,   589,
     590,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    2159,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,     0,  1058,   250,  1059,  1060,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,  1061,  1062,   263,
       0,   264,   265,   266,   267,     0,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,  1063,  1064,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
       0,   326,   327,   328,     0,     0,   330,     0,   331,   332,
    1066,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,     0,     0,     0,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,  2153,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,  2154,   368,   369,   370,   371,  1068,  1069,     0,
    1070,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,     0,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,  1072,   412,   413,   414,     0,     0,   416,
     417,   418,   419,     0,     0,   421,  1073,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,  2155,
     431,   432,  2156,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1074,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  2157,   508,   509,   510,   511,   512,  1076,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1077,  1078,     0,
       0,   540,   541,     0,   543,     0,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,     0,  1079,
    2158,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   862,  1489,
     659,     0,     0,     0,   720,     0,     0,     0,     0,   588,
     589,   590,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  2159,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,  2084,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,  1906,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,  1907,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,  1908,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   862,  1489,   659,     0,     0,     0,   720,
    1490,  1491,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,  2089,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,  1906,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,  1907,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,  1908,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   862,  1489,
     659,     0,     0,     0,   720,  1490,  1491,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,  1906,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,  1907,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,  1908,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   862,     0,   659,     0,     0,     0,   720,
    1490,  1491,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,  2939,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,  1906,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,  1907,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,  1908,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,   720,   732,   733,     0,     0,     0,
       0,     0,     0,   228,   721,   230,   231,   232,   233,   234,
     235,   722,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   723,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     724,   333,   334,     0,   335,     0,   725,     0,   726,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,   727,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   728,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   729,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   730,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   731,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,  1619,  5423,   659,     0,     0,     0,   720,
     732,   733,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,  1620,   236,   237,   238,
    1621,  1622,  1623,  1624,  1625,  1626,  1627,   239,   240,  1628,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,  1629,   253,   254,   255,   256,   257,   258,  1630,
    1631,   259,   260,   261,   262,   263,  1632,   264,   265,   266,
     267,   268,  1633,   269,  1634,   270,   271,   272,   273,   274,
     275,   276,   277,   278,  1635,   279,   280,   281,   282,   283,
     284,  1636,   285,   286,   287,   288,  1637,  1638,  1639,   289,
    1640,  1641,  1642,   290,   291,   292,   293,   294,   295,   296,
     297,   298,  1643,   299,  1644,   300,   301,   302,   303,   304,
     305,  1645,   306,   307,   308,   309,  1646,  1647,   310,   311,
     312,   313,   314,  1648,   315,   316,   317,  1649,   318,   319,
     320,  1650,   321,   322,   323,   324,   325,   326,   327,   328,
     329,  1651,   330,  1652,   331,   332,   333,   334,  1653,   335,
    1654,   336,   337,  1655,   338,   339,   340,   341,   342,  1656,
     343,   344,  1657,   345,   346,   347,  1658,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,  1659,   358,   359,
     360,   361,   362,   363,   364,  1660,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  1661,   374,  1662,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,  1663,  1664,
     385,   386,   387,   388,   389,  1665,   390,   391,   392,  1666,
    1667,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,  1668,   416,   417,   418,   419,  1669,
     420,   421,   422,   423,   424,   425,  1670,   426,   427,  1671,
    1672,   428,   429,   430,  1673,  1674,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,  1675,   447,   448,   449,   450,   451,   452,   453,
     454,  1676,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,  1677,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
    1678,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1679,
     500,   501,   502,   503,   504,  1680,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,  1681,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1682,   528,   529,  1683,   530,   531,   532,   533,   534,   535,
     536,  1684,   537,   538,   539,  1685,  1686,   540,   541,   542,
     543,   544,  1687,   545,   546,   547,   548,   549,   550,   551,
    1688,  1689,   552,   553,   554,   555,   556,  1690,  1691,   557,
     558,   559,   560,   561,   562,   563,  1692,   564,   565,   566,
     567,   568,   569,  1693,  1694,   570,  1695,  1696,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,  1619,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  1620,   236,   237,   238,  1621,  1622,  1623,  1624,  1625,
    1626,  1627,   239,   240,  1628,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,  1629,   253,   254,
     255,   256,   257,   258,  1630,  1631,   259,   260,   261,   262,
     263,  1632,   264,   265,   266,   267,   268,  1633,   269,  1634,
     270,   271,   272,   273,   274,   275,   276,   277,   278,  1635,
     279,   280,   281,   282,   283,   284,  1636,   285,   286,   287,
     288,  1637,  1638,  1639,   289,  1640,  1641,  1642,   290,   291,
     292,   293,   294,   295,   296,   297,   298,  1643,   299,  1644,
     300,   301,   302,   303,   304,   305,  1645,   306,   307,   308,
     309,  1646,  1647,   310,   311,   312,   313,   314,  1648,   315,
     316,   317,  1649,   318,   319,   320,  1650,   321,   322,   323,
     324,   325,   326,   327,   328,   329,  1651,   330,  1652,   331,
     332,   333,   334,  1653,   335,  1654,   336,   337,  1655,   338,
     339,   340,   341,   342,  1656,   343,   344,  1657,   345,   346,
     347,  1658,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  1659,   358,   359,   360,   361,   362,   363,   364,
    1660,   365,   366,   367,   368,   369,   370,   371,   372,   373,
    1661,   374,  1662,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,  1663,  1664,   385,   386,   387,   388,   389,
    1665,   390,   391,   392,  1666,  1667,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,  1668,
     416,   417,   418,   419,  1669,   420,   421,   422,   423,   424,
     425,  1670,   426,   427,  1671,  1672,   428,   429,   430,  1673,
    1674,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,  1675,   447,   448,
     449,   450,   451,   452,   453,   454,  1676,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,  1677,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,  1678,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1679,   500,   501,   502,   503,   504,
    1680,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,  1681,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,  1682,   528,   529,  1683,   530,
     531,   532,   533,   534,   535,   536,  1684,   537,   538,   539,
    1685,  1686,   540,   541,   542,   543,   544,  1687,   545,   546,
     547,   548,   549,   550,   551,  1688,  1689,   552,   553,   554,
     555,   556,  1690,  1691,   557,   558,   559,   560,   561,   562,
     563,  1692,   564,   565,   566,   567,   568,   569,  1693,  1694,
     570,  1695,  1696,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,  1619,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,  3057,   233,   234,   235,  1620,   236,   237,   238,
    1621,  1622,  1623,  1624,  1625,  1626,  1627,   239,   240,  1628,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,  1629,   253,   254,   255,   256,   257,   258,  1630,
    1631,   259,   260,   261,   262,   263,  1632,   264,   265,   266,
     267,   268,  1633,   269,  1634,   270,   271,   272,   273,   274,
     275,   276,   277,   278,  1635,   279,   280,   281,   282,   283,
     284,  1636,   285,   286,   287,   288,  1637,  1638,  1639,   289,
    1640,  1641,  1642,   290,   291,   292,   293,   294,   295,   296,
     297,   298,  1643,   299,  1644,   300,   301,   302,   303,   304,
     305,  1645,   306,   307,   308,   309,  1646,  1647,   310,   311,
     312,  3058,   314,  1648,   315,   316,   317,  1649,   318,   319,
     320,  1650,   321,   322,   323,   324,   325,   326,   327,   328,
     329,  1651,   330,  1652,   331,   332,   333,   334,  1653,   335,
    1654,   336,   337,  1655,   338,   339,   340,   341,   342,  1656,
     343,   344,  1657,   345,   346,   347,  1658,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,  1659,   358,   359,
     360,   361,   362,   363,   364,  1660,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  1661,   374,  1662,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,  1663,  1664,
     385,   386,   387,   388,   389,  1665,   390,   391,   392,  1666,
    1667,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,  1668,   416,   417,   418,   419,  1669,
     420,   421,   422,   423,   424,   425,  1670,   426,   427,  1671,
    1672,   428,   429,   430,  1673,  1674,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,  1675,   447,   448,   449,   450,   451,   452,   453,
     454,  1676,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,  1677,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
    1678,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1679,
     500,   501,   502,   503,   504,  1680,  3059,   506,   507,   508,
     509,   510,   511,   512,   513,   514,  1681,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
    1682,   528,   529,  1683,   530,   531,   532,   533,   534,   535,
     536,  1684,   537,   538,   539,  1685,  1686,   540,   541,   542,
     543,   544,  1687,   545,   546,   547,   548,   549,   550,   551,
    1688,  1689,   552,   553,   554,   555,   556,  1690,  1691,   557,
     558,   559,   560,   561,   562,   563,  1692,   564,   565,   566,
     567,   568,   569,  1693,  1694,   570,  1695,  1696,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,  1217,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,  1220,     0,  1221,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,  1233,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1236,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1241,   387,   388,   389,
       0,   390,   391,   392,  1242,  1243,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,  1248,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1251,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
    1252,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1255,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  1257,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,  1260,   543,  1261,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,  1264,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
    1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,
     588,   589,   590,   862,     0,   659,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,  1906,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,  1907,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,  1908,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   900,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,   863,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     864,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   862,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,   920,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,   863,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   921,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   864,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,   863,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     864,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,  2418,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   862,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,   863,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,  3409,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   864,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,   863,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     864,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   862,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,   863,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,  1026,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   864,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,   863,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1102,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     864,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   862,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,   863,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1115,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   864,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,   863,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1127,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
    1128,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     864,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   862,     0,   659,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,  2069,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     3,     4,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   862,     0,   659,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   862,     0,
     659,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1892,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1049,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1099,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1113,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1117,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,  2193,   264,   265,   266,
     267,   268,     0,     0,  2272,   270,   271,   272,   273,   274,
       0,   276,   277,   278,  2194,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,  2273,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
    2196,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  2274,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,  2197,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,  2198,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,  2193,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,  2194,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,  2273,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,  2196,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,  3268,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,  2197,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,  2198,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   777,   234,   235,   739,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,   740,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,   778,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   741,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   742,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   739,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,   740,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,  2946,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   741,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   742,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,  2193,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,  2194,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,  2273,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
    2196,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,  2197,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,  2198,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   739,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,   740,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   741,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   742,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,  1933,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,  1934,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,  1935,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
    1936,   336,     0,     0,     0,  1937,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,  1938,  1939,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,  1940,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,  1941,   489,   490,
     491,   492,   493,  1942,   495,   496,   497,   498,   499,     0,
    1943,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,  1944,   530,     0,  1945,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,  1946,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,   740,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   741,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   742,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,   913,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   914,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
     809,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  3038,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,  3039,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,  3051,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,  3052,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   599,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,   650,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   651,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   769,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   770,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   771,   539,
       0,     0,   772,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,   803,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   804,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   805,   539,     0,     0,   806,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,   809,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,   871,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   872,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  1041,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,  1311,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,  1322,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   789,   260,   261,   262,
    1323,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   792,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   793,
     486,   487,   488,   489,   490,   491,   492,   493,   794,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,  1315,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   796,   539,
       0,     0,   797,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   798,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1435,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
     809,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  1494,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1495,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,   769,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,  2837,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,  2838,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,  2839,   530,
       0,   532,  2840,   534,  2841,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,  2842,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,   659,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,   720,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,  4100,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
    4114,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   755,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   767,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   789,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     790,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   791,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   792,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   793,
     486,   487,   488,   489,   490,   491,   492,   493,   794,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   795,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   796,   539,
       0,     0,   797,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   798,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   820,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   896,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   906,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   924,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   991,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   997,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1014,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1017,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1019,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1055,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1119,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1121,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1131,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1134,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1137,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   789,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   792,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   793,
     486,   487,   488,   489,   490,   491,   492,   493,   794,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,  1315,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   796,   539,
       0,     0,   797,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   798,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1753,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1791,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1793,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1864,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1866,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1868,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,  1969,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
    2146,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,     0,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   789,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   792,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   793,   486,   487,   488,   489,   490,
     491,   492,   493,   794,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,  1315,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,  2180,   533,   534,   535,
     536,     0,   537,   796,   539,     0,     0,   797,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   798,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   789,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   792,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   793,
     486,   487,   488,   489,   490,   491,   492,   493,  2257,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,  2258,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   796,   539,
       0,     0,  2259,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   798,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   789,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   792,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   793,   486,   487,   488,   489,   490,
     491,   492,   493,  2336,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,  2258,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   796,   539,     0,     0,  2259,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   798,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   789,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   792,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   793,
     486,   487,   488,   489,   490,   491,   492,   493,  2353,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,  2258,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   796,   539,
       0,     0,  2259,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   798,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  2555,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  2559,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  2631,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  2957,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   789,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   792,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   793,   486,   487,   488,   489,   490,
     491,   492,   493,   794,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,  2258,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   796,   539,     0,     0,  2259,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   798,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  3026,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  3041,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  3043,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  3186,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,  3222,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  4371,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1058,   250,  1059,  1060,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1061,  1062,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1063,  1064,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1066,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  2153,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,  2154,   368,   369,   370,   371,  1068,  1069,
       0,  1070,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1071,   410,  1072,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1073,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,  2156,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
       0,   450,     0,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1074,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,  2157,   508,   509,   510,   511,   512,  1076,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1077,  1078,
       0,     0,   540,   541,     0,   543,     0,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,     0,
    1079,  2158,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   598,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     588,   589,   590,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,     0,
     245,   246,   247,   248,   249,     0,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,     0,     0,
       0,   270,   271,   272,   273,   274,     0,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,     0,   286,
     287,   288,     0,     0,     0,     0,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
       0,   416,   417,     0,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,     0,   435,     0,   437,   438,
     439,   440,   441,   442,   443,     0,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,     0,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   528,   529,     0,
     530,     0,   532,   533,   534,   535,   536,     0,   537,   538,
     539,     0,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
     562,   563,     0,   564,     0,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,     0,  1058,
     250,  1059,  1060,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,  1061,  1062,   263,     0,   264,   265,
     266,   267,     0,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
    1063,  1064,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1066,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,     0,
     368,   369,   370,   371,  1068,  1069,     0,  1070,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1071,   410,
    1072,   412,   413,   414,     0,     0,   416,   417,   418,   419,
    2253,     0,   421,  1073,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,     0,   450,     0,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1074,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,  2157,
     508,   509,   510,   511,   512,  1076,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,     0,   528,   529,  3937,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1077,  1078,     0,     0,   540,   541,
       0,   543,     0,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,     0,  1079,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   588,   589,   590,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,     0,
    1058,   250,  1059,  1060,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,  1061,  1062,   263,     0,   264,
     265,   266,   267,     0,     0,   269,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,     0,     0,
       0,   289,     0,     0,     0,   290,   291,   292,   293,   294,
     295,  1063,  1064,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,     0,   326,
     327,   328,     0,     0,   330,     0,   331,   332,  1066,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,     0,     0,     0,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
       0,   368,   369,   370,   371,  1068,  1069,     0,  1070,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,     0,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,  1072,   412,   413,   414,  2325,     0,   416,   417,   418,
     419,     0,     0,   421,  1073,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
       0,   434,   435,   436,     0,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1074,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
    1075,   508,   509,   510,   511,   512,  1076,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,     0,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1077,  1078,     0,     0,   540,
     541,     0,   543,     0,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,     0,  1079,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   588,   589,   590,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1058,   250,  1059,  1060,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1061,  1062,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1063,  1064,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1066,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,     0,   368,   369,   370,   371,  1068,  1069,     0,  1070,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1071,   410,  1072,   412,   413,   414,  3744,     0,   416,   417,
     418,   419,     0,     0,   421,  1073,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,     0,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,     0,   450,
       0,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1074,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,  1075,   508,   509,   510,   511,   512,  1076,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1077,  1078,     0,     0,
     540,   541,     0,   543,     0,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,     0,  1079,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   588,   589,
     590,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,     0,  1058,   250,  1059,  1060,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,  1061,  1062,   263,
       0,   264,   265,   266,   267,     0,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,  1063,  1064,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
       0,   326,   327,   328,     0,     0,   330,     0,   331,   332,
    1066,   334,  5278,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,     0,     0,     0,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,     0,   368,   369,   370,   371,  1068,  1069,     0,
    1070,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,     0,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,  1072,   412,   413,   414,     0,     0,   416,
     417,   418,   419,     0,     0,   421,  1073,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,     0,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1074,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  1075,   508,   509,   510,   511,   512,  1076,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1077,  1078,     0,
       0,   540,   541,     0,   543,     0,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,     0,  1079,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   588,
     589,   590,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1058,   250,  1059,  1060,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1061,  1062,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1063,  1064,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1066,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,  1067,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,     0,   368,   369,   370,   371,  1068,  1069,
       0,  1070,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1071,   410,  1072,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1073,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,     0,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
       0,   450,     0,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1074,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,  1075,   508,   509,   510,   511,   512,  1076,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1077,  1078,
       0,     0,   540,   541,     0,   543,     0,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,     0,
    1079,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,  1057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     588,   589,   590,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,     0,  1058,   250,  1059,  1060,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,  1061,
    1062,   263,     0,   264,   265,   266,   267,     0,     0,   269,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,     0,     0,     0,   289,     0,     0,     0,   290,
     291,   292,   293,   294,   295,  1063,  1064,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,     0,   326,   327,   328,     0,     0,   330,     0,
     331,   332,  1066,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,     0,     0,     0,
     346,   347,     0,   348,   349,   350,   351,  1125,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,     0,   368,   369,   370,   371,  1068,
    1069,     0,  1070,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,     0,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,  1072,   412,   413,   414,     0,
       0,   416,   417,   418,   419,     0,     0,   421,  1073,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,     0,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1074,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  1075,   508,   509,   510,   511,   512,
    1076,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1077,
    1078,     0,     0,   540,   541,     0,   543,     0,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
       0,  1079,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   588,   589,   590,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1058,   250,  1059,  1060,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
    1061,  1062,   263,     0,   264,   265,   266,   267,     0,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,  1063,  1064,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1066,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,     0,   368,   369,   370,   371,
    1068,  1069,     0,  1070,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1071,   410,  1072,   412,   413,   414,
       0,     0,   416,   417,   418,   419,     0,     0,   421,  1073,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,     0,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,     0,   450,     0,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1074,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,  1075,   508,   509,   510,   511,
     512,  1076,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1077,  1078,     0,     0,   540,   541,     0,   543,     0,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,     0,  1079,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,  1057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   588,   589,   590,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,     0,  1058,   250,  1059,  1060,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,  1061,  1062,   263,     0,   264,   265,   266,   267,     0,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,  1063,  1064,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,     0,   326,   327,   328,     0,     0,
     330,     0,   331,   332,  1066,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,     0,
       0,     0,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,     0,   368,   369,   370,
     371,  1068,  1069,     0,  1070,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,     0,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,  1072,   412,   413,
     414,     0,     0,   416,   417,   418,   419,     0,     0,   421,
    1073,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,     0,   434,   435,   436,
       0,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1074,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,  2157,   508,   509,   510,
     511,   512,  1076,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,     0,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1077,  1078,     0,     0,   540,   541,     0,   543,     0,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,     0,  1079,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   588,   589,   590,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,  1058,   250,  1059,
    1060,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,  1061,  1062,   263,     0,   264,   265,   266,   267,
       0,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,  1063,  1064,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,  1066,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,     0,   368,   369,
     370,   371,  1068,  1069,     0,  1070,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1071,   410,  1072,   412,
     413,   414,     0,     0,   416,   417,   418,   419,     0,     0,
     421,  1073,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,     0,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,     0,   450,     0,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1074,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,   508,   509,
     510,   511,   512,  1076,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1077,  1078,     0,     0,   540,   541,     0,   543,
       0,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,     0,  1079,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   588,   589,   590,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,     0,     0,   250,
       0,     0,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,     0,     0,   263,     0,   264,   265,   266,
     267,     0,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,     0,
       0,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,     0,   326,   327,   328,
       0,     0,   330,     0,   331,   332,     0,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,     0,     0,     0,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,     0,   368,
     369,   370,   371,     0,     0,     0,     0,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,     0,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,   410,     0,
     412,   413,   414,     0,     0,   416,   417,   418,   419,     0,
       0,   421,     0,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,     0,   434,
     435,   436,     0,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,   508,
     509,   510,   511,   512,     0,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,     0,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,     0,     0,     0,     0,   540,   541,     0,
     543,     0,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,     0,     0,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,  4934,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   588,   589,   590,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,     0,     0,   263,     0,   264,   265,
     266,   267,     0,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
       0,     0,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,     0,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     368,   369,   370,   371,     0,     0,     0,     0,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,     0,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     0,     0,
       0,   412,   413,   414,     0,     0,   416,   417,     0,   419,
       0,     0,   421,     0,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,     0,
       0,   435,     0,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,     0,   450,     0,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
     508,   509,     0,   511,   512,     0,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,     0,   528,   529,     0,   530,     0,   532,   533,   534,
     535,   536,     0,   537,     0,     0,     0,     0,   540,   541,
       0,   543,     0,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,     0,     0,     0,   564,     0,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   588,   589,   590
};

static const yytype_int16 yycheck[] =
{
       6,   907,   204,     0,   790,    44,     0,   627,   934,    51,
       0,  1147,   788,   182,     0,  1421,  1075,    23,    36,    25,
       0,    22,   848,    29,    21,  1105,  2495,    28,    34,    35,
      36,  1546,    38,   923,   908,    41,    42,   938,    44,   204,
      46,   740,   741,   742,   839,   660,   812,   746,   932,   660,
    2161,  2162,   813,  1020,     6,  2849,  1465,   190,   936,  1465,
      13,  1996,  1458,  1063,  1064,  1200,  2898,  2690,  2564,    45,
    1078,  1787,   209,  1073,  3300,  1705,   797,  1471,  3636,   907,
    1609,  1169,  2324,   702,   618,  3591,   223,   915,    23,  2508,
    3030,  3003,  1975,   708,   860,  3319,    18,   925,  3636,  3344,
    2666,    36,  3347,  2907,   994,  3331,   707,  3057,   998,  3059,
    3254,    21,     0,  1003,  2386,  3688,   874,  2407,   697,   169,
    3929,   199,  3632,  1013,  3872,  3246,  4168,  3537,  3572,   207,
    2872,  1482,   210,  3254,  1958,    35,   670,  1027,  1009,  3916,
    4507,  2019,    42,  2063,  2781,  4558,  4398,     0,     0,     0,
       0,     0,     0,     0,  1025,     0,  1450,  1399,   184,   682,
       0,     0,   685,    50,  4401,  2128,    41,  3915,     0,     0,
    1800,  4352,   184,  2126,  1890,   941,  1570,  2917,   793,   218,
    4578,     8,   793,  3612,   190,   191,   192,   193,    15,   195,
    3926,  3566,  3317,   199,  2096,   201,   836,   836,   204,  1061,
    1062,   207,  2104,  4716,   210,     5,  4704,   213,     0,   215,
    1072,  3571,   218,  3573,    35,  1509,   222,  3500,   224,  4400,
    4618,   858,     5,     0,     9,  1576,  1577,     0,     0,  1229,
    1230,    57,  1526,    49,  4523,    26,  4525,     9,  4625,  4626,
       0,    22,    22,     5,     3,  1413,     5,    11,    42,  1249,
       5,  1259,    87,   112,    26,    84,  2498,     5,    13,    14,
      42,   898,     5,  4912,    66,    74,   903,    72,  1094,     5,
       5,     0,  1607,  1608,  2911,   112,    39,  2451,     5,  2453,
       9,     5,    84,  2457,    29,  2459,  2460,   986,     5,    13,
      14,     5,  4851,     4,  2468,  2469,  2470,    26,     9,     5,
       5,     5,     5,   158,    11,  4816,  4817,    13,    14,  3005,
     170,   114,   207,   112,     3,     4,     5,     5,  3993,  3994,
       9,  3996,  3997,  3998,  3999,  4000,  4650,   145,   264,   163,
     144,     9,   144,    40,   275,   269,    70,   112,   163,   168,
     142,     3,     5,   165,   308,    38,   270,   133,   107,   267,
     131,   131,   158,   289,   275,   339,  1218,  1219,   160,   252,
      27,   158,   191,   169,  2606,    72,  2608,  5263,    30,    31,
      57,   163,   258,    57,    57,    26,    57,   112,   116,   356,
      79,   187,   395,  1245,    84,     0,   163,    22,   395,  1147,
     163,   163,   120,   270,   323,   187,    91,   153,  1365,   228,
     395,   356,   356,   163,   284,   180,    21,   382,   211,    26,
     187,  3265,   112,    36,   187,   187,    33,    57,    74,   285,
     179,   112,   159,   112,   328,    43,   250,   187,   163,    74,
      74,   269,     4,     5,   163,  4833,    51,     9,  1339,    84,
      84,  4939,   417,  1327,   268,   274,   283,    65,     4,   271,
     463,   254,   356,     9,  4706,   254,   193,   323,   187,    39,
       5,   671,   627,   476,  5113,    26,   395,   158,  4705,   225,
     208,   478,    33,  1532,   169,   126,   356,   363,    57,   254,
      57,   240,    26,   478,   243,    74,    11,   697,   625,    33,
     474,  4780,   185,   328,   631,    84,   131,   163,   121,   301,
     162,   478,   164,   329,   285,    74,    74,   644,   311,   163,
     474,  5407,   349,  1279,   679,  1130,    84,   206,    57,  1130,
      74,  1399,   163,   478,   478,   163,   332,   163,   325,   119,
     163,   163,  1147,   267,   475,   202,    84,   478,   474,   228,
     474,  1307,   323,   163,   343,   359,   383,   359,  1149,   187,
     474,   164,   215,   375,   254,  4879,   474,   478,   387,  1460,
     389,   395,   114,   456,    26,   442,   187,  1325,  3264,   184,
     395,   400,  1330,  1331,    29,   356,   356,    11,  1746,   151,
    3724,   326,   411,   478,   163,   414,   395,   424,   347,  1204,
     373,   374,   383,  1204,   339,   323,   341,  5010,   117,   605,
     437,   395,    11,  3724,   463,   611,    40,   613,  1436,   411,
     616,    11,   618,   610,   620,   433,   610,   380,   478,   474,
     610,   627,  5120,   460,   610,     8,   632,  3748,   634,   423,
     610,    40,    15,    16,    17,   641,   416,   474,    72,  5198,
     421,   423,   329,   478,  1515,   329,   329,   433,   329,  4093,
    2846,  1541,   478,   474,  1544,   400,  4066,  3883,   474,   665,
     395,  5172,   712,    72,   670,  5052,   708,   472,  1496,   675,
     839,   476,  5321,   679,   474,   478,   682,   439,  1552,   685,
    1438,  1607,  1608,  1609,   606,   477,  4938,   259,   473,   329,
    1448,  1562,  4929,   465,   466,   701,   455,    22,   460,  3639,
     477,  3925,  2898,    28,   477,   477,   470,  1322,  2950,   408,
     707,  1322,   474,   752,   259,  1330,  1331,   477,  4147,   474,
     721,  1605,   723,   427,   725,  2060,   474,  4010,   463,  4104,
     731,   474,  4092,  4108,  4094,  1354,   465,   466,   474,   395,
     950,   476,  5255,  1383,  1383,  5243,   752,   474,   477,   366,
     474,   439,   329,   706,   465,   466,   958,   474,   472,   765,
     474,   767,   476,   470,   343,   975,   428,  4809,   474,   474,
     474,   474,   460,  4448,   813,  1533,   465,   466,  1536,  1537,
     990,   787,   788,  5181,   790,   791,   474,   465,   466,   795,
     329,   478,   138,   958,   478,   478,  5194,   478,   708,   437,
     380,   827,  4658,   809,   843,   366,   395,   813,    34,  2920,
     943,  2922,   478,   819,  1894,   827,  2751,  2752,   857,  1614,
    1457,  2756,   366,  4396,   478,   831,   395,   395,   418,  5327,
     402,   293,   829,   474,    20,   829,    66,   843,   478,   829,
    1928,   395,   478,   829,  3969,   478,   478,   395,  2242,   829,
     429,   857,   117,   106,   474,  1935,  1856,   478,  2793,  2794,
    5149,   474,  5114,  2272,    26,  1743,  1946,  1738,   420,   875,
      47,   326,  3291,  1510,   880,   881,   954,  3149,   105,  5116,
     163,   437,   960,  1503,  3624,   963,   112,   105,   271,   351,
    1527,   105,  5390,   465,   466,   114,   289,   416,  5296,    22,
     269,   478,  3842,   275,   460,   911,   912,   817,   735,   465,
     466,  2440,   142,  5094,    57,  2878,   791,  3829,  5331,  5332,
     795,   105,   105,     5,  2877,   387,  2320,   389,   934,   935,
     160,  2173,   175,   820,  5115,   105,   201,   943,   191,   478,
     252,   829,   467,   468,   469,   470,    57,  4695,   954,   157,
     155,   289,   958,   116,   960,   117,   428,   963,   144,  1717,
    2862,   105,   850,     5,   310,  4821,     5,  4505,  2262,  1831,
    1832,   160,   978,  3610,  1184,  2853,   829,   829,   829,   829,
     829,   829,   829,   255,   829,  3227,  3228,   175,  2908,   829,
     829,   107,  5359,  5245,  1000,   610,  4554,   829,   829,   684,
      81,  1007,  1008,  4541,    26,   182,  3748,  5244,   131,   252,
     187,   911,   912,   698,     3,   112,  4554,    24,  5431,     5,
     275,   172,   383,  1029,  1030,  1031,   428,  1033,   264,  1035,
    1036,    66,  2547,   467,   468,   469,   470,  3949,    45,   201,
     259,  2865,   123,     4,     5,   208,   251,   224,     9,   275,
    2186,  3905,  3226,   289,  4464,   303,   465,   466,   467,   468,
     469,   470,  3894,   179,  4508,   465,   466,   467,   468,   469,
     470,   301,   474,  1974,  5326,    81,   383,   112,   461,   462,
     463,   474,   465,   466,   467,   468,   469,   470,   296,    26,
     343,   346,   707,   708,    83,   240,   264,  1796,  2157,  1105,
     264,  1107,  1108,   472,   126,   334,   478,   476,   252,     3,
     422,   106,   395,   474,    22,  2016,   237,   123,  1040,  4896,
       6,   289,   112,    22,   240,   289,    32,   243,   474,   382,
     383,   107,   167,  1139,  2060,  3246,   474,  4512,  4947,   353,
      77,   252,  4517,  3254,   416,  4520,   135,  4895,    85,  2027,
     273,   416,  1149,   339,  4931,  5011,   383,  1943,  1944,  4385,
    5016,  2062,   259,  1169,  1170,   383,  2562,  4391,  1174,    81,
    1176,   117,  4417,   359,   164,   117,   113,   259,  4716,   422,
     463,   411,  4930,   334,   361,   131,   329,   349,   417,    83,
     151,  1197,    22,   476,  1200,   202,   191,  1203,    28,   383,
     383,  4937,   347,   179,   327,   328,   287,  5249,  5250,   284,
    1216,   123,   827,   383,   829,   141,    95,   259,   329,   254,
     259,   474,  4162,   131,   259,   187,   474,   179,   819,   315,
    3341,   347,   131,   356,   422,  2161,  1278,   463,   474,   145,
    1246,   135,   231,   180,   213,   356,   472,  2013,   474,   475,
     476,  1830,   478,  4203,   416,   192,   723,   724,   725,   201,
     155,   728,   729,   730,   240,   255,   301,   243,  1274,  1275,
    1276,   738,  1278,   165,   343,    81,    81,   238,  1897,   205,
     241,   287,   317,   252,     3,  1819,    58,   164,   240,  1499,
    1905,   214,  1298,   172,    66,  2173,   285,  4807,   259,  1349,
     141,   131,   397,  1904,   190,   114,   474,   388,  1887,    49,
     474,    11,   339,   199,   165,  1934,   474,   123,   123,  1938,
     284,   207,   217,  1942,   210,  1152,  1945,  1154,   117,  1156,
    1336,  1158,  4742,  1160,  1161,  1162,  1859,   231,  1503,   455,
    1167,  4145,  1368,  1369,   430,  1371,  1385,   357,   343,   275,
    5392,  1874,   298,  2139,  1877,   174,  1368,  1369,   474,  1371,
    4933,   323,  2348,   103,  1370,   327,   300,  3563,  1374,  1375,
    3566,   347,    72,   252,  1994,   287,   411,   285,   285,  1385,
    1386,  1387,   388,  1389,   225,  5121,   285,   382,   383,   416,
     359,   285,   356,   112,   356,   347,   721,   386,   723,   388,
     725,  4776,   211,     3,  1410,   474,   731,   732,   733,     3,
      22,   288,   201,   305,  1937,   323,    28,  1940,  1941,   175,
     271,   418,  3988,    23,   323,  4835,  2304,  1112,   418,   323,
    4840,  4841,   126,   327,   128,   372,  2422,  4975,   375,  1445,
    3636,   402,  3938,  2271,  1450,   254,  5004,   416,   356,   356,
    4594,  2329,  2358,    86,   165,   285,   228,   356,  1464,  1465,
     200,   403,   356,   397,   474,   115,  5004,   284,  1474,   300,
    4694,  1477,   341,  4594,   416,   437,   388,   474,   341,   455,
      11,   287,   287,    83,   410,   362,   165,   198,   175,    83,
    1175,   310,   386,   323,   388,   128,   252,  1503,   460,  1505,
    1710,  1186,   311,  1509,   465,   466,   440,  5013,  5014,    40,
    2388,  1433,   252,   392,  2440,  5251,  1201,  1727,   477,   131,
    1526,   340,  1528,  2603,   168,  1531,   356,   104,  1567,   285,
    2358,   400,  2403,   183,  1149,   254,   136,   400,  1748,   356,
     259,    72,   136,   437,  3479,  3480,  3481,  3482,  1139,   874,
    3485,  3486,  3487,  3488,  3489,  3490,  3491,  3492,  3493,  3494,
     349,  1567,    22,  2391,   145,   252,   397,   323,    28,  3452,
     264,  2186,  1578,  1579,  1580,  1581,  1582,  2338,  2339,   418,
    5118,  2342,   388,   388,   228,   234,   273,   187,  3860,  5325,
    1596,     0,   143,   193,  1804,   323,  2424,  1212,   114,   193,
    5336,  1607,  1608,  1609,  2362,   345,  3541,  3542,  1818,   440,
      92,  2489,  2370,  3724,  3904,  2373,   325,  1232,  3133,    83,
    1830,   166,   478,  3895,  3020,   254,   305,   416,   356,  1517,
     259,    35,  1842,  2504,  1522,   474,   115,  3748,   189,  2434,
    2435,  2436,  3816,   124,   303,  2179,  3820,  3821,  1263,  3823,
      54,   285,   418,   134,   153,  5391,  2527,  2528,  2529,  2530,
     124,   238,   341,  1278,   241,   115,   422,   153,  2539,  1871,
     134,   131,   158,   285,  1517,  3391,  1886,  1887,  3207,  1522,
     309,  1814,   164,  1150,  3213,  4911,  1153,  1278,  1155,   323,
    1157,   291,  1159,  5429,   343,   211,  1163,   291,  3894,  1705,
     104,  1707,  4553,  1591,   183,  1870,  1871,  1595,   474,  4560,
     234,   323,  4652,  1719,  1720,   197,  5452,  5255,  3960,   398,
    3962,  4945,   356,   437,   400,   404,   225,   613,   437,  3472,
     212,   166,   397,   183,   334,   422,  1742,   386,   254,   225,
     222,   339,  2503,   387,   356,   389,   114,   126,  1591,   128,
     273,   460,  1595,  1368,  1369,  1761,  1371,   434,  3501,  3153,
     475,   306,   285,   478,   478,   414,   248,   266,   349,   478,
     414,  1777,  1778,  1779,  1780,   440,   315,  5335,   263,   665,
     266,   381,  1860,  5289,  1790,   383,   190,   269,   437,   675,
     439,  1797,  5330,   338,  1800,   311,   682,  5335,  1389,   685,
     323,   478,   383,   323,   285,  1811,   351,   285,  1814,   409,
    2344,   350,  2022,  1819,   163,   409,  4728,   417,  1824,  4442,
     420,   285,  1147,   417,  4591,   474,   420,   195,  4682,  1994,
     153,   437,   285,   437,   238,   158,   356,   241,   187,   384,
     474,   319,   323,   424,   383,   323,   437,   430,   252,   365,
     339,   333,   341,  1859,  1860,   319,   437,   472,  2557,   323,
     311,   476,   386,   168,  1870,  1871,  4633,  2955,  1874,   460,
     323,  1877,   478,   324,   478,   254,  5434,  4827,   356,   460,
     284,   327,  4351,  5128,   252,   264,   254,   478,  1894,  1895,
     414,   430,   356,   474,  2772,  1901,  5434,  1903,  2656,   439,
    2778,   352,   225,   338,   327,   346,   429,  1904,  4104,   344,
     356,   400,  4108,   437,  1953,   439,   351,  3852,   213,   215,
     460,  4390,  1928,   228,   328,  4548,   339,  4550,  2928,  1935,
    4724,  1937,   237,   356,  1940,  1941,   418,  1943,  1944,  4206,
    1946,  4183,  4184,   266,   315,  4212,   350,  1953,  1966,   384,
     474,  4370,  2567,  1510,  1960,   474,  2567,   252,   371,  1965,
    1966,  1958,    29,  1969,  1958,   239,   370,  1973,  1958,  1975,
    1527,   406,  1958,  3324,  1980,  1981,  3327,   114,  1958,   350,
     439,  1987,  1988,  1989,   474,   285,    53,  1993,  1994,  1995,
    1996,  1997,  1998,  1999,  2000,  1905,  2002,    22,  2004,  2005,
    1325,   460,  2008,    28,  1765,  1330,  1331,  2622,   285,   463,
    3640,  2622,   383,  2223,   400,   474,   311,  2023,  2024,  2025,
    2026,   158,   476,   323,  2030,  2031,  2228,  2237,  1789,  2035,
    1965,  5257,  2038,   400,  2653,  2041,  2042,  2043,  2044,  2045,
    2046,  2047,  2048,  2049,   346,  2051,   323,  4959,   439,   104,
    1972,  2057,  2058,  2848,  2060,  4909,   356,   943,   195,   430,
     387,  2067,   389,  2228,   359,   437,   234,  2277,   954,   460,
    4342,   475,  4926,    92,   960,    13,    14,   963,  5018,   356,
      24,   164,   387,   474,   389,  4917,  2219,  1914,   460,  1916,
    2096,  1918,  2918,  1920,  2100,  1922,  2854,   285,  2104,  1926,
    2106,    45,     4,   126,   159,   128,   325,     9,  4962,   414,
    2116,   469,   237,  1438,   197,   252,   474,   254,   476,  2125,
    2126,   416,     4,  1448,   285,   285,   237,     9,   151,   212,
    2851,  2268,  3006,  2139,   126,   323,   128,   158,   193,   222,
    2146,  4315,  2148,  4317,  4318,   164,   158,  4321,  2226,  1035,
    1036,  2229,  2230,   158,   475,    88,   269,   478,  3032,   151,
     181,   274,   323,   323,  2144,  1490,  1491,   327,   356,   181,
    2188,   437,  2190,  2179,   239,   343,   181,  1862,   197,  3007,
    3695,   191,  2188,   238,  2190,  2186,   241,  2097,  2098,  2809,
    3906,  1876,   473,   212,   460,   356,   356,   478,    30,    31,
     469,  2207,  2241,   222,  1889,   474,  5432,   476,  1533,  5003,
    2347,  1536,  1537,  2219,   181,  2221,  2222,  3305,   386,   902,
    2226,   400,  2228,  2229,  2230,   473,  2232,  3315,  2234,   248,
     478,   254,  2238,  1824,    80,  2241,   259,   920,  5178,  2854,
     923,   264,  5096,   387,     4,   389,   414,    66,    91,     9,
     333,   475,   269,    72,   478,  3083,  2262,   274,   898,   474,
     472,   476,   474,   903,   476,    84,  2272,   259,   111,   437,
    2480,   439,   264,   475,  2280,  2281,   478,  3686,  3672,   430,
     475,  3207,  2288,   478,  2421,    53,  4867,  3213,  4869,  1904,
    4562,  2297,  4873,   112,  4875,   114,   346,  3432,  3928,  2338,
    2339,   475,   145,  2342,   478,   234,   474,   215,  2764,  4505,
    2766,  2767,  2318,   472,   333,   474,  4512,  2323,  2324,   475,
     475,  4517,   478,   478,  4520,   475,  2945,   437,   478,   439,
    3297,   474,  2338,  2339,  3728,   141,  2342,     9,  2344,  2345,
    4921,   474,  3693,  1958,  3695,  4541,   475,   153,   167,   478,
     269,  5291,   158,     5,   349,  3363,  3364,  2972,  4554,    11,
     343,  2972,  2368,     8,   478,  2371,    11,    19,  3258,   474,
      15,    16,    17,    63,    64,  3253,   195,   168,    53,   402,
    3251,  5235,  1973,   430,  1975,    37,  2392,  2393,   383,   412,
    1981,   475,  1717,   428,   478,    40,  1987,  1988,  1989,   205,
     283,  2407,    47,  2409,  2410,   475,  1997,  1998,   478,   475,
     402,  2002,   478,   475,   343,   475,   478,  2032,   478,   225,
     412,  3299,    43,   475,   255,   256,   478,    72,   474,   424,
     476,  4673,  2438,  2439,  2440,   254,  5376,   228,  2444,   475,
     259,   211,   478,   475,  2450,     8,   478,   475,    11,   437,
     478,   439,  2458,   475,  4950,  2461,   478,   386,   457,   475,
     266,  2467,   478,  4637,  2503,  5319,   349,   476,   475,   275,
    2680,   478,   387,  2479,   389,  2481,   319,    40,   349,   474,
     339,   340,   301,  4594,    47,   414,   272,  2697,  3246,  2495,
     339,   340,  2498,  5287,  2500,   272,  3254,  2503,   317,   395,
     383,  2507,  2712,  1828,  2510,   269,   349,  3913,   437,    72,
     439,   475,   383,  1838,   478,  1840,  2522,  2523,   349,   475,
    4716,  1846,   478,   256,   315,  4460,   269,   475,  1853,  2144,
     478,  5385,   234,   234,  2540,  3931,   475,   182,  4810,   478,
     383,   424,   187,   158,  2550,   474,  2552,  4819,  5171,  3637,
    3638,   457,   383,   424,   437,   475,  2509,   475,   478,   475,
     478,  2694,   478,   272,   209,   210,   437,    43,   475,  2549,
    2576,   478,   475,   339,   340,   478,   139,   460,   457,   224,
    4776,   424,   211,   475,  2269,  3284,   478,   475,   162,   460,
     478,   474,   411,   424,   437,   467,   387,  2603,   389,  2605,
    2606,  2607,  2608,   474,   410,  5399,   437,  4718,    30,    31,
     475,   475,   257,   478,   478,   141,   349,   460,   141,   182,
    3521,  3621,  2700,   414,   187,  2703,   271,   153,  2706,   460,
     153,   474,   158,   339,   340,   158,  3514,  2643,   387,   430,
     389,   343,   343,   474,  2809,  3260,   475,  3262,   477,  3260,
     383,  3262,   478,   475,   475,  3416,   478,   478,  1983,  1984,
     475,   224,   437,   478,   439,  1990,  1991,  5461,     8,    91,
     475,    11,   475,   478,   477,    15,    16,    17,  2684,   205,
    5144,  5145,   205,  3441,   386,   386,   475,   475,  2694,   111,
     478,   424,   475,  2018,  2700,   478,   474,  2703,  3582,   225,
    2706,   475,   225,  4218,   437,  5269,  5270,  2872,   271,  2715,
     428,  2753,   414,   414,    53,   207,   361,  2723,  3619,   474,
     163,  4917,  2728,   145,   833,  3340,   835,   460,   475,  3340,
     475,   478,  4109,   478,  4111,   437,   437,   439,   439,   474,
     266,   474,   475,   266,   477,  2751,  2752,  2753,   475,   275,
    2756,   478,   275,   475,   441,  2797,   478,     0,  2764,  2765,
    2766,  2767,   476,   323,   475,  5234,  2976,   478,   187,   474,
     474,  2777,   474,   474,  2780,   475,  2782,   475,   478,  4975,
     478,   475,   146,   474,   478,  2995,  3405,  2793,  2794,   187,
     475,  2797,  4201,   478,   475,   146,   475,   478,   361,   478,
    2125,  2126,   476,  2809,  3694,  2811,  4741,  2813,  5004,  2815,
     269,  3577,   475,   458,   323,   478,   461,   462,   463,   146,
     465,   466,   467,   468,   469,   470,   187,   475,   475,  2835,
     478,   478,   475,  2839,   475,   478,   475,   478,  3664,   478,
    2846,   269,   146,   475,   234,  3723,   478,  3725,    91,   475,
     475,   475,   478,   478,   478,    35,  2862,   269,   158,   323,
    2902,  2186,   234,  2869,  2840,  2841,  2842,   475,  2865,  3747,
     478,  2865,   146,   475,    54,  2865,   478,   234,  2884,  2865,
     223,  3091,   114,  3093,   410,  2865,   475,   410,  3766,   478,
     475,   418,  2898,   478,  2846,   458,  2902,   319,   141,  2905,
     269,  2907,   465,   466,   467,   468,   469,   470,   475,     8,
     153,   478,    11,   239,   263,   158,    15,    16,    17,   474,
     163,   400,  5118,   430,   104,  1811,   169,   349,  1814,   172,
    3804,   271,  2523,   176,  2549,   475,  3826,   475,   478,   158,
     478,   475,  2948,   346,  2950,   475,  2898,   475,   478,  2955,
     478,   475,   215,   343,   478,  2280,   475,   475,   474,   478,
     478,   383,   205,    66,   475,   475,  3724,   478,   478,   254,
      35,   343,  3182,  1859,  1860,   254,  2982,   474,  2984,  2985,
    2986,    35,   225,   234,    35,  2576,   343,   167,  1874,   475,
    3748,  1877,   478,   269,   441,   475,   386,  4056,   478,   158,
      54,   475,   424,    43,   478,    56,   428,   254,    43,   234,
     190,  3221,   254,   475,   386,   437,   478,  3812,   475,   475,
     405,   478,   478,   266,   414,   475,   269,   475,   478,   386,
     478,   475,   275,   475,   478,    83,   478,  2362,   460,    90,
     254,   475,   414,  4978,   478,  2370,   285,   437,  2373,   439,
     104,  1937,   474,  2006,  1940,  1941,  2009,   414,   238,  5255,
     475,   241,   430,   478,   430,   437,   475,   439,   475,   478,
     475,   478,   252,   478,  2592,  2593,  2594,    80,   158,   146,
     437,  3246,   439,   304,   474,   146,   474,   330,   187,  3254,
     146,   427,   343,  3099,   474,   297,   474,   146,   149,   474,
      34,   146,   474,   441,   284,   146,   158,   478,   146,   146,
     209,   269,   146,  3323,    49,   146,   146,   474,   343,   146,
     146,   461,   462,   463,   146,   465,   466,   467,   468,   469,
     470,   146,   146,   184,  5330,   386,   190,   146,  2753,  5335,
     383,   474,   383,    35,     8,  3355,   223,    11,   328,   269,
     158,    15,    16,    17,   158,   474,     5,     5,    93,   474,
     474,   386,  2753,   414,   215,   158,   474,   410,    32,   220,
     350,   474,   271,   474,  2765,   474,   474,   474,     5,     5,
     474,   474,  2797,   118,   238,   474,   437,   241,   439,   414,
     370,   434,   474,   436,   437,     5,   474,   474,   252,  2814,
     135,  3207,   474,   254,   139,   474,  2797,  3213,     5,   474,
     474,   438,   437,   474,   439,  2830,  3222,   474,  3976,   474,
    4121,  3227,  3228,   474,   159,   474,   474,   162,   474,   472,
     284,  2846,   475,   476,   477,   286,   474,   474,  5434,   474,
    4141,   207,   177,    35,  2835,     0,   223,  3457,   281,   474,
    2865,    95,   478,    35,   478,   478,   158,  2942,  2943,   266,
    3266,  3267,  3268,   158,  2589,  2590,   264,   356,  3478,   395,
    2595,   395,  4360,   343,   328,   429,   327,  3283,   395,   395,
     331,   343,   476,  2898,   395,   395,   343,  2902,   225,   340,
     395,   395,   463,  3503,  4700,  3334,   350,   348,   395,  3305,
    3306,    84,   269,   146,   343,   356,   269,   220,   395,  3315,
    3316,  3317,   348,   395,   259,  3321,   370,   368,   386,   395,
     289,   417,   269,   269,   259,   376,   339,  3537,  3334,   474,
     180,  2656,   267,  2219,   264,   395,    91,   395,   474,    84,
    2226,   478,   285,  2229,  2230,   209,   187,   398,   146,   418,
    3330,  3970,  3971,  3972,  3973,  3974,   106,   269,   383,   418,
    4136,   269,   461,   462,   463,   383,   465,   466,   467,   468,
     469,   470,   395,  3353,   309,   395,   395,  3416,   141,   395,
    3549,   432,    53,   395,   395,   436,   141,    53,   245,  3395,
     153,   273,   343,   395,   395,   158,   395,   308,   153,   395,
     395,   395,   289,   158,   395,   395,   395,   271,   163,   395,
    3416,   395,   386,   289,   169,   395,  3101,   172,    42,   395,
      42,   176,   395,   343,   395,   478,  3432,  5362,  5363,   475,
     395,   209,   479,   269,   209,  3120,   441,   209,   209,   269,
     209,   209,   205,   209,   269,   269,   395,   209,  3454,   209,
     205,   405,  4210,   474,   437,    35,   146,  3463,    24,   146,
     269,   254,   225,  3469,   112,  3471,   418,   437,  3474,   146,
     225,   146,   429,  3479,  3480,  3481,  3482,   146,   269,  3485,
    3486,  3487,  3488,  3489,  3490,  3491,  3492,  3493,  3494,   231,
    4416,   264,  3498,  3499,    35,   254,   254,   254,   158,   474,
      35,   215,  3508,   266,    34,  3547,  3512,   345,   393,  4129,
    3516,   266,   275,   474,   269,   393,   472,   472,  3524,   146,
     275,  3527,   395,  3529,  3566,   395,   395,  2852,   395,  2854,
     474,   146,  3538,   146,   418,  3541,  3542,   418,   146,   146,
    3546,  3547,   263,   395,   163,  3551,   258,  3553,   474,   245,
     433,  2876,  2877,   245,  3560,  3561,  3562,  3563,    11,  3724,
    3566,  3567,   478,   395,   393,  3571,  3572,  3573,   474,   474,
     172,   154,  3578,   163,   397,   330,   475,   478,   474,  3555,
    3556,  3557,  3558,  3748,   180,   180,   270,   205,   478,   359,
    3275,    35,  3277,   213,    53,   278,  3602,   461,   462,   463,
     418,   465,   466,   467,   468,   469,   470,   478,   343,   475,
    3616,  3563,  3618,   474,  3566,   418,   213,   259,   259,   213,
     474,   395,   239,   400,   430,   158,   346,   215,   383,   259,
    3636,  3637,  3638,   148,  3640,   269,    43,   365,   254,   395,
     148,   395,   223,   395,  4343,   223,   223,   410,   339,   386,
     478,  3657,  3658,  3659,  3660,   410,   267,   269,   148,   269,
     148,   323,   181,   395,   353,  4284,  4285,   311,  4287,   395,
     275,  3881,  1375,   475,    35,   209,   215,   418,   418,   434,
    3686,   436,   437,   267,  3636,   191,   307,     8,   146,   264,
      11,   158,   430,    35,   160,   264,   463,   353,   463,  3705,
     146,   146,  5217,   384,   308,   146,   264,   437,   254,   472,
     474,    35,   475,   476,   254,  3330,   269,   472,   269,    40,
     475,   476,   477,   474,   215,   158,    47,   178,  4864,   178,
      35,   475,  4820,   472,   457,   457,   243,   215,  3353,   475,
     158,   475,   475,   269,   347,   254,  3431,   353,   475,   187,
     187,    72,   187,   187,  3755,   187,  4646,    23,   170,   478,
       8,   478,   441,    11,  4642,   478,   395,   474,   163,   242,
     437,   269,   478,     8,    53,  4855,    11,  4857,   263,   430,
      15,    16,    17,   383,   215,   163,   400,   475,   281,   475,
     475,   290,    40,   475,  3800,   475,   474,    32,   163,    47,
     457,   475,   475,   475,   474,    40,   395,   270,  2694,   474,
     478,   475,    47,   474,  2700,   280,   475,  2703,   139,   474,
    2706,   475,   474,   459,    72,   434,     8,   270,   233,    11,
     416,   424,   463,   434,    53,   474,  4594,    72,  3844,   269,
     269,   269,  3848,   191,  3850,   272,  3852,   146,   474,   441,
     395,   395,   395,  3859,   199,   259,  4066,   395,    40,  3865,
     254,   182,   146,   273,   356,    47,   187,   348,   146,  3875,
     146,   348,   348,   223,   191,   148,   463,   395,   225,   478,
     291,   418,   291,  3474,  3890,  4671,   415,   343,  3894,   235,
      72,   139,   395,   395,   395,   395,   235,   235,  3904,   395,
     395,   395,   269,   224,   343,   254,   395,  3913,   395,   395,
     146,   395,   395,   395,   356,    42,   395,  3508,  3924,   343,
     343,  3246,  3928,   475,  5060,   475,  3932,  3933,   475,  3254,
     175,   473,  3547,     3,   182,  4555,   405,   209,   209,   187,
     209,   209,  3894,  3923,   475,     3,   478,   182,  3563,   158,
     271,  3566,   187,  3278,  3960,   475,  3962,   139,    43,   325,
    2846,   105,  3553,  3969,  4129,   475,  4761,   478,   158,   474,
     267,  4181,    35,   269,   209,   210,   224,    56,   475,   146,
    5068,  5069,   395,   146,   158,  4605,   175,   146,   343,   224,
     343,   343,   418,   473,   353,   272,  4002,   418,   473,   343,
     182,   475,   343,   144,   144,   187,   478,  4013,   209,   209,
    4220,    90,  2898,   209,   209,   209,   209,   209,   209,   137,
     472,   163,   257,   271,    11,  4951,   281,   158,   478,   429,
     163,  4241,   434,   163,   474,  3360,   271,  4043,   474,   274,
     361,   120,   224,   172,   270,   330,   460,  4053,  4054,   423,
     475,    82,   158,   475,  4060,  4061,   475,    35,   475,  4065,
     475,   418,   478,   215,  4070,   405,   474,  4073,  4074,   475,
     149,   199,  4078,  4079,   475,   478,   475,   395,  4084,  4085,
    4086,  4087,  4088,   418,    53,   386,  4092,  4093,  4094,   271,
    4096,  4097,   146,   474,  4100,   167,  4306,   372,  4104,   405,
     395,   348,  4108,   395,   395,   184,  4864,   395,  4114,   343,
     343,   475,   395,   361,   437,   475,  3441,   475,   323,    53,
     474,  5209,   386,  4129,   424,   158,   361,   148,    72,   146,
    4136,   105,   475,   209,  4140,   405,   209,   458,   209,  4145,
       6,   220,  4160,   209,   465,   466,   467,   468,   469,   470,
    4769,   213,  4104,   194,  4160,   474,  4108,  4163,  4138,  4139,
     305,  4780,   474,   395,   269,   478,   475,   441,   318,   289,
    5306,   478,    35,    78,  5080,   254,   386,  4183,  4184,   361,
    5058,   474,   405,   395,   478,   474,   473,   353,   478,   475,
     169,   105,  3877,  3878,   209,  4201,   163,   163,    53,   316,
     281,   212,   279,   212,  4205,   435,   285,   286,  4418,  4215,
     458,   435,   475,  4214,   474,   385,   475,   465,   466,   467,
     468,   469,   470,   458,   475,   478,   461,   462,   463,   475,
     465,   466,   467,   468,   469,   470,   474,  4852,   475,   276,
    4859,    53,     8,   478,   323,    11,   474,   474,   327,  4864,
     176,   264,   331,   163,  4464,   463,   405,   395,  4264,   437,
     188,   340,    72,   193,     8,   181,   259,    11,   259,   348,
      53,    15,    16,    17,    40,  5153,   458,   356,   463,  3894,
    4286,    47,   386,   465,   466,   467,   468,   469,   470,   368,
     478,    35,   478,  1996,   395,  4301,    66,   376,   395,   395,
     146,  2004,   475,   209,   165,   474,    72,   163,  3923,   112,
      35,   418,   187,   264,   474,   353,  5015,    35,   418,   254,
     160,   158,   264,   353,   190,  4331,   437,    53,   437,    35,
     163,   269,   158,   199,   200,   474,   196,   207,   163,  4345,
     272,   207,   474,   209,   210,  4351,   316,   369,   474,   423,
     475,   475,   289,   432,  4360,   474,   436,   223,   474,   212,
     474,    84,   475,   127,   317,   269,   474,  4986,   395,  4375,
      35,   146,   475,   139,   158,   395,   474,   119,    35,   474,
     474,   474,  4388,   474,  4390,   474,   259,   180,   236,   191,
    4555,   474,  5012,   305,   353,   146,   474,   105,   132,  3724,
     475,   433,    35,  4605,   273,   405,   475,  4387,   475,   340,
     367,   340,   367,  2116,  4420,    53,   182,    53,    35,    75,
     423,   187,   474,  3748,   474,   474,   474,   478,   474,  4594,
    3755,   180,   386,   418,     8,   252,   158,    11,   386,   474,
    4605,   269,     5,   386,   441,  5060,   475,   152,   474,   145,
     474,    66,  4043,   272,  4460,    66,   127,   437,   224,   422,
     437,   423,   316,  4469,   474,   209,    40,   474,    35,   356,
     478,   163,   314,    47,   259,   386,   193,   132,   269,   269,
    4486,  4487,   474,     8,  4490,   353,    11,    35,    35,  4104,
      15,    16,    17,  4108,   272,   272,   165,   188,    72,  4505,
     475,   474,  4508,   165,   475,   271,  4512,  3832,  3833,   474,
    5388,  4517,   434,  4198,  4520,  4521,    53,  4523,   478,  4525,
     117,  4527,  4528,  4138,  4139,   339,  4604,   271,   395,   475,
     416,     5,  4742,   200,   474,  4541,   142,  4543,   353,   339,
     276,   474,   209,   324,    21,    32,   259,   474,  4554,  4555,
    4556,  4557,  4558,  4505,   474,   478,   223,   478,   145,   474,
    4512,   395,   163,   339,    75,  4517,   277,   474,  4520,   367,
    4648,  5449,  4782,   367,   165,     8,   165,   829,    11,   437,
     437,  2507,    15,    16,    17,  5200,   866,  5465,  1594,  4541,
    4275,  2854,   912,  2391,  2313,   361,   911,     8,  4604,  4605,
      11,  3032,  4554,  3723,  3697,  5200,  1331,    40,   182,  5379,
    5196,  3828,  2416,   187,    47,  4877,  3244,  5058,  5306,  3875,
    4700,  4333,  4670,  2949,  5177,  4835,  4554,  5293,  2643,    40,
    4840,  4841,  5219,  5088,  5087,  5330,    47,  2953,  3924,    72,
    3908,  5022,  4648,  3866,  2492,  4651,  3718,  2492,  3058,  3295,
     224,  3976,   908,  3891,  4369,  4677,  2486,  4663,  4686,  3307,
    4666,    72,  5308,  5465,  5421,  4671,  5449,  4673,  3253,  3248,
    4663,  5232,  1756,  5031,  4680,  4607,  4715,  3563,  4838,  4610,
    3566,    28,  3979,  4368,   209,  4806,  5396,  1802,  2927,  2162,
    4696,  5306,   458,  1811,  4700,  4675,  3931,   271,  4951,   465,
     466,   467,   468,   469,   470,  1176,   988,  4534,  4714,  4715,
    4716,   661,   695,  1870,  3185,  3747,  1961,   461,   462,   463,
    3766,   465,   466,   467,   468,   469,   470,  1187,   139,  1962,
    1961,  3299,  5260,  4713,  5437,  4741,  2106,  2097,  4744,  1905,
    4746,  1417,  4952,   808,  4786,  3911,   271,   613,  4537,   182,
    3636,  2105,  4140,  5170,   187,  3616,  2142,  2869,  2884,   625,
    4766,  2116,  1353,  3581,  4716,   631,  4772,  5162,  4997,  4126,
    4776,   182,  4387,  3566,  4780,  4093,   187,  4110,   644,  1377,
    4786,  1308,  2141,  3563,  4375,  4777,  4975,   361,  4974,  4795,
    3617,   224,  3563,  1378,   660,  5443,  5277,  5366,  1380,   665,
    5152,  4744,  5165,  1835,  3516,   671,  1385,  5166,  4531,   675,
     676,  2055,  4818,   224,  4820,  2724,   682,  2814,   684,   685,
      -1,  2444,  2812,    -1,  4776,    -1,    -1,    -1,  2058,    -1,
      -1,   697,   698,    -1,    -1,    -1,    -1,    -1,   271,  4845,
      -1,    -1,   708,    -1,    -1,    -1,    -1,  5012,    -1,  4855,
    4856,  4857,  4858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4205,    -1,    -1,    -1,   458,  4210,    -1,  4893,    -1,  4214,
      -1,   465,   466,   467,   468,   469,   470,  4512,    -1,    -1,
      -1,    -1,  4517,    -1,    -1,  4520,    -1,    -1,  4914,    -1,
    4595,  4917,    -1,    -1,  4239,  4240,    -1,    -1,    -1,  4244,
    4245,   787,   788,    -1,    -1,    -1,    -1,   793,   361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,  5156,  4927,    -1,    -1,
     361,    -1,    -1,   819,    -1,    -1,    -1,    -1,   625,    -1,
      -1,    -1,    -1,    -1,   631,  4917,  4972,    -1,    -1,  4975,
      -1,    -1,  4978,    -1,    -1,    -1,  4982,   644,    -1,    -1,
      -1,    -1,    -1,  4989,    -1,    -1,    -1,  4993,    -1,  4995,
      -1,  4997,    -1,    -1,    -1,    -1,    -1,    -1,  5004,    -1,
      -1,    -1,    -1,    -1,  5010,    -1,  5012,    -1,  3894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5023,    -1,    -1,
      -1,  5001,    -1,  4975,    -1,   458,    -1,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,  2751,  2752,
      -1,    -1,  5004,  2756,   465,   466,   467,   468,   469,   470,
    4675,    -1,  5068,  5069,    -1,    -1,    -1,    -1,   934,   935,
     936,    -1,    -1,    -1,    -1,    -1,    -1,   943,    -1,    -1,
      -1,    -1,    -1,    -1,   950,    -1,    -1,    -1,   954,    -1,
    2793,  2794,    -1,  5099,   960,    -1,    -1,   963,  4713,    -1,
    5106,    -1,    -1,    -1,  5110,    -1,    -1,  5185,    -1,   975,
       8,    -1,  5118,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,     8,    -1,   990,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    32,    -1,    -1,  5143,  5144,  5145,
      -1,    -1,    -1,  5149,    -1,    -1,  5152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4746,  5162,    -1,    -1,  5165,
      -1,  4776,    -1,    -1,  5170,    -1,  5118,    -1,    -1,  1035,
    1036,  4786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5185,
      -1,    -1,    -1,  5261,  5262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4786,  5202,    -1,    -1,    -1,
      -1,    -1,    -1,  5209,    -1,    -1,    -1,    -1,    -1,  1075,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,  4104,    -1,
      11,    -1,  4108,    -1,    15,    16,    17,    -1,  5234,    -1,
       8,    -1,    -1,    11,    -1,  5241,    -1,    15,    16,    17,
    5246,    32,    -1,    -1,    -1,    -1,  1112,    -1,    -1,  5255,
      -1,    -1,    -1,  5233,    32,  5261,  5262,  5263,    -1,    -1,
      -1,    -1,    -1,  5260,  1130,    -1,  5260,  5273,    -1,  4594,
    5260,  5277,    -1,  1139,  5260,    -1,     0,    -1,    -1,    -1,
    5260,  1147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5298,    -1,    -1,    -1,  5338,    -1,    -1,    -1,
      -1,    -1,  4917,  5255,    -1,    -1,    -1,    -1,    -1,  1175,
      -1,   209,  4927,    -1,    -1,    -1,    -1,    -1,  1184,    -1,
    1186,    -1,    -1,   209,  5330,  5331,  5332,    -1,    -1,  5335,
      56,    -1,    -1,    -1,    -1,  1201,    -1,    -1,  1204,    -1,
      -1,  5338,    -1,    -1,  5338,    -1,    -1,    -1,  5338,    -1,
    1216,    -1,  5338,    -1,    -1,    -1,  5362,  5363,  5338,    -1,
      -1,    -1,    -1,    -1,    90,    -1,    -1,    91,  5374,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,  5330,    -1,
    1246,  4972,    -1,  5335,    -1,   271,  5001,    -1,    -1,  5467,
    5468,    -1,    -1,    -1,   120,    -1,    -1,    -1,  4989,    -1,
      -1,  5407,  4993,    -1,  4995,    -1,    -1,    -1,  1274,  1275,
    1276,  5417,  1278,    -1,    -1,    -1,    -1,   141,   209,    -1,
      -1,    -1,    -1,   149,    -1,  5431,    -1,    -1,  5434,   153,
      -1,   209,  1298,    -1,   158,    -1,    -1,  5443,    -1,   163,
    5437,  5447,    -1,  5437,    -1,   169,    -1,  5437,   172,    -1,
      -1,  5437,   176,    -1,    -1,    -1,  1322,  5437,   184,  4345,
      -1,  5467,  5468,    -1,  1330,  1331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     271,   205,  5434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,   220,    -1,    -1,    -1,    -1,    -1,
      -1,   225,    -1,    -1,  1370,    -1,    -1,    -1,  1374,  1375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1389,    -1,  4850,  4851,  1393,   254,    -1,
      -1,    -1,    -1,  1399,    -1,    -1,    -1,    -1,    -1,  4864,
      -1,    -1,   266,    -1,    -1,   269,    -1,    -1,    -1,    -1,
      -1,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,
     286,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1458,    -1,    -1,    -1,    -1,   323,    -1,    20,
      -1,   327,    -1,    -1,    25,   331,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,  5233,  4505,
      -1,    -1,   348,    -1,    -1,    -1,  4512,    -1,    -1,    -1,
     356,  4517,    -1,  1499,  4520,  4521,    -1,    -1,    -1,    60,
      -1,    -1,   368,    -1,    -1,  5260,    -1,    -1,    -1,    -1,
     376,    -1,    73,    -1,    -1,  4541,    -1,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,  1532,    88,  4554,    -1,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
      -1,    -1,    -1,   461,   462,   463,   410,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,    -1,    22,    -1,
      -1,    -1,    -1,    -1,    28,    -1,   432,    -1,   129,    -1,
     434,    35,   436,   437,    -1,    -1,    -1,    -1,  4604,   140,
      -1,    -1,    -1,  5338,    -1,  5050,  1592,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,
      -1,  1607,  1608,  1609,   165,    -1,    70,    -1,   472,    -1,
      -1,   475,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3479,  3480,  3481,  3482,
     104,    -1,  3485,  3486,  3487,  3488,  3489,  3490,  3491,  3492,
    3493,  3494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     124,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,  3512,
     134,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,    -1,
      -1,    -1,  5437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4716,    -1,    -1,    -1,    -1,   159,    -1,    -1,  3541,  3542,
      -1,    -1,    -1,    -1,  1710,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    17,    -1,    -1,     8,    -1,    -1,    11,
      -1,  1727,    26,    15,    16,    17,   190,    -1,    -1,   193,
    1736,  5196,    -1,  5198,    -1,    -1,    -1,  1743,    -1,    -1,
      32,    -1,  1748,   304,   305,    -1,    -1,    -1,    40,    -1,
    4776,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,  1767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1775,
      -1,    -1,    -1,    56,   238,    -1,   337,   241,    -1,    -1,
      72,  1787,   343,    -1,    -1,  1592,    -1,    -1,   252,   350,
     254,    -1,   353,    -1,    -1,    -1,    -1,    -1,  1804,    -1,
     264,    -1,    -1,    -1,    -1,  1811,    -1,    90,  1814,   273,
      -1,    -1,  1818,    -1,    -1,    -1,    -1,    -1,  1824,    -1,
     284,   285,   383,    -1,  1830,    -1,    -1,    -1,    -1,   390,
      -1,    -1,    -1,    -1,    -1,    -1,  1842,   398,    -1,    -1,
      -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1859,  1860,    -1,  1862,  1863,    -1,   323,
      -1,    -1,   326,   327,   328,    -1,   149,  4893,  1874,   430,
    1876,  1877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1886,  1887,    -1,  1889,  1890,    -1,   350,    -1,    -1,    -1,
     182,  4917,   356,    -1,    -1,   187,    -1,    -1,    -1,  1905,
      -1,   184,    -1,    -1,    -1,    -1,   370,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5379,    -1,    -1,   209,   210,    -1,
      -1,    -1,    -1,  5388,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1937,   224,    -1,  1940,  1941,    -1,   220,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   421,    -1,    -1,
    1767,    -1,    -1,    -1,    -1,   257,    -1,  1973,  1775,  1975,
      -1,   254,    -1,    -1,  1980,  1981,    -1,    -1,  5004,   271,
    1787,  1987,  1988,  1989,  5449,    -1,    -1,  1993,    -1,  1995,
    1996,  1997,  1998,  1999,  2000,    -1,  2002,    -1,  2004,  2005,
    5465,    -1,  2008,   286,    -1,    -1,    -1,    -1,    -1,  3852,
      -1,    -1,    -1,    -1,    -1,    -1,  2022,  2023,  2024,  2025,
    2026,  2027,    -1,    -1,    -1,  2031,    -1,    -1,    -1,  2035,
      -1,    -1,  2038,    -1,    -1,  2041,  2042,  2043,  2044,  2045,
    2046,  2047,  2048,  2049,   327,  2051,   329,    -1,   331,    -1,
      -1,    -1,  2058,    -1,  2060,    -1,  1863,   340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   348,    -1,    -1,    -1,   361,
      -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1890,    -1,   368,    -1,    -1,    -1,    -1,
      -1,    -1,  5118,   376,  2100,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2116,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,  2125,
    2126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2150,    -1,    -1,    -1,    -1,   432,
      -1,  2157,    -1,    -1,    -1,  2161,  2162,    25,    -1,  5185,
      -1,    -1,  2168,    -1,    -1,    -1,   458,  2173,  2174,   461,
     462,   463,  2178,   465,   466,   467,   468,   469,   470,    -1,
    2186,    -1,   104,   105,    -1,    -1,     8,    56,    35,    11,
     112,    -1,    -1,    15,    16,    17,    -1,    -1,  2204,    -1,
      -1,  2207,    -1,    -1,    -1,    -1,    74,    -1,    -1,    56,
      32,    -1,    -1,  2219,    -1,  5241,    -1,  2223,    40,    -1,
    2226,    90,    -1,  2229,  2230,    47,    -1,    -1,    -1,  5255,
      -1,  2237,    -1,    -1,    -1,  5261,  5262,    -1,   106,    -1,
      -1,    -1,    -1,    90,  2250,   167,    -1,    -1,    -1,    -1,
      72,   120,    -1,  4096,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   129,  2268,  2269,    -1,    -1,    -1,    -1,   190,    -1,
      -1,  2277,   140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   160,    -1,  2300,  2301,    -1,   165,  2304,    -1,
      -1,    -1,   149,   607,  5330,    -1,    -1,    -1,    -1,  5335,
      -1,    -1,    -1,    -1,    -1,   184,   238,    -1,    -1,   241,
      -1,  2327,    -1,  2329,    -1,    -1,    -1,    -1,  2334,    -1,
     252,    -1,   254,    -1,  2340,    -1,    -1,   184,    -1,    -1,
      -1,  2347,    -1,  2150,    -1,  2351,    -1,    -1,   216,    -1,
    2356,   220,    -1,    -1,    -1,    -1,   660,   661,    -1,    -1,
     182,  2168,   284,    -1,    -1,   187,    -1,  2174,   215,   237,
    2376,  2178,    -1,   220,    -1,  2381,    -1,    -1,    -1,  2385,
      -1,    -1,  2388,    -1,    -1,   254,    -1,   209,   210,    -1,
      -1,    -1,  2398,    -1,    -1,    -1,    -1,  2204,    -1,    -1,
      -1,    -1,   224,    -1,    -1,  2411,   328,   254,  5434,    -1,
      -1,    -1,    -1,    -1,    -1,  2421,   285,   286,    -1,    -1,
      -1,  5447,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,    -1,  2438,  2439,  2440,   257,   304,   305,  2444,   286,
     308,  5467,  5468,  2250,    -1,    -1,    -1,    -1,   370,   271,
     372,   755,   274,   375,   323,    -1,    -1,    -1,   327,    -1,
      -1,  2268,   331,    -1,    -1,    -1,   334,    -1,    -1,   337,
      -1,   340,    -1,  2479,  2480,   343,    -1,   781,    -1,   348,
     327,    -1,   350,  2489,   331,   789,    -1,   356,   792,   793,
     794,    -1,    -1,   340,  2301,    -1,    -1,    -1,    -1,   368,
      -1,   348,    -1,    -1,    -1,    -1,    -1,   376,    -1,   356,
     378,    -1,    -1,    -1,    -1,   383,    -1,  2523,   386,    -1,
    2327,   368,    -1,    -1,    -1,    -1,    -1,  2334,    -1,   376,
      -1,    -1,    -1,  2340,    -1,    -1,    -1,   405,    -1,   361,
    2347,    -1,    -1,    -1,  2351,    -1,    -1,    -1,    -1,  2356,
      -1,   398,   474,    -1,    -1,    -1,  2562,    -1,    -1,    -1,
      -1,  2567,   430,   432,    -1,    -1,    -1,    -1,    -1,  2376,
    2576,    -1,    -1,    -1,  2381,    -1,    -1,    -1,  2385,    -1,
      -1,    -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,   436,
      -1,  2398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2411,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2421,    -1,  2622,  4460,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,  2664,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2680,    -1,  2682,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2690,    -1,    -1,    -1,  2694,    -1,
      -1,  2697,    -1,    -1,  2700,    -1,    -1,  2703,    -1,    -1,
    2706,    -1,    -1,    -1,    -1,    -1,  2712,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   201,    -1,    -1,  2723,    -1,    -1,
      -1,    -1,  2728,    -1,    -1,    -1,   213,    -1,    -1,    -1,
      22,     8,    -1,    -1,    11,    22,    28,   224,    15,    16,
      17,    28,    -1,    -1,    -1,  2751,  2752,  2753,    -1,    41,
    2756,    -1,    -1,    -1,    -1,    32,    -1,    -1,  2764,  2765,
    2766,  2767,    -1,    40,    -1,    -1,  2772,    -1,    -1,    -1,
      47,  2777,  2778,    -1,  2780,    -1,  2782,    -1,    70,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,  2793,  2794,    -1,
      -1,  2797,    -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2811,    -1,  2813,    -1,  2815,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,  1130,     8,   120,  2835,
      11,    -1,   124,   120,    15,    16,    17,   124,    -1,   131,
    2846,    -1,   134,  1147,   131,    -1,    -1,   134,  2854,    -1,
      -1,    32,    -1,    -1,    35,    -1,    -1,  2664,    -1,    40,
      -1,    -1,    -1,  2869,    -1,    -1,    47,   159,    -1,    -1,
      -1,    -1,   159,    -1,    -1,  2682,    -1,  1181,  2884,    -1,
      -1,    -1,    -1,  2690,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    72,  2898,    -1,    -1,    -1,    -1,    -1,  4741,    -1,
    1204,   193,    -1,    -1,    -1,   182,   193,    22,    -1,    -1,
     187,  2917,    -1,    28,  2920,    -1,  2922,    -1,    -1,    -1,
      -1,  2927,    -1,  4766,    -1,    -1,    41,    -1,    -1,    -1,
      -1,    -1,   209,   210,    -1,    -1,  2942,  2943,    -1,    -1,
      -1,    -1,  2948,    -1,    -1,    -1,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
     252,    -1,   254,  2969,    -1,   252,  2972,   254,    -1,    -1,
    2976,    -1,   264,    -1,    -1,    -1,  1280,   264,    -1,    -1,
     257,   273,    -1,    -1,    -1,  1289,   273,    -1,    -1,  2995,
      -1,    -1,    -1,   285,   271,    -1,    -1,   274,   285,  1303,
      -1,   182,    -1,    -1,    -1,    -1,   187,   122,    -1,   124,
      -1,    -1,    -1,    -1,  3020,    -1,   131,    -1,  1322,   134,
      -1,  1325,  1326,    -1,    -1,    -1,  1330,  1331,   209,   210,
      -1,   323,    -1,    -1,   326,   327,   323,    -1,    -1,   326,
     327,    -1,    -1,   224,   159,    -1,    -1,    -1,    -1,    -1,
      -1,  3057,  3058,  3059,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   356,    22,    -1,    -1,    -1,   356,
      -1,    28,    -1,    -1,    -1,  3081,   257,    -1,   193,    -1,
      -1,    -1,    -1,    -1,   361,  3091,    -1,  3093,    -1,    -1,
     271,    -1,    -1,   274,    -1,  3101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    70,  3120,    -1,    -1,    -1,   605,    -1,
      -1,    -1,    -1,    -1,   611,    -1,    -1,    -1,    -1,   421,
      -1,    -1,    -1,    -1,   421,  4978,    -1,   252,    -1,   254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,
      -1,  1052,    -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,
      -1,    -1,  2969,    -1,    -1,    -1,    -1,   124,    -1,    -1,
     285,    -1,    -1,    -1,   131,    -1,  3182,   134,    -1,  1080,
     361,   458,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,  3202,    -1,   475,  1100,
      -1,  3207,   159,    -1,    -1,    -1,    -1,  3213,   323,  1110,
      -1,   326,   327,  1114,    -1,  3221,    -1,  1118,    -1,  1120,
      -1,    -1,    -1,    -1,    -1,  1126,    -1,    -1,    -1,    -1,
      -1,  1132,    -1,    -1,  1135,    -1,   193,    -1,    -1,    -1,
    3246,   356,    -1,    -1,    -1,    -1,  1550,  3253,  3254,    -1,
      -1,    -1,  1556,    -1,  3260,    -1,  3262,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,
      -1,  3277,    -1,    -1,  3081,    -1,    -1,   458,   765,    -1,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
      -1,    -1,    -1,  3299,    -1,   252,    -1,   254,    -1,    -1,
      -1,    -1,    -1,   790,    -1,    -1,   421,   264,    -1,  5152,
      -1,    -1,    -1,    -1,    -1,    -1,   273,  3323,    -1,    -1,
      -1,    -1,   809,    -1,    -1,    -1,    -1,    -1,   285,    -1,
      -1,    -1,    -1,    -1,  3340,  3341,    -1,    -1,    -1,    -1,
      -1,    22,    -1,    -1,   831,    -1,    -1,    28,     8,  3355,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      41,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,   326,
     327,    -1,    32,    -1,     8,    -1,    -1,    11,    -1,    -1,
      40,    15,    16,    17,    -1,  3391,    -1,    47,   875,    70,
      -1,    -1,    -1,    -1,    -1,  3202,    -1,    -1,    32,   356,
      -1,    -1,    -1,  3409,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    72,    47,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3431,    -1,    -1,  3434,    -1,
    5273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,
      -1,   122,    -1,   124,    -1,    -1,    -1,    -1,  3454,    -1,
     131,  3457,    -1,   134,    -1,    -1,    -1,  3463,    -1,    -1,
      -1,    -1,    -1,  3469,   421,  3471,  1770,    -1,  3474,    -1,
    1774,    -1,  3478,  3479,  3480,  3481,  3482,    -1,   159,  3485,
    3486,  3487,  3488,  3489,  3490,  3491,  3492,  3493,  3494,    -1,
      -1,    -1,  3498,  3499,    -1,    -1,    -1,  3503,    -1,    -1,
      -1,    -1,  3508,    -1,    -1,    -1,  3512,    -1,  3514,    -1,
    3516,    -1,   193,  1000,    -1,    -1,    -1,    -1,  3524,  5362,
    5363,  3527,   182,  3529,    -1,    -1,    -1,   187,    -1,    -1,
      -1,  3537,  3538,    -1,    -1,  3541,  3542,    -1,    -1,    -1,
    3546,  3547,  1029,  1030,  1031,    -1,    -1,  3553,   182,   209,
     210,    -1,    -1,   187,    -1,    -1,    -1,  3563,    -1,    -1,
    3566,    -1,    22,    -1,   224,    -1,    -1,    -1,    28,    -1,
      -1,   252,  3578,   254,    -1,   209,   210,    -1,    -1,    -1,
      -1,    -1,    -1,   264,  3391,    -1,    -1,    -1,    -1,    -1,
     224,    -1,   273,    -1,    -1,    -1,  3602,   257,    -1,    -1,
      -1,    -1,  3409,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      70,   271,  3618,    -1,   274,    -1,    -1,    -1,  3624,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,  3434,    -1,    -1,
    3636,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,    -1,   323,    -1,    -1,   326,   327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3667,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,    -1,   134,   356,    -1,    -1,    -1,    -1,
      -1,    -1,  1986,    -1,    -1,    -1,    -1,  1174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,
      -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3718,  1200,    -1,    -1,    -1,  3723,  3724,  3725,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,
      -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,    -1,    -1,
     421,  3747,  3748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
    3766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2077,    32,    -1,  3782,    -1,    -1,  3785,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,   252,    -1,   254,    -1,    -1,    -1,   458,    -1,
      -1,   461,   462,   463,   264,   465,   466,   467,   468,   469,
     470,    -1,    -1,   273,    72,   475,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,   285,    -1,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
      -1,   475,    -1,    -1,    -1,    -1,  3852,    -1,    -1,  1336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3667,    -1,    -1,   323,    -1,    -1,   326,   327,    -1,    -1,
      -1,  3877,  3878,    -1,    -1,  3881,    -1,    -1,    -1,    -1,
      -1,  3887,  2186,    -1,    -1,    -1,    -1,    -1,  3894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,    -1,  1386,
    3906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,  3931,  3932,  3933,    -1,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,   210,  2257,    -1,   191,   192,    -1,    -1,   195,
      -1,   421,    -1,    -1,  1865,    -1,   224,    -1,    -1,    -1,
      -1,    -1,  1873,  3979,    -1,  3782,    -1,  1464,  3785,   215,
      -1,    -1,    -1,    -1,    -1,    -1,   222,  1474,    -1,    -1,
      -1,    -1,  1893,    -1,    -1,    -1,  4002,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4013,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,   274,    -1,  1505,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    28,  2336,    -1,    -1,    -1,    -1,  4043,    35,    -1,
      -1,  1528,    -1,    -1,  1531,    -1,    -1,  4053,  4054,  2353,
    4056,    -1,    -1,    -1,  4060,  4061,    -1,    54,    -1,  4065,
    4066,    -1,    -1,    -1,  4070,    -1,    -1,  4073,  4074,    -1,
      -1,    -1,  4078,    70,    -1,    -1,    -1,    -1,  4084,    -1,
    3887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4096,    -1,    -1,    -1,    -1,  1582,    -1,    -1,  4104,  3906,
      -1,    -1,  4108,   361,    -1,    -1,    -1,   104,    -1,  1596,
    2414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,    -1,    -1,
    4136,    -1,    -1,    -1,   131,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,  2448,    -1,    -1,  2451,    -1,  2453,
      -1,    -1,    -1,  2457,    -1,  2459,  2460,  4163,    -1,    -1,
      -1,    -1,   159,    -1,  2468,  2469,  2470,    -1,    -1,    -1,
      -1,    -1,  3979,    -1,    -1,  4181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4198,   190,  2095,    -1,   193,  4203,    -1,    -1,
     458,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,  4220,    -1,    -1,   475,    -1,    -1,
    1707,    -1,  2526,    -1,    -1,    -1,    -1,    -1,    -1,     8,
    4236,    -1,    11,    -1,    -1,  4241,    15,    16,    17,    -1,
      -1,   238,  4248,    -1,   241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,  2558,   252,    22,   254,  4264,    -1,
      -1,    40,    28,  2567,    -1,    -1,    -1,   264,    47,  4275,
      -1,    -1,    -1,    -1,  1761,    -1,   273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,
      -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
    4306,    -1,    -1,  1790,    70,    -1,    -1,    -1,    -1,    -1,
    1797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2622,    -1,
      -1,    -1,    -1,    -1,    -1,  4331,   323,    -1,    -1,   326,
     327,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4345,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,   124,   356,
      -1,    -1,  4368,    -1,    -1,   131,    -1,    -1,   134,  4375,
      -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,
     616,    -1,    -1,    -1,   620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   159,    -1,    -1,    -1,    -1,   634,    -1,
      -1,    -1,    -1,   182,    -1,   641,    -1,    -1,   187,    -1,
    4416,    -1,  4418,    -1,    -1,    -1,  1903,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   421,    -1,    -1,   193,    -1,  4236,
     209,   210,    -1,    -1,    -1,    -1,  4442,    -1,    -1,    -1,
      -1,  4248,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4460,    -1,  1943,  1944,  4464,    -1,
      -1,    -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1960,    -1,    -1,    -1,    -1,   257,    -1,
    4486,  4487,    -1,    -1,  4490,    -1,   252,    -1,   254,    -1,
      -1,    -1,   271,    -1,    -1,   274,    -1,    -1,   264,  4505,
      -1,    -1,    -1,    -1,    -1,    -1,  4512,   273,    -1,    -1,
      -1,  4517,    -1,    -1,  4520,  4521,    -1,    -1,    -1,   285,
      -1,  4527,  4528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4541,    -1,  4543,    -1,    -1,
      -1,    -1,  4548,    -1,  4550,    -1,    -1,    -1,  4554,    -1,
    2854,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,
     326,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2067,    -1,   361,    -1,    -1,    -1,    -1,    -1,  4594,  4595,
     356,    -1,    -1,    -1,    -1,    -1,     8,    -1,  4604,    -1,
      -1,    -1,    14,    15,    -1,    -1,    -1,    -1,    20,  2096,
      22,    -1,    -1,    -1,    -1,    -1,    28,  2104,    30,  2106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4442,  4642,    49,    50,    -1,
      -1,    -1,  4648,    -1,   880,   881,    -1,    -1,    -1,    -1,
      -1,    -1,  2139,    -1,    -1,   421,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2972,    -1,
      -1,  2572,    -1,    -1,    -1,    -1,    -1,    -1,  2579,   458,
      -1,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,    -1,    -1,    -1,    -1,   475,  4703,  2599,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2609,    -1,
    4716,  2612,  4718,  2614,  2615,    -1,    -1,  2618,    -1,    -1,
      -1,    -1,    -1,  2624,    -1,  2626,    -1,    -1,  2629,    -1,
      -1,    -1,    -1,    -1,    -1,  4741,  4742,    -1,  4744,    -1,
    4746,  4548,   978,  4550,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3063,
    4766,    -1,    -1,    -1,    -1,    -1,  4772,    -1,    -1,    -1,
    4776,  1007,  1008,    -1,    -1,    -1,  4782,    -1,    -1,    -1,
    4786,    -1,    -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,
      -1,  2692,    -1,   205,  2281,    -1,   208,  1033,    -1,   211,
     212,    -1,   214,    -1,   216,    -1,    -1,   219,    -1,   221,
    2297,    -1,    -1,    -1,  3118,    -1,    -1,    -1,    -1,    -1,
      -1,  4827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4835,
      -1,  2318,    -1,    -1,  4840,  4841,    -1,    -1,    -1,  4845,
      -1,    -1,    -1,    -1,    -1,    -1,  4852,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,  4864,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1107,  1108,    -1,    -1,    -1,    -1,    -1,    32,    -1,
    3184,    -1,    -1,    -1,    -1,    -1,    40,  4893,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2392,  2393,    -1,    -1,    -1,
      -1,  4917,     8,    -1,    -1,    11,    -1,    -1,    72,    15,
      16,    17,  3226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3240,    -1,    -1,    -1,
      -1,    -1,  3246,    -1,    40,  4951,  4952,    -1,    -1,    -1,
    3254,    47,    -1,    -1,    -1,    -1,  3260,    -1,  3262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4972,    -1,    -1,  4975,
      -1,    -1,  4978,    -1,    -1,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    -1,  4989,    -1,    -1,    -1,  4993,    -1,  4995,
      -1,  4997,    -1,    -1,    -1,    -1,    -1,    -1,  5004,    -1,
      -1,    -1,    -1,    -1,  3308,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2500,    -1,    -1,    -1,  5023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,
      -1,    -1,    -1,   187,    -1,  3339,  3340,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5058,    -1,  5060,   209,   210,  2958,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
     224,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,
      -1,   187,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,   257,  5110,    -1,    -1,    47,    -1,    -1,
      -1,    -1,  5118,   209,   210,    -1,    -1,   271,    -1,    -1,
     274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    72,    -1,    -1,    -1,    -1,  5143,  5144,  5145,
      -1,  3042,    -1,  3044,    -1,    -1,  5152,  5153,    -1,    -1,
    5156,    -1,    -1,    -1,    -1,    -1,  5162,    -1,    -1,    -1,
      -1,   257,    -1,    -1,    -1,  5171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,  5185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5200,    -1,    -1,  2684,    -1,    -1,
      -1,    -1,   614,    -1,    -1,    -1,    -1,   361,    -1,    -1,
     622,    -1,    -1,    -1,    -1,    -1,    -1,   629,   630,  3523,
      -1,   633,    -1,   635,   636,    -1,    -1,    -1,   640,    -1,
      -1,    -1,    -1,    -1,    -1,  5241,    -1,    -1,    -1,   651,
    5246,  1477,   182,    -1,    -1,    -1,    -1,   187,    -1,  5255,
      -1,    -1,    -1,    -1,   666,  5261,  5262,  5263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   361,    -1,  5273,    -1,   209,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   691,
    3181,   693,    -1,    -1,   224,    -1,  3187,    -1,    -1,    -1,
      -1,   703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5306,    -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   257,    -1,    -1,
      -1,   475,    -1,   735,  5330,    -1,    -1,    -1,    -1,  5335,
      -1,   271,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1578,  1579,  1580,  1581,    -1,    -1,    -1,    -1,
      -1,    -1,  2839,    -1,   766,    -1,  5362,  5363,    -1,    -1,
      -1,    -1,   458,    -1,  5171,   461,   462,   463,  5374,   465,
     466,   467,   468,   469,   470,  2862,    -1,    -1,    -1,    -1,
      -1,    -1,  5388,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,  5407,    -1,    -1,    -1,    -1,    -1,    -1,   820,    32,
      -1,  5417,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,
    3724,   361,    -1,    -1,    47,    -1,    -1,    -1,  5434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5447,   854,  5449,  3748,    -1,    -1,    -1,    -1,    72,
      -1,    -1,  3756,    -1,    -1,  3759,    -1,  3761,    -1,  5465,
      -1,  5467,  5468,   787,   788,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3379,    -1,
    3381,    -1,  3383,  1719,  1720,    -1,    -1,    -1,    -1,    -1,
      -1,  3392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3803,
      -1,    -1,    -1,    -1,    -1,    -1,  1742,    -1,    -1,    -1,
      -1,    -1,  3816,    -1,   926,    -1,  3820,  3821,   458,  3823,
      -1,   461,   462,   463,  3828,   465,   466,   467,   468,   469,
     470,    -1,  3433,   473,    -1,   947,    -1,    -1,    -1,    -1,
      -1,  1777,  1778,  1779,  1780,    -1,    -1,   959,    -1,    -1,
      -1,    -1,   964,    -1,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,   974,    -1,   187,    22,    -1,   979,    -1,    -1,
      -1,    28,    -1,    -1,    -1,   987,    -1,    -1,    -1,    -1,
      -1,   993,    -1,    -1,   996,    -1,   209,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     934,   935,  3099,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3927,    -1,  1037,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,   274,    -1,    -1,    -1,    -1,    22,    -1,    -1,  1895,
      -1,    -1,    28,    -1,    -1,  1901,    -1,   124,    -1,    -1,
      -1,    -1,    -1,    -1,   131,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3992,  3993,
    3994,    -1,  3996,  3997,  3998,  3999,  4000,    -1,    -1,    -1,
       8,    -1,   159,    11,    70,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,   193,    -1,   361,    47,
    1152,    -1,  1154,    -1,  1156,    -1,  1158,    -1,  1160,  1161,
    1162,    -1,    -1,    -1,    -1,  1167,    -1,    -1,   124,    -1,
      -1,    -1,    -1,    -1,    72,   131,  1178,    -1,   134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3266,
    3267,  3268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   159,  2030,   252,  3283,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,    -1,  3306,
      -1,  4125,    -1,  4127,    -1,    -1,    -1,   193,   285,  3316,
    3317,    -1,    -1,    -1,  3321,   458,    -1,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,   475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,   326,
     327,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,   254,    -1,
      -1,    -1,  1216,    -1,    -1,    -1,    -1,    -1,   264,   356,
      -1,   209,   210,    -1,    -1,    -1,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,   285,
      -1,    -1,  1246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1353,    -1,    -1,    -1,  3432,    -1,    -1,    -1,   257,
    1274,  1275,  1276,    -1,  1278,    -1,    -1,   323,    -1,    -1,
     326,   327,    -1,   271,   421,    -1,   274,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2221,  2222,    -1,    -1,    -1,
     356,    -1,    -1,    -1,    -1,    -1,  2232,    22,  2234,    -1,
    4304,  4305,  2238,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4315,    -1,  4317,  4318,    -1,    -1,  4321,    -1,    -1,
      -1,    -1,  1434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     0,    -1,
      -1,    -1,    -1,    -1,    -1,    70,  1370,    -1,    -1,    -1,
    1374,  1375,    -1,   361,    -1,   421,    18,    -1,    -1,    -1,
      -1,    -1,    -1,  3964,    -1,    -1,    28,  3968,    30,    31,
      -1,    -1,    -1,  3560,  3561,  3562,    -1,  4381,    -1,    -1,
      -1,    -1,    -1,    -1,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1504,    55,    -1,    -1,    -1,    -1,    -1,   124,
      -1,    -1,    -1,    -1,    -1,    67,   131,    69,    70,   134,
      -1,  4415,    -1,    -1,    76,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,    91,
      -1,    -1,  2368,    -1,   159,  2371,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4448,    -1,   108,    -1,    -1,   111,
     458,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   125,    -1,   127,    -1,   475,   193,   131,
      -1,    -1,    -1,     8,    -1,   137,    11,    -1,    -1,    -1,
      15,    16,    17,   145,    -1,   147,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,   169,    -1,    -1,
      -1,    -1,    47,    -1,  2450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2458,    -1,   186,  2461,    -1,   252,    -1,   254,
      -1,  2467,    -1,    -1,    -1,    -1,    -1,    72,    -1,   264,
      -1,    -1,    -1,    -1,    -1,  2481,    -1,    -1,   273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     285,    -1,    -1,    -1,   226,   227,    -1,    -1,    -1,    -1,
     232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4179,    -1,
      -1,    22,   244,  1607,  1608,  1609,  2522,    28,    -1,    -1,
    4594,    -1,    -1,    -1,   256,    -1,    -1,    -1,   323,    -1,
      -1,   326,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2550,    -1,    -1,    -1,    -1,    -1,
    4221,  4222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,   356,    -1,  4637,    -1,    -1,    -1,   299,    -1,    -1,
    1752,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,
      -1,   313,   187,    -1,    -1,    -1,    -1,   319,   320,    -1,
     322,  3848,    -1,    -1,    -1,   327,    -1,    -1,    -1,  2605,
     332,  2607,  3859,   335,   209,   210,    -1,    -1,    -1,    -1,
     342,    -1,    -1,   124,    -1,    -1,   348,   349,    -1,   224,
     131,    -1,    -1,   134,   356,    -1,   421,    -1,   360,    -1,
      -1,    -1,    -1,  3890,    -1,    -1,  4307,  4308,   370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,
      -1,   383,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,  3924,    -1,   274,
      -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,   193,    -1,    -1,    -1,    -1,   419,    -1,    -1,
      -1,    -1,   424,    -1,    -1,    -1,    -1,  1879,    -1,  1881,
      -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,  2715,
      -1,    -1,  3969,    -1,    -1,    -1,  1898,    -1,  1900,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   460,    -1,
      -1,    -1,  1914,    -1,  1916,    -1,  1918,    -1,  1920,    -1,
    1922,   252,   474,   254,  1926,   477,    -1,    -1,    -1,    -1,
      -1,    -1,  4423,   264,  4425,  4426,   361,    -1,    -1,    -1,
      -1,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4441,    -1,    -1,    -1,   285,    -1,  4850,  4851,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4864,    -1,    -1,    -1,  4868,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4878,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,   327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4085,  4086,
    4087,  4088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
     475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1980,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1993,
      -1,  1995,    -1,    -1,  1998,  1999,  2000,    -1,    -1,    -1,
     421,  2005,    -1,    -1,  2008,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2023,
    2024,  2025,  2026,    -1,    -1,    -1,    -1,  2031,    -1,    -1,
      -1,  2035,    -1,    -1,  2038,    -1,    -1,  2041,  2042,  2043,
    2044,  2045,  2046,  2047,  2048,  2049,    -1,  2051,    -1,    -1,
      -1,    -1,    -1,    -1,  2058,    -1,  2060,    -1,    -1,  2151,
    2152,    -1,    -1,    -1,    -1,    -1,  2982,    -1,  2984,  2985,
    2986,    -1,    -1,    -1,    -1,    -1,  5060,    -1,  2170,  2171,
    5064,    -1,  5066,  2175,  2176,    -1,  5070,  5071,  2180,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2100,    -1,    -1,    -1,
      -1,    -1,  2194,    -1,    -1,    -1,    -1,    -1,    -1,  2201,
      -1,    -1,    -1,  2205,  2206,    -1,    -1,  2209,  2210,    -1,
      -1,  2125,  2126,    -1,  2216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2231,
      -1,  2233,    -1,    -1,   199,   200,    -1,    -1,    -1,    -1,
      -1,    -1,   207,    -1,   209,   210,  4737,    -1,    -1,    -1,
    2252,    -1,    -1,    -1,    -1,  2257,    -1,    -1,   223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   671,    -1,  2270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2279,    -1,    -1,
    2282,    -1,    -1,  2285,  2286,  2287,    -1,    -1,    -1,    -1,
    2292,  2293,   697,  2207,    -1,    -1,    -1,    -1,    -1,    -1,
    2302,    -1,  5196,    -1,  5198,  2307,    -1,    -1,    -1,    -1,
    2312,    -1,    -1,    -1,    -1,    -1,    -1,  4808,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2328,    -1,    -1,    -1,
      -1,    -1,    -1,  2335,  2336,    -1,    -1,    -1,    -1,  2341,
      -1,    -1,    -1,  4420,    -1,    -1,    -1,    -1,    -1,    -1,
    2352,  2353,    -1,    -1,    -1,  2357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2369,    -1,  4860,
    2372,    -1,    -1,    -1,    -1,  2377,    -1,    -1,    -1,    -1,
    2382,  2383,    -1,    -1,    -1,  2387,    -1,    -1,  2390,    -1,
      -1,    -1,  2394,  2395,  2396,  2397,  3222,  2399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2412,  2413,  5306,  2415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,  2425,  2426,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,  5379,    72,    -1,  2490,    -1,
      -1,    -1,    -1,    -1,  5388,    -1,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,    -1,    47,    -1,    -1,    -1,  2518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2438,  2439,  2440,    -1,    -1,   934,
    2444,    -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   950,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2479,    -1,    -1,    -1,  3395,
     975,  5465,    -1,    -1,  4651,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   990,    -1,    -1,    -1,  4666,
      -1,    -1,    -1,    -1,  4671,    -1,   182,    -1,    -1,    -1,
      -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4696,
      -1,    -1,    -1,   209,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,
      -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     625,    -1,    -1,    -1,    -1,    -1,   631,    -1,    -1,    -1,
    1075,   257,    -1,    -1,   209,   210,    -1,    -1,    -1,   644,
      -1,    -1,    -1,  2685,    -1,   271,    -1,    -1,   274,   224,
      -1,    -1,    -1,    -1,    -1,   660,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     675,   676,    -1,    -1,  2716,    -1,    -1,   682,    -1,   684,
     685,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   698,    -1,    -1,   271,     8,    -1,   274,
      11,  4818,    -1,   708,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,   361,    47,    -1,    -1,  1184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5288,    -1,    -1,
      -1,    72,    -1,     8,    -1,    -1,    11,    -1,    -1,  2723,
      15,    16,    17,    -1,  2728,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   361,    32,   793,    -1,
      -1,  3657,  3658,  3659,  3660,    40,    -1,  4914,    -1,  2753,
      -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2764,    -1,  2766,  2767,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2777,    -1,   200,  2780,    72,  2782,    -1,
      -1,    -1,   458,    -1,   209,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,   158,   223,   475,
      -1,    -1,   163,    -1,    -1,    -1,    -1,  2811,    -1,  2813,
      -1,  2815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   182,    -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,   209,   210,
     475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,  2869,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2970,    -1,
    2884,   936,  2974,    -1,    -1,    -1,    -1,   182,  2980,    -1,
      -1,    -1,   187,    -1,    -1,    -1,   257,    -1,  1393,   954,
      -1,    -1,    -1,    -1,    -1,   960,  2998,  2999,   963,    -1,
     271,  3003,    -1,   274,   209,   210,  3008,  3009,  3010,    -1,
    3012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3844,   224,
      -1,    -1,    -1,    -1,  3850,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3035,  2948,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3045,  3046,  3047,  3048,    -1,    -1,    -1,
      -1,    -1,   257,  1458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3082,    -1,    -1,  3085,  3086,  3087,    -1,    -1,    -1,    -1,
     361,    -1,    -1,    -1,  1499,    -1,    -1,    -1,    -1,    -1,
      -1,  3103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3123,    -1,    -1,    -1,    -1,    -1,  1532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1147,    -1,    -1,    -1,    -1,   458,    -1,    -1,
     461,   462,   463,  3195,   465,   466,   467,   468,   469,   470,
      -1,  3203,  1607,  1608,  1609,    -1,    -1,    -1,    -1,    -1,
    1175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3234,    -1,    -1,    -1,  1201,    -1,    -1,  1204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,  3261,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
     475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     625,    -1,    -1,  3207,    -1,    -1,   631,    -1,    -1,  3213,
      -1,    -1,    -1,    -1,    -1,  1710,    -1,    -1,    -1,   644,
      -1,  3313,    -1,    -1,    -1,    -1,  3318,    -1,    -1,    -1,
      -1,    -1,  1727,    -1,    -1,   660,    -1,    -1,    -1,    -1,
      -1,  1736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   676,    -1,  1748,    -1,    -1,    -1,  3349,    -1,   684,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1322,    -1,    -1,
      -1,    -1,    -1,   698,    -1,  1330,  1331,    -1,    -1,    -1,
      -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3388,    -1,  3390,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1804,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1818,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,  1830,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,  1399,    -1,    -1,  1842,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,     8,    -1,    -1,    11,
      -1,    -1,    40,    15,    16,    17,    -1,    -1,   793,    47,
    4286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    -1,  4301,    -1,    -1,    40,    -1,
      -1,  1886,  1887,    -1,    72,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3463,
      -1,    -1,    -1,    -1,    -1,  3469,    -1,  3471,    -1,    -1,
      -1,    -1,  4388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3498,  3499,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,
      -1,   936,  3516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3524,    -1,    -1,  3527,    -1,  3529,    -1,  2022,    -1,    -1,
     182,   209,   210,    -1,  3538,   187,    -1,  1592,    -1,    -1,
      -1,    -1,  3546,  3547,    -1,    -1,   224,    -1,    -1,    -1,
      -1,  3643,    -1,  3645,    -1,    -1,    -1,   209,   210,    -1,
    3652,    -1,    -1,    -1,    -1,  2060,    -1,    -1,    -1,    -1,
      -1,    -1,   224,    -1,  3578,    -1,  3668,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3684,   271,    -1,    -1,   274,    -1,  3602,    -1,
      -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,  3703,    -1,    -1,  3618,    -1,    -1,    -1,    -1,   271,
      -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,  3721,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3731,
    4556,  4557,  4558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3750,    -1,
      -1,    -1,  2157,    -1,    -1,    -1,  2161,  2162,    -1,    -1,
      -1,  3763,  3764,  3765,    -1,    -1,    -1,    -1,  3770,  3771,
    3772,  3773,    -1,   361,    -1,  3777,  3778,  1112,  1743,    -1,
      -1,  3783,  3784,    -1,  3786,  3787,  3788,  3789,  3790,  3791,
      -1,  3793,    -1,    -1,    -1,  1130,    -1,    -1,    -1,   361,
    3802,    -1,  1767,  3805,  3806,    -1,    -1,    -1,    -1,    -1,
    1775,    -1,  1147,    -1,    -1,    -1,    -1,    -1,  2223,    -1,
      -1,    -1,  1787,    -1,    -1,    -1,    -1,  3829,    -1,    -1,
      -1,    -1,  2237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3851,
      -1,  1186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1201,    -1,    -1,  1204,
     458,    -1,  2277,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,   475,  4714,    -1,
      -1,    -1,    -1,    -1,  1859,  1860,   458,  1862,  1863,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,  1874,
      -1,  1876,  1877,   475,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1889,  1890,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1905,    -1,    -1,    -1,    -1,    -1,    -1,  3949,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,  1937,    -1,    -1,  1940,  1941,    -1,    -1,    -1,
      37,  3983,    -1,    -1,    -1,    -1,    -1,  1322,    -1,    -1,
      -1,   671,    -1,    -1,    -1,  1330,  1331,    -1,    -1,    -1,
      -1,    -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    73,   697,  3932,  3933,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
    4856,    88,  4858,    -1,    -1,  2440,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
      -1,    -1,    -1,    -1,    -1,   112,    -1,    -1,    -1,    -1,
      -1,    -1,  2027,    -1,  1399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   129,    -1,    -1,  2480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,  4002,     8,
      -1,   148,    11,    -1,    -1,    -1,    15,    16,    17,  4013,
      -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   168,    -1,    32,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,  4053,
    4054,    -1,    -1,    -1,    -1,    -1,  4060,  4061,    -1,    -1,
      -1,  4065,    -1,    72,    -1,    -1,  4070,  2562,    -1,  4073,
    4074,    -1,    -1,    -1,  4078,    -1,    -1,    -1,    -1,    -1,
    4084,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     237,    -1,    -1,    -1,  5010,  2150,    -1,  4189,    -1,    -1,
      -1,  4193,  4194,  4195,  4196,    -1,    -1,  4199,    -1,    -1,
      -1,    -1,    -1,  2168,    -1,    -1,    -1,    -1,  2173,  2174,
      -1,    -1,    -1,  2178,   271,    -1,    -1,   274,    -1,    -1,
      -1,  2186,  4136,    -1,    -1,    -1,    -1,    -1,    -1,  4231,
    4232,  4233,    -1,  4235,    -1,  4237,  4238,   294,    -1,  2204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,  4250,  4163,
      -1,   308,    -1,    -1,    -1,    -1,    -1,  1592,   315,    -1,
      -1,  2226,    -1,   182,  2229,  2230,    -1,    -1,   187,    -1,
     950,    -1,    -1,  5099,  4276,  2680,    -1,   334,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2250,   343,    -1,    -1,    -1,
     209,   210,  2697,   350,    -1,   975,   353,  4299,    -1,    -1,
      -1,    -1,    -1,  2268,  2269,   224,    -1,  2712,    -1,    -1,
     990,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,
      -1,   378,    -1,    -1,    -1,    -1,   383,    -1,    -1,   386,
     387,    -1,   389,   390,    -1,  2300,  2301,    -1,   257,  2304,
      -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,   405,    -1,
    4264,    -1,   271,    -1,   411,   274,    -1,   414,    -1,    -1,
     417,    -1,  2327,    -1,  2329,    -1,    -1,    -1,    -1,  2334,
      -1,    -1,  4374,   430,    -1,  2340,  5202,    -1,    -1,    -1,
      -1,    -1,  2347,    -1,    -1,    -1,  2351,    -1,    -1,    -1,
      -1,  2356,    -1,    -1,    -1,  1075,    -1,    -1,    -1,    -1,
      -1,  4403,    -1,    -1,    -1,    -1,    -1,    -1,  1743,    -1,
      -1,  2376,    -1,    -1,    -1,    -1,  2381,  4331,    -1,    -1,
    2385,    -1,    -1,  2388,    -1,    -1,  4428,    -1,    -1,    -1,
      -1,    -1,  1767,  2398,    -1,    -1,    -1,    -1,    -1,    -1,
    1775,    -1,   361,    -1,    -1,    -1,  2411,    -1,    -1,    -1,
      -1,    -1,  1787,    -1,    -1,    -1,  2421,   671,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   697,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,  1184,  5331,  5332,    -1,    -1,    -1,
      -1,    -1,  2917,    -1,    -1,  2920,    -1,  2922,    32,    -1,
      -1,    -1,  2927,    -1,  2489,    -1,    40,  1862,  1863,    -1,
      -1,    -1,  4534,    47,    -1,    -1,    -1,    -1,    -1,   458,
      -1,  1876,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,    -1,    -1,  1889,  1890,   475,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1905,  2976,  4486,  4487,    -1,    -1,  4490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2995,    -1,    -1,    -1,  4596,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2567,    -1,    -1,  5431,    -1,    -1,    -1,    -1,
      -1,    -1,  4614,  4527,  4528,  3020,    -1,  4619,  4620,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2622,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,
    4672,    -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3091,    -1,  3093,    -1,
    4692,    -1,  2027,    -1,    -1,   209,   210,    -1,    -1,  2664,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     224,    -1,    -1,  1393,    -1,    -1,    -1,  2682,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2690,  4728,    -1,    -1,    -1,
      -1,    -1,    -1,  4735,    -1,  2700,   950,    -1,  2703,    -1,
      -1,  2706,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,   975,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   990,  3182,  1458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4801,
      -1,    -1,  3207,    -1,    -1,    -1,    -1,  2772,  3213,    -1,
      -1,    -1,    -1,  2778,    -1,  2150,  3221,    -1,    -1,  1499,
      -1,  4823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4744,    -1,  4834,  2168,    -1,    -1,    -1,    -1,  2173,  2174,
      -1,  3246,    -1,  2178,    -1,    -1,    -1,   361,    -1,  3254,
      -1,  2186,  1532,    -1,    -1,    -1,    -1,    -1,  4772,    -1,
      -1,  1075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2204,
      -1,    -1,  4786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2854,
      -1,    -1,    -1,    -1,    -1,  4897,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,  2250,    -1,    -1,  3323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
      -1,  4845,    -1,  2268,  2269,    40,  3341,    -1,    -1,    -1,
      -1,    -1,    47,    -1,   458,    -1,    -1,   461,   462,   463,
    3355,   465,   466,   467,   468,   469,   470,  4959,    -1,    -1,
      -1,   475,    -1,    -1,    -1,  2300,  2301,    72,    -1,  2304,
    1184,    -1,    -1,    -1,    -1,    -1,    -1,  2942,  2943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2327,    -1,  2329,    -1,    -1,    -1,    -1,  2334,
      -1,    -1,    -1,    -1,  2969,  2340,    -1,  2972,    -1,    -1,
      -1,    -1,  2347,    -1,    -1,    -1,  2351,    -1,  5020,    -1,
      -1,  2356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1710,    -1,    -1,  5035,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2376,    -1,    -1,    -1,    -1,  2381,  1727,    -1,    -1,
    2385,    -1,  3457,  2388,    -1,    -1,  1736,    -1,    -1,    -1,
      -1,    -1,    -1,  2398,    -1,    -1,    -1,    -1,  1748,    -1,
      -1,    -1,    -1,  3478,    -1,    -1,  2411,   182,    -1,    -1,
      -1,    -1,   187,  4997,    -1,    -1,  2421,  5089,    -1,    -1,
      -1,    -1,  3057,  3058,  3059,    -1,    -1,    -1,  3503,    -1,
      -1,    -1,  5104,    -1,   209,   210,    -1,    -1,    -1,  5023,
      -1,    -1,    -1,    -1,    -1,    -1,  3081,    -1,    -1,   224,
      -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3537,    -1,    -1,    -1,  3101,    -1,  1818,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   671,    -1,    -1,    -1,
    1830,    -1,   257,    -1,  2489,  3120,    -1,    -1,    -1,    -1,
      -1,    -1,  1842,    -1,    -1,    -1,   271,    -1,    -1,   274,
      -1,    -1,   697,    -1,    -1,    -1,    -1,    -1,    -1,  1393,
      -1,    -1,  5184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1886,  1887,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3624,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5229,    -1,  5143,
    5144,  5145,  2567,    -1,    -1,    -1,    -1,  3202,     8,    -1,
      -1,    11,    -1,    -1,  1458,    15,    16,    17,  5162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1499,    -1,  2622,  3253,    -1,
      -1,    -1,    -1,    -1,    -1,  3260,    -1,  3262,    -1,    -1,
      -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3275,    -1,  3277,    -1,    -1,    -1,  5318,    -1,  1532,  3724,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,
      -1,    -1,  5246,    -1,  3299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2022,  3748,    -1,    -1,    -1,  2682,    -1,  5263,
      -1,    -1,    -1,   458,    -1,  2690,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
     475,    -1,    -1,    -1,    -1,  3340,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,    -1,    -1,    -1,    -1,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   950,  3391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2772,    -1,   209,
     210,    -1,    -1,  2778,  3409,    -1,    -1,    -1,   671,    -1,
     975,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,
    5374,    -1,    -1,    -1,    -1,   990,  3431,    -1,    -1,  3434,
      -1,    -1,    -1,    -1,   697,    -1,  3881,  2157,    -1,    -1,
      -1,  2161,  2162,    -1,    -1,    -1,    -1,   257,    -1,    -1,
      -1,    -1,    -1,  5407,    -1,    -1,  1710,    -1,    -1,    -1,
      -1,   271,    -1,  5417,   274,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1727,    -1,    -1,    -1,    -1,    -1,  2854,
      -1,    -1,  1736,    -1,    -1,    -1,  3931,    -1,    -1,    -1,
      -1,    -1,     8,    -1,  1748,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,  2223,    -1,    -1,    -1,    -1,    -1,  3514,
    1075,    -1,    -1,    -1,    -1,    -1,    32,  2237,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1804,   361,    -1,    -1,    -1,    -1,    72,  2277,    -1,    -1,
      -1,    -1,    -1,    -1,  1818,    -1,    -1,  2942,  2943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1830,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1842,    -1,
      -1,    -1,   671,    -1,  2969,    -1,    -1,  2972,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4056,    -1,    -1,    -1,    -1,    -1,    -1,   697,  1184,
      -1,  4066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1886,  1887,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,    -1,  3667,    -1,    -1,   475,   182,    -1,    -1,    -1,
      -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3057,  3058,  3059,    -1,    -1,   950,    -1,    -1,
      -1,    -1,    -1,   209,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3081,    -1,   224,    -1,
      -1,    -1,   975,  3718,    -1,    -1,    -1,    -1,  3723,    -1,
    3725,    -1,    -1,    -1,    -1,    -1,  3101,   990,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4181,    -1,    -1,    -1,
      -1,   257,  3747,    -1,    -1,  3120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,    -1,
    2480,  3766,    -1,    -1,    -1,    -1,    -1,    -1,  2022,    -1,
      -1,    -1,    -1,    -1,    -1,  4220,    -1,  3782,    -1,    -1,
    3785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3202,  1393,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2562,    -1,    -1,   361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   950,  3877,  3878,    -1,    -1,    -1,    -1,  3253,    -1,
      -1,    -1,  3887,    -1,    -1,  3260,    -1,  3262,    -1,    -1,
      -1,    -1,    -1,  1458,    -1,    -1,   975,    -1,    -1,    -1,
    3275,  3906,  3277,  2157,    -1,    -1,    -1,  2161,  2162,    -1,
      -1,   990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1184,    -1,    -1,  3299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,   475,
    2680,    -1,    -1,    -1,    -1,  3340,    -1,  1532,    -1,  2223,
      -1,  4416,    -1,  4418,  3979,    -1,    -1,  2697,    -1,    -1,
      -1,    -1,    -1,  2237,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2712,    -1,    -1,    -1,  1075,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3391,    -1,    -1,  4464,
      -1,    -1,     8,  2277,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,  3409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    40,    -1,  3431,    -1,    -1,  3434,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1184,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1393,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,  3514,
      -1,    -1,    -1,    -1,    -1,  1710,    -1,    -1,    -1,  4594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1748,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4198,    -1,  1458,   182,  2917,  4203,    -1,
    2920,   187,  2922,    -1,    -1,    -1,    -1,  2927,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   671,    -1,    -1,    -1,
      -1,    -1,    -1,   209,   210,    -1,  2480,    -1,    -1,    -1,
      -1,  4236,    -1,    -1,    -1,    -1,  1499,    -1,   224,  1804,
      -1,    -1,   697,  4248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1818,    -1,    -1,  2976,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1830,    -1,    -1,    -1,  1532,
    4275,   257,    -1,  4718,    -1,  2995,    -1,  1842,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,    -1,
      -1,    -1,  3667,    -1,    -1,    -1,    -1,  4742,    -1,    -1,
    3020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2562,    -1,
      -1,    -1,    -1,    -1,  1393,    -1,    -1,     8,    -1,    -1,
      11,  1886,  1887,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4782,    -1,    -1,
      -1,    32,    -1,  3718,    -1,    -1,    -1,    -1,  3723,    40,
    3725,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,  4368,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3091,  3747,  3093,    -1,   361,    -1,    -1,    -1,  1458,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4835,  3766,    -1,    -1,    -1,  4840,  4841,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3782,    -1,    -1,
    3785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1499,    -1,    -1,    -1,    -1,    -1,  2680,    -1,    -1,    -1,
      -1,    -1,   418,    -1,    -1,    -1,    -1,  4442,    -1,    -1,
      -1,    -1,    -1,  2697,    -1,    -1,    -1,  1710,    -1,    -1,
      -1,    -1,    -1,  1532,    -1,    -1,    -1,  2022,  2712,    -1,
      -1,    -1,  3182,    -1,  1727,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,  1736,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,  1748,    -1,    -1,    -1,    -1,
      -1,   182,    -1,    -1,    -1,   950,   187,    -1,    -1,    -1,
      -1,  3221,  3877,  3878,    -1,    -1,  4951,  4952,    -1,    -1,
      -1,    -1,  3887,    -1,    -1,    -1,    -1,    -1,   209,   210,
     975,    -1,    -1,    -1,    -1,    -1,  3246,    -1,    -1,    -1,
      -1,  3906,    -1,   224,  3254,   990,    -1,    -1,    -1,    -1,
      -1,  1804,    -1,  4548,    -1,  4550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1818,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,  1830,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1842,
     271,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,
    4595,    -1,  2157,    -1,    -1,    -1,  2161,  2162,    -1,  4604,
      -1,    -1,    -1,  3323,  3979,    -1,    -1,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1075,  3341,    -1,  1886,  1887,    -1,    -1,    -1,    -1,    -1,
      -1,  1710,    -1,    -1,    -1,  3355,    -1,  4642,    -1,    -1,
      -1,    -1,    -1,  4648,    -1,    -1,    -1,    -1,  1727,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1736,  2223,    -1,
      -1,    -1,    -1,  2917,    -1,    -1,  2920,    -1,  2922,  1748,
     361,    -1,  2237,  2927,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5156,  2277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2976,    -1,    -1,  1804,    -1,    -1,    -1,  1184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3457,    -1,  1818,
      -1,  2995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1830,    -1,    -1,    -1,    -1,    -1,    -1,  3478,  2022,
      -1,    -1,    -1,  1842,    -1,    -1,  3020,   458,    -1,    -1,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
      -1,    -1,     8,  3503,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    32,  1886,  1887,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,  3537,    -1,    -1,
      -1,    47,  4827,  4198,    -1,    -1,    -1,    -1,  4203,    -1,
      -1,    -1,    -1,    -1,   671,    -1,    -1,  3091,    -1,  3093,
      -1,    -1,    -1,    -1,    -1,    -1,    72,  4852,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,
     697,  4236,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,  4248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
      35,    -1,    -1,    -1,  2157,    40,    -1,    -1,  2161,  2162,
    4275,    -1,    47,    -1,  3624,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,  3182,    -1,
      -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,  1393,    -1,
      -1,    -1,    -1,  2022,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,
    2223,   187,    -1,    -1,    -1,    -1,    -1,  3221,    -1,    -1,
      -1,    -1,    -1,    -1,  2237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3246,  4368,    -1,    -1,    -1,  2562,   224,    -1,
    3254,    -1,    -1,  1458,  3724,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2277,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3748,    -1,
      -1,   257,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,
      -1,    -1,   187,    -1,  1499,   271,    -1,    -1,   274,    -1,
      -1,    -1,    -1,  5058,    -1,  5060,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,   210,    -1,  4442,    -1,  3323,
     296,    -1,    -1,    -1,    -1,    -1,    -1,  1532,  2157,   224,
      -1,    -1,  2161,  2162,    -1,    -1,    -1,  3341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,   950,    -1,  2680,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,
      -1,    -1,  2697,    -1,    -1,   361,    -1,    -1,   975,    -1,
      -1,    -1,    -1,    -1,  2223,    -1,    -1,  2712,  5153,    -1,
      -1,    -1,    -1,   990,    -1,    -1,    -1,    -1,  2237,    -1,
      -1,  3881,    -1,    -1,    -1,    -1,  5171,    -1,    -1,    -1,
      -1,    -1,    -1,  4548,    -1,  4550,    -1,    -1,    -1,    -1,
    5185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5200,    -1,    -1,  2277,    -1,
      -1,    -1,    -1,  3457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3931,    -1,    -1,    -1,    -1,   361,  2480,    -1,    -1,
    4595,    -1,    -1,    -1,  3478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,   462,   463,  1075,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,  3503,
      -1,    -1,    -1,    -1,    -1,  1710,  5261,  5262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,  4642,    -1,    11,
      -1,    -1,  1727,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,  1736,    -1,  3537,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,  1748,    -1,    -1,    -1,    -1,    40,  2562,
      -1,  5306,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
      72,    -1,    -1,    -1,    -1,    -1,  4056,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4066,  1184,    -1,  1804,
      -1,    -1,  2917,    -1,    -1,  2920,    -1,  2922,    -1,    -1,
      -1,    -1,  2927,  1818,    -1,    -1,    -1,    -1,    -1,    -1,
    3624,    -1,    -1,    -1,    -1,  1830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5388,    -1,    -1,    -1,  1842,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2976,    -1,    -1,    -1,    -1,    -1,  2680,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2995,  1886,  1887,    -1,  2697,    -1,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,  5449,   187,    -1,    -1,    -1,  2712,
      -1,    -1,  4827,    -1,    -1,  3020,    -1,    -1,    -1,    -1,
    5465,  4181,  5467,  5468,    -1,    -1,    -1,   209,   210,    -1,
    3724,    -1,    -1,    -1,    -1,    -1,    -1,  4852,    -1,    -1,
      -1,    -1,   224,  2562,    -1,    -1,    -1,    -1,    -1,  4864,
      -1,    -1,    -1,    -1,  3748,    -1,    -1,    -1,    -1,    -1,
    4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,  4241,    -1,    -1,    -1,    -1,  3091,    -1,  3093,   271,
      -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,  1393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4306,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3182,  2697,   361,
      -1,  1458,    -1,    -1,    -1,    -1,    -1,  3881,    -1,    -1,
      -1,    -1,    -1,  2712,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2917,    -1,  3221,  2920,    -1,  2922,
      -1,    -1,  1499,    -1,  2927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3931,    -1,    -1,
      -1,  3246,    -1,  5058,    -1,  5060,    -1,    -1,    -1,  3254,
      -1,    -1,    -1,    -1,    -1,  1532,    -1,    -1,  4418,    -1,
      -1,    -1,  2157,    -1,    -1,    -1,  2161,  2162,    -1,    -1,
      -1,    -1,    -1,  2976,    -1,    -1,   458,    -1,    -1,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,  2995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3020,  3323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3341,    -1,  5153,    -1,
      -1,    -1,  2237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3355,    -1,    -1,    -1,    -1,    -1,  5171,    -1,    -1,    -1,
      -1,    -1,  4056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2277,    -1,    -1,  5200,    -1,    -1,  3091,    -1,
    3093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,    -1,
      -1,  2920,    -1,  2922,    -1,    -1,    -1,    -1,  2927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1710,  4594,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1727,    -1,  3457,    -1,    -1,    -1,    -1,  2976,    -1,  1736,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1748,    -1,  3478,    -1,    -1,  2995,    -1,    -1,  3182,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4181,    -1,    -1,
      -1,  5306,    -1,    -1,    -1,    -1,    -1,    -1,  3503,    -1,
      -1,  3020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,  3221,    -1,
      15,    16,    17,    -1,    -1,    -1,  4220,  1804,    -1,    -1,
      -1,    -1,  3537,    -1,    -1,    -1,    -1,    32,    -1,    -1,
      35,  1818,    -1,  3246,    -1,    40,    -1,  4241,    -1,    -1,
      -1,  3254,    47,  1830,    -1,    -1,    -1,    -1,  4718,    -1,
      -1,    -1,    -1,    -1,    -1,  1842,    -1,    -1,    -1,    -1,
      -1,    -1,  3091,  5388,  3093,    -1,    -1,    72,    -1,    -1,
      -1,    -1,  4742,    -1,    -1,  2480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1886,
    1887,    -1,  4306,    -1,    -1,    -1,    -1,    -1,    -1,  3624,
    3323,    -1,  4782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5449,    -1,    -1,    -1,  3341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5465,    -1,  3355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,  3182,    11,    -1,    -1,  2562,    15,    16,
      17,    -1,    -1,    -1,    -1,  4835,    -1,    -1,    -1,    -1,
    4840,  4841,    -1,    -1,    -1,    32,    -1,   182,    -1,    -1,
      -1,    -1,   187,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,  3724,
      -1,    -1,    -1,    -1,  4418,    72,    -1,  3246,    -1,   224,
      -1,    -1,    -1,    -1,    -1,  3254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3748,    -1,  2022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3457,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4464,    -1,    -1,    -1,    -1,  3478,   271,    -1,    -1,   274,
      -1,    -1,    -1,    -1,    -1,  2680,    -1,    -1,    -1,    -1,
      -1,    -1,  4952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3503,    -1,  2697,    -1,  3323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   163,  2712,    -1,    -1,
      -1,    -1,  3341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3537,   182,  3355,    -1,    -1,    -1,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,   210,    -1,    -1,   361,    -1,    -1,    -1,
    1290,    -1,    -1,    -1,    -1,    -1,  3881,   224,    -1,    -1,
    2157,    -1,    -1,    -1,  2161,  2162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3624,    -1,    -1,   271,    -1,  3931,   274,    -1,    -1,
    1350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,
    2237,    -1,    -1,   458,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5156,    -1,    -1,    -1,
    2277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,  3537,    -1,
      -1,  3724,  2917,    -1,  4718,  2920,    -1,  2922,    -1,    -1,
       8,    -1,  2927,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,  3748,    -1,    -1,  4742,    -1,
      -1,  4056,    -1,    -1,    32,    -1,    -1,    35,    -1,    -1,
      -1,  4066,    40,    -1,    -1,     8,    -1,    -1,    11,    47,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,  2976,    -1,    -1,    -1,    -1,    -1,    -1,  4782,    32,
      -1,    -1,    -1,    -1,    72,    -1,    -1,    40,    -1,    -1,
    2995,    -1,    -1,    -1,    47,  3624,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,  3020,    -1,    -1,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4835,    -1,    -1,    -1,    -1,  4840,  4841,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4181,    -1,  3881,    -1,
      32,    -1,    -1,    35,    -1,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,  1613,    -1,    47,  3091,  1617,  3093,    -1,
      -1,    -1,    -1,  2480,   182,  3724,    -1,    -1,    -1,   187,
      -1,    -1,    -1,    -1,    -1,  4220,    -1,    -1,    -1,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3931,  3748,
      -1,   209,   210,    -1,    -1,    -1,  4241,    -1,    -1,   182,
      -1,    -1,    -1,    -1,   187,    -1,   224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,
      -1,   224,    -1,    -1,    -1,  2562,    -1,  3182,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,   274,    -1,    -1,    -1,
      -1,  4306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3221,    -1,   271,    -1,
     182,   274,    -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3246,    -1,  4056,    -1,    -1,    -1,   209,   210,  3254,
      -1,    -1,  3881,  4066,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2680,    -1,   257,    -1,    -1,    -1,    -1,
      -1,    -1,  3931,  4418,    -1,    -1,    -1,    -1,   361,   271,
    2697,    -1,   274,    -1,    -1,    -1,    -1,    -1,  3323,    -1,
      -1,    -1,    -1,    -1,    -1,  2712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3341,    -1,   391,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4464,
    3355,    -1,  5156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4181,    -1,
     458,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,   361,
      -1,    15,    16,    17,    -1,   458,    -1,  4220,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,  4056,  4241,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,  4066,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1978,    -1,
      -1,    -1,  3457,    -1,    -1,    -1,    -1,    -1,    72,    -1,
      -1,    -1,  1992,    -1,    -1,    -1,  1996,    -1,    -1,    -1,
      -1,    -1,    -1,  3478,    -1,    -1,    -1,    -1,    -1,  4594,
    2010,  2011,  2012,    -1,  2014,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4306,    -1,    -1,   458,    -1,  3503,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2056,    -1,    -1,    -1,
    2917,    -1,  3537,  2920,    -1,  2922,    -1,    -1,    -1,    -1,
    2927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,
      -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2112,    -1,    -1,    -1,    -1,    -1,    -1,  2976,
      -1,  4220,    -1,    -1,  2124,   209,   210,    -1,    -1,  2129,
      -1,    -1,    -1,  4718,    -1,  4418,    -1,    -1,  2995,    -1,
     224,    -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,  3624,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4742,    -1,    -1,
      -1,    -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4464,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,    -1,    -1,    -1,    -1,    -1,    -1,  4782,    20,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,  4306,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3091,    -1,  3093,    -1,    60,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3724,
    4835,    73,    -1,    -1,    -1,  4840,  4841,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,  3748,    -1,    -1,    -1,   361,    -1,    -1,
      -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,    20,    -1,
      -1,  4594,    -1,    25,    -1,    -1,    -1,    -1,   140,  4418,
      -1,    -1,    -1,    -1,    -1,  3182,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    60,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    73,    74,    -1,  3221,  4464,    -1,  4952,    -1,   191,
      -1,    -1,    84,    -1,   458,    -1,    88,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,    -1,    -1,  3246,
      -1,    -1,    -1,    -1,   106,    -1,    -1,  3254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   237,    -1,   129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   140,    -1,
      -1,    -1,    -1,    -1,    -1,  4718,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,   271,
      -1,    -1,    -1,   165,    -1,    -1,  3931,    -1,    -1,  4742,
      -1,    -1,   284,    -1,    -1,    -1,  3323,    -1,    -1,    -1,
      -1,    -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,   191,
      -1,    -1,   304,   305,  3341,    -1,   308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4594,    -1,    -1,  3355,  4782,
      -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
      -1,   343,    -1,    -1,    -1,   237,    -1,    -1,   350,    -1,
      -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,  4835,    -1,    -1,    -1,   378,  4840,  4841,   271,
      -1,   383,    -1,    -1,   386,    -1,    -1,    -1,   390,    -1,
      -1,  5156,    -1,    -1,    -1,    -1,   398,    -1,   400,    -1,
      -1,  4056,   294,   405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4066,   304,   305,    -1,   417,   308,    -1,    -1,    -1,
    3457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4718,
      -1,  3478,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
      -1,   343,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,   353,    -1,  4742,    -1,    -1,  3503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,  4952,
      -1,   383,    -1,    -1,   386,    -1,    -1,    -1,   390,    -1,
    3537,    -1,    -1,  4782,    -1,    -1,   398,    -1,   400,    -1,
      -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2726,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,    -1,    -1,
      -1,  4840,  4841,    -1,    -1,  4220,  2746,    -1,  2748,    -1,
      -1,  2751,  2752,    25,  2754,    -1,  2756,    -1,    -1,    -1,
    2760,    -1,    -1,  2763,    -1,    -1,  4241,  3624,  2768,    -1,
      -1,    -1,    -1,    -1,  2774,    -1,    -1,    -1,    -1,  2779,
      -1,    -1,    -1,    -1,    -1,    -1,  2786,  2787,  2788,  2789,
      -1,    -1,    -1,  2793,  2794,    -1,  2796,    -1,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,  2808,    -1,
    2810,    -1,    -1,    -1,    -1,    -1,    88,  2817,  2818,  2819,
    2820,  2821,  2822,  2823,  2824,  2825,  2826,    -1,    -1,    -1,
      -1,  4306,    -1,    -1,   106,    -1,    -1,    -1,    -1,    -1,
     112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4952,    -1,    -1,    -1,   129,    -1,    -1,
      -1,    -1,    -1,  2863,    -1,    -1,    -1,  3724,   140,    -1,
      -1,    -1,    -1,  5156,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,  3748,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4418,   216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2963,    -1,   237,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,    -1,  3881,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   304,   305,    -1,    -1,   308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5156,    -1,    -1,
      -1,    -1,   334,    -1,    -1,   337,    -1,    -1,    -1,   341,
      -1,   343,    -1,    -1,  3931,    -1,    -1,    -1,   350,    -1,
      -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,    -1,
     382,   383,    -1,    -1,   386,    -1,    -1,    -1,   390,  4594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,
      -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,
      -1,  3211,  3212,    -1,    -1,    -1,  3216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4718,    -1,    -1,    -1,    -1,    -1,  3249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4742,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4782,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4835,    -1,    -1,  4220,    -1,  4840,  4841,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4306,
      -1,    -1,    -1,  3453,    -1,    -1,    -1,    -1,    -1,  3459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3475,  3476,  4952,    -1,  3479,
    3480,  3481,  3482,    -1,    -1,  3485,  3486,  3487,  3488,  3489,
    3490,  3491,  3492,  3493,  3494,  3495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3517,    -1,    -1,
    3520,    -1,  3522,    -1,    -1,  3525,  3526,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3540,  3541,  3542,  3543,    -1,  3545,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4464,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3633,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4594,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4742,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4782,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,
      -1,    -1,    -1,  4840,  4841,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4003,    -1,    -1,    -1,  4007,  4008,  4009,
      -1,    -1,    -1,    -1,    -1,  4015,  4016,  4017,  4018,    -1,
      -1,    -1,    -1,  4023,  4024,  4025,  4026,  4027,  4028,  4029,
    4030,  4031,  4032,  4033,  4034,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4059,
      -1,    -1,  4062,    -1,  4064,    -1,    -1,    -1,  4068,    -1,
      -1,  4071,  4072,    -1,    -1,  4075,  4076,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4952,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4135,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5156,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4413,  4414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4454,    -1,    -1,    -1,    -1,  4459,
    4460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4474,    -1,  4476,    -1,    -1,    -1,
    4480,  4481,  4482,    -1,    -1,  4485,    -1,    -1,  4488,  4489,
      -1,    -1,    -1,  4493,    -1,    -1,    -1,  4497,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4615,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4653,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4740,  4741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4756,  4757,  4758,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4766,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4793,  4794,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4805,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4978,    -1,
      -1,  4981,    -1,    -1,    -1,  4985,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5034,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5150,    -1,  5152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5362,  5363,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5413,  5414,    -1,    -1,    -1,  5418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,  5444,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,   465,   466,   467,    -1,    -1,    -1,    -1,    -1,
      -1,   474,   475,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,   475,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,   475,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,    -1,    -1,
       3,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,   475,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,    -1,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   475,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     455,   456,   457,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
     475,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,    -1,   222,   223,
     224,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,    -1,
      -1,   255,   256,   257,   258,    -1,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,   455,   456,   457,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,   475,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
      -1,    -1,    -1,    -1,   472,   473,   474,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,
     466,   467,    -1,    -1,    -1,    -1,    -1,    -1,   474,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,    -1,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
     466,    -1,    -1,     3,     4,     5,     6,     7,   474,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
      -1,     3,     4,     5,     6,     7,   474,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,     3,     4,
       5,     6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,   474,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,     3,     4,     5,     6,     7,
      -1,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,   474,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,   474,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,    -1,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,    -1,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,     3,
      -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,   270,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   474,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,     3,     4,     5,    -1,    -1,
      -1,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    -1,    -1,
      -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,     3,    -1,    -1,    -1,    -1,   465,   466,   467,
      -1,    -1,    -1,    -1,    -1,    -1,   474,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    -1,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,    -1,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,    -1,   211,    -1,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
      -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    -1,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    -1,    93,
      94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,
      -1,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,    -1,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,    -1,   223,
      -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,    -1,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,
      -1,     8,     9,    -1,    -1,    -1,    -1,   474,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,
     457,    -1,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,     3,     4,     5,    -1,    -1,     8,
       9,    -1,    -1,    -1,    -1,    -1,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,
       3,    -1,   461,   462,   463,     8,   465,   466,   467,   468,
     469,   470,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,    -1,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,     3,    -1,   461,   462,
     463,     8,   465,   466,   467,   468,   469,   470,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,     3,    -1,   461,   462,   463,     8,   465,   466,
     467,   468,   469,   470,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,     3,    -1,
     461,   462,   463,     8,   465,   466,   467,   468,   469,   470,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,     3,    -1,   461,   462,   463,     8,
     465,   466,   467,   468,   469,   470,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,    -1,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
       3,    -1,   461,   462,   463,     8,   465,   466,   467,   468,
     469,   470,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,    -1,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,     3,    -1,   461,   462,
     463,     8,   465,   466,   467,   468,   469,   470,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,    -1,   400,    -1,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,
     457,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
     467,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,    -1,   255,
     256,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,     3,     4,
       5,    -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,   455,
     456,   457,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,   467,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,     4,     5,    -1,    -1,    -1,     9,
     465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,     4,
       5,    -1,    -1,    -1,     9,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,     5,    -1,    -1,    -1,     9,
     465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,     9,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,   163,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,     4,     5,    -1,    -1,    -1,     9,
     465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
     160,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,   160,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
     160,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
     160,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
     270,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,   270,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
     270,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     455,   456,   457,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    -1,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    -1,    93,
      94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,
      -1,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
      -1,   175,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,    -1,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,    -1,   223,
      -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,    -1,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,    -1,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
      -1,   400,    -1,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,    -1,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    -1,    -1,
      -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
      -1,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,    -1,   400,    -1,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,    -1,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,    -1,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,    -1,   400,    -1,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,    -1,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,
     457,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,    -1,   255,
     256,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,    -1,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,    -1,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,
     456,   457,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,    -1,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,    -1,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     455,   456,   457,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,    -1,   222,   223,
     224,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,    -1,
      -1,   255,   256,   257,   258,    -1,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
      -1,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   455,   456,   457,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,    -1,   400,    -1,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,    -1,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   455,   456,   457,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,   147,   148,   149,    -1,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,    -1,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,    -1,   279,   280,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,    -1,   400,    -1,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,    -1,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   455,   456,   457,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,    -1,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,    -1,   400,
      -1,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,    -1,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   455,   456,   457,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    -1,    49,
      -1,    -1,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    -1,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,    -1,
      -1,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,    -1,   152,    -1,   154,   155,    -1,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,    -1,    -1,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,    -1,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
     250,   251,   252,    -1,    -1,   255,   256,   257,   258,    -1,
      -1,   261,    -1,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,   279,
     280,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,    -1,    -1,    -1,   397,   398,    -1,
     400,    -1,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,    -1,    -1,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    -1,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
      -1,    -1,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,    -1,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,    -1,
     199,   200,   201,   202,    -1,    -1,    -1,    -1,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,    -1,
      -1,   250,   251,   252,    -1,    -1,   255,   256,    -1,   258,
      -1,    -1,   261,    -1,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,
      -1,   280,    -1,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,    -1,
     359,   360,    -1,   362,   363,    -1,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,    -1,   381,   382,    -1,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,    -1,    -1,    -1,    -1,   397,   398,
      -1,   400,    -1,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,    -1,    -1,    -1,   427,    -1,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    55,    67,    69,    70,
      76,    78,    89,    91,   108,   111,   125,   127,   131,   137,
     145,   147,   153,   169,   186,   226,   227,   232,   244,   256,
     299,   313,   319,   320,   322,   327,   332,   335,   342,   348,
     349,   356,   360,   370,   383,   403,   413,   419,   424,   437,
     460,   474,   481,   482,   483,   484,   485,   491,   492,   494,
     495,   496,   497,   499,   503,   515,   520,   521,   524,   525,
     526,   549,   552,   553,   569,   613,   614,   617,   620,   621,
     622,   630,   636,   638,   640,   641,   644,   647,   648,   652,
     661,   665,   666,   667,   668,   671,   673,   674,   675,   676,
     684,   685,   705,   709,   711,   712,   713,   723,   725,   732,
     733,   736,   737,   738,   739,   740,   748,   750,   754,   759,
     763,   764,   772,   773,   776,   781,   794,   821,   824,   825,
     826,   831,   834,   836,   838,   840,   841,   846,   847,   850,
     851,   852,   856,   857,   860,   861,   864,   865,   866,   873,
     875,   876,   877,   882,   884,   885,   891,   892,   893,   894,
     895,   896,   897,   899,   900,   902,   903,   905,   908,   911,
     920,   926,   929,   931,   932,   941,   943,   948,   953,   957,
     958,   959,   960,   961,   962,   965,  1000,   397,   440,   878,
      25,    73,    88,   106,   112,   129,   140,   148,   160,   165,
     172,   191,   216,   237,   271,   294,   304,   305,   308,   334,
     337,   341,   343,   350,   353,   372,   378,   382,   383,   386,
     390,   400,   405,   417,   430,   637,   878,     3,    18,    19,
      20,    21,    22,    23,    24,    25,    27,    28,    29,    37,
      38,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    53,    54,    55,    56,    57,    58,    61,
      62,    63,    64,    65,    67,    68,    69,    70,    71,    73,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    85,
      86,    87,    88,    89,    90,    92,    93,    94,    95,    99,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   113,
     115,   116,   117,   118,   119,   120,   122,   123,   124,   125,
     128,   129,   130,   131,   132,   134,   135,   136,   138,   139,
     140,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     152,   154,   155,   156,   157,   159,   161,   162,   164,   165,
     166,   167,   168,   170,   171,   173,   174,   175,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   188,   189,
     190,   191,   192,   193,   194,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   206,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   220,   221,   222,   223,   224,
     226,   227,   228,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   255,   256,   257,   258,
     260,   261,   262,   263,   264,   265,   267,   268,   271,   272,
     273,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   293,   294,   295,
     296,   297,   298,   299,   300,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     350,   351,   352,   353,   354,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   381,   382,
     384,   385,   386,   387,   388,   389,   390,   392,   393,   394,
     397,   398,   399,   400,   401,   403,   404,   405,   406,   407,
     408,   409,   412,   413,   414,   415,   416,   419,   420,   421,
     422,   423,   424,   425,   427,   428,   429,   430,   431,   432,
     435,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,  1059,  1132,  1140,  1141,  1144,  1145,  1146,     3,    26,
     954,  1126,  1140,  1144,   428,   913,   269,   300,   878,    49,
     474,   560,    20,    25,    37,    60,    73,    84,   106,   112,
     129,   140,   148,   160,   168,   172,   228,   271,   274,   294,
     308,   334,   343,   353,   372,   378,   386,   387,   389,   390,
     400,   405,   411,   414,   417,   570,   619,   728,   782,   795,
      26,   299,  1126,   954,    26,   293,   351,   387,   389,     5,
     215,   832,   833,  1135,    20,    25,    37,    60,    73,    88,
     106,   129,   140,   148,   160,   165,   172,   191,   237,   271,
     284,   294,   305,   308,   334,   337,   341,   343,   350,   353,
     372,   378,   383,   386,   390,   398,   400,   405,   417,   430,
     637,   741,   742,   743,   878,  1126,    91,   428,   474,   614,
     617,   620,   911,   921,   929,   932,   941,   948,   953,   957,
       9,    19,    26,    44,   155,   161,   163,   187,   217,   251,
     302,   321,   465,   466,   760,   761,   954,  1134,  1136,    26,
      91,   317,   349,   765,   766,   767,  1140,   160,  1140,  1131,
    1135,   383,   968,   760,  1140,   397,  1126,   284,   237,   106,
     191,   343,   382,   383,   474,   842,   843,   342,  1140,    26,
     354,   393,   397,   507,   516,   517,  1140,    23,   169,   765,
     766,   300,   878,  1140,   214,    26,   126,   970,   971,    61,
      85,   228,   246,   334,   343,   354,   393,   397,   443,   504,
     505,   506,   507,    26,   354,   393,   397,   507,   397,   270,
    1011,  1124,  1140,   968,   467,  1140,   164,   474,   914,   474,
     315,   963,   964,  1126,   963,   958,   959,   962,     0,   477,
     474,   913,   141,   205,   275,   410,   972,   973,   958,   960,
     961,   117,   201,   416,   478,   811,  1132,   745,  1140,   745,
    1127,  1140,   303,   745,   400,  1126,   105,   383,   799,  1132,
    1140,  1146,     3,   102,   355,  1137,  1138,  1142,  1144,  1145,
    1146,    26,   181,  1124,   263,   430,     8,    15,    16,    17,
      68,   152,   461,   462,   463,   465,   466,   467,   468,   469,
     470,   828,   830,  1088,  1089,  1140,   181,  1126,   799,  1126,
      26,  1137,  1138,   799,  1126,  1126,   181,  1124,  1126,   745,
    1126,   327,   356,    26,   181,  1011,  1126,   346,  1126,   745,
      26,   235,  1137,  1138,   181,  1124,   215,   114,   211,   254,
     311,   879,   880,   881,   474,   472,   476,  1115,  1117,  1124,
    1130,  1140,    20,    25,    60,    73,    74,    84,    88,   106,
     129,   140,   148,   160,   165,   191,   216,   237,   271,   294,
     305,   308,   334,   337,   341,   343,   350,   353,   372,   378,
     383,   386,   390,   398,   400,   405,   430,   637,   751,   752,
    1135,   928,   932,   941,   948,   957,  1124,   239,  1132,  1126,
     474,   181,   745,   400,  1127,   745,   400,   181,  1126,   105,
     383,   387,   389,  1137,  1138,   387,   389,    68,   152,   828,
     325,  1126,  1126,  1137,   181,   500,  1140,   181,  1126,   181,
     745,  1126,  1126,   346,  1126,   745,   235,  1137,   315,   350,
     383,   430,   237,    88,   191,   165,   305,   341,   398,   404,
     631,    26,  1126,   955,   514,  1135,  1142,   833,   239,   181,
     811,   812,  1126,   181,   837,   181,  1127,     3,    48,    50,
      51,    63,    64,   109,   110,   130,   156,   181,   203,   204,
     206,   247,   249,   262,   312,   358,   364,   393,   394,   425,
     747,  1033,  1035,  1037,  1039,  1041,  1043,  1044,  1045,  1047,
    1048,  1049,  1051,  1052,  1141,  1144,   400,   105,   383,   181,
     798,   799,   181,  1138,  1139,    80,   430,    68,   152,   181,
     829,   830,    53,   181,   798,   181,  1139,   181,   798,   181,
    1126,   181,  1126,   346,   837,   181,   747,   181,   235,  1139,
     215,   181,   744,   745,   181,  1125,  1126,   181,  1126,   474,
     930,   570,   921,   424,   911,   922,   923,   924,  1142,   913,
    1136,   761,   762,    26,   762,  1136,   762,    26,   762,  1136,
     762,   762,   762,  1136,  1134,  1134,   954,   762,   303,   474,
     474,   590,   590,   590,   269,   395,   478,   590,   343,  1011,
    1012,   478,   874,  1135,   474,   927,    53,   430,   428,   844,
     845,  1124,  1126,  1140,    43,   457,   211,   476,   272,   272,
     269,   163,  1135,   395,   158,   755,   269,     4,     6,     7,
       8,    10,    34,    48,    50,    51,    59,    60,    63,    64,
      71,    73,    96,    97,    98,    99,   100,   101,   102,   109,
     110,   112,   146,   150,   151,   156,   171,   173,   203,   204,
     206,   221,   229,   230,   247,   249,   254,   259,   260,   262,
     271,   282,   295,   312,   339,   355,   364,   379,   393,   394,
     399,   401,   402,   411,   417,   425,   445,   446,   447,   448,
     450,   451,   452,   453,   458,   465,   466,   467,   474,   958,
    1036,  1039,  1042,  1043,  1044,  1046,  1047,  1048,  1051,  1052,
    1056,  1058,  1059,  1060,  1062,  1084,  1085,  1086,  1090,  1109,
    1114,  1121,  1122,  1132,  1133,  1134,  1135,  1140,  1120,  1121,
    1135,    26,   522,  1123,  1124,   354,   504,   112,   513,  1135,
     514,  1135,    43,    65,   504,   457,   365,   880,   272,   163,
     395,   463,    43,   457,   211,   881,   474,  1124,   467,  1117,
    1012,     3,   162,   164,   428,   906,   907,   911,   162,   915,
    1056,  1093,   963,   478,   474,   916,   475,   475,   483,   428,
     909,   910,   917,   918,   919,  1124,    26,   126,   969,   969,
      53,   969,   153,   158,   225,   266,   976,   978,   979,   994,
     996,   997,   998,   972,   973,   163,   207,  1011,  1013,   474,
     285,   323,   356,   474,   809,   285,   319,   323,   356,   476,
     746,   285,   323,   356,     3,    83,   135,   231,   285,   323,
     356,   386,   388,   437,   515,   518,   886,   887,   888,   889,
     777,    22,   131,   285,   323,   356,   421,   531,  1126,    22,
     131,   356,   416,   498,   441,   181,  1011,    56,    90,   120,
     149,   184,   220,   254,   285,   286,   323,   331,   340,   348,
     356,   368,   376,   432,   515,   519,   814,   822,   474,   796,
    1117,   323,   498,   187,   146,    22,    28,    41,    70,   120,
     124,   131,   134,   159,   193,   252,   254,   264,   273,   285,
     323,   326,   327,   356,   421,   527,   529,   530,   655,     4,
     465,   466,   628,  1136,    26,   181,  1124,   745,   745,   474,
     827,   285,   356,   476,   146,   269,   120,   285,   323,   356,
     822,    22,   131,   285,   323,   356,   187,   493,   323,   437,
     460,   486,   493,   120,   285,   323,   356,   822,   269,   285,
     323,   146,    35,    54,   104,   190,   238,   241,   252,   284,
     323,   328,   350,   356,   370,   527,   625,   626,   285,   323,
     429,   655,   663,   285,   323,   356,    83,   124,   134,   285,
     319,   323,   356,   517,   505,   507,   187,   146,    41,   122,
     323,   356,   527,   528,   285,   323,   327,   356,    81,   123,
     287,   388,   269,    22,    28,   131,   285,   323,   356,   550,
     551,   493,   158,   323,   486,   493,   146,   323,   356,   527,
    1126,   223,   114,   270,   442,   478,   879,    26,   126,   426,
     467,   475,   804,  1056,  1094,  1095,  1141,  1056,  1116,     3,
      26,    30,    31,    32,    33,    34,    35,    36,    39,    52,
      59,    60,    66,    72,    74,    84,    91,    96,    97,    98,
     100,   101,   102,   112,   114,   121,   126,   127,   133,   137,
     141,   151,   153,   158,   160,   163,   169,   172,   176,   187,
     195,   205,   207,   218,   219,   225,   229,   230,   254,   259,
     266,   269,   270,   274,   275,   292,   301,   317,   330,   349,
     355,   366,   380,   383,   391,   395,   396,   402,   410,   411,
     417,   418,   426,   433,   434,   436,   437,   467,  1129,  1143,
    1144,  1145,  1146,  1147,  1115,   418,   904,   269,   239,   811,
     474,  1126,  1033,   400,   105,   383,   799,   263,   430,    68,
     152,   830,  1126,   799,   799,  1126,   346,   158,  1126,  1033,
     215,   745,  1126,   475,   590,  1126,   474,   718,   809,    66,
    1033,   254,   163,   474,   714,  1126,   486,    35,   898,  1126,
     254,   486,   441,   181,  1124,   486,   745,   745,   714,   414,
     570,   269,   158,   858,   859,   486,   254,    43,   501,   254,
     405,   662,   254,   916,    83,   285,   639,    81,   123,   287,
     388,    24,    45,   202,   686,    35,   714,   158,   181,   486,
     430,   181,  1124,   181,   615,  1124,  1124,   430,   745,    80,
     783,  1132,  1132,  1126,   158,   637,    49,   103,   200,   252,
     345,   146,    57,   329,   478,   532,   532,   146,   474,   146,
     427,  1050,  1050,  1050,   474,  1038,  1038,   297,   474,  1040,
     146,    63,    64,  1050,  1038,  1035,   439,   460,   474,  1053,
     474,  1053,   478,   532,    34,  1034,   474,   107,   179,   240,
     243,   347,   455,   474,  1054,  1055,   746,  1038,   441,   146,
     478,   532,   146,   478,   181,   744,   181,   745,   181,   745,
     146,   478,   532,  1139,   146,   532,   146,   146,   532,   146,
     532,   146,    81,   123,   287,   388,   158,   146,   532,   146,
     158,   181,   181,   514,   146,   478,   532,   146,   478,   532,
     146,   269,  1093,   383,   475,   478,   151,   269,   402,   511,
     514,   628,   925,   921,   762,   954,   762,   954,   762,   954,
     762,   954,   762,   954,   954,   954,   762,   954,   474,   591,
     592,  1140,   591,    26,   106,   129,   160,   165,   215,   216,
     305,   337,   343,   350,   383,   386,   405,   768,  1123,  1139,
     767,  1126,   187,   478,   944,  1135,  1033,  1096,    35,  1139,
     783,   475,   478,   223,  1140,   158,   158,   768,  1139,   342,
    1140,   514,   269,   474,  1118,   472,   958,  1097,  1056,  1113,
     474,   474,   158,   474,   474,   958,   474,   474,   474,   474,
     474,   474,  1056,   474,   474,   474,   474,   474,   474,   474,
     474,   958,   474,   474,   474,   474,   474,   474,   474,   474,
    1056,  1056,  1056,   958,  1056,  1093,  1117,  1135,   474,  1135,
       3,     8,    11,    15,    16,    17,    32,    35,    40,    47,
      72,   182,   187,   209,   210,   224,   257,   271,   274,   361,
     458,   461,   462,   463,   465,   466,   467,   468,   469,   470,
    1088,  1090,  1092,   438,  1071,   281,  1056,   207,   478,   966,
     474,  1135,  1117,   966,   115,   183,   523,   478,    65,   112,
     514,    35,     3,   112,   228,   512,   628,  1052,  1135,  1135,
      86,   128,  1068,    95,   112,   508,   509,   511,   628,   112,
     508,   223,  1124,    87,   328,   749,   475,   478,   913,   475,
     478,   964,  1125,    35,   475,   478,   478,   916,   960,   960,
     974,   975,  1056,   960,   155,   251,   985,   213,   252,   311,
     359,   416,    26,   980,  1056,   465,   466,   981,   982,  1056,
    1058,   994,   995,   979,   978,   976,   977,   158,   997,   264,
     999,   976,   994,  1013,   933,  1124,    35,  1140,   356,  1093,
     395,   395,   343,   187,   198,   275,   278,   358,   426,   467,
     802,   803,   804,   806,   808,   810,  1033,  1141,   395,   429,
     395,   343,  1129,   476,   395,   395,   343,   225,   395,   395,
     386,   504,   285,   886,   888,   463,   890,   158,   169,   187,
     332,   778,   779,    66,    84,   142,   160,   301,   411,   587,
     588,    84,   112,   254,   395,    84,   395,   112,   254,   343,
      84,   124,   134,   285,   323,   710,   343,   645,    20,    25,
      60,    73,    88,   129,   140,   160,   165,   237,   271,   305,
     337,   343,   350,   353,   383,   390,   398,   405,   430,   637,
    1126,   146,   323,   356,   527,   269,   628,   269,   348,   220,
     395,  1140,   395,   259,   628,   116,   208,   343,   354,   397,
     506,   329,   356,   814,   823,   475,   797,   802,   395,   417,
     386,  1124,    74,   142,   181,   577,   587,  1140,    74,    84,
     848,   289,   269,   269,   339,   341,   400,    84,   848,    29,
     326,   339,   341,   400,   339,  1124,   159,   193,   264,   745,
     474,   395,   395,   180,   474,   536,   234,   386,   414,   437,
     439,   536,    84,   478,     4,     4,   285,   187,   146,   120,
     323,   356,   527,   418,   418,   253,  1033,   395,   343,   474,
     828,  1126,  1124,   269,   395,   395,   343,   823,   383,   383,
     395,   395,   383,   714,   106,   356,   518,   395,   488,   518,
     269,   395,   395,   343,   823,  1124,   395,   395,  1124,  1035,
     628,    53,   627,   628,   628,   104,   238,   241,    53,   395,
     486,   245,   343,   486,   252,   626,   395,   395,   259,  1135,
     655,   395,   395,   343,  1135,   395,   308,   395,   308,   714,
     386,  1011,   289,   289,    84,   395,   848,   343,   395,   395,
     536,   536,   745,   745,   745,   745,  1124,    42,   423,    42,
      42,   395,    42,   395,   423,   343,   478,   518,   417,   672,
    1138,   395,   488,   518,  1124,   395,   343,   285,   323,   311,
     324,   352,   510,   879,  1094,  1094,  1095,   475,    13,    14,
     478,   972,   973,   473,   479,  1130,  1140,  1124,   209,  1033,
     269,   209,   441,   209,   628,   745,   745,   209,   269,   209,
     209,   269,    81,   123,   287,   388,  1033,   269,   209,   209,
     209,   395,   437,   561,   405,     3,   719,   720,   714,   474,
      35,   146,   745,   715,   716,  1143,    24,   886,  1033,   269,
     146,   642,  1126,   254,   289,   474,   487,   728,   418,   315,
     430,  1124,    26,   383,   437,   818,   487,   146,  1138,    91,
     169,   502,   569,   621,   685,   763,   781,   882,   146,  1135,
     663,   664,   146,   269,  1135,  1138,   231,   745,   745,   745,
     745,   264,   117,   201,   403,   416,   687,   688,   138,   310,
     474,   672,   254,   487,  1124,   254,   623,   625,   254,    35,
     264,   289,   474,   590,   590,   181,   618,  1124,   158,   181,
     784,  1130,   474,   800,   800,    35,  1033,   215,   437,   439,
     956,   345,   812,   811,  1033,  1127,   474,  1093,  1134,   747,
    1050,  1050,    34,  1034,   393,   393,  1134,  1134,  1033,   472,
     472,  1134,   395,   395,   395,   474,   395,  1134,  1038,   798,
     799,  1139,  1138,   146,   532,   146,   418,   146,   418,   829,
     830,   532,   798,  1139,   798,  1126,  1126,  1033,   747,  1139,
     672,   146,   146,   532,   744,   745,  1125,  1126,  1126,   745,
     475,   181,  1124,   921,   923,   954,   954,   954,   954,   954,
     954,   591,   475,   478,   475,   166,   306,   338,   351,   384,
    1125,   744,   105,   353,   798,  1125,   263,   798,   798,  1125,
    1123,  1123,  1125,   744,   395,   437,   774,   141,   225,   669,
     670,    20,   144,   339,   359,   945,  1011,   258,   946,   475,
     478,   928,   395,  1124,   842,   843,   845,   766,   765,   766,
     163,   170,   775,  1140,    25,    74,   106,   129,   140,   160,
     165,   216,   237,   305,   308,   334,   337,   343,   350,   378,
     383,   386,   405,   430,   637,   756,   757,  1093,  1115,   473,
    1093,  1097,  1098,   433,  1110,  1111,  1056,  1093,   474,  1134,
    1134,     3,   107,   179,   240,   243,   347,   455,  1099,  1100,
    1135,  1093,  1093,  1093,  1134,  1134,  1056,   828,  1056,  1101,
     339,   465,   466,   474,  1057,  1058,  1090,  1103,   475,  1093,
    1056,  1093,  1104,  1056,    52,   163,   219,   396,  1056,  1093,
    1107,  1093,   245,  1058,  1056,  1066,  1067,  1068,   245,  1056,
    1068,   475,   478,  1134,  1054,  1033,  1056,  1056,  1056,  1056,
    1143,   393,    39,   380,  1119,   745,  1056,   474,   958,  1108,
     126,   128,   151,   254,   259,   264,   402,   412,  1056,   474,
    1056,   395,    47,   182,   187,   224,   361,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,    26,    33,   366,
    1087,   172,   154,  1072,   339,   474,  1084,   168,   228,   383,
     387,   389,   414,   967,  1124,  1122,   163,  1001,  1094,  1001,
    1124,   397,   474,  1135,   478,   475,   180,   180,   532,   919,
     907,   911,   912,  1056,   475,   474,   919,   910,   917,   478,
      36,   121,   418,   792,   339,   340,   465,   466,   982,   984,
    1058,   359,   213,   270,   478,     4,   983,  1134,   983,   339,
     340,   984,  1123,   258,   363,   947,   995,   977,   418,   942,
     112,   283,   474,   934,   957,    35,  1140,   474,   949,   950,
     951,  1140,   475,  1138,  1126,  1126,   278,    53,  1141,   475,
     804,   806,   803,   806,  1141,   275,   475,   478,   746,  1138,
    1126,  1126,  1129,  1138,  1126,  1126,  1138,  1127,  1126,   112,
     511,  1136,   334,   417,   765,   343,   169,   765,   474,  1126,
     418,   785,   213,   213,   418,   474,   612,   181,  1126,   259,
    1138,  1126,  1126,  1056,   259,  1126,  1126,    29,   326,   395,
     395,  1126,   395,   646,   239,   811,   474,   745,   745,  1033,
     400,   105,   383,   799,   430,    68,   152,   830,   799,   799,
    1126,   745,  1126,   745,   346,   158,  1033,   745,   215,   175,
     252,   285,   323,   422,   649,   650,   651,  1011,   395,   848,
     343,   259,   148,   116,   208,  1138,  1126,   269,  1126,   475,
     478,  1137,  1139,  1126,   323,   527,   181,   577,   254,  1033,
    1126,  1134,  1140,  1124,  1126,   148,   223,  1126,    26,   417,
    1126,   181,  1126,   181,  1140,   341,   400,   341,   400,   223,
    1126,    26,   417,  1126,   223,   339,  1124,    22,   131,   356,
     656,   657,   658,   659,  1143,  1138,  1126,   112,   164,   255,
     418,   535,   538,   539,  1143,  1126,   267,    70,   267,  1126,
     530,   395,   386,  1124,   269,   395,   848,   343,  1128,  1140,
    1128,   478,   475,   478,  1138,  1126,   853,   854,  1143,   269,
     323,   395,   680,   148,  1138,  1126,  1126,  1012,  1012,  1138,
    1126,  1012,  1127,  1137,     3,    83,   136,   193,   291,   409,
     417,   420,   489,   148,  1138,  1126,  1126,   323,  1138,  1126,
     323,   356,   527,   625,   628,   745,  1126,   628,   745,  1126,
     628,  1138,  1126,  1138,  1126,  1126,  1138,   818,  1126,   862,
     863,  1143,  1126,   323,   356,   527,   528,  1124,  1124,  1126,
    1126,  1126,  1126,  1138,  1126,    22,    28,   131,   285,   323,
     356,   285,   323,   356,   714,   323,   356,   323,   356,   120,
     323,  1025,  1140,   181,   724,  1140,   181,  1140,  1138,  1126,
    1126,  1135,  1126,    22,   551,   353,  1137,   323,   356,   527,
    1126,  1126,   395,   395,    79,   408,   311,   478,   972,   972,
     972,  1056,  1056,   426,  1095,   475,  1056,  1116,   259,   753,
    1135,    35,   129,   745,   753,   753,   209,   418,   418,   753,
     745,   753,   753,   745,   215,   745,   753,   753,   753,   307,
     555,   267,   163,   395,   554,   191,   463,   475,   478,  1056,
    1033,   745,   475,   478,   463,   687,   579,  1143,  1126,    57,
     163,   343,   429,   643,   650,   651,   146,   264,   224,   571,
     573,   575,   577,   584,   587,    23,   187,   334,   381,   489,
     490,   158,  1128,   430,  1124,    35,   681,   384,  1012,   714,
     500,  1140,   501,   274,   570,  1126,   160,   745,  1093,   308,
    1135,   714,   714,   714,   714,   264,   269,   274,   474,   714,
    1023,  1024,  1025,   353,   146,   474,   146,   146,   145,   957,
     745,   264,   571,  1140,   437,   439,   608,   437,   537,   254,
      35,   590,  1135,   254,   269,   475,   801,   802,   807,    35,
     215,   331,   398,   436,   813,   814,   815,   813,   269,   215,
     514,   178,   178,   158,   532,    35,  1093,   475,   475,   532,
     472,   457,   457,   475,   475,  1134,   473,  1134,   475,   179,
     240,  1055,   240,  1055,  1055,  1134,   243,   475,   532,   744,
     745,  1128,   745,  1128,   532,   532,   532,   532,   215,   532,
     353,   158,   514,   532,   532,   269,   532,   254,   475,   592,
     187,   187,   187,   187,   187,   441,  1125,   628,   629,   172,
     769,   770,  1138,    23,   775,   395,   474,   163,   144,   359,
     144,   359,   339,   416,   242,  1033,  1138,   437,   616,  1124,
    1126,   163,   269,   769,    53,   532,   811,  1033,   400,   383,
     799,   263,   430,   799,   799,  1033,   215,   745,  1126,   475,
     473,   473,   478,  1056,   133,  1111,  1112,    35,   475,  1056,
     475,   475,   475,   163,   475,   475,   475,   475,   475,   478,
     475,   292,  1102,   475,   474,  1057,  1057,  1093,    11,    15,
      16,    17,   187,   209,   271,   461,   462,   463,   465,   466,
     467,   468,   469,   470,  1090,  1057,   475,   475,   158,   163,
    1105,  1106,   475,    35,  1107,  1093,  1107,  1107,   163,   475,
     475,  1143,   290,  1070,    35,   475,   478,  1056,  1143,   478,
    1056,  1118,  1056,   475,   457,  1057,  1057,   139,  1093,   163,
     126,   128,   151,   259,   264,   402,   412,   474,   139,   828,
    1056,   380,  1119,  1056,  1108,  1056,   395,   474,   958,   474,
     474,   280,  1076,   474,  1093,   387,   389,   387,   389,  1124,
     968,   968,   968,   218,   340,   454,   474,   958,  1002,  1003,
    1004,  1011,  1016,  1026,  1059,  1061,  1062,  1140,   434,  1021,
     972,  1021,   880,  1134,  1054,   509,   919,   928,   975,   271,
    1088,  1091,   459,   793,     4,  1134,   984,   270,   416,   981,
     233,  1002,   434,  1022,   424,   382,   417,   935,   936,   937,
    1140,   269,   938,  1140,   951,   952,   478,  1001,   463,  1118,
     810,   746,   806,   806,    53,   808,   469,  1139,  1139,   269,
    1125,   272,   269,  1056,   588,  1128,   474,   474,   474,   612,
     191,   591,   703,   146,   532,   395,  1138,  1126,   514,  1126,
    1033,  1126,   441,   745,   745,   745,   745,    81,   123,   287,
     388,  1033,  1126,   632,  1126,   175,   422,   395,   395,   632,
     649,   655,   323,   356,   527,  1126,  1126,  1126,   199,  1126,
     259,   802,   284,   356,   395,   254,   146,   273,   653,   703,
     356,    22,   131,   327,   328,   356,   531,   540,   541,   655,
     849,  1126,   348,   146,   532,   146,   532,  1126,  1126,  1126,
    1126,   348,   348,   223,   658,   659,   658,   475,   478,   660,
    1135,   191,   475,   478,   463,   476,  1138,  1126,   323,   356,
     527,   148,  1126,  1126,  1126,   285,   323,   356,    22,   131,
     285,   323,   356,  1033,   253,  1033,   475,   478,   463,  1124,
     395,  1139,   418,   677,  1126,   225,   291,   259,  1135,   291,
    1139,   415,  1126,   395,   395,   343,   478,   818,   284,   356,
      84,   395,   848,   343,   112,   158,   542,   395,   395,   235,
     235,   235,   395,   395,   343,   395,   395,   343,   395,   343,
     395,   343,   269,   395,   532,  1033,   254,  1135,   356,   849,
     146,   532,   395,   395,  1126,   395,   343,  1138,  1126,   475,
     475,   475,  1095,   473,  1033,   745,   209,   753,  1128,  1128,
     209,   209,  1126,   209,   373,   374,   556,  1135,   555,   175,
     253,   271,   465,   466,   628,   717,   806,  1091,  1135,  1147,
       3,   720,   475,   475,   163,   714,   716,   717,   269,    66,
      72,    84,   112,   114,   167,   195,   254,   259,   301,   317,
     411,   580,   581,   583,   145,   433,   486,   514,  1126,   514,
     653,  1124,  1124,  1124,   475,   478,  1139,   172,   334,  1139,
    1134,   405,  1124,   590,     3,   158,   682,    43,   501,   325,
     383,   662,   105,   916,   163,   862,   537,   591,  1124,   688,
     721,   722,  1135,   475,   478,  1126,   158,   591,  1124,   615,
    1124,  1126,   616,   474,   572,  1124,   475,   267,   536,   267,
     269,   609,   536,    35,   146,   957,   537,   395,   146,  1011,
     475,   478,   112,   463,   816,  1135,   514,   383,   805,   806,
     158,   817,   815,   117,   201,   349,   416,   871,  1126,   175,
     957,  1033,   475,  1134,  1053,  1053,   473,   473,   475,   532,
     418,   532,   418,   532,  1126,  1126,   672,   532,   745,   146,
     343,   343,   343,   343,   343,  1125,   478,  1138,   437,   478,
     771,   272,  1012,   353,   144,   144,   105,   252,  1139,   768,
     532,  1138,   209,   209,   209,   628,   209,   209,   209,   209,
     209,  1097,   391,  1056,   137,  1033,   475,  1056,  1056,  1056,
    1105,   475,  1093,   478,  1033,  1057,  1057,  1057,  1057,   126,
     128,   254,   264,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1056,  1056,  1106,  1105,  1033,   475,   475,
     475,  1093,   475,   478,    53,  1058,   475,  1143,  1067,   298,
     377,  1069,   475,   478,   429,  1063,    35,   475,  1135,  1056,
      32,    32,  1056,   475,  1056,   163,   474,  1096,  1056,   475,
     139,  1057,  1057,   139,   139,  1056,  1056,   973,   434,   474,
    1077,  1140,   475,  1093,   478,   968,   968,   968,   968,  1124,
    1124,  1124,   958,  1016,  1026,   163,   474,   958,  1003,  1004,
      35,  1005,  1006,  1140,   478,    92,   164,   197,   212,   222,
     248,   333,  1008,  1006,    35,  1005,  1007,  1140,  1006,   460,
    1020,  1117,  1056,   172,   986,   475,   986,   475,   475,   474,
     793,   155,   217,   270,    95,  1056,   330,   940,   423,   475,
     478,  1118,    82,   940,   475,   478,   950,  1022,  1056,   475,
     469,   810,   405,   166,   338,   344,   351,   384,   406,   780,
     158,   780,   475,   474,   595,   596,   787,  1061,  1140,   591,
     591,   703,  1130,   475,   114,   195,   252,   254,   704,  1126,
    1126,    35,  1126,   418,   418,   745,   745,   745,   745,   215,
     746,  1138,  1126,   395,   848,   343,   395,   199,    53,   386,
    1126,   146,   577,   474,   579,   372,   167,   180,   254,   536,
     486,   105,   167,   254,   372,   375,   536,   626,   356,   541,
     405,  1126,  1140,   348,   657,  1126,   539,   717,  1143,   284,
     356,   395,   848,   343,  1126,   395,   395,   395,   343,   165,
     271,   375,   726,   727,   165,   271,   734,   735,   395,   395,
     343,   475,   475,   475,   854,   253,   628,   806,   855,  1091,
    1135,  1147,   323,  1126,   474,   437,   678,  1136,  1135,  1135,
    1135,  1126,  1126,  1126,   863,    53,   386,  1126,  1126,  1126,
    1126,   424,  1126,  1126,   158,   158,   325,   158,   181,  1138,
    1126,  1126,  1138,  1126,  1126,  1126,  1126,  1126,  1126,   148,
    1126,    72,   533,   146,    24,    45,   405,  1140,  1126,  1135,
     655,  1126,  1126,   972,   475,   209,   753,   209,   209,   753,
     753,   209,   753,   486,   556,   632,   703,   437,   439,   745,
    1124,   474,   745,  1126,  1057,    29,    53,   582,   115,   183,
     114,   259,   213,  1124,   818,   305,   706,   707,  1140,   642,
     289,   474,   572,   585,   194,   602,   575,  1139,  1139,  1033,
     474,   537,    26,   117,   201,   349,   416,   683,   395,   679,
    1138,   181,  1124,   664,   441,   269,  1002,   818,   318,   689,
     475,   478,  1025,   653,   672,   475,   623,    35,   264,   289,
     474,   930,   574,   576,   578,   587,  1140,   289,   603,   604,
     572,   602,    78,   386,   610,   957,   618,   616,   610,  1135,
    1130,   785,   807,  1056,  1056,   478,   474,   813,   405,   478,
     395,   474,   632,   475,   473,  1128,  1128,   532,   353,   532,
    1125,  1125,  1125,  1125,  1125,   628,   169,   770,   475,  1126,
     105,   775,   163,   259,   758,  1135,   758,   758,   209,   758,
     758,   758,   758,   758,  1056,   475,   475,  1106,   475,  1056,
     163,   126,   128,   264,   474,   475,   444,  1065,  1093,   316,
      53,   435,   435,   475,  1056,   252,  1056,   478,  1064,  1035,
    1056,  1056,  1056,  1096,   475,  1056,    32,    32,  1056,  1056,
     139,   475,   475,  1056,  1078,  1140,   475,  1056,  1124,  1124,
    1124,  1124,  1006,  1007,  1006,   474,   449,  1058,   475,  1140,
     474,  1003,   212,   279,  1009,  1003,  1009,   212,  1008,  1009,
     212,   385,  1014,   474,  1140,   474,   276,    53,   176,   993,
    1135,   993,  1135,   828,   264,  1121,   957,   283,   957,   937,
     269,   474,   939,   463,   951,   940,   405,   475,   395,   765,
     163,   703,  1056,   475,   478,   437,    72,   790,   790,   475,
     475,   188,   593,   115,   183,   193,   114,   420,   532,  1033,
    1128,  1128,  1126,  1126,  1126,  1126,  1126,  1139,  1126,   577,
     654,   658,  1136,   582,   181,   259,   628,   582,   259,  1136,
    1140,  1033,   532,   532,   463,    53,   386,  1126,  1126,  1126,
    1126,  1138,  1126,  1126,  1134,  1134,  1033,   478,  1134,  1134,
     478,  1138,  1126,  1126,   395,  1056,    66,  1139,  1126,   395,
     395,   163,   187,   437,  1125,  1125,   745,  1125,   146,  1126,
     745,  1135,  1135,  1033,   532,   532,   475,   209,   753,   753,
     753,   753,   474,   557,   558,   418,   562,   563,   165,   198,
     165,   163,   702,  1056,   254,   581,   112,    35,   818,   590,
     418,   611,  1132,    32,   145,   187,   264,   571,   542,   143,
     189,   474,   353,   418,   591,    35,  1139,   677,   501,   254,
     474,   160,  1126,  1093,   250,   268,   690,   691,   692,   158,
     695,  1135,   353,   537,   957,   745,   264,   571,   616,   475,
     478,   437,   579,    53,   608,   542,   603,   117,   131,   298,
    1126,   437,   883,    35,   163,   269,   474,  1135,   804,   819,
     820,  1141,  1033,   158,  1124,   163,   395,   839,   196,   633,
     532,   532,   532,  1126,   272,   207,   532,   769,   758,   475,
    1057,   163,   474,  1096,   474,   475,   478,   475,  1058,   316,
     475,   423,   369,   475,   475,   475,  1056,  1056,  1056,   475,
     289,  1079,   475,  1017,  1018,  1061,   474,  1070,  1005,   474,
    1125,  1003,   269,   418,  1010,  1003,   212,  1003,  1132,  1024,
     474,  1024,  1140,    94,   173,   336,   474,   987,   988,   989,
     990,   991,   992,  1056,  1056,   436,  1073,  1073,   475,   954,
     935,    84,   786,   787,   127,  1056,   769,   269,   769,   475,
     593,   596,   271,   828,   745,   745,   791,   791,   317,   593,
     474,   818,   475,   395,   356,   946,   475,   478,    35,   146,
     533,   717,  1139,  1126,   395,   474,   799,   828,   830,   727,
     474,   474,   735,  1126,   475,   474,   356,   946,  1126,  1126,
     474,   474,   474,   437,   460,   901,   325,   901,   901,   158,
     533,   753,   564,   565,  1143,    49,    93,   118,   135,   139,
     159,   162,   177,   259,   267,   309,   559,   486,   119,   799,
      35,   835,   835,  1124,   703,   475,   180,   611,   236,   594,
     191,   474,   707,   305,   474,  1124,   475,   353,    26,    77,
      85,   113,   180,   192,   372,   375,   586,   586,  1123,  1126,
    1128,   475,   957,   678,   146,   105,   653,   163,   691,   339,
     383,   693,   132,   696,   433,   698,  1126,    35,   616,   572,
    1124,   475,   576,   273,     3,   605,  1144,   609,   603,   608,
     340,   340,    58,    66,   228,   957,   745,  1011,   786,   806,
     475,   478,   405,  1021,   367,   367,   475,   632,   252,   422,
     634,   635,  1126,   532,  1057,  1096,   475,  1066,  1093,    53,
     252,   456,    53,   972,   475,   478,    35,  1019,   112,  1031,
    1032,  1057,    75,  1125,   475,  1056,   474,  1003,  1010,   474,
     475,  1024,   475,   474,   357,   474,   475,   478,  1074,  1075,
    1140,   423,  1126,   475,   478,   255,   416,   771,   780,   532,
     790,   818,   474,   792,   792,  1124,   818,   591,   611,  1126,
     386,   658,   180,   418,   534,   356,   946,  1126,  1096,   158,
     730,   730,  1096,  1096,  1056,   386,   151,   238,   241,   259,
     402,   545,   547,   548,   628,  1135,   545,   546,   543,   544,
    1142,   744,   745,   744,   745,  1125,   532,   475,   478,   467,
     474,   511,   566,   628,   898,  1135,   898,   254,   259,   309,
     898,   898,   557,  1135,   835,    38,   185,   158,   252,   589,
     474,   624,   164,   288,   362,   269,   598,   599,   600,   386,
     475,  1132,     5,   708,   572,   602,  1126,   475,   653,   152,
     729,   537,   883,  1124,   441,  1002,   898,   339,   371,   697,
     474,   145,   653,   957,   603,   572,   602,   579,   474,   610,
     608,   609,    66,   272,    66,   616,   785,   475,   813,   819,
    1033,   127,   437,   437,   422,   632,   653,   475,   475,   475,
     316,   423,  1093,   174,   310,   340,  1080,  1020,  1017,   474,
    1057,   475,   478,    35,  1027,  1028,  1140,   475,  1125,  1093,
     475,  1093,   474,  1093,   988,   478,    35,   957,  1021,   787,
     356,   163,   791,   611,   828,   793,   793,   590,   611,   475,
     703,  1126,   624,  1056,   386,   475,   275,   346,   314,   731,
     731,   475,   475,   475,  1126,   475,   478,   475,   478,   475,
     478,  1134,   901,   565,   511,   567,   568,  1135,  1135,   259,
     591,   467,   591,  1135,  1135,   132,   193,   625,   117,   416,
     269,   600,   269,   599,  1126,   474,   475,   478,   542,   353,
     653,   745,    35,    35,   474,  1126,   694,  1140,  1056,   165,
     305,   699,   883,   608,   542,   603,   474,   606,   607,  1061,
    1140,   609,   610,   272,   272,   474,   188,   788,    27,   202,
     872,   165,   165,    47,    95,   407,  1056,  1081,  1082,  1081,
    1081,   475,  1024,   478,  1032,  1143,   475,   478,   158,  1033,
     475,   475,   475,   987,   475,  1075,  1077,   949,   769,   792,
     434,   597,   475,   594,   703,   946,  1126,   799,    53,   946,
     395,   548,   545,   543,   745,   475,   478,   591,   339,   475,
      57,   252,   329,   356,   601,   601,   475,     5,   353,  1126,
     726,   957,   653,   475,  1132,   609,   603,   608,  1056,   475,
     478,   790,   790,   610,   786,   474,   537,   255,   474,   867,
     869,   873,   932,   941,   948,   957,   799,   799,  1082,   339,
     157,   296,   157,   296,   142,  1083,  1083,  1083,   475,  1058,
    1028,   276,     3,   112,   254,   259,  1029,  1030,   324,  1015,
     475,  1021,   532,   793,   474,   703,   598,   946,   745,   474,
     568,   698,    21,   112,   259,  1126,   653,   883,   474,   610,
     608,   609,   475,   607,   791,   791,   475,   787,   789,   610,
     868,   869,   870,   958,   959,   478,   478,    32,    95,   172,
     252,   392,  1070,  1057,  1057,   259,  1030,   474,  1056,   703,
     547,   145,   653,     4,   700,   701,  1134,  1135,  1143,   609,
     610,   790,   788,   475,   478,  1021,   475,   477,   395,   163,
    1082,   339,   277,    75,  1056,   475,   475,   699,   475,   478,
     610,   791,   537,   787,   870,   367,   367,  1027,   475,  1132,
     701,   610,   437,   437,   475,   474,  1021,   165,   165,   700,
     799,   799,   475
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   480,   481,   482,   482,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     484,   485,   486,   486,   486,   487,   487,   488,   488,   489,
     489,   489,   489,   489,   489,   489,   489,   489,   490,   490,
     490,   490,   490,   490,   491,   492,   492,   493,   493,   494,
     494,   494,   494,   495,   495,   495,   495,   495,   495,   496,
     497,   498,   498,   499,   499,   499,   499,   500,   500,   501,
     501,   502,   502,   502,   502,   502,   502,   503,   503,   503,
     504,   504,   504,   505,   505,   505,   505,   506,   506,   506,
     506,   506,   506,   506,   506,   506,   506,   506,   507,   507,
     508,   508,   509,   509,   510,   510,   510,   510,   511,   511,
     511,   511,   512,   512,   512,   512,   512,   512,   512,   513,
     513,   513,   514,   514,   515,   516,   516,   516,   516,   517,
     517,   518,   518,   519,   519,   520,   520,   520,   520,   520,
     521,   522,   522,   523,   523,   524,   525,   525,   525,   525,
     525,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     527,   527,   528,   528,   529,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   531,   531,   532,   532,   532,   533,   533,   534,
     534,   535,   535,   535,   535,   536,   537,   537,   538,   538,
     539,   539,   539,   539,   540,   540,   541,   541,   541,   541,
     542,   542,   542,   542,   543,   544,   544,   545,   545,   545,
     545,   545,   546,   546,   547,   547,   548,   548,   548,   549,
     550,   550,   551,   551,   551,   551,   552,   552,   553,   553,
     554,   554,   555,   555,   556,   556,   556,   557,   557,   558,
     558,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   560,   560,   561,   561,   562,
     562,   563,   563,   564,   564,   565,   566,   566,   566,   566,
     566,   567,   567,   568,   569,   569,   569,   569,   569,   569,
     570,   570,   570,   570,   570,   570,   570,   570,   571,   571,
     572,   572,   573,   573,   574,   574,   575,   575,   575,   576,
     576,   577,   578,   578,   579,   579,   580,   580,   580,   580,
     581,   581,   581,   581,   581,   581,   581,   581,   582,   582,
     583,   583,   583,   583,   584,   585,   585,   585,   586,   586,
     586,   586,   586,   586,   586,   586,   587,   587,   588,   588,
     588,   588,   588,   588,   588,   589,   589,   590,   590,   591,
     591,   592,   593,   593,   594,   594,   594,   594,   595,   595,
     596,   596,   597,   597,   598,   598,   598,   598,   598,   599,
     600,   601,   601,   601,   601,   601,   602,   602,   603,   603,
     604,   605,   605,   606,   606,   607,   607,   607,   608,   608,
     608,   608,   609,   609,   609,   609,   610,   610,   611,   611,
     612,   613,   613,   614,   614,   615,   616,   616,   616,   617,
     617,   618,   619,   619,   620,   621,   621,   622,   622,   623,
     623,   624,   624,   625,   625,   626,   626,   626,   626,   626,
     626,   626,   626,   626,   626,   626,   626,   626,   626,   627,
     627,   628,   628,   628,   628,   629,   629,   630,   630,   631,
     631,   632,   632,   633,   633,   634,   634,   635,   635,   636,
     636,   637,   637,   638,   639,   639,   640,   640,   641,   641,
     642,   642,   643,   643,   643,   643,   644,   645,   645,   646,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   648,   649,
     649,   649,   649,   650,   650,   651,   651,   652,   652,   653,
     653,   654,   654,   655,   656,   656,   657,   657,   657,   657,
     658,   659,   660,   661,   661,   662,   662,   663,   663,   664,
     664,   665,   665,   665,   666,   666,   666,   666,   667,   667,
     668,   669,   669,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   675,   676,   677,   677,   678,   678,   679,   679,
     680,   680,   681,   681,   682,   682,   683,   683,   683,   683,
     683,   684,   685,   685,   686,   686,   686,   687,   687,   688,
     688,   688,   688,   688,   689,   689,   690,   690,   691,   692,
     692,   693,   693,   694,   695,   695,   696,   696,   697,   697,
     698,   698,   699,   699,   700,   700,   700,   701,   701,   701,
     701,   702,   702,   703,   703,   704,   704,   704,   704,   704,
     704,   705,   705,   706,   706,   707,   708,   708,   709,   710,
     710,   710,   710,   711,   712,   713,   713,   713,   713,   713,
     713,   713,   713,   713,   713,   713,   713,   713,   713,   713,
     713,   714,   715,   715,   716,   716,   717,   717,   717,   717,
     717,   717,   718,   719,   719,   720,   721,   721,   722,   722,
     723,   723,   723,   723,   724,   724,   725,   726,   726,   727,
     727,   727,   727,   727,   728,   728,   729,   729,   730,   730,
     730,   731,   731,   732,   733,   733,   734,   734,   735,   735,
     736,   736,   737,   737,   738,   739,   740,   740,   740,   740,
     740,   740,   740,   740,   740,   740,   740,   740,   741,   741,
     741,   741,   741,   741,   741,   741,   741,   741,   741,   741,
     741,   742,   742,   742,   742,   742,   742,   742,   743,   743,
     743,   744,   744,   745,   745,   746,   746,   747,   747,   748,
     749,   749,   749,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   752,   752,   752,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   753,   753,
     754,   754,   754,   754,   754,   754,   754,   754,   754,   755,
     755,   756,   756,   756,   756,   756,   756,   757,   757,   757,
     757,   757,   757,   757,   757,   758,   758,   759,   759,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   761,   761,   762,   762,   763,
     764,   764,   765,   765,   765,   765,   765,   766,   766,   767,
     767,   767,   767,   768,   768,   768,   768,   768,   768,   768,
     768,   768,   768,   768,   768,   768,   768,   768,   768,   768,
     768,   768,   768,   769,   769,   770,   770,   771,   771,   772,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   778,
     778,   778,   779,   779,   779,   780,   780,   780,   780,   780,
     780,   781,   781,   782,   782,   783,   783,   784,   784,   785,
     785,   786,   786,   787,   787,   787,   788,   788,   789,   789,
     790,   790,   791,   791,   792,   792,   792,   793,   793,   793,
     794,   794,   794,   794,   795,   795,   796,   796,   797,   797,
     798,   798,   799,   799,   799,   799,   800,   800,   801,   801,
     802,   802,   802,   802,   802,   803,   803,   803,   803,   803,
     804,   805,   806,   806,   806,   807,   807,   807,   808,   809,
     809,   809,   809,   810,   810,   811,   812,   812,   813,   813,
     814,   814,   814,   814,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   814,   815,   815,   815,   815,
     815,   816,   816,   817,   817,   818,   818,   819,   820,   820,
     821,   821,   821,   822,   822,   823,   823,   824,   824,   824,
     824,   824,   824,   825,   825,   826,   826,   827,   827,   827,
     827,   828,   828,   829,   829,   830,   831,   832,   832,   833,
     833,   834,   834,   834,   835,   835,   835,   836,   837,   837,
     838,   839,   839,   839,   839,   840,   841,   841,   841,   841,
     842,   842,   843,   843,   843,   844,   844,   845,   846,   846,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   848,   848,   849,   849,   850,   850,   850,
     850,   850,   850,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   851,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   851,   851,   851,   851,   851,   851,   851,   851,
     852,   853,   853,   854,   854,   855,   855,   855,   855,   855,
     856,   856,   856,   856,   856,   856,   856,   856,   856,   856,
     856,   856,   856,   856,   856,   856,   856,   856,   856,   856,
     856,   856,   856,   856,   857,   858,   858,   859,   859,   860,
     860,   860,   860,   861,   862,   862,   863,   864,   864,   864,
     864,   864,   864,   865,   865,   866,   867,   867,   867,   868,
     868,   869,   869,   869,   869,   869,   870,   870,   871,   871,
     871,   871,   872,   872,   872,   873,   874,   874,   875,   876,
     876,   877,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   878,   878,   878,   879,   879,
     879,   879,   879,   880,   880,   880,   881,   881,   882,   882,
     882,   882,   883,   883,   883,   883,   884,   885,   886,   886,
     887,   887,   888,   888,   888,   889,   889,   889,   889,   889,
     889,   889,   890,   890,   891,   891,   891,   892,   893,   893,
     894,   895,   895,   896,   897,   897,   897,   897,   897,   897,
     897,   898,   898,   899,   900,   900,   900,   900,   900,   900,
     901,   901,   902,   903,   903,   903,   904,   904,   905,   905,
     906,   906,   907,   907,   907,   907,   907,   908,   908,   909,
     909,   910,   911,   911,   912,   912,   913,   913,   914,   914,
     915,   915,   916,   916,   917,   918,   918,   919,   919,   920,
     920,   920,   920,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   922,   922,   923,   924,   924,   925,   925,   925,
     926,   927,   927,   928,   928,   928,   928,   929,   929,   930,
     930,   931,   931,   931,   931,   932,   933,   933,   934,   934,
     934,   934,   934,   935,   935,   936,   936,   937,   938,   938,
     938,   939,   939,   939,   940,   940,   941,   942,   942,   943,
     944,   944,   945,   945,   945,   945,   945,   945,   945,   945,
     946,   946,   947,   947,   947,   948,   949,   949,   950,   950,
     951,   952,   952,   953,   954,   955,   955,   955,   955,   955,
     956,   956,   956,   957,   957,   958,   958,   959,   959,   959,
     959,   959,   959,   959,   959,   960,   960,   961,   961,   961,
     961,   961,   961,   961,   962,   962,   962,   963,   963,   964,
     965,   965,   966,   966,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   968,   968,   969,   969,   969,   970,   970,
     971,   971,   972,   972,   973,   974,   974,   975,   975,   976,
     976,   976,   976,   977,   977,   978,   978,   978,   978,   979,
     979,   980,   980,   981,   982,   982,   982,   983,   983,   984,
     984,   985,   985,   986,   986,   987,   987,   988,   988,   988,
     988,   988,   989,   990,   991,   992,   993,   993,   994,   994,
     995,   995,   996,   996,   997,   998,   998,   998,   998,   999,
     999,  1000,  1000,  1001,  1001,  1002,  1002,  1003,  1003,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1004,  1004,  1004,
    1004,  1004,  1004,  1005,  1005,  1005,  1005,  1006,  1006,  1007,
    1007,  1007,  1007,  1007,  1008,  1008,  1008,  1008,  1009,  1009,
    1010,  1010,  1011,  1011,  1011,  1011,  1012,  1012,  1013,  1013,
    1013,  1014,  1015,  1015,  1016,  1016,  1017,  1018,  1018,  1019,
    1019,  1020,  1020,  1021,  1021,  1022,  1022,  1022,  1023,  1023,
    1024,  1024,  1025,  1026,  1026,  1027,  1027,  1028,  1028,  1028,
    1029,  1029,  1030,  1030,  1030,  1030,  1031,  1031,  1032,  1032,
    1033,  1033,  1033,  1033,  1033,  1033,  1034,  1034,  1034,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1036,  1036,  1036,  1036,
    1037,  1037,  1038,  1038,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1040,  1040,  1041,  1041,  1042,
    1042,  1043,  1044,  1045,  1045,  1046,  1046,  1047,  1048,  1049,
    1049,  1049,  1049,  1049,  1049,  1050,  1050,  1051,  1051,  1051,
    1051,  1052,  1053,  1053,  1053,  1054,  1054,  1054,  1054,  1054,
    1054,  1054,  1054,  1054,  1054,  1054,  1054,  1054,  1054,  1055,
    1055,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1060,  1060,  1061,  1061,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1063,  1063,  1064,
    1064,  1064,  1064,  1065,  1066,  1066,  1067,  1067,  1068,  1068,
    1069,  1069,  1069,  1070,  1070,  1070,  1070,  1071,  1071,  1072,
    1072,  1073,  1073,  1074,  1074,  1075,  1076,  1076,  1076,  1077,
    1078,  1078,  1079,  1079,  1080,  1080,  1080,  1080,  1081,  1081,
    1082,  1082,  1082,  1082,  1082,  1083,  1083,  1083,  1083,  1083,
    1084,  1084,  1084,  1085,  1085,  1086,  1087,  1087,  1087,  1088,
    1088,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1090,  1090,  1091,  1091,  1092,  1092,  1092,
    1092,  1092,  1092,  1093,  1093,  1094,  1094,  1095,  1095,  1095,
    1096,  1096,  1097,  1097,  1097,  1098,  1098,  1099,  1099,  1100,
    1100,  1100,  1100,  1100,  1100,  1100,  1100,  1101,  1101,  1102,
    1103,  1103,  1104,  1104,  1104,  1104,  1104,  1104,  1105,  1106,
    1107,  1107,  1107,  1108,  1108,  1109,  1110,  1110,  1111,  1112,
    1112,  1113,  1113,  1114,  1114,  1115,  1115,  1115,  1115,  1116,
    1116,  1117,  1117,  1118,  1118,  1119,  1119,  1120,  1120,  1121,
    1121,  1122,  1122,  1122,  1122,  1123,  1123,  1124,  1124,  1125,
    1125,  1126,  1127,  1128,  1129,  1130,  1131,  1132,  1132,  1133,
    1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,
    1133,  1133,  1134,  1135,  1136,  1136,  1136,  1137,  1138,  1138,
    1138,  1139,  1139,  1140,  1140,  1140,  1141,  1141,  1141,  1142,
    1142,  1142,  1142,  1143,  1143,  1143,  1143,  1143,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       2,     5,     1,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     5,     0,     3,     5,
       5,     5,     5,     3,     5,     3,     5,     3,     5,     5,
       6,     1,     1,     6,     4,     9,     7,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     1,     3,     3,
       2,     2,     2,     2,     3,     3,     3,     3,     1,     3,
       1,     3,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     5,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     1,     2,     3,     2,     1,
       1,     2,     1,     2,     1,     2,     3,     4,     3,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     4,     6,     4,     6,    10,    13,     4,     6,     4,
      10,    13,     4,     6,     4,     6,     5,     7,    11,    14,
       1,     3,     4,     3,     3,     2,     5,     3,     6,     4,
       6,     6,     6,     6,     5,     5,     6,     9,     4,     5,
       7,     6,     4,     8,     4,     2,     4,     3,     6,     4,
       3,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     3,     2,     2,     3,     4,     4,     4,
       5,     1,     3,     2,     1,     1,     0,     2,     0,     2,
       0,     1,     1,     1,     3,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     1,     2,     1,     3,     2,     3,
       6,     6,    10,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     1,     1,     1,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    12,    15,    11,    14,    13,    16,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     4,     2,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     5,     1,     2,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     5,     8,
       3,     9,     4,    10,    11,     2,     0,     3,     0,     1,
       3,     1,     4,     0,     2,     2,     2,     0,     1,     3,
       3,     6,     4,     0,     1,     1,     2,     2,     0,     3,
       3,     2,     1,     1,     2,     2,     4,     0,     1,     0,
       6,     1,     1,     1,     3,     3,     3,     5,     2,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     7,    10,     5,     2,     3,     0,     8,
      11,     4,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       0,     1,     2,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     5,
       7,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       7,     6,    10,     6,     6,     6,     6,     7,     6,     9,
       9,     6,     6,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,    13,     2,     0,     2,     2,     1,
       0,     5,     4,     4,    11,    14,    12,    15,     5,     7,
      11,     2,     1,     4,     0,     8,    11,     1,     1,     7,
       9,     8,    10,     8,     4,     0,     5,     0,     2,     0,
       2,     0,     2,     0,     2,     0,     1,     1,     1,     1,
       1,     8,    16,    20,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     2,     0,     1,     2,     4,     1,
       1,     1,     1,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     2,     0,     0,     2,     2,     1,     2,     2,     2,
       2,    11,    13,     1,     3,     5,     1,     3,     5,     1,
       2,     2,     1,     8,     4,     5,     4,     4,     4,     3,
       7,     8,     6,     6,     6,     6,     6,     4,     7,     5,
       8,     3,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     3,     1,     0,     1,     3,
       7,     9,     9,     8,     3,     0,    13,     1,     3,     5,
       5,     3,     6,     2,     1,     0,     2,     0,     2,     4,
       0,     1,     0,     6,     8,     8,     1,     3,     5,     5,
       7,     9,     7,     9,     5,     6,     6,     4,     6,     4,
       6,     8,     4,     6,     4,     6,     5,     7,     1,     1,
       1,     2,     1,     2,     1,     1,     1,     3,     3,     3,
       3,     2,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     2,     2,     3,     1,     3,     5,
       2,     2,     0,     6,     6,     6,     6,     6,     6,     6,
       8,     9,     8,     6,     6,     8,     9,     8,     9,     9,
       7,    10,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     2,     3,     3,     3,     3,     2,     1,     2,     1,
       3,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       8,     8,     8,     8,     8,     8,     9,     8,     8,     2,
       0,     1,     2,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       4,     4,     3,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     5,     5,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,     1,
       1,    15,    18,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     4,     0,     1,     3,
       2,     0,     1,     0,     1,     1,     0,     2,     2,     0,
       8,    11,     6,     6,     2,     0,     3,     2,     1,     3,
       1,     3,     2,     1,     1,     2,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     2,     1,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     2,     2,     1,
       1,     1,     3,     3,     5,     2,     0,     2,     1,     3,
       5,     5,     5,     1,     2,     1,     0,     4,     6,     4,
       6,     4,     6,     4,     6,     4,     6,     3,     5,     5,
       5,     1,     3,     1,     3,     2,     2,     1,     2,     1,
       2,    11,    10,    10,     2,     2,     0,     9,     2,     0,
      10,    11,    11,     5,     5,     8,     3,     3,     6,     6,
       1,     1,     1,     1,     1,     1,     3,     1,     5,     5,
       6,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     8,    10,     6,     6,     6,     6,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     9,    11,     8,    10,     9,    11,
       8,     8,     7,     6,     6,     6,     6,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     7,     7,     7,
       9,     8,     7,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     6,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       6,     6,     6,     6,     6,     6,     7,     7,     6,     9,
       9,     6,     6,     6,     6,     6,     6,     8,     8,     8,
       6,     7,     6,     6,     5,     1,     0,     3,     3,     5,
       6,     6,     6,     8,     1,     3,     1,     5,     5,     6,
       7,     4,     4,     4,     6,    13,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     0,     3,     2,     0,     2,     2,
       2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       5,     4,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     9,    11,
      12,    14,     3,     4,     4,     0,     2,     5,     1,     0,
       1,     2,     3,     3,     3,     1,     2,     1,     1,     1,
       1,     1,     1,     0,     5,     4,     6,     4,     3,     5,
       5,     4,     4,     6,     4,     6,     6,     5,     7,     9,
       6,     1,     0,     6,    11,    11,    11,    13,     9,    11,
       1,     1,    10,     4,     2,     5,     2,     0,     6,     5,
       1,     3,     1,     1,     1,     1,     1,     3,     5,     1,
       3,     1,     1,     1,     1,     0,     1,     0,     1,     0,
       1,     0,     3,     0,     2,     1,     3,     1,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     3,     0,     1,     1,     1,     1,     3,     9,     3,
       0,     2,     3,     2,     3,     7,     1,     3,     1,     4,
       4,     7,     2,     1,     1,     1,     3,     2,     8,     5,
       0,     4,     3,     0,     2,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     1,     2,     0,     8,     1,     3,     3,     5,
       2,     1,     3,     7,     1,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     9,     1,
       2,     4,     4,     4,     2,     2,     3,     1,     3,     6,
       1,     0,     2,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     4,     2,
       3,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     3,     0,     1,     3,     1,     1,     1,
       1,     1,     2,     4,     4,     5,     2,     0,     1,     3,
       1,     0,     1,     2,     3,     2,     4,     2,     3,     2,
       0,     4,     5,     2,     0,     1,     3,     2,     3,     2,
       3,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     6,     4,     0,     2,     6,     2,     1,     3,     4,
       0,     2,     0,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     7,    12,     1,     3,     2,     3,     3,
       1,     2,     2,     2,     2,     1,     1,     3,     3,     2,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     4,     1,     2,
       2,     1,     3,     3,     2,     1,     0,     5,     2,     5,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     0,     1,
       4,     1,     3,     3,     5,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     3,     3,     2,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     5,     6,     6,     7,     3,     4,
       1,     1,     2,     4,     1,     1,     1,     2,     2,     2,
       2,     1,     1,     4,     3,     5,     6,     8,     6,     6,
       4,     4,     1,     1,     1,     5,     1,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     7,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       2,     2,     0,     2,     4,     4,     6,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     3,     3,     3,     0,     1,     4,
       2,     2,     2,     2,     2,     3,     2,     2,     3,     0,
       4,     3,     5,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     3,
       1,     3,     3,     3,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     2,
       3,     0,     3,     3,     2,     2,     1,     0,     2,     2,
       3,     2,     1,     1,     3,     5,     1,     2,     4,     2,
       0,     1,     0,     1,     2,     2,     2,     3,     5,     1,
       0,     1,     2,     0,     2,     1,     0,     1,     0,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     6,     2,     3,     5,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 785 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 25002 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 801 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 25018 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 813 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 25029 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 947 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25035 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 957 "gram.y" /* yacc.c:1646  */
    {
					CallStmt *n = makeNode(CallStmt);
					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *)n;
				}
#line 25045 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 972 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25057 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 982 "gram.y" /* yacc.c:1646  */
    {}
#line 25063 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 983 "gram.y" /* yacc.c:1646  */
    {}
#line 25069 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 984 "gram.y" /* yacc.c:1646  */
    {}
#line 25075 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25081 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25087 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25093 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25099 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1004 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 25108 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1009 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 25116 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1013 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 25130 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1023 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 25142 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1031 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 25150 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1035 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 25158 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1039 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 25166 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1044 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 25174 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1048 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 25223 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1095 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 25229 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 25237 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 25245 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 25253 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1110 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 25261 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1114 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 25269 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1128 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25281 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1146 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 25293 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1154 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 25305 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1164 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25311 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1165 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25317 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1170 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25329 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1178 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25341 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1186 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25353 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1194 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25365 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1215 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25376 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1222 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25387 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1229 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25398 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1236 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25409 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1243 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25420 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1250 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25431 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1267 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25443 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1285 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 25456 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1295 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 25462 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1296 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 25468 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1308 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25482 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1318 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25496 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1328 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25515 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1343 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25534 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1360 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25540 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1361 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25546 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1366 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 25556 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25562 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1400 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 25572 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1406 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 25582 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1412 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 25592 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1421 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 25604 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1429 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 25616 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1441 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 25628 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1449 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 25640 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1457 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 25651 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1464 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 25662 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1472 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 25668 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1474 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 25679 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1482 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 25694 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1493 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 25706 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1501 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25718 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1509 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 25733 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1520 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25745 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1528 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25757 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1536 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 25768 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1543 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25780 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1552 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25792 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25798 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1563 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 25804 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1566 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25810 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1567 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25816 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1571 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 25822 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1573 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 25828 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1576 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 25834 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1577 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 25840 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1578 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 25846 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1579 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 25852 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1583 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 25858 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1584 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 25864 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1585 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 25870 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1591 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25876 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1604 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 25884 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1608 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 25892 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1612 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 25911 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1627 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 25922 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1633 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 25928 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1634 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25934 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1635 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25940 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1639 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25946 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1640 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25952 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1641 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25958 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1645 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25964 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1646 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25970 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1650 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 25976 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1654 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25982 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1656 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 25993 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1663 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 26004 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1670 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26015 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1680 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 26026 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1687 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 26036 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1696 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26042 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1697 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26048 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1702 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26054 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1703 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26060 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1709 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26070 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1715 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 26080 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1721 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 26090 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1727 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 26100 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1733 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 26110 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1743 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 26121 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26127 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26133 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1757 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26139 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1758 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26145 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1767 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 26154 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1782 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 26164 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1788 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 26174 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1794 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 26184 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1800 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 26194 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1806 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 26204 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1825 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26217 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1834 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26230 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1843 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26243 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1852 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26256 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1861 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26271 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1872 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26286 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1883 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26299 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1892 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26312 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1901 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26325 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1910 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26340 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1921 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26355 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1932 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26368 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1941 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26381 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1950 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26394 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1959 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26407 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1968 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26420 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1977 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26433 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1986 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26448 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1997 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26463 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26469 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26475 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2017 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 26491 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2030 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 26507 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2046 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 26523 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2062 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26535 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2071 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26547 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2080 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26559 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2089 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26571 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2098 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26583 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2107 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 26594 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2115 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 26605 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2123 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 26617 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2132 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 26636 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2148 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26648 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2157 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26660 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2166 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 26672 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2175 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 26692 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2192 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26704 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2201 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26716 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2210 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26728 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2219 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26741 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2229 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26754 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2242 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 26772 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2257 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26784 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2266 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26795 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2274 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26813 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2289 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26824 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2297 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26837 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2307 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26850 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2317 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 26860 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2324 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 26870 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2331 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26881 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2339 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26892 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2347 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 26902 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2354 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 26912 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2361 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26923 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2369 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26934 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2377 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26945 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2385 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26955 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2392 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26965 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2399 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26976 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2407 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26986 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2414 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26996 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2421 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27007 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2429 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27018 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2437 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27029 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2445 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27040 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2453 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27051 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27062 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2469 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 27075 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2479 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 27085 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2486 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 27096 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2494 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27107 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2502 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27118 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2510 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27129 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2518 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27140 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2526 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27150 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2533 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27160 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2540 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27170 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2547 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27180 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2553 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27191 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2562 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27197 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27203 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2567 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 27209 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2568 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 27215 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2569 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 27221 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2574 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 27233 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27239 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2585 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27245 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2586 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27251 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2591 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 27262 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2598 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 27273 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2605 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 27284 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2612 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27295 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2621 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27301 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27307 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27313 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27319 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 27325 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2636 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 27333 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 27341 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2644 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 27350 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 27358 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27364 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27370 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 27378 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2667 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 27386 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2671 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27401 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 27409 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2690 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 27464 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2743 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 27479 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2756 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 27495 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2770 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 27508 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2782 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 27516 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2789 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 27524 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2793 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 27532 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2799 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 27538 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2800 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 27544 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2801 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst(pstrdup("true"), (yylsp[0])); }
#line 27550 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2802 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst(pstrdup("false"), (yylsp[0])); }
#line 27556 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2803 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst((yylsp[0])); }
#line 27562 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2807 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27568 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2809 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27574 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27580 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27586 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2820 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MINVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 27600 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2830 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MAXVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 27614 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2840 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_VALUE;
					n->value = (yyvsp[0].node);
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 27628 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2860 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 27642 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27648 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2873 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27654 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2879 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27666 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2888 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27679 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2898 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27692 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2908 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 27711 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2934 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27721 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2940 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27731 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2974 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 27763 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3002 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 27786 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3023 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 27792 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3024 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 27798 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3028 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 27804 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3029 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 27810 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3038 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27816 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3039 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27822 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3040 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27828 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27834 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27840 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3049 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27846 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3050 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27852 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 27860 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3059 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 27868 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3063 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 27876 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3067 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27884 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27892 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 27900 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 27908 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3083 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27916 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27924 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 27932 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 27940 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 27948 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3103 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 27956 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 27964 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 27972 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3119 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 27978 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3124 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 27986 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3127 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 27992 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3132 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28000 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3135 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 28006 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3139 "gram.y" /* yacc.c:1646  */
    {}
#line 28012 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3140 "gram.y" /* yacc.c:1646  */
    {}
#line 28018 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 28026 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3150 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 28034 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3157 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 28042 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3163 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28048 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3164 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 28054 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3165 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 28060 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3166 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 28066 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3167 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28072 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3172 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28080 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28088 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3183 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28094 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3196 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28114 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3214 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28134 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3232 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28155 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3251 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28176 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3270 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28197 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3289 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28218 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3318 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28224 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3319 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28230 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3320 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28236 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3321 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28242 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3323 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 28253 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3330 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 28264 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3336 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 28270 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3337 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 28276 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28282 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28288 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28294 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28300 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28308 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28316 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3363 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28324 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3367 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28332 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3373 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28338 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3374 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28344 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3375 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28350 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3379 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28356 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3380 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28362 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3384 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 28386 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3406 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 28409 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3425 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 28432 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 28438 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3447 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28444 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3452 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 28455 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3458 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28461 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3459 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28467 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3461 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 28484 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3492 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 28495 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3499 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 28506 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3506 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28521 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3517 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28536 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3528 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 28552 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3540 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28565 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3549 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 28578 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3558 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 28597 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3575 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 28603 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3576 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 28609 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3596 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 28620 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3603 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 28631 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3610 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 28642 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3617 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 28653 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3628 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 28664 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3637 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 28670 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3638 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 28676 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3639 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 28682 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3643 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 28688 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3644 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 28694 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3645 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 28700 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3646 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 28706 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3647 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 28712 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3648 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 28718 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3649 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 28724 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3650 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 28730 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3660 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 28741 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3666 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28747 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3671 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 28764 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3685 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28783 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3700 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28802 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3716 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28821 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3731 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28840 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3748 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method	= (yyvsp[-8].str);
					n->exclusions		= (yyvsp[-6].list);
					n->including		= (yyvsp[-4].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28861 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3766 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 28883 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3785 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 28889 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3786 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 28895 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28901 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28907 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3795 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28913 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3796 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28919 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 28927 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28933 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3806 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28939 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3810 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 28947 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3814 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 28959 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3822 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 28967 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3826 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 28975 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3832 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 28981 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 28987 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3838 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 28995 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3843 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 29003 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3849 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29009 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3850 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29015 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3861 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29021 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3863 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29027 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3865 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29033 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3867 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 29039 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3869 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29045 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3872 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29051 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3875 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29057 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3879 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 29063 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3880 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 29069 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3881 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 29075 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3882 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 29081 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3883 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 29087 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3886 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29093 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29099 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3891 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 29105 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3892 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 29111 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3896 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 29125 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3907 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29131 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3908 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 29137 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 29143 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 29149 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3916 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 29164 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3927 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 29179 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3938 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 29194 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3951 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29200 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(true), (yylsp[-1]))); }
#line 29206 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3953 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(false), (yylsp[-1]))); }
#line 29212 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29218 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3957 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 29224 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3958 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 29230 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3959 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 29236 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3960 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 29242 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3963 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29248 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3964 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29254 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3967 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29260 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3968 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29266 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3971 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29272 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3991 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29287 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4003 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29302 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4027 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29319 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4040 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29336 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4056 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 29351 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4069 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29357 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4070 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29363 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4071 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29369 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4084 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29386 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4097 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29403 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 29418 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4125 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 29424 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4126 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 29430 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4139 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 29442 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4159 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29456 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4169 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29470 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4182 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29482 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4190 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29494 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4200 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29500 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4201 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29506 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29512 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29518 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29524 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29530 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4213 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 29538 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 29546 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 29554 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 29562 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4229 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 29570 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 29578 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4237 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 29586 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4241 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 29594 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4245 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 29602 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4249 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 29610 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4253 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 29619 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4258 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 29627 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 29635 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4266 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 29643 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4271 "gram.y" /* yacc.c:1646  */
    {}
#line 29649 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4272 "gram.y" /* yacc.c:1646  */
    {}
#line 29655 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4276 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 29661 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4277 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 29667 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4279 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 29676 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4283 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 29682 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 29688 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 29694 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4300 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 29710 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4313 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 29725 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4326 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29731 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4327 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29737 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29743 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 29749 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4340 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29755 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29761 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4345 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29767 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29773 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4350 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29779 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29785 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4356 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29799 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4366 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29813 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4378 "gram.y" /* yacc.c:1646  */
    {}
#line 29819 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4379 "gram.y" /* yacc.c:1646  */
    {}
#line 29825 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4390 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29838 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4400 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 29844 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4401 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 29850 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4415 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29861 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4422 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29872 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4439 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29884 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4447 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29896 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4458 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29902 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4460 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29908 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29916 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29924 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29932 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 29940 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4489 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29951 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29957 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4501 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29963 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29971 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4519 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29984 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4528 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29997 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4537 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 30010 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4546 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30023 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4555 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30036 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4564 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 30049 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4573 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30062 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4582 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30075 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4591 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30088 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4600 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30101 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4609 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30114 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4618 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30127 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4627 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30140 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4636 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30153 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4645 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30166 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4654 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30179 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4663 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30192 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4672 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30205 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4681 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30218 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4690 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30231 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4699 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30244 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4708 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30257 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4717 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30270 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4726 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30283 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4735 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30296 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4744 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30309 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4753 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 30322 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4762 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 30335 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4780 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30347 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4790 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 30353 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4791 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 30359 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4792 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 30365 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4793 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 30371 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4797 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30377 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4798 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30383 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4802 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30389 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4803 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30395 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4814 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30407 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4822 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30419 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30425 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30431 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4839 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 30439 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4843 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30447 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4850 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30453 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4855 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 30461 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30469 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 30477 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4870 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 30486 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4875 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 30495 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 30503 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4887 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 30511 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4893 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30517 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4898 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 30523 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4910 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30538 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4922 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30553 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4935 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30559 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4936 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30565 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4941 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30571 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4942 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30577 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4946 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30583 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4947 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30589 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4958 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 30602 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4967 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 30614 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4975 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30625 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4994 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30647 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5014 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30669 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5034 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30692 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5055 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30715 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5084 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30728 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5093 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30741 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5115 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 30756 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5128 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 30762 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5129 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 30768 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5134 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 30779 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5141 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 30790 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5157 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30803 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5166 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30816 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5177 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 30822 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5178 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 30828 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5191 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30840 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5199 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30852 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5216 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30864 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5242 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30880 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5258 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30894 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5270 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30900 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5271 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30906 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5275 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30912 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5276 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30918 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5280 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30924 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 30930 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5285 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30936 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 30942 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5291 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 30960 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5304 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30966 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5308 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30972 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5309 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 30978 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5313 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 30984 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5314 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 30990 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5315 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 30996 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5316 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 31002 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5317 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 31008 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5328 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 31020 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5348 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = false;
					n->deferrable	 = false;
					n->initdeferred  = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 31043 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5370 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = true;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 31067 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5392 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 31073 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5393 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 31079 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5394 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 31085 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31091 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5401 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 31114 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5423 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 31120 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5425 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 31126 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 31132 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5429 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 31138 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5431 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 31144 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31150 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5436 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31156 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5440 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31162 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5441 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 31168 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5446 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 31180 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5456 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31186 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5457 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31192 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5461 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31198 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5470 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31204 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5474 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31210 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 31218 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5483 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 31230 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5493 "gram.y" /* yacc.c:1646  */
    {}
#line 31236 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5494 "gram.y" /* yacc.c:1646  */
    {}
#line 31242 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5498 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31248 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5499 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31254 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5503 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31260 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5504 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31266 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5513 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 31272 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5514 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 31278 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5515 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31284 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5520 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 31292 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5523 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 31298 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5524 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 31304 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5525 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 31310 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5529 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 31316 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5530 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 31322 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5535 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31328 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5537 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 31356 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5563 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 31362 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5564 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 31368 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5565 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 31374 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5566 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 31380 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5567 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 31386 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5568 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 31392 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5583 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 31405 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5594 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 31418 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31424 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31430 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5613 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 31436 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5618 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31442 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5620 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31448 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5625 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 31459 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5634 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 31465 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5635 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 31471 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5636 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 31477 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5637 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 31483 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5651 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = true;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 31503 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5670 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 31518 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5692 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31532 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5702 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31547 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5713 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31561 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5723 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31575 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5733 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31590 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5744 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 31603 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5753 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 31614 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5760 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31625 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5767 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31638 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5776 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31651 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5785 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31664 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5794 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31677 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5803 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31690 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5812 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31704 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5822 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 31717 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5831 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31731 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5842 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31737 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5845 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31743 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5846 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31749 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 31757 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5854 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5860 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 31771 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5861 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 31777 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5862 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 31783 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5863 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 31789 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5864 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 31795 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5865 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 31801 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31807 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5871 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31813 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31819 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5881 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 31827 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31833 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5888 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31839 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5892 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31845 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31851 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5905 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 31866 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5916 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 31881 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5927 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 31896 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5938 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 31911 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5950 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31917 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5951 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31923 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5969 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31938 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5982 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31944 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5983 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31950 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5988 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31966 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6001 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31979 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6010 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 31991 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6018 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 32004 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6027 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 32015 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6035 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32021 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6036 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32027 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6039 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32033 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32039 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32045 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32051 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32057 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6049 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 32075 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6062 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32081 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6068 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32092 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6078 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32105 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6087 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32118 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6098 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32124 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6099 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32130 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6104 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32142 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6112 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32154 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6124 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32168 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6134 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32182 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6147 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32196 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6157 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32210 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6179 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32221 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6189 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 32232 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6207 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32246 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6217 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32260 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6227 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32274 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6237 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32288 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6247 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32302 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6257 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32316 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6267 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32330 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6277 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32344 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6287 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32358 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6297 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32372 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6307 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 32386 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6317 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 32400 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6330 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 32406 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6331 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 32412 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6332 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 32418 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6333 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 32424 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6334 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 32430 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6335 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 32436 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6336 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 32442 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6337 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 32448 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6338 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 32454 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6339 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 32460 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6340 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 32466 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6341 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 32472 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6342 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 32478 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6347 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 32484 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6348 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32490 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6349 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 32496 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6350 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 32502 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6351 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32508 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6352 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32514 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6353 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 32520 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6358 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 32526 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6359 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 32532 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6360 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 32538 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 32544 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6365 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 32550 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6368 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32556 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6369 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 32562 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6373 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32568 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6375 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32574 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6379 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 32580 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6380 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 32586 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6391 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32598 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6401 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32604 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6402 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32610 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6403 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32616 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6438 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32628 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6446 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32640 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6454 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32652 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6462 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32664 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6470 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32676 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6478 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32688 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6486 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32700 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6494 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32712 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6502 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32729 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6515 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32741 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6523 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32753 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6531 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32765 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6539 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32777 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6547 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32789 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6555 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32801 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6563 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32813 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6571 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32825 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6579 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32837 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6587 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32849 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6598 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 32855 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6599 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 32861 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6600 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 32867 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6601 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 32873 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6602 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 32879 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6603 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 32885 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6604 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 32891 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6605 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 32897 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6606 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 32903 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6607 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 32909 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6608 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 32915 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6609 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 32921 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6610 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 32927 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6611 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 32933 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6616 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 32939 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6617 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 32945 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6618 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32951 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6619 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 32957 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6620 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 32963 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6621 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 32969 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6622 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32975 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6623 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 32981 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6624 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32987 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6625 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 32993 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6626 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 32999 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6627 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 33005 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6631 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33011 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6632 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33017 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6648 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33030 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6658 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33043 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6668 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33056 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6678 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33069 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6688 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33082 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6698 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33095 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6708 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33108 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6718 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33121 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6728 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33134 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6738 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33140 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6739 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33146 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6744 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 33152 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6745 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33158 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6746 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33164 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6747 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 33170 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6748 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 33176 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6749 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33182 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6754 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 33188 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6755 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33194 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6756 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 33200 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6757 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33206 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6758 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 33212 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6759 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33218 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6760 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 33224 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6761 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 33230 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6764 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33236 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6765 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33242 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6776 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = false;
					(yyval.node) = (Node *)n;
				}
#line 33252 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6782 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = true;
					(yyval.node) = (Node *)n;
				}
#line 33262 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6790 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33274 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6798 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33286 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6806 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33298 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6814 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33310 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6822 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33322 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6830 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 33334 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6838 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33346 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6846 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33358 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6854 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33370 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6862 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 33382 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6870 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33394 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6878 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33406 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6886 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 33418 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6894 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33430 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6902 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33442 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6910 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 33454 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6919 "gram.y" /* yacc.c:1646  */
    {}
#line 33460 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6920 "gram.y" /* yacc.c:1646  */
    {}
#line 33466 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6923 "gram.y" /* yacc.c:1646  */
    {}
#line 33472 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6924 "gram.y" /* yacc.c:1646  */
    {}
#line 33478 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6936 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 33494 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6952 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33511 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6966 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33528 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33534 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33540 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33546 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6997 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 33557 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7004 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 33568 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7012 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 33574 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7013 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 33580 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7017 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33591 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7024 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33602 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7031 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33613 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7038 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33624 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7052 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33636 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7060 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33648 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7068 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33660 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7076 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33672 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7084 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33684 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7092 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33696 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7100 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33708 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7108 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33720 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7116 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33732 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7124 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33744 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7132 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33756 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7140 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33768 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7148 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33780 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7156 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33792 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7164 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33804 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7172 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33816 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7180 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33828 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7188 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33840 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7196 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33852 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7204 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33864 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7215 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 33870 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7216 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 33876 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7220 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 33882 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7221 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 33888 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7226 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33894 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7227 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33900 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7238 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 33914 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7251 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 33928 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7261 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 33942 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7272 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33948 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7273 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33954 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7276 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 33960 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7277 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 33966 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7288 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 33977 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7297 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33983 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33989 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 33997 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7307 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34005 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7311 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34013 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7323 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34029 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7336 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34046 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7350 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34063 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7365 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 34069 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7366 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 34075 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7367 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 34081 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7368 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 34087 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7369 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 34093 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7370 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 34099 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7385 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-13].boolean);
					n->concurrent = (yyvsp[-11].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->relationId = InvalidOid;
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 34129 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7413 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-16].boolean);
					n->concurrent = (yyvsp[-14].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->relationId = InvalidOid;
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 34159 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7441 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34165 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7442 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34171 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7446 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34177 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7447 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34183 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7451 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34189 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7452 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34195 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7456 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34201 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7457 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 34207 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7460 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 34213 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7461 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 34219 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 34234 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 34249 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 34264 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7504 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34270 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7505 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34276 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7508 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 34282 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 34288 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7512 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34294 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7513 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34300 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7516 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34306 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7517 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34312 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7520 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 34318 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7521 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 34324 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7522 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 34330 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7525 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 34336 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7526 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 34342 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7527 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 34348 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7545 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-6].boolean);
					n->funcname = (yyvsp[-4].list);
					n->parameters = (yyvsp[-3].list);
					n->returnType = (yyvsp[-1].typnam);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34363 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7557 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-9].boolean);
					n->funcname = (yyvsp[-7].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-6].list), (yyvsp[-2].list));
					n->returnType = TableFuncTypeName((yyvsp[-2].list));
					n->returnType->location = (yylsp[-4]);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34379 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7570 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34394 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7582 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = true;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34409 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7595 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34415 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7596 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34421 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7599 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34427 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7600 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34433 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7604 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 34439 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7605 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 34445 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 34451 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7611 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 34457 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7616 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 34468 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7628 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 34479 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7635 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 34490 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7642 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 34502 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34508 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7657 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34514 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7661 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 34520 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7663 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 34526 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7678 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34539 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7687 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34552 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7696 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34565 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7705 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34578 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7714 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34591 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7725 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 34597 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7726 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 34603 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7727 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 34609 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7728 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 34615 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7729 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 34621 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7740 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34633 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7754 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 34639 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7756 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 34649 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7762 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 34660 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7772 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 34668 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7776 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 34677 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7781 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 34686 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7789 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 34700 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 34708 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7834 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 34716 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 34724 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7842 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 34733 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7849 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 34739 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7850 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 34745 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7855 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 34756 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 34762 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7866 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 34768 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7871 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34774 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34780 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(false), (yylsp[-3]));
				}
#line 34788 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7884 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[-4]));
				}
#line 34796 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7888 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 34804 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7892 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 34812 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7896 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 34820 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7900 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 34828 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-2]));
				}
#line 34836 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-2]));
				}
#line 34844 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7912 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 34852 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7916 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 34860 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7920 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 34868 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 34876 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 34884 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7932 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 34892 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7936 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 34901 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34909 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7948 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 34917 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7952 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34925 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7956 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 34933 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7960 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 34941 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 34949 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7969 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34955 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7971 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 34963 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7977 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 34969 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 34975 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7982 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34981 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7983 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34987 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7987 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35000 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7999 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 35008 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 35016 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8018 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35028 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8026 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35040 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8034 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35052 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35058 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8046 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35064 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8070 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35078 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8080 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35092 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8090 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35106 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8100 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35120 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8110 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35134 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8120 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35148 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8133 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35162 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8143 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35176 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8156 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35190 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8166 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35204 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8179 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 35216 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 35222 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8189 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 35228 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 35234 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35240 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 35246 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35252 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35258 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8209 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 35269 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8227 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35279 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8235 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35285 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8236 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35291 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8241 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 35299 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8245 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35307 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8258 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 35321 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8269 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 35335 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8280 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 35349 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8291 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 35355 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8292 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 35361 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8293 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 35367 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8298 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35381 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8309 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35387 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8310 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35393 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8321 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 35407 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 35415 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 35423 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8341 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 35431 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8345 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 35439 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8352 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 35452 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8372 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 35465 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8381 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 35478 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8390 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 35491 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8399 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 35504 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8409 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 35510 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8410 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 35516 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8413 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 35522 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8414 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 35528 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8415 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 35534 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8418 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 35540 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8419 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 35546 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8422 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 35552 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8433 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *)n;
				}
#line 35565 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8442 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *)n;
				}
#line 35578 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8459 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35591 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8468 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35604 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8477 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35617 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8486 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35630 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8495 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35643 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8504 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 35656 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8513 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35669 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8522 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35682 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8531 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35695 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8540 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35708 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8549 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35721 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8558 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35734 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8567 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35748 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8577 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35762 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8587 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35775 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8596 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35788 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8605 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35801 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8614 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35814 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8623 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35827 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8632 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35840 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8641 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35854 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8651 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35868 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8661 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35882 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8671 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35896 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8681 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35910 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8691 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35924 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8701 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35938 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8711 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35952 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8721 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35966 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8731 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35980 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8741 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35994 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8751 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36008 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8761 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36023 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8772 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36038 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8783 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36053 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8794 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36068 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8805 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36082 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8815 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36096 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8825 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36111 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8836 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36126 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8847 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36140 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8857 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36154 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8867 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36166 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8875 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36179 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8884 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36192 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8893 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36205 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8902 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36218 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8911 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36231 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8920 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36244 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8929 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36257 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8938 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36270 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8947 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36283 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8956 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36299 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8969 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 36305 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8970 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36311 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8973 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 36317 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8974 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36323 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8985 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36335 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8993 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36347 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9001 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36359 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9009 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36372 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9018 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36384 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9026 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36396 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9043 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36409 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9052 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36422 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9061 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36435 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9070 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36448 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9079 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36461 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9088 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36474 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9097 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36487 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9106 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36500 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9115 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36513 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9124 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36526 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9133 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36539 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9142 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36552 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9151 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36565 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9160 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36578 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9169 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36591 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9178 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36604 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9187 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36617 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9196 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36630 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9205 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36643 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9214 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36656 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9223 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36669 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9232 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36682 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9241 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36695 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9250 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36708 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9259 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36721 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9268 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36734 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9277 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36747 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9295 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 36758 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9303 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36764 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9304 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36770 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9308 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 36776 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9310 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 36782 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9315 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 36788 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9316 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 36794 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9317 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 36800 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9318 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 36806 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9319 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 36812 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9329 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36824 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9337 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36836 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9345 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36848 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9353 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36860 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9361 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36872 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9369 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36884 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9377 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36896 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9385 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36908 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9393 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36920 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9401 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36932 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9409 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36944 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9417 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36956 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9425 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36968 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9433 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36980 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9441 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36992 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9449 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37004 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9457 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37016 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9465 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37028 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9473 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37040 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9481 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37052 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9489 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37064 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9497 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37076 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9505 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37088 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9513 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37100 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9531 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = true;
					}
					(yyval.node) = (Node *)n;
				}
#line 37120 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37126 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9550 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37132 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9555 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 37140 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9559 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeInteger(true);
				}
#line 37148 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9579 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37159 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9586 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 37171 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9594 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 37183 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9602 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 37195 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9619 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37209 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9632 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 37217 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9636 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 37225 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9642 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 37231 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9652 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37244 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9661 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37257 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9670 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37270 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9679 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37284 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9689 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(true), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 37298 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9699 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(false), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 37312 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9717 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37324 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9725 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37336 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9743 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37352 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9757 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37358 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9758 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37364 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9759 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37370 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9765 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 37380 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9771 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 37390 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9787 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37396 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9788 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37402 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9791 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 37408 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9792 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 37414 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9793 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 37420 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9794 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 37426 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9798 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37432 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9799 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37438 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9800 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37444 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9813 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37455 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9822 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37461 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9823 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37467 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9827 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37477 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9836 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37487 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9842 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 37497 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9861 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37508 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9868 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37519 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9875 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37530 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9882 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37541 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9889 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37552 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9896 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37563 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9903 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37574 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9910 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37585 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9917 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37596 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9924 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37607 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9931 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37618 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9938 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37629 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9945 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37640 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9952 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37651 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9960 "gram.y" /* yacc.c:1646  */
    {}
#line 37657 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9961 "gram.y" /* yacc.c:1646  */
    {}
#line 37663 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9962 "gram.y" /* yacc.c:1646  */
    {}
#line 37669 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9967 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 37676 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9970 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 37683 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9973 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 37690 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9976 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 37697 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9979 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 37704 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9986 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37710 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37716 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 37722 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37728 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 10010 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 37744 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 10023 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 37760 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 10036 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 37781 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 10054 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 37802 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 10073 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 37808 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 10074 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 37814 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 10075 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 37820 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 10076 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 37826 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 10087 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37836 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 10103 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37847 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 10112 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37853 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10113 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37859 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10117 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37865 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10118 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 37871 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10123 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 37879 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 37887 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10131 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 37895 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10148 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37901 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10149 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 37907 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10150 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37913 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10151 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37919 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10152 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37925 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10153 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37931 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10154 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37937 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10161 "gram.y" /* yacc.c:1646  */
    {}
#line 37943 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10162 "gram.y" /* yacc.c:1646  */
    {}
#line 37949 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10174 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 37960 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10181 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 37971 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10188 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 37983 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10199 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 37994 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10216 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38005 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10223 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38016 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10239 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 38026 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10256 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38036 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10262 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38046 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10278 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 38059 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10291 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 38071 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10300 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 38082 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10308 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 38093 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10316 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 38105 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10325 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38119 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10336 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38133 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10347 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38145 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10356 "gram.y" /* yacc.c:1646  */
    {}
#line 38151 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10357 "gram.y" /* yacc.c:1646  */
    {}
#line 38157 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10369 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38168 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10379 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 38183 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10390 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 38198 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10401 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 38213 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10412 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 38228 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10423 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 38241 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10432 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 38254 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10443 "gram.y" /* yacc.c:1646  */
    {}
#line 38260 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10444 "gram.y" /* yacc.c:1646  */
    {}
#line 38266 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10460 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 38280 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10482 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 38292 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10490 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 38304 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10499 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 38316 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10509 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38322 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10510 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38328 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10523 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-4].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_ANALYZE;
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38347 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10538 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-2].ival);
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 38358 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10547 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 38364 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10548 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 38370 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10552 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 38376 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10553 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 38382 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10554 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 38388 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10555 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 38394 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10557 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 38408 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10569 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38421 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10578 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE | (yyvsp[-2].ival);
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 38432 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10587 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 38438 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10588 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 38444 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10592 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 38450 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10596 "gram.y" /* yacc.c:1646  */
    {}
#line 38456 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10597 "gram.y" /* yacc.c:1646  */
    {}
#line 38462 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10601 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38468 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10602 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38474 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10606 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38480 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10607 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38486 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10610 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38492 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10611 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38498 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10614 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38504 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10615 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38510 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10619 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38516 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10620 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38522 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 38530 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10632 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38536 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10634 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38542 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10638 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38548 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10639 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38554 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10653 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 38565 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10660 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38579 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10670 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38590 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10677 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 38601 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10699 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 38609 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10703 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 38617 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38625 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10716 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38631 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10717 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 38637 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10721 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 38643 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10722 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 38649 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10723 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38655 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10734 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38667 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38673 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10744 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38679 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10762 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 38690 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10770 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 38709 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10786 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38715 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10787 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38721 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10798 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 38731 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10804 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 38741 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10810 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 38751 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10816 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 38761 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10833 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 38773 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 38781 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10854 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 38790 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10862 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 38800 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10868 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 38811 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10875 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 38821 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10881 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 38832 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10888 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 38842 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10896 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 38848 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10897 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 38854 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10902 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 38860 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10904 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 38866 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10909 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 38878 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10920 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 38891 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10930 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 38904 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10939 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 38912 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 38924 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 38936 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10963 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 38944 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10969 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38950 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38956 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10983 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 38970 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38976 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38982 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 11008 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38995 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 11018 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 39001 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 11019 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 39007 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 11022 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 39013 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 11023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 39019 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 11024 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 39025 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 11025 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 39031 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 11026 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 39037 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 11027 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 39043 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 11028 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 39049 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 11029 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 39055 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 11032 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39061 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 11033 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39067 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 11037 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 39073 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 11038 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 39079 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 11039 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 39085 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 11055 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 39100 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 11068 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39106 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 11069 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 39112 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 11074 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 39121 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 11079 "gram.y" /* yacc.c:1646  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 39146 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11103 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39158 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11113 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39164 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11114 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 39170 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11125 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39183 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11135 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39189 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11138 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39195 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11139 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 39201 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 11140 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 39207 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 11141 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 39213 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 11142 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 39219 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 11145 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39225 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 11146 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 39231 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 11147 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39237 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11200 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39243 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11201 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39249 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11216 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39255 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11218 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 39266 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11225 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39278 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11233 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39290 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11241 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 39302 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11249 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 39314 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11257 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39326 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11265 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39338 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11275 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39344 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11276 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39350 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11306 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39366 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11320 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39383 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11332 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39389 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11334 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 39412 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 39420 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 39428 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 39436 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11378 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 39447 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11385 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 39458 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11392 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 39469 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11401 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39475 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39481 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11406 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 39494 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11417 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 39500 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11418 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 39506 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11423 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 39521 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11434 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 39527 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39536 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39545 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39554 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11458 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39563 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11463 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39575 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11471 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39587 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 39596 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 39605 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 39614 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11495 "gram.y" /* yacc.c:1646  */
    {}
#line 39620 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11496 "gram.y" /* yacc.c:1646  */
    {}
#line 39626 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11500 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39632 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11501 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39638 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11502 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39644 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 39650 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39656 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11514 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 39662 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11515 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39668 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11519 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 39674 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11520 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39680 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11524 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39686 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11528 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 39692 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11529 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 39698 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11533 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 39711 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11542 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 39724 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11554 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 39730 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11555 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 39736 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 39742 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11557 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 39748 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11561 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39754 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11562 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 39760 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11567 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39766 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11569 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 39779 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11585 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 39785 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11587 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 39791 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11592 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39797 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11595 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39803 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11599 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39809 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11601 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 39818 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11608 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39824 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11628 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39830 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11630 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 39836 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11632 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 39842 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11636 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 39848 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11637 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 39854 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11641 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39860 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11642 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39866 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11645 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39872 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11646 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39878 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11671 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39884 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39890 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39896 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11677 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 39902 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11681 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39908 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11682 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39914 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11683 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39920 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11684 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39926 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11685 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39932 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11690 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 39940 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11703 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39948 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39956 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11717 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39964 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11723 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39970 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11724 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39976 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11728 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39982 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11729 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39988 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11733 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39994 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11734 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40000 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11738 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40006 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11739 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40012 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11744 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 40024 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11754 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 40030 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11755 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 40036 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11756 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 40042 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11757 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 40048 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11761 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40054 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11762 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40060 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11773 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40070 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11779 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40080 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11796 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40086 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11797 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40092 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11801 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40098 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11802 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40104 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11809 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 40113 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11814 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 40125 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11822 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 40136 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11829 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 40148 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11837 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 40158 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11843 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 40169 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11850 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 40208 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11885 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 40237 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11910 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 40245 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11914 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 40254 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11940 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 40262 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11944 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 40278 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11956 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 40295 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11969 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 40313 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11983 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 40328 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11994 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 40344 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 12009 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 40354 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 12015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 40363 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 12020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 40373 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 12026 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 40382 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 12032 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 40388 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12033 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 40394 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 40402 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12046 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 40410 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12050 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 40420 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12056 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 40430 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12062 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 40438 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12067 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 40444 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12068 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 40450 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12069 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 40456 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12070 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 40462 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12074 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40468 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12075 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40474 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12087 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 40480 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12088 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40486 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12094 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 40497 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12101 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 40508 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12108 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 40519 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12115 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 40530 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12125 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 40536 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 40542 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12140 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 40550 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12144 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 40561 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12151 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 40572 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12164 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 40586 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12176 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 40592 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12177 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40598 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12193 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 40612 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12203 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 40626 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12215 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 40632 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12219 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 40638 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 40644 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40650 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40656 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12227 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40662 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12228 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40668 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12233 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40674 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12234 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40680 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12239 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40686 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12241 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 40698 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12248 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40704 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12253 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40710 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40716 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12259 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 40724 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12263 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 40732 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12269 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40755 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12294 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 40769 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12305 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 40783 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40789 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12317 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40795 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12322 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 40813 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12336 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 40874 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12393 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 40889 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40895 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12409 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40901 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12414 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 40907 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12416 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 40913 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12418 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 40919 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12420 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 40925 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12425 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40931 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 40937 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 40949 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40961 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 40970 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 40980 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 40989 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 40999 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 41008 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 41018 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12497 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 41024 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12499 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 41030 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12501 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 41036 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12505 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41042 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12506 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41048 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12507 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41054 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12508 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41060 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12509 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41066 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12511 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 41075 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12516 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 41085 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12535 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41091 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12536 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41097 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12537 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41103 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12538 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41109 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41119 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 41129 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12563 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41135 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12564 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41141 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41150 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12576 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41159 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12581 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41168 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12586 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41177 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41186 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41195 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41204 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12606 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41214 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12612 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41224 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41234 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12624 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41243 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12631 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 41268 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 41276 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12662 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41284 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12666 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41292 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12674 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41300 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 41309 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12686 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 41322 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12698 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41340 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12719 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41348 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12723 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41356 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12729 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41364 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12733 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 41379 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12746 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 41389 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12754 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41401 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12764 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41407 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12766 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41413 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12768 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 41419 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12770 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41425 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12772 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41431 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12774 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41437 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12778 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41443 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12779 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41449 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12787 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 41462 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12796 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41474 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12804 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 41487 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12813 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41499 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12824 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41508 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12831 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41514 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12832 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41520 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12833 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41526 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 41532 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12840 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 41538 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12842 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 41544 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 41550 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12846 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 41556 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12848 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41562 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 41571 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12855 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 41580 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12860 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 41590 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 41602 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12874 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 41611 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 41622 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12886 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 41632 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12892 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41638 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12897 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 41646 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12901 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 41655 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12936 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41661 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12938 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 41667 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12940 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 41679 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12948 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 41689 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12963 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 41695 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12965 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 41701 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12967 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41707 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41713 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12971 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41719 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12973 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41725 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12975 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41731 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12977 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41737 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12979 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41743 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12981 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41749 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12983 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41755 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12985 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41761 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12987 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41767 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12989 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41773 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12992 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41779 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12994 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 41785 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12996 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 41791 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12999 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41797 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 13001 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41803 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 13003 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 41809 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 13005 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 41815 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 13008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 41824 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 13013 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 41836 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 13021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 41845 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 13026 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 41857 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 13034 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 41866 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 13039 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 41878 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 13047 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 41887 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 13052 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 41899 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 13061 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 41911 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 13069 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 41923 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 13077 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 41935 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 13085 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 41947 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 13103 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41959 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 13111 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 41971 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13119 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 41983 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13127 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 41995 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13135 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 42015 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13151 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42027 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13159 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42039 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13167 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42051 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13175 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42063 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13183 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42075 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13191 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42087 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13199 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 42095 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 42103 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 42111 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13211 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 42119 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13215 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 42131 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13223 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 42143 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 42155 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13239 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 42167 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13247 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 42191 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13267 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 42217 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13289 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 42232 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13300 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 42243 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13307 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 42263 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13323 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 42272 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13328 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 42282 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13334 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42300 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13359 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42306 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13361 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 42312 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13363 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42318 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13365 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 42324 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13367 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42330 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13369 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42336 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13371 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42342 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13373 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42348 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13375 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42354 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13377 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42360 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13379 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42366 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13381 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42372 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13383 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42378 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13385 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42384 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13387 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42390 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13389 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42396 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13391 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42402 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13393 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42408 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13395 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 42414 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13397 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 42422 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13401 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 42430 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13405 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 42438 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13409 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 42446 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13413 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 42455 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 42465 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13433 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42471 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13434 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42477 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13436 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 42496 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13451 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 42534 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13485 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42540 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13487 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42546 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13489 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42561 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13500 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 42589 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13524 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42604 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13535 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42619 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13546 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42630 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13553 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 42644 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 13563 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 42658 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 13573 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 42669 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 13582 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 42677 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13586 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 42687 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13592 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 42698 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13599 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 42709 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13606 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 42723 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13616 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *)n;
				}
#line 42734 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13623 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = true;
					(yyval.node) = (Node *)n;
				}
#line 42754 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13651 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 42793 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13686 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42799 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13696 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42805 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13697 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42811 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 42821 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 42829 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13715 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 42837 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13719 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 42845 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13723 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 42853 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13727 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 42861 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 42869 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13735 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 42877 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 42885 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13743 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 42893 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13747 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 42901 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 42909 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13755 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 42917 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 42925 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13763 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 42933 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13767 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 42941 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13771 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 42947 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13773 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 42955 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13777 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 42968 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13786 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 42977 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13791 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 42988 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13798 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 43007 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13813 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43018 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13820 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43026 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13824 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43034 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13828 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43042 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13832 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 43050 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13836 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 43061 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13843 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 43073 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13851 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 43085 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43093 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13863 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 43101 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13867 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 43109 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13871 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 43117 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13875 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 43125 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13879 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 43135 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13885 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 43143 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 13889 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 43156 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 13898 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 43164 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 13902 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 43172 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 13906 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 43181 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 13911 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 43194 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 13925 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43200 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 13927 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 43206 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 13931 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 43212 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 13933 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 43218 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 13935 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 43224 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 13937 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 43230 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 13940 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43236 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 13943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43242 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 13944 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 43248 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 13948 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 43260 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 13956 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 43272 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 13965 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 43278 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 13966 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 43284 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 13969 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43290 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 13970 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43296 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 13971 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43302 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 13977 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 43310 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 13981 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 43318 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 13985 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 43326 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 13989 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 43334 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 13999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43340 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 14000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43346 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 14004 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 43352 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 14005 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43358 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 14013 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43364 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 14014 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43370 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 14018 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 43376 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 14020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 43382 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 14025 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 43392 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 14033 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 43398 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 14035 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 43415 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 14048 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 43421 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 14053 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 43439 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 14078 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43445 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 14079 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43451 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 14082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43457 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 14083 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43463 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 14092 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 43474 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 14099 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 43485 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 14106 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 43496 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 14113 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43508 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 14123 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 43529 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 14140 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 43570 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 14185 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43582 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 14193 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43594 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 14201 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43606 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 14209 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43618 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 14217 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43630 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 14227 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 43636 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 14228 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 43642 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 14229 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 43648 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 14230 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 43654 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 14231 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 43660 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 14245 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43666 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 14246 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43672 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 14247 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 43678 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 14250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43684 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 14251 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43690 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 14254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 43696 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 14257 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 43702 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 14258 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 43708 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 14259 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 43714 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 14262 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43720 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 14263 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43726 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 14266 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 43732 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 14267 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 43738 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 14268 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 43744 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 14269 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 43750 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 14270 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 43756 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 14271 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 43762 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 14272 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 43768 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 14273 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 43774 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 14274 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 43780 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 14275 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 43786 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 14276 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 43792 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 14277 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 43798 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 14281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43804 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 14283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43810 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 14288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43816 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 14290 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43822 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 14295 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43828 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 14297 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43834 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 14299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 43840 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 14301 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 43846 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 14303 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 43852 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 14305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 43858 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 14317 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 43866 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 14321 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 43874 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 14328 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 43882 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 14332 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 43890 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 14338 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 43898 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 14342 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 43911 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 14351 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 43924 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 14361 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 43930 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 14362 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 43936 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 14366 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 43944 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 14370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 43952 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 14374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 43960 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 14379 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43966 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 14380 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 43972 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 14386 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 43980 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 14389 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43986 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 14396 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43992 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 14397 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 43998 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 14398 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 44004 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 14399 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 44010 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 14400 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 44016 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 14401 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 44022 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 14402 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 44028 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 14403 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44034 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 14414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44042 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 14418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44050 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 14425 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44056 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 14431 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 44062 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 14432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44068 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 14449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44076 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 14453 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 44085 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 14458 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44093 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 14462 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 44112 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 14477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 44120 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 14481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44126 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 14485 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44132 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 14488 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44138 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 14491 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 44144 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 14492 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44150 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 14493 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44156 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 14497 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 44167 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 14503 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 44173 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 14514 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 44187 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 14527 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44193 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 14528 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44199 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 14533 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 44211 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 14543 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44217 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 14544 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44223 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 14547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44229 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 14548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44235 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 14552 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 44243 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 14556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 44251 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 14563 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 44259 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 14567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 44267 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 14571 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 44279 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 14579 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 44291 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 14589 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44297 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 14590 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44303 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 14594 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44309 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 14595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44315 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 14599 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44321 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 14600 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44327 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 14614 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44333 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 14615 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44339 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 14619 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44345 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 14620 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44351 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 14624 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 44363 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 14640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44375 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 14648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 44387 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 14656 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 44403 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 14677 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 44409 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 14678 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 44415 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 14690 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 44423 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 14694 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 44452 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 14721 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44458 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 14723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 44464 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 14727 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44470 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 14730 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44476 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 14733 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44482 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 14735 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44488 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 14737 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44494 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 14739 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44500 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 14750 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44506 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 14752 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 44515 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 14763 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 44523 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 14767 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44531 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 14771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44539 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 14775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44547 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 14779 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44560 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 14788 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 44571 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 14795 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 44607 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 14827 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 44615 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 14831 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 44625 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 14837 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 44636 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 14844 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 44644 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 14848 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 44652 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 14852 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 44660 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 14857 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 44666 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 14858 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44672 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 14860 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 44678 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 14861 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 44684 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 14862 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 44690 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 14867 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 44725 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 14900 "gram.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 44756 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 14927 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 44764 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 14931 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 44772 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 14937 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 44778 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 14939 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 44784 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 14955 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44790 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 14956 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44796 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 14957 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44802 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 14962 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44808 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 14963 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44814 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 14964 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44820 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 14969 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44826 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 14970 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44832 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 14971 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44838 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 14972 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44844 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 14978 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44850 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 14979 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44856 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 14980 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44862 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 14981 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44868 "gram.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 14982 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44874 "gram.c" /* yacc.c:1646  */
    break;


#line 44878 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15479 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
